-- $Id: race-class.lua 76 2012-09-20 02:30:38Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Player descriptors generated from T2's p_info.txt.

newBirthDescriptor {
  type = 'base',
  name = 'base',
  desc = [[]],
  copy = {
    xp_mult = 100,
    mana_mult = 1,
    luck = resolvers.rngrange(-5, 5),
    flags = {},
    resolvers.birth_stat_apply(),
    resolvers.birth_hp_precalc(),
    resolvers.birth_skill_adj {
      MONSTER_LORE = { mod_adj=500 },
      PRAYER = { mod_adj=500 },
      UDUN = { mod_adj=400 },
      MAGIC_DEVICE = { base_adj=1000, mod_adj=1000 },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Warrior',
  desc = [[Simple fighters, they hack away with their trusty weapon.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=2000, mod_adj=800 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=850 },
      SWORD_MASTERY = { mod_adj=400 },
      AXE_MASTERY = { mod_adj=400 },
      HAFTED_MASTERY = { mod_adj=400 },
      POLEARM_MASTERY = { mod_adj=400 },
      ARCHERY = { base_adj=1000, mod_adj=600 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=300 },
      SPIRITUALITY = { base_adj=1000, mod_adj=400 },
      ANTIMAGIC = { mod_adj=550 },
      MAGIC_DEVICE = { mod_adj=150 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=5 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'EXTRA_MAX_BLOW_1', 'EXTRA_MAX_BLOW_2' } },
      [25] = { abilities = { 'SPREAD_BLOWS' } },
      [30] = { flags = { 'RES_FEAR' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='RING_FEAR_RESISTANCE' },
      { name='CHAIN_MAIL' },
    },
  },
  copy_add = {
    hit_die = 9,
    adj_stat = { STR = 5, INT = -2, WIS = -2, DEX = 2, CON = 2, CHA = -1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Warrior',
  desc = [[Simple fighters, they hack away with their trusty weapon.]],
  group = 'Warrior',
  copy = {
    resolvers.birth_equip {
      full_id=true,
      { name='BROAD_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Iluvatar'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Swordmaster',
  desc = [[Fighters specialised in the use of swords]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      SWORD_MASTERY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='BROAD_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Axemaster',
  desc = [[Fighters specialised in the use of axes]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { base_adj=1000, mod_adj=300 },
      SWORD_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='HATCHET' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Haftedmaster',
  desc = [[Fighters specialised in the use of hafted weapons]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      HAFTED_MASTERY = { base_adj=1000, mod_adj=300 },
      STUNNING_BLOWS = { mod_adj=500 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=-100 },
      POLEARM_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='FLAIL' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Iluvatar'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Polearmmaster',
  desc = [[Fighters specialised in the use of polearms]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      POLEARM_MASTERY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      AXE_MASTERY = { mod_adj=-100 },
      HAFTED_MASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='PIKE' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Iluvatar'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Unbeliever',
  desc = [[They don't believe in magic and can even prevent its usage around them]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { base_set=0, mod_set=0 },
      MAGIC = { base_set=0, mod_set=0 },
      MAGIC_DEVICE = { base_set=0, mod_set=0 },
      SPIRITUALITY = { base_set=0, mod_set=0 },
      ANTIMAGIC = { base_adj=1000, mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DARK_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Demonologist',
  desc = [[Masters of the school of demonology, they are trained in both melee fighting and using demon spells to enhance their combat potential.]],
  group = 'Warrior',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-50 },
      WEAPONMASTERY = { mod_adj=-100 },
      SWORD_MASTERY = { mod_adj=200 },
      AXE_MASTERY = { base_set=0, mod_set=0 },
      HAFTED_MASTERY = { base_set=0, mod_set=0 },
      POLEARM_MASTERY = { base_set=0, mod_set=0 },
      ARCHERY = { base_adj=1000, mod_adj=-200 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=400 },
      SPIRITUALITY = { base_adj=1000, mod_adj=300 },
      ANTIMAGIC = { base_set=0, mod_set=0 },
      DEMONOLOGY = { base_adj=1000, mod_adj=1000 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DEMONBLADE' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Mage',
  desc = [[The basic spellcaster with lots of different skills]],
  copy = {
    resolvers.birth_mana_mult(1.50),
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=900 },
      MAGIC_DEVICE = { mod_adj=200 },
      SPELL_POWER = { mod_adj=600 },
      MANA = { base_adj=1000, mod_adj=600 },
      FIRE = { mod_adj=700 },
      WATER = { mod_adj=700 },
      AIR = { mod_adj=700 },
      EARTH = { mod_adj=700 },
      TEMPORAL = { mod_adj=700 },
      DIVINATION = { mod_adj=700 },
      CONVEYANCE = { mod_adj=700 },
      NATURE = { mod_adj=700 },
      META = { mod_adj=700 },
      MIND = { mod_adj=700 },
      NECROMANCY = { mod_adj=700 },
      RUNECRAFT = { mod_adj=700 },
      THAUMATURGY = { mod_adj=700 },
      SPIRITUALITY = { base_adj=1000, mod_adj=550 },
      COMBAT = { base_adj=1000, mod_adj=200 },
      WEAPONMASTERY = { base_adj=700, mod_adj=500 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
    },
    weapon_blows = { base_wgt=4, wgt_mult=2 },
    pseudo_id = { weapon_heavy=false, magic_heavy=true },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'PERFECT_CASTING' } },
    },
  },
  copy_add = {
    xp_mult = 30,
    adj_stat = { STR = -5, INT = 3, DEX = 1, CON = -2, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mage',
  desc = [[The basic unspecialized warrior-spellcaster]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=300 },
      SORCERY = { mod_adj=200 },
      MANA = { mod_adj=300 },
      FIRE = { mod_adj=200 },
      WATER = { mod_adj=200 },
      AIR = { mod_adj=200 },
      EARTH = { mod_adj=200 },
      CONVEYANCE = { mod_adj=200 },
      NATURE = { mod_adj=200 },
      TEMPORAL = { mod_adj=200 },
      DIVINATION = { mod_adj=200 },
      META = { mod_adj=200 },
      MIND = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Geomancer',
  desc = [[The master of the four elements]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-150 },
      SPELL_POWER = { base_adj=1000, mod_adj=100 },
      MANA = { base_adj=-1000, mod_adj=-600 },
      GEOMANCY = { base_adj=1000, mod_adj=700 },
      FIRE = { base_adj=1000, mod_adj=350 },
      WATER = { base_adj=1000, mod_adj=350 },
      AIR = { base_adj=1000, mod_adj=350 },
      EARTH = { base_adj=1000, mod_adj=350 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MAGE_STAFF' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Warper',
  desc = [[The master of space and time]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-150 },
      SPELL_POWER = { base_adj=1000, mod_adj=100 },
      MANA = { mod_adj=100 },
      FIRE = { mod_adj=100 },
      WATER = { mod_adj=100 },
      AIR = { mod_adj=100 },
      EARTH = { mod_adj=100 },
      CONVEYANCE = { mod_adj=500 },
      NATURE = { mod_adj=100 },
      TEMPORAL = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      META = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Sorceror',
  desc = [[The master of all magic schools]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC_DEVICE = { mod_adj=-200 },
      WEAPONMASTERY = { base_set=0, mod_set=0 },
      COMBAT = { base_set=0, mod_set=0 },
      SORCERY = { base_adj=1000, mod_adj=700 },
      MAGIC = { mod_adj=100 },
      MANA = { base_adj=-1000, mod_adj=300 },
      FIRE = { mod_adj=300 },
      WATER = { mod_adj=300 },
      AIR = { mod_adj=300 },
      EARTH = { mod_adj=300 },
      CONVEYANCE = { mod_adj=300 },
      NATURE = { mod_adj=300 },
      TEMPORAL = { mod_adj=300 },
      DIVINATION = { mod_adj=300 },
      META = { mod_adj=300 },
      MIND = { mod_adj=300 },
      NECROMANCY = { mod_adj=200 },
      RUNECRAFT = { mod_adj=200 },
      THAUMATURGY = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='ROBE' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Necromancer',
  desc = [[The master of death, and undeath]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=200 },
      NECROMANCY = { base_adj=1000, mod_adj=300 },
      MANA = { base_adj=-1000 },
      FIRE = { mod_adj=100 },
      EARTH = { mod_adj=100 },
      NATURE = { mod_adj=-200 },
      TEMPORAL = { mod_adj=100 },
      MIND = { mod_adj=200 },
      MONSTER_LORE = { base_adj=1000, mod_adj=600 },
      CORPSE_PRESERVATION = { base_adj=5000, mod_adj=900 },
    },
    resolvers.birth_gain_at_lev {
      [25] = { abilities = { 'UNDEAD_FORM' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Runecrafter',
  desc = [[Runecrafters use the runes found in Middle-earth to create finely tuned spells for each specific situation.]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=50 },
      RUNECRAFT = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
      { name='RUNE_ARROW' },
      { name='RUNE_FIRE' },
      { name='DAGGER' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Thaumaturgist',
  desc = [[Thaumaturgy spells come from within and are different for each character. Since attack is the best defence, all their spells are offensive.]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MANA = { base_adj=-1000 },
      MAGIC = { base_adj=2000, mod_adj=50 },
      THAUMATURGY = { base_adj=1000, mod_adj=300 },
      WEAPONMASTERY = { mod_adj=-100 },
      MAGIC_DEVICE = { mod_adj=-150 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='BOOK_OF_BEGINNER_CANTRIPS' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Alchemist',
  desc = [[Alchemists can quickly create powerful magic items through the correct use of the essences of magic they can extract from magical objects.]],
  group = 'Mage',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=2000 },
      SPELL_POWER = { mod_adj=-600 },
      NECROMANCY = { mod_adj=-600 },
      THAUMATURGY = { mod_adj=-600 },
      SPIRITUALITY = { mod_adj=250 },
      COMBAT = { mod_adj=500 },
      WEAPONMASTERY = { mod_adj=200 },
      MANA = { base_adj=-1000, mod_adj=-600 },
      FIRE = { mod_adj=-600 },
      WATER = { mod_adj=-600 },
      AIR = { mod_adj=-600 },
      EARTH = { mod_adj=-600 },
      CONVEYANCE = { mod_adj=-600 },
      NATURE = { mod_adj=-600 },
      TEMPORAL = { mod_adj=-600 },
      DIVINATION = { mod_adj=-200 },
      META = { mod_adj=-200 },
      MIND = { mod_adj=-600 },
      ALCHEMY = { base_adj=1000, mod_adj=800 },
      MAGIC_DEVICE = { mod_adj=50 },
    },
    flags = {
      EXPERIMENTAL = true,
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SET_OF_LEATHER_GLOVES' },
      { name='ESS_EXPLOSION', qty=6 },
      { name='EMPTY_BOTTLE' },
      { name='DAGGER' },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Archer',
  desc = [['Kill them before they see you' could be the motto of the archer class. As deadly with a bow as a warrior is with a sword.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=800 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=500 },
      ARCHERY = { base_adj=1000, mod_adj=750 },
      BOW_MASTERY = { mod_adj=300 },
      CROSSBOW_MASTERY = { mod_adj=300 },
      SLING_MASTERY = { mod_adj=300 },
      BOOMERANG_MASTERY = { mod_adj=300 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      STEALTH = { mod_adj=400 },
      DISARMING = { base_adj=1000, mod_adj=900 },
      MAGIC = { base_adj=1000, mod_adj=300 },
      MAGIC_DEVICE = { mod_adj=100 },
      SPIRITUALITY = { base_adj=1000, mod_adj=400 },
    },
    weapon_blows = { base_wgt=3.5, wgt_mult=4 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
    resolvers.birth_gain_at_lev {
      [2] = { abilities = { 'AMMO_CREATION' } },
    },
  },
  copy_add = {
    hit_die = 4,
    xp_mult = 30,
    adj_stat = { STR = 2, INT = 1, DEX = 2, CON = 1, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Archer',
  desc = [['Kill them before they see you' could be the motto of the archer class. As deadly with a bow as a warrior is with a sword.]],
  group = 'Archer',
  copy = {
    resolvers.birth_skill_adj {
      ARCHERY = { mod_adj=100 },
      BOW_MASTERY = { mod_adj=200 },
      CROSSBOW_MASTERY = { mod_adj=200 },
      SLING_MASTERY = { mod_adj=200 },
      BOOMERANG_MASTERY = { mod_adj=200 },
      MAGIC = { base_adj=-1000, mod_adj=-100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SHORT_BOW' },
      { name='SLING' },
      { name='FLIGHT_ARROW', qty={10,3} },
      { name='FLIGHT_ARROW', qty={10,3} },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Eru Iluvatar'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Ranger',
  desc = [[Rangers are capable archers but are also trained in hand to hand combat and nature/conveyance/divination magic schools]],
  group = 'Archer',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { mod_adj=400 },
      NATURE = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      CONVEYANCE = { mod_adj=500 },
      DISARMING = { mod_adj=700 },
      SNEAKINESS = { mod_adj=50 },
      MONSTER_LORE = { mod_adj=200 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SHORT_BOW' },
      { name='FLIGHT_ARROW', qty={10,3} },
      { name='SHORT_SWORD' },
    },
  },
  allowed_gods = {
    ['Nobody'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Rogue',
  desc = [[Rogues are masters of tricks. They can steal from shops and monsters, and lure monsters into deadly monster traps.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      SWORD_MASTERY = { base_adj=1000, mod_adj=300 },
      CRITICAL_HITS = { base_adj=1000, mod_adj=500 },
      MAGIC = { base_adj=1000, mod_adj=700 },
      MAGIC_DEVICE = { mod_adj=550 },
      CONVEYANCE = { mod_adj=500 },
      DIVINATION = { mod_adj=500 },
      TEMPORAL = { mod_adj=500 },
      SPIRITUALITY = { base_adj=1000, mod_adj=700 },
      SNEAKINESS = { base_adj=1000, mod_adj=2000 },
      STEALTH = { base_adj=1000, mod_adj=1500 },
      DISARMING = { base_adj=1000, mod_adj=2000 },
      BACKSTAB = { base_adj=1000, mod_adj=1000 },
      STEALING = { base_adj=1000, mod_adj=2000 },
      DODGING = { base_adj=1000, mod_adj=2000 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=3 },
    pseudo_id = { weapon_heavy=true, magic_heavy=true },
    flags = {
      EASE_STEAL = true,
    },
    resolvers.birth_gain_at_lev {
      [3] = { mods = { CRIT=1 } },
      [6] = { mods = { CRIT=1 } },
      [9] = { mods = { CRIT=1 } },
      [10] = { abilities = { 'EXTRA_MAX_BLOW_1' } },
      [12] = { mods = { CRIT=1 } },
      [15] = { mods = { CRIT=1 } },
      [18] = { mods = { CRIT=1 } },
      [21] = { mods = { CRIT=1 } },
      [24] = { mods = { CRIT=1 } },
      [27] = { mods = { CRIT=1 } },
      [30] = { mods = { CRIT=1 } },
      [33] = { mods = { CRIT=1 } },
      [36] = { mods = { CRIT=1 } },
      [39] = { mods = { CRIT=1 } },
      [42] = { mods = { CRIT=1 } },
      [45] = { mods = { CRIT=1 } },
      [48] = { mods = { CRIT=1 } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
    },
  },
  copy_add = {
    hit_die = 6,
    xp_mult = 25,
    adj_stat = { STR = 2, INT = 1, WIS = -2, DEX = 3, CON = 1, CHA = -1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Rogue',
  desc = [[Rogues are masters of tricks. They can steal from shops and monsters, and lure monsters into deadly monster traps.]],
  group = 'Rogue',
  copy = {
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'TRAPPING' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='TRAP_CATAPULT' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Assassin',
  desc = [[Assassins are stealthy killers.]],
  group = 'Rogue',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      SWORD_MASTERY = { mod_adj=300 },
      CRITICAL_HITS = { base_adj=1000, mod_adj=300 },
      BOOMERANG_MASTERY = { base_adj=1000, mod_adj=300 },
      MAGIC = { mod_adj=-500 },
      CONVEYANCE = { mod_adj=-400 },
      DIVINATION = { mod_adj=-400 },
      TEMPORAL = { mod_adj=-300 },
      STEALTH = { mod_adj=500 },
      DISARMING = { mod_adj=-1000 },
      BACKSTAB = { mod_adj=1000 },
      STEALING = { mod_adj=-1800 },
      MAGIC_DEVICE = { mod_adj=-800 },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Loremaster',
  desc = [[Loremasters are skilled in most combat and monster skills.]],
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=1000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      ARCHERY = { base_adj=1000, mod_adj=700 },
      BAREHAND_COMBAT = { base_adj=1000, mod_adj=700 },
      MAGIC = { mod_adj=600 },
      SNEAKINESS = { base_adj=1000, mod_adj=700 },
      STEALTH = { base_adj=1000, mod_adj=700 },
      DISARMING = { base_adj=1000, mod_adj=700 },
      SPIRITUALITY = { base_adj=1000, mod_adj=700 },
      MONSTER_LORE = { base_adj=1000, mod_adj=600 },
      POSSESSION = { mod_adj=500 },
      CORPSE_PRESERVATION = { base_adj=1000, mod_adj=700 },
      SUMMONING = { mod_adj=500 },
      SYMBIOSIS = { mod_adj=500 },
      MIMICRY = { mod_adj=500 },
      MUSIC = { mod_adj=300 },
    },
    weapon_blows = { base_wgt=3, wgt_mult=3 },
    pseudo_id = { weapon_heavy=true, magic_heavy=false },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 40,
    adj_stat = { STR = 1, INT = -2, WIS = 1, DEX = 1, CHA = 1 },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Loremaster',
  desc = [[Loremasters are skilled in most combat and monster skills.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_equip {
      full_id=true,
      { name='QUARTERSTAFF' },
      { name='HARD_LEATHER_ARMOUR' },
      { name='SLING' },
      { name='ROUNDED_PEBBLE', qty={3,10} },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Possessor',
  desc = [[Only the soul matters; a possessor can abandon his/her current body to incarnate in the body of a dead monster, thus gaining its powers and weaknesses.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-100 },
      WEAPONMASTERY = { mod_adj=-100 },
      ARCHERY = { mod_adj=-300 },
      BAREHAND_COMBAT = { base_adj=-1000, mod_adj=-700 },
      DISARMING = { mod_adj=-200 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { base_adj=1000, mod_adj=300 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='HARD_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mimic',
  desc = [[Disguise is the way of the mimic. Through the use of cloaks of mimicry they can change shape for a limited time. They also can temporarily change part of their anatomy.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      MAGIC = { base_adj=1000, mod_adj=100 },
      SNEAKINESS = { mod_adj=100 },
      STEALTH = { mod_adj=100 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { base_adj=1000, mod_adj=300 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='DAGGER' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Symbiant',
  desc = [[A symbiant can merge his/her body with one of a monster unable to move by itself. They also have a few spells to help the symbiosis.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=100 },
      WEAPONMASTERY = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      MAGIC = { base_adj=1000, mod_adj=100 },
      SNEAKINESS = { mod_adj=100 },
      STEALTH = { mod_adj=100 },
      SPIRITUALITY = { mod_adj=-200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { base_adj=1000, mod_adj=300 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='DAGGER' },
      { name='SCRL_SUMMON_NEVER_MOVING_PET' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Summoner',
  desc = [[The summoner can conjure monsters from totems made from defeated foes.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { mod_adj=-100 },
      WEAPONMASTERY = { mod_adj=-100 },
      ARCHERY = { mod_adj=-300 },
      BAREHAND_COMBAT = { base_adj=-1000, mod_adj=-700 },
      MAGIC = { base_adj=1000, mod_adj=200 },
      DISARMING = { mod_adj=-200 },
      SPIRITUALITY = { mod_adj=-200 },
      MONSTER_LORE = { base_adj=15000, mod_adj=100 },
      POSSESSION = { mod_adj=-500 },
      CORPSE_PRESERVATION = { mod_adj=300 },
      SUMMONING = { base_adj=1000, mod_adj=200 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='HARD_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Monk',
  desc = [[Barehanded, lightly armoured fighters, they wreak havoc with their bare fists, and can also use a few prayers.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      COMBAT = { base_adj=-1000, mod_adj=200 },
      WEAPONMASTERY = { base_adj=-1000, mod_adj=-400 },
      ARCHERY = { base_adj=-1000, mod_adj=-300 },
      BAREHAND_COMBAT = { mod_adj=200 },
      SNEAKINESS = { mod_adj=200 },
      STEALTH = { mod_adj=200 },
      DISARMING = { mod_adj=200 },
      SPIRITUALITY = { mod_adj=200 },
      POSSESSION = { mod_adj=-400 },
      CORPSE_PRESERVATION = { mod_adj=-200 },
      SUMMONING = { mod_adj=-500 },
      SYMBIOSIS = { mod_adj=-500 },
      MIMICRY = { mod_adj=-500 },
      META = { mod_adj=500 },
      MIND = { mod_adj=500 },
      TEMPORAL = { mod_adj=500 },
      DODGING = { mod_adj=700 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SOFT_LEATHER_ARMOUR' },
    },
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Bard',
  desc = [[Bards sing and play songs full of power, beauty or sadness to affect everything that can hear them, using music instruments of various types.]],
  group = 'Loremaster',
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000 },
      ARCHERY = { base_adj=-1000, mod_adj=-700 },
      BAREHAND_COMBAT = { mod_adj=-100 },
      DISARMING = { mod_adj=-100 },
      SPIRITUALITY = { mod_adj=100 },
      POSSESSION = { mod_adj=-500 },
      SUMMONING = { mod_adj=-100 },
      SYMBIOSIS = { mod_adj=-100 },
      MIMICRY = { mod_adj=-100 },
      MUSIC = { base_adj=1000, mod_adj=500 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='POT_HEALING' },
      { name='SHORT_SWORD' },
      { name='ROBE' },
      { name='HARP' },
    },
  },
}

newBirthDescriptor {
  type = 'class_group',
  name = 'Priest',
  desc = [[A priest serves a god (Vala, Maia or Eru himself) to bring down the empire of fear and shadows of Morgoth.]],
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { base_adj=1000, mod_adj=900 },
      SPELL_POWER = { mod_adj=600 },
      NECROMANCY = { mod_adj=600 },
      MINDCRAFT = { mod_adj=600 },
      SPIRITUALITY = { base_adj=1000, mod_adj=1000 },
      PRAYER = { base_adj=1000, mod_adj=700 },
      COMBAT = { base_adj=2000, mod_adj=700 },
      WEAPONMASTERY = { base_adj=1000, mod_adj=700 },
      SNEAKINESS = { base_adj=1000, mod_adj=900 },
      DISARMING = { mod_adj=900 },
      STEALTH = { mod_adj=400 },
      MAGIC_DEVICE = { mod_adj=50 },
    },
    weapon_blows = { base_wgt=3.5, wgt_mult=3 },
    pseudo_id = { weapon_heavy=false, magic_heavy=true },
    flags = {
      GOD_FRIEND = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'PERFECT_CASTING' } },
    },
  },
  copy_add = {
    hit_die = 2,
    xp_mult = 20,
    adj_stat = { STR = -1, INT = -3, WIS = 3, DEX = -1, CHA = 2 },
  },
  -- talents = { ['detect curses']=1 },
}

newBirthDescriptor {
  type = 'class',
  name = 'Priest(Eru)',
  desc = [[A priest that serves Eru Iluvatar to bring down the empire of fear and shadows of Morgoth.]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      SPELL_POWER = { mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Eru Iluvatar'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Priest(Manwe)',
  desc = [[A priest that serves Manwe Sulimo to bring down the empire of fear and shadows of Morgoth.]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=50 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Manwe Sulimo'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Druid',
  desc = [[A priest that serves Yavanna Kementari to protect and help the regrowth of nature on Arda.]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=300 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=50 },
      MONSTER_LORE = { base_adj=1000, mod_adj=700 },
      SUMMONING = { base_adj=1000, mod_adj=700 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Dark-Priest',
  desc = [[A priest that serves Melkor Bauglir to bring chaos and destruction to Arda.]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=200 },
      NECROMANCY = { mod_adj=200 },
      MINDCRAFT = { mod_adj=-600 },
      SPELL_POWER = { mod_adj=200 },
      CORPSE_PRESERVATION = { base_adj=1000, mod_adj=1000 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Melkor Bauglir'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Paladin',
  desc = [[A fighting priest that serves Tulkas to bring down the empire of fear and shadows of Morgoth.]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=200 },
      NECROMANCY = { mod_adj=-600 },
      WEAPONMASTERY = { mod_adj=100 },
      COMBAT = { mod_adj=100 },
      BAREHAND_COMBAT = { mod_adj=900 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { abilities = { 'EXTRA_MAX_BLOW_1' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='TWO_HANDED_SWORD' },
    },
  },
  allowed_gods = {
    ['Tulkas'] = true,
  },
}

newBirthDescriptor {
  type = 'class',
  name = 'Mindcrafter',
  desc = [[A priest who has learned to tap in his own mental powers]],
  group = 'Priest',
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { mod_adj=-300 },
      NECROMANCY = { mod_adj=-200 },
      MINDCRAFT = { base_adj=1000, mod_adj=300 },
      SNEAKINESS = { mod_adj=200 },
      MAGIC_DEVICE = { mod_adj=100 },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='MACE' },
    },
  },
  allowed_gods = {
    ['Eru Iluvatar'] = true,
    ['Manwe Sulimo'] = true,
    ['Tulkas'] = true,
    ['Melkor Bauglir'] = true,
    ['Yavanna Kementari'] = true,
  },
}

newBirthDescriptor {
  type = 'race',
  name = 'Human',
  desc = [[Humans are the second born, the Edain. They are the basic race to which all others are compared. Average in ability, they can be any class.]],
  copy_add = {
    hit_die = 10,
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Half-Elf',
  desc = [[A crossbreed of elf and human, they get the best of the two races.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=300 },
      SPIRITUALITY = { base_adj=1500 },
      STEALTH = { base_adj=1000 },
      SNEAKINESS = { base_adj=600 },
      WEAPONMASTERY = { base_adj=-100 },
      ARCHERY = { base_adj=500 },
    },
    flags = {
      ELF = true,
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 10,
    infravision = 2,
    adj_stat = { INT = 1, WIS = 1, DEX = 1, CON = -1, CHA = 1 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Elf',
  desc = [[Elves are the first born, the Eldar. More spiritual than physical beings, they are weaker than humans but are more intelligent.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=600 },
      SPIRITUALITY = { base_adj=3000 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=1500 },
    },
    flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_LITE' } },
    },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 20,
    infravision = 3,
    adj_stat = { STR = -1, INT = 2, WIS = 2, DEX = 1, CON = -2, CHA = 2 },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Hobbit',
  desc = [[An old but quiet race related to humans. They are small and quite weak but good at many things.]],
  copy = {
    resolvers.birth_skill_adj {
      SLING_MASTERY = { mod_adj=300 },
      DISARMING = { base_adj=1500 },
      MAGIC_DEVICE = { base_adj=1800 },
      SPIRITUALITY = { base_adj=9000 },
      STEALTH = { base_adj=5000 },
      SNEAKINESS = { base_adj=1200 },
      WEAPONMASTERY = { base_adj=-1000 },
      ARCHERY = { base_adj=2000 },
    },
    flags = {
      RESIST_BLACK_BREATH = true,
      XTRA_MIGHT_SLING = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SUST_DEX' } },
    },
  },
  copy_add = {
    hit_die = 7,
    xp_mult = 10,
    infravision = 4,
    luck = 5,
    adj_stat = { STR = -2, INT = 2, WIS = 1, DEX = 3, CON = 2, CHA = 1 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Gnome',
  desc = [[Related to dwarves, Gnomes are between Dwarves and Hobbits in size. Very good at magic use, they are poor as fighters.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=1000 },
      MAGIC_DEVICE = { base_adj=1200 },
      SPIRITUALITY = { base_adj=6000 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=600 },
      WEAPONMASTERY = { base_adj=-800 },
      ARCHERY = { base_adj=1200 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'FREE_ACT' } },
    },
  },
  copy_add = {
    hit_die = 8,
    xp_mult = 35,
    infravision = 4,
    luck = 2,
    adj_stat = { STR = -1, INT = 2, DEX = 2, CON = 1, CHA = -2 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Dwarf',
  desc = [[The children of Aule, a strong but small race. Miners and fighters of legend.]],
  copy = {
    resolvers.birth_skill_adj {
      AXE_MASTERY = { mod_adj=200 },
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=900 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=700 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_BLIND' } },
    },
  },
  copy_add = {
    hit_die = 11,
    xp_mult = 25,
    infravision = 5,
    adj_stat = { STR = 2, INT = -2, WIS = 2, DEX = -2, CON = 2, CHA = -3 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Orc',
  desc = [[Quite strong but not very smart.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-300 },
      MAGIC_DEVICE = { base_adj=-300 },
      SPIRITUALITY = { base_adj=-1000 },
      STEALTH = { base_adj=-1000 },
      WEAPONMASTERY = { base_adj=1200 },
      ARCHERY = { base_adj=-500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_DARK' } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 10,
    infravision = 3,
    luck = -3,
    adj_stat = { STR = 2, INT = -1, DEX = 1, CON = 1, CHA = -4 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Troll',
  desc = [[They can bear the light of the sun. They are extremely strong and dumb.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-800 },
      SPIRITUALITY = { base_adj=-4000 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2000 },
      ARCHERY = { base_adj=-1000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SUST_STR' } },
      [15] = { flags = { 'REGEN' } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 37,
    infravision = 3,
    luck = -4,
    adj_stat = { STR = 4, INT = -4, WIS = -2, DEX = -4, CON = 3, CHA = -6 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Dunadan',
  desc = [[The greatest of the Edain, humans in all respects but stronger, smarter and wiser.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=400 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=2500 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=1000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SUST_CON', 'REGEN' } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 80,
    luck = 2,
    adj_stat = { STR = 1, INT = 2, WIS = 2, DEX = 2, CON = 3, CHA = 2 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'High-Elf',
  desc = [[Elves are the first born, the Eldar. High elves are the best of the Eldar, strong, fast, intellectual, though they sometimes lack wisdom.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=400 },
      MAGIC_DEVICE = { base_adj=2000 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=4000 },
      SNEAKINESS = { base_adj=300 },
      WEAPONMASTERY = { base_adj=1000 },
      ARCHERY = { base_adj=2500 },
    },
    flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SEE_INVIS', 'RES_LITE' } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 100,
    infravision = 4,
    adj_stat = { STR = 1, INT = 3, WIS = 2, DEX = 3, CON = 1, CHA = 5 },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Half-Ogre',
  desc = [[A crossbreed between a human and an ogre. They are similar to half-trolls, strong and dumb.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-300 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=-2500 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2000 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SUST_STR', 'RES_DARK' } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 30,
    infravision = 3,
    luck = -2,
    adj_stat = { STR = 3, INT = -1, WIS = -1, DEX = -1, CON = 3, CHA = -3 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Beorning',
  desc = [[A race of men shapeshifters. They have the unique power of being able to polymorph to bear forms.]],
  copy = {
    resolvers.birth_skill_adj {
      BEARFORM_COMBAT = { base_adj=1000, mod_adj=1000 },
      DISARMING = { base_adj=-600 },
      MAGIC_DEVICE = { base_adj=-800 },
      SPIRITUALITY = { base_adj=-3000 },
      STEALTH = { base_adj=-2000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=2500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SUST_STR' } },
      [20] = { stats = { STR=1 } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 50,
    infravision = 3,
    luck = 1,
    adj_stat = { STR = 4, INT = -2, WIS = -2, DEX = -1, CON = 3, CHA = -5 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Barbarian'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Rogue'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Kobold',
  desc = [[A weaker kind of goblin, related to orcs.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-300 },
      SPIRITUALITY = { base_adj=-1000 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=100 },
      WEAPONMASTERY = { base_adj=1000 },
      ARCHERY = { base_adj=-800 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_POIS' } },
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 25,
    infravision = 3,
    adj_stat = { STR = 1, INT = -1, DEX = 1, CHA = -4 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Petty-Dwarf',
  desc = [[A nearly extinct subrace of dwarves. They prefer to live in the darkness.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=300 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=1000 },
      SNEAKINESS = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_DARK', 'RES_DISEN' } },
    },
  },
  copy_add = {
    hit_die = 11,
    xp_mult = 35,
    infravision = 5,
    luck = -5,
    adj_stat = { STR = 1, INT = -1, WIS = 2, CON = 2, CHA = -4 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Rogue'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Dark-Elf',
  desc = [[Elves are the first born, the Eldar. Dark elves are rare on Middle-earth and even though not evil they are not good.]],
  copy = {
    resolvers.birth_skill_adj {
      MAGIC = { mod_adj=200 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=1500 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=1000 },
    },
    flags = {
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'RES_DARK' } },
      [20] = { flags = { 'SEE_INVIS' } },
    },
  },
  copy_add = {
    hit_die = 9,
    xp_mult = 50,
    infravision = 5,
    luck = -2,
    adj_stat = { STR = -1, INT = 3, WIS = 2, DEX = 2, CON = -2, CHA = 1 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Ent',
  desc = [[Guardian of the forests of Middle-earth, summoned by Yavanna before even the elves awoke. It is said 'Trolls are strong, Ents are STRONGER'.]],
  copy = {
    resolvers.birth_skill_adj {
      BAREHAND_COMBAT = { mod_adj=200 },
      BOULDER_THROWING = { mod_adj=600 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=10000 },
      STEALTH = { base_adj=-6000 },
      SNEAKINESS = { base_adj=500 },
      WEAPONMASTERY = { base_adj=-300 },
      ARCHERY = { base_adj=-200 },
    },
    flags = {
      NO_STUN = true,
      NO_FOOD = true,
      AC_LEVEL = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
	flags = { 'SENS_FIRE', 'SLOW_DIGEST' },
	mods = { SPEED=-5 },
	abilities = { 'TREE_WALKING' },
      },
      [5] = { flags = { 'SEE_INVIS' } },
      [20] = { flags = { 'ESP_ORC', 'ESP_TROLL', 'ESP_EVIL' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = 14,
    xp_mult = 110,
    infravision = 5,
    luck = -2,
    adj_stat = { STR = 10, INT = -3, WIS = 2, DEX = -5, CON = 11, CHA = -3 },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'RohanKnight',
  desc = [[Humans from the land of Rohan, riding the great Mearas. Fast and powerful in battle.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=1000 },
      MAGIC_DEVICE = { base_adj=500 },
      SPIRITUALITY = { base_adj=2500 },
      STEALTH = { base_adj=-8000 },
      SNEAKINESS = { base_adj=100 },
      WEAPONMASTERY = { base_adj=100, mod_adj=200 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { mods = { SPEED=3 } },
      [5] = { mods = { SPEED=1 } },
      [10] = { mods = { SPEED=1 } },
      [15] = { mods = { SPEED=1 } },
      [20] = { mods = { SPEED=1 } },
      [25] = { mods = { SPEED=1 } },
      [30] = { mods = { SPEED=1 } },
      [35] = { mods = { SPEED=1 } },
      [40] = { mods = { SPEED=1 } },
      [45] = { mods = { SPEED=1 } },
    },
  },
  copy_add = {
    hit_die = 10,
    xp_mult = 120,
    adj_stat = { STR = 4, INT = -2, WIS = 3, DEX = 1, CON = 4, CHA = 2 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Thunderlord',
  desc = [[A thunderlord is a Great Eagle of Manwe, ridden by a Maia of Manwe. They carry the power of wind and thunder.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=600 },
      SPIRITUALITY = { base_adj=5000 },
      STEALTH = { base_adj=-16000 },
      SNEAKINESS = { base_adj=3000 },
      WEAPONMASTERY = { base_adj=1500 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'FEATHER' } },
      [4] = { flags = { 'ESP_DRAGON' } },
      [5] = { flags = { 'RES_ELEC' } },
      [10] = { flags = { 'RES_COLD' } },
      [15] = { flags = { 'RES_ACID' } },
      [17] = { flags = { 'FLY' } },
      [35] = { flags = { 'RES_POIS' } },
      [45] = { flags = { 'IM_ELEC' } },
    },
  },
  copy_add = {
    hit_die = 12,
    xp_mult = 300,
    luck = 2,
    adj_stat = { STR = 6, INT = 2, WIS = 1, DEX = 1, CON = 3, CHA = 8 },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Mage'] = true,
    ['Archer'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'DeathMold',
  desc = [[A pure mass of evilness, DeathMolds cannot move, but they have much more power than an average race.]],
  copy = {
    resolvers.birth_skill_adj {
      NECROMANCY = { mod_adj=200 },
      DISARMING = { base_adj=1500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=7500 },
      STEALTH = { base_adj=25000 },
      WEAPONMASTERY = { base_adj=2500 },
      ARCHERY = { base_adj=2500 },
    },
    flags = {
      EXPERIMENTAL = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'IMMOVABLE', 'HOLD_LIFE', 'RES_NETHER', 'RES_NEXUS' } },
    },
  },
  copy_add = {
    hit_die = 15,
    xp_mult = 150,
    infravision = 10,
    luck = -5,
    adj_stat = { STR = 10, WIS = 10, CON = 10, CHA = -15 },
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Mage'] = true,
    ['Priest'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=0, HELM=0, RING=4, AMULET=0, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Yeek',
  desc = [[The weakest of all the races, bad at everything except gaining levels quickly.]],
  copy = {
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=-2500 },
      STEALTH = { base_adj=-5000 },
      SNEAKINESS = { base_adj=-500 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-500 },
    },
  },
  copy_add = {
    hit_die = 6,
    xp_mult = -75,
    infravision = 2,
    luck = -5,
    adj_stat = { STR = -5, INT = -5, WIS = -5, DEX = -5, CON = -5, CHA = -5 },
  },
  allowed_subraces = {
    ['Vampire'] = true,
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Rogue'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Wood-Elf',
  desc = [[Elves are the first born, the Eldar. Wood elves live in the great forests of Middle-earth.]],
  copy = {
    resolvers.birth_skill_adj {
      ARCHERY = { mod_adj=200 },
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=600 },
      SPIRITUALITY = { base_adj=3000 },
      STEALTH = { base_adj=5000 },
      SNEAKINESS = { base_adj=800 },
      WEAPONMASTERY = { base_adj=-2500 },
      ARCHERY = { base_adj=4000 },
    },
    flags = {
      XTRA_MIGHT_BOW = true,
      ELF = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = {
	flags = { 'RES_LITE' },
	mods = { XTRA_MIGHT=1 },
	abilities = { 'TREE_WALKING' },
      },
    },
  },
  copy_add = {
    hit_die = 7,
    xp_mult = 30,
    infravision = 4,
    adj_stat = { STR = -3, INT = 2, WIS = 1, DEX = 5, CON = -4, CHA = 1 },
  },
  allowed_subraces = {
    ['Spectre'] = true,
    ['Skeleton'] = true,
    ['Zombie'] = true,
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
    ['Priest'] = true,
    ['Loremaster'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'race',
  name = 'Maia',
  desc = [[An old race, dating from before the creation of Arda, the Maiar were created by Eru to help the Valar in their task.]],
  copy = {
    resolvers.birth_skill_adj {
      PRAYER = { base_set=0, mod_set=0 },
    },
    flags = {
      NO_GOD = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'AGGRAVATE' } },
      [6] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [12] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [18] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [20] = { flags = { 'DRAIN_EXP' } },
      [24] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [30] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [36] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [42] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
      [48] = { stats = { STR=1, INT=1, WIS=1, DEX=1, CON=1, CHA=1 } },
    },
  },
  copy_add = {
    hit_die = 10,
    luck = 4,
  },
  allowed_gods = {
    ['Nobody'] = true,
  },
  allowed_subraces = {
    ['Hermit'] = true,
    ['LostSoul'] = true,
  },
  allowed_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
    ['Mage'] = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Base',
  desc = [[A normal member of the race.]],
  copy = {
    resolvers.birth_mana_mult(1.00),
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Vampire',
  desc = [[Vampires are powerful undead, wielding great powers. They still fear the sunlight and cannot easily satiate their hunger.]],
  name_mod = 'prefix',
  copy = {
    resolvers.birth_mana_mult(1.00),
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_DARKNESS', qty={5,3} },
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  allowed_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Spectre',
  desc = [[Spectres only partially exist in the mortal world and so they can pass through walls. They are somewhat physically weak.]],
  name_mod = 'prefix',
  copy = {
    resolvers.birth_mana_mult(1.05),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=200 },
      MAGIC_DEVICE = { base_adj=800 },
      SPIRITUALITY = { base_adj=700 },
      STEALTH = { base_adj=2000 },
      SNEAKINESS = { base_adj=200 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-200 },
    },
    flags = {
      UNDEAD = true,
      NO_CUT = true,
      NO_FOOD = true,
      SEMI_WRAITH = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SEE_INVIS', 'HOLD_LIFE', 'SLOW_DIGEST', 'RES_COLD', 'RES_POIS', 'RES_NETHER' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = -4,
    xp_mult = 80,
    infravision = 3,
    luck = -3,
    adj_stat = { STR = -5, INT = 1, WIS = 1, DEX = 2, CON = -3, CHA = -6 },
  },
  forbidden_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Skeleton',
  desc = [[Yet an other kind of undead. Their physical 'body' is not very vulnerable to sharp things.]],
  name_mod = 'prefix',
  copy = {
    resolvers.birth_mana_mult(0.70),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-500 },
      MAGIC_DEVICE = { base_adj=-500 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=800 },
    },
    flags = {
      UNDEAD = true,
      NO_CUT = true,
      NO_FOOD = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SEE_INVIS', 'HOLD_LIFE', 'RES_POIS', 'RES_SHARDS' } },
      [10] = { flags = { 'RES_COLD' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    xp_mult = 45,
    infravision = 1,
    luck = -3,
    adj_stat = { INT = -2, WIS = -2, CON = 1, CHA = -4 },
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Zombie',
  desc = [[Strong and dumb is a zombie.]],
  name_mod = 'prefix',
  copy = {
    resolvers.birth_mana_mult(0.70),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-200 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=-1000 },
      SNEAKINESS = { base_adj=-100 },
      WEAPONMASTERY = { base_adj=500 },
    },
    flags = {
      UNDEAD = true,
      NO_FOOD = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SEE_INVIS', 'HOLD_LIFE', 'SLOW_DIGEST', 'RES_POIS' } },
      [5] = { flags = { 'RES_COLD' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={2,3} },
    },
  },
  copy_add = {
    hit_die = 3,
    xp_mult = 45,
    infravision = 1,
    luck = -4,
    adj_stat = { STR = 2, INT = -6, WIS = -6, DEX = 1, CON = 4, CHA = -5 },
  },
  forbidden_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Barbarian',
  desc = [[Hardy members of their race, they are strong fighters but poor spellcasters.]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(0.50),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=-200 },
      MAGIC_DEVICE = { base_adj=-1000 },
      SPIRITUALITY = { base_adj=200 },
      STEALTH = { base_adj=-2000 },
      WEAPONMASTERY = { base_adj=1200 },
      ARCHERY = { base_adj=500 },
    },
    resolvers.birth_gain_at_lev {
      [10] = { flags = { 'RES_FEAR' } },
    },
  },
  copy_add = {
    hit_die = 1,
    xp_mult = 25,
    luck = 1,
    adj_stat = { STR = 2, INT = -3, WIS = -2, DEX = 1, CON = 1, CHA = -3 },
  },
  forbidden_classes = {
    ['Mage'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'Hermit',
  desc = [[Through years of isolation hermits can manage to increase their mana reserves but at the cost of an increased physical weakness.]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(1.20),
    resolvers.birth_skill_adj {
      DISARMING = { base_adj=500 },
      MAGIC_DEVICE = { base_adj=1000 },
      SPIRITUALITY = { base_adj=500 },
      STEALTH = { base_adj=3000 },
      SNEAKINESS = { base_adj=400 },
      WEAPONMASTERY = { base_adj=-500 },
      ARCHERY = { base_adj=-500 },
    },
  },
  copy_add = {
    hit_die = -3,
    xp_mult = 20,
    infravision = 1,
    adj_stat = { STR = -3, INT = 1, WIS = 1, DEX = -3, CON = -3, CHA = 1 },
  },
  forbidden_classes = {
    ['Warrior'] = true,
    ['Archer'] = true,
  },
}

newBirthDescriptor {
  type = 'subrace',
  name = 'LostSoul',
  desc = [[In some very rare occasions souls can come back from the Halls of Mandos.]],
  name_mod = 'suffix',
  copy = {
    resolvers.birth_mana_mult(1.00),
    flags = {
      ASTRAL = true,
      NO_SUBRACE_CHANGE = true,
    },
    resolvers.birth_gain_at_lev {
      [1] = { flags = { 'SEE_INVIS' } },
    },
    resolvers.birth_equip {
      full_id=true,
      { name='SCRL_SATISFY_HUNGER', qty={25,2} },
      { name='SCRL_IDENTIFY', qty={25,3} },
    },
  },
}
