local AttackType = require 'mod.class.AttackType'

local bodies = {
  humanoid = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  quadruped = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  snake = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  none = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=0, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
}

newEntity {
  define_as = 'PLAYER',
  name = [[Player]],
  display = '@',
  color = colors.C_w,
  desc = [[You, under the hood.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 0,
  max_life = resolvers.dice(1, 1),
  flags = {
    SPECIAL_GENE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  body = bodies.humanoid,
  speed = 0,
  vision = 0,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRIP_FARMER_MAGGOT_S_DOG',
  name = [[Grip, Farmer Maggot's dog]],
  display = 'C',
  color = colors.C_w,
  desc = [[A rather vicious dog belonging to Farmer Maggot. It thinks you are stealing mushrooms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 30,
  max_life = 35,
  level = 2,
  exp_worth = 30,
  unique = true,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    BASH_DOOR = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WOLF_FARMER_MAGGOT_S_DOG',
  name = [[Wolf, Farmer Maggot's dog]],
  display = 'C',
  color = colors.C_w,
  desc = [[A rather vicious dog belonging to Farmer Maggot. It thinks you are stealing mushrooms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 30,
  max_life = 35,
  level = 2,
  exp_worth = 30,
  unique = true,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    BASH_DOOR = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FANG_FARMER_MAGGOT_S_DOG',
  name = [[Fang, Farmer Maggot's dog]],
  display = 'C',
  color = colors.C_w,
  desc = [[A rather vicious dog belonging to Farmer Maggot. It thinks you are stealing mushrooms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 30,
  max_life = 35,
  level = 2,
  exp_worth = 30,
  unique = true,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    BASH_DOOR = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LAGDUF_THE_SNAGA',
  name = [[Lagduf, the Snaga]],
  display = 'o',
  color = colors.C_y,
  desc = [[A captain of a regiment of weaker orcs, Lagduf keeps his troop in order with displays of excessive violence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 32,
  max_life = 220,
  level = 8,
  exp_worth = 80,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OLD_MAN_WILLOW',
  name = [[Old Man Willow]],
  display = '#',
  color = colors.C_s,
  desc = [[The ancient grey willow tree, ruler of the Old Forest. He despises trespassers in his territory.  "...a huge willow-tree, old and hoary. Enormous it looked, its sprawling branches going up like racing arms with may long-fingered hands, its knotted and twisted trunk gaping in wide fissures that creaked faintly as the boughs moved."]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 20,
  max_life = 960,
  level = 25,
  exp_worth = 150,
  unique = true,
  flags = {
    SPECIAL_GENE = true,
    SUSCEP_FIRE = true,
    DROP_RANDART = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_WATE = true,
    ONLY_ITEM = true,
    NEVER_MOVE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    ANIMAL = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_1D2 = true,
    COLD_BLOOD = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,14} },
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,14} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,12} },
  },
  spells = {
    TELE_TO = true,
    HOLD = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHAGRAT_THE_ORC_CAPTAIN',
  name = [[Shagrat, the Orc Captain]],
  display = 'o',
  color = colors.C_g,
  desc = [[He is an orc of power and great cunning, leader of the garrison at Cirith Ungol.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 420,
  level = 19,
  exp_worth = 400,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BOLG_SON_OF_AZOG',
  name = [[Bolg, Son of Azog]],
  display = 'o',
  color = colors.C_v,
  desc = [[A large and powerful orc, he looks just like his father. He is tall and fast, but fortunately blessed with orcish brains.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 520,
  level = 20,
  exp_worth = 800,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AZOG_KING_OF_THE_URUK_HAI',
  name = [[Azog, King of the Uruk-Hai]],
  display = 'o',
  color = colors.C_v,
  desc = [[He is also known as the King of Khazad-dum. His ego is renowned to be bigger than his head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 940,
  level = 23,
  exp_worth = 1111,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    ESCORTS = true,
    BASH_DOOR = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHELOB_SPIDER_OF_DARKNESS',
  name = [[Shelob, Spider of Darkness]],
  display = 'S',
  color = colors.C_D,
  desc = [[Shelob is an enormous bloated spider, the last daughter of Ungoliant the Unlight.  Her poison is legendary, as is her ego.  She normally guards the pass through Cirith Ungol, but occasionally goes out foraging for food to feed her voracious appetite.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 3500,
  level = 55,
  exp_worth = 27000,
  unique = true,
  flags = {
    SPIDER = true,
    ESCORT = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_RANDART = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    ANIMAL = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    ESCORTS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_1D2 = true,
  },
  drop = { treasure=20, combat=30, magic=40, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={5,6} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={5,6} },
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={5,10} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={5,4} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    TRAPS = true,
    BR_DARK = true,
    BR_POIS = true,
    S_SPIDER = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_WATCHER_IN_THE_WATER',
  name = [[The Watcher in the Water]],
  display = '~',
  color = colors.C_v,
  desc = [[A vile creature which seems to consist mostly of tentacles, it seeks to drag people to their doom in the water.  Few have ever escaped its grasp.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2700,
  level = 45,
  exp_worth = 12000,
  unique = true,
  flags = {
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_RANDART = true,
    UNIQUE = true,
    AQUATIC = true,
    RES_TELE = true,
    RES_WATE = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    DROP_4D2 = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    ANIMAL = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    IM_COLD = true,
    DROP_1D2 = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.CRUSH, dam={8,8} },
    { type=DamageType.POISON, method=AttackType.CRUSH, dam={8,8} },
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={8,8} },
  },
  spells = {
    BA_WATE = true,
    BO_WATE = true,
    HOLD = true,
    BR_POIS = true,
    BO_ICEE = true,
    TELE_TO = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EOL_THE_DARK_ELF',
  name = [[Eol, the Dark Elf]],
  display = 'h',
  color = colors.C_D,
  desc = [[A lord of the Teleri, Eol is a mighty metalsmith, the first one ever to forge weapons of meteorite iron.  His dark countenance glares at you in disdain.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 100,
  max_life = 2400,
  level = 49,
  exp_worth = 25000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    IM_COLD = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=40, magic=40, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  spells = {
    HEAL = true,
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    CAUSE_4 = true,
    DARKNESS = true,
    BA_NETH = true,
    BA_ELEC = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    BO_MANA = true,
    S_MONSTERS = true,
    S_UNDEAD = true,
    S_DRAGON = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULIK_THE_TROLL',
  name = [[Ulik the Troll]],
  display = 'T',
  color = colors.C_v,
  desc = [[Ulik is the strongest troll who has ever lived. He could challenge the immortals and pound them to dust with his great strength.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 3500,
  level = 51,
  exp_worth = 18000,
  unique = true,
  flags = {
    TROLL = true,
    MALE = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    KILL_WALL = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    KILL_BODY = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={20,12} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={20,12} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={6,14} },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THURINGWETHIL_THE_VAMPIRE_MESSENGER',
  name = [[Thuringwethil, the Vampire Messenger]],
  display = 'V',
  color = colors.C_v,
  desc = [[Chief messenger between Sauron and Morgoth, she is the most deadly of her vampire race on Middle-earth.  At first she is charming to meet, but her wings and eyes give away her true form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 145,
  max_life = 5000,
  level = 67,
  exp_worth = 23000,
  unique = true,
  flags = {
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={6,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={6,6} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_NETH = true,
    S_KIN = true,
    S_HI_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TRONE_THE_REBEL_THUNDERLORD',
  name = [[Trone, the Rebel Thunderlord]],
  display = 'B',
  color = colors.C_D,
  desc = [[As the Thunderlords came from afar to help the elves, Trone and his rebel wing came to defend Morgoth! He is an evil and powerful Thunderlord.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 8000,
  level = 72,
  exp_worth = 45000,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    DROP_CHOSEN = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CHARGE, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CHARGE, dam={10,10} },
  },
  spells = {
    TELE_TO = true,
    SCARE = true,
    BR_TIME = true,
    BR_FIRE = true,
    BO_MANA = true,
    S_THUNDERLORD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FEAGWATH_THE_UNDEAD_SORCERER',
  name = [[Feagwath, the Undead Sorcerer]],
  display = 'L',
  color = colors.C_y,
  desc = [[A stench of corruption and decay surrounds this sorcerer, who has clearly risen from the dead to continue his foul plots and schemes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 85,
  max_life = 6000,
  level = 77,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={6,12} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    HOLD = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    TRAPS = true,
    BA_MANA = true,
    BO_MANA = true,
    BA_NETH = true,
    S_MONSTERS = true,
    S_UNDEAD = true,
    S_KIN = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_NECROMANCER_OF_DOL_GULDUR',
  name = [[The Necromancer of Dol Guldur]],
  display = 'p',
  color = colors.C_v,
  desc = [[The dark master of the terrible fortress of southern Mirkwood.  It is rumoured that this is in fact none other than Sauron in disguise: although if this is so, he has yet to reveal his full power - and perhaps will not do so while his deception lasts, in the hope of keeping it going.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 8200,
  level = 75,
  exp_worth = 40000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_POWER, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.BLIND, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={6,8} },
  },
  spells = {
    CAUSE_3 = true,
    TELE_TO = true,
    BA_FIRE = true,
    DRAIN_MANA = true,
    HOLD = true,
    TRAPS = true,
    BA_WATE = true,
    BO_PLAS = true,
    BA_NETH = true,
    BA_MANA = true,
    BA_DARK = true,
    S_HI_UNDEAD = true,
    BA_CHAO = true,
    HAND_DOOM = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 60,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MAEGLIN_THE_TRAITOR_OF_GONDOLIN',
  name = [[Maeglin, the Traitor of Gondolin]],
  display = 'h',
  color = colors.C_D,
  desc = [[The son of Eol the Dark Elf, Maeglin is every bit as evil as his father and more.  His greed for gold led him to betray the Hidden Kingdom of Gondolin to Morgoth's forces.  He is a mighty warrior himself, and some of Morgoth's greatest servants answer to his call.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 6000,
  level = 81,
  exp_worth = 35000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    KILL_WALL = true,
    AI_SPECIAL = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_COLD = true,
    BASH_DOOR = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=30, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
  },
  spells = {
    S_MONSTERS = true,
    S_WRAITH = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_HI_DEMON = true,
    S_UNIQUE = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 220,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DURIN_S_BANE',
  name = [[Durin's Bane]],
  display = 'U',
  color = colors.C_v,
  desc = [[A huge Balrog surrounded by raging pillars of fire, this is indeed a terrible opponent. Wielding a great whip of fire and a blazing sword, his fury blisters your skin and melts your flesh!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 3000,
  level = 50,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    NONLIVING = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    DROP_RANDART = true,
    DEMON = true,
    KILL_WALL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ESCORTS = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={5,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
    S_UNDEAD = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UVATHA_THE_HORSEMAN',
  name = [[Uvatha the Horseman]],
  display = 'W',
  color = colors.C_D,
  desc = [[A tall black Ringwraith, he is a master of horsemanship. He longs to taste your blood.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 60,
  max_life = 2400,
  level = 40,
  exp_worth = 10000,
  unique = true,
  flags = {
    MALE = true,
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    IM_POIS = true,
    NAZGUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    DROP_CHOSEN = true,
    HURT_LITE = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={4,6} },
  },
  body = bodies.none,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_PRINCESS',
  name = [[The Princess]],
  display = 'p',
  color = colors.C_y,
  desc = [[The princess of an unknown kingdom, you need to save her!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 250,
  max_life = 1,
  level = 0,
  exp_worth = 0,
  unique = true,
  flags = {
    MORTAL = true,
    NEVER_BLOW = true,
    NO_TARGET = true,
    NO_DEATH = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    PET = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    GOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=0, combat=0, magic=1, tool=0 },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 40,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MERTON_PROUDFOOT_THE_LOST_HOBBIT',
  name = [[Merton Proudfoot, the lost hobbit]],
  display = 'h',
  color = colors.C_v,
  desc = [[The poor hobbit got lost in the dreadful maze!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 250,
  max_life = 1,
  level = 1,
  exp_worth = 0,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    NO_TARGET = true,
    NEVER_BLOW = true,
    NO_DEATH = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    PET = true,
    NEVER_MOVE = true,
    GOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=1 },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 40,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_WIGHT_KING_OF_THE_BARROW_DOWNS',
  name = [[The Wight-King of the Barrow-downs]],
  display = 'W',
  color = colors.C_v,
  desc = [[He has lived in the Barrow-Downs for centuries after his first death at the hands of the Witch-King of Angmar.  A once loyal captain under the Witch-King's command, he now awaits a time when his undead forces shall rise again to avenge their deaths.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 22,
  ac = 45,
  max_life = 836,
  level = 46,
  exp_worth = 22000,
  unique = true,
  flags = {
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    CAN_SWIM = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HURT_LITE = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=15, combat=55, magic=15, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,10} },
    { type=DamageType.PARALYZE, method=AttackType.WAIL, dam={2,6} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={4,8} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={4,8} },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BA_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ADVENTURER',
  name = [[Adventurer]],
  display = '@',
  color = colors.C_U,
  desc = [[A great warrior.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 50,
  max_life = 60,
  level = 0,
  exp_worth = 0,
  flags = {
    NO_SLEEP = true,
    CAN_SWIM = true,
    SMART = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    SPECIAL_GENE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.PUNCH, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={1,8} },
  },
  speed = 5,
  vision = 50,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AR_PHARAZON_THE_GOLDEN',
  name = [[Ar-Pharazon the Golden]],
  display = 'p',
  color = colors.C_y,
  desc = [[Last and proudest king of ancient Numenor. Corrupted by power and avarice, he fell victim to Sauron's wiles, tried to fight the immortals themselves, and condemned Numenor to oblivion.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 45,
  max_life = 5000,
  level = 55,
  exp_worth = 2500,
  unique = true,
  flags = {
    DROP_2D2 = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    AQUATIC = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=20, combat=70, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,12} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    TELE_AWAY = true,
    S_MONSTERS = true,
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DOPPELGANGER',
  name = [[Doppelganger]],
  display = '@',
  color = colors.C_w,
  desc = [[It looks like you...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  flags = {
    NEVER_BLOW = true,
    DOPPLEGANGER = true,
    HAS_LITE = true,
    NEVER_MOVE = true,
    BASEANGBAND = true,
    SPECIAL_GENE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  body = bodies.none,
  speed = -109,
  vision = 1,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULFANG_THE_BLACK',
  name = [[Ulfang the Black]],
  display = 'p',
  color = colors.C_U,
  desc = [[A short and swarthy Easterling dressed in black.  He and his three sons once openly swore allegiance to the High Elves, but were secretly in the pay of Morgoth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 2500,
  level = 44,
  exp_worth = 1200,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_RANDART = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
  },
  spells = {
    S_KIN = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_MINOTAUR_OF_THE_LABYRINTH',
  name = [[The Minotaur of the Labyrinth]],
  display = 'H',
  color = colors.C_s,
  desc = [[It is a cross between a human and a bull.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = resolvers.dice(150, 10),
  level = 40,
  exp_worth = 3100,
  unique = true,
  flags = {
    MORTAL = true,
    DROP_SKELETON = true,
    SPECIAL_GENE = true,
    BASH_DOOR = true,
    EVIL = true,
    UNIQUE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={3,6} },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 13,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_SANDWORM_QUEEN',
  name = [[The Sandworm Queen]],
  display = 'w',
  color = colors.C_v,
  desc = [[Queen and mother of the sandworms, fear her and her prolific children.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 40,
  max_life = 600,
  level = 30,
  exp_worth = 12,
  unique = true,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ESCORT = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    ONLY_ITEM = true,
    DROP_GREAT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    IM_ACID = true,
    DROP_GOOD = true,
    ANIMAL = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    REFLECTING = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=60, magic=0, tool=10 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.CLAW, dam={5,4} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={5,4} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,4} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={5,4} },
  },
  spells = {
    BR_POIS = true,
    S_KIN = true,
  },
  body = bodies.snake,
  speed = 10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TIK_SRVZLLAT',
  name = [[Tik'srvzllat]],
  display = 'G',
  color = colors.C_v,
  desc = [[A disembodied and barely sentient mind, Tik'srvzllat floated through the void for eons before being awakened by sorcery, pulled into the nether realm, and shaped into the being you see before you. A flickering purple outline of a sphere, with eerie yellow-purple mist circling rapidly around it, Tik'srvzllat threatens your sanity with its appearance alone.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 18000,
  level = 127,
  exp_worth = 350000,
  unique = true,
  flags = {
    WEIRD_MIND = true,
    PASS_WALL = true,
    IM_FIRE = true,
    AURA_COLD = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    DROP_GOOD = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    RES_NETH = true,
    COLD_BLOOD = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.GAZE, dam={10,10} },
    { type=DamageType.TIME, method=AttackType.GAZE, dam={10,10} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={10,10} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={10,5} },
  },
  spells = {
    S_UNDEAD = true,
    S_DEMON = true,
    S_DRAGON = true,
    S_UNIQUE = true,
    S_WRAITH = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_KIN = true,
    BR_DISE = true,
    BA_NETH = true,
  },
  body = bodies.humanoid,
  speed = 32,
  vision = 200,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_GLASS_GOLEM',
  name = [[The Glass Golem]],
  display = 'g',
  color = colors.C_W,
  desc = [[One of the last creations of the petty dwarves of Ludarin, its existence explains their destruction. A creation of finest glass, the body of this creature bends and amplifies light in a way that makes you unsure of its position. You feel somewhat dizzy as the radiant light reflects off the walls, the ceiling and your gear.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 170,
  max_life = 1500,
  level = 52,
  exp_worth = 2000,
  unique = true,
  flags = {
    NONLIVING = true,
    ESCORT = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    NO_STUN = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    KILL_WALL = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    ESCORTS = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.INSANITY, method=AttackType.HIT, dam={5,6} },
    { type=DamageType.INSANITY, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.INSANITY, method=AttackType.HIT, dam={7,6} },
    { type=DamageType.INSANITY, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    BR_CONF = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_WALL = true,
    S_KIN = true,
    TELE_LEVEL = true,
    SHRIEK = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 200,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_WHITE_BALROG',
  name = [[The White Balrog]],
  display = 'U',
  color = colors.C_W,
  desc = [[It is a massive humanoid demon wreathed in frost, wielding a cruel looking pike in its hands.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2500,
  level = 50,
  exp_worth = 25000,
  unique = true,
  flags = {
    NONLIVING = true,
    DROP_2D2 = true,
    AURA_COLD = true,
    SPECIAL_GENE = true,
    EVIL = true,
    DROP_RANDART = true,
    UNIQUE = true,
    KILL_WALL = true,
    DEMON = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={3,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BRAIN_SMASH = true,
    BR_COLD = true,
    BO_COLD = true,
    BA_NETH = true,
    S_UNDEAD = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOLGARACH_THE_LIVING_ROCK',
  name = [[Golgarach, the Living Rock]],
  display = '#',
  color = colors.C_W,
  desc = [[Deep in the heart of the earth, even the rock itself is sentient and has learned to despise intruders.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 100,
  max_life = resolvers.dice(50, 30),
  level = 45,
  exp_worth = 1500,
  unique = true,
  flags = {
    PASS_WALL = true,
    NONLIVING = true,
    ESCORT = true,
    SPECIAL_GENE = true,
    DROP_RANDART = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=60, combat=0, magic=40, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    S_KIN = true,
    BO_ACID = true,
    BA_FIRE = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MELINDA_PROUDFOOT',
  name = [[Melinda Proudfoot]],
  display = 'h',
  color = colors.C_v,
  desc = [[She seems to seek someone, you may help...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 250,
  max_life = 1,
  level = 1,
  exp_worth = 0,
  unique = true,
  flags = {
    MORTAL = true,
    NO_TARGET = true,
    NEVER_BLOW = true,
    NO_DEATH = true,
    NEUTRAL = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    NEVER_MOVE = true,
    GOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=1 },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 40,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THRAIN_THE_KING_UNDER_THE_MOUNTAIN',
  name = [[Thrain, the King Under the Mountain]],
  display = 'h',
  color = colors.C_B,
  desc = [[He must have suffered horrible tortures...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 250,
  max_life = 1,
  level = 60,
  exp_worth = 0,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    NO_TARGET = true,
    NEVER_BLOW = true,
    NO_DEATH = true,
    NEUTRAL = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    NEVER_MOVE = true,
    GOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=1 },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 40,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_GOLEM',
  name = [[Fire golem]],
  display = 'g',
  color = colors.C_r,
  desc = [[A sentient mass of pure fire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 50,
  max_life = resolvers.dice(3, 20),
  level = 0,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    NONLIVING = true,
    IM_FIRE = true,
    SPECIAL_GENE = true,
    BASH_DOOR = true,
    NO_STUN = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    AI_PLAYER = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={3,6} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 5,
  vision = 50,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MELKOR_LORD_OF_DARKNESS',
  name = [[Melkor, Lord of Darkness]],
  display = 'G',
  color = colors.C_v,
  desc = [[He was the most powerful of the Valar, the equal of Manwe. You banned him here, in the Void, and now you must destroy him forever. However here in the Void, his spirit gained much power for he is closer to the Flame Imperishable. He is coming to you in pure madness, which makes him even more dangerous. You are on the verge of dying!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 300,
  ac = 150,
  max_life = 90000,
  level = 150,
  exp_worth = 60000,
  unique = true,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    NO_STUN = true,
    DROP_3D2 = true,
    KILL_WALL = true,
    RES_TELE = true,
    SMART = true,
    DROP_GREAT = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    REGENERATE = true,
    POWERFUL = true,
    AURA_FIRE = true,
    DROP_1D2 = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    NO_CONF = true,
    MALE = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    KILL_TREES = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_ACID = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    RES_NETH = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    SPIRIT = true,
  },
  drop = { treasure=25, combat=25, magic=25, tool=25 },
  attacks = {
    { type=DamageType.ABOMINATION, method=AttackType.HIT, dam={3,10} },
    { type=DamageType.TIME, method=AttackType.HIT, dam={24,10} },
    { type=DamageType.INSANITY, method=AttackType.HIT, dam={24,10} },
    { type=DamageType.LOSE_ALL, method=AttackType.HIT, dam={24,10} },
  },
  spells = {
    BRAIN_SMASH = true,
    BA_MANA = true,
    BO_MANA = true,
    BA_NETH = true,
    BA_CHAO = true,
    BA_DARK = true,
    ANIM_DEAD = true,
    S_KIN = true,
    S_MONSTERS = true,
    S_UNIQUE = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    BR_NETH = true,
    BR_DISI = true,
    HAND_DOOM = true,
    S_WRAITH = true,
    HEAL = true,
    BRAIN_SMASH = true,
    DRAIN_MANA = true,
    TELE_TO = true,
    DARKNESS = true,
    SHRIEK = true,
  },
  body = bodies.humanoid,
  speed = 40,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}


-- seen dam types:  ABOMINATION SHATTER INSANITY COLD ELEC BLIND LOSE_STR ACID POISON TIME EXP_80 UN_POWER PARALYZE CONFUSE LOSE_ALL PHYSICAL LOSE_DEX FIRE UN_BONUS
-- seen hit msgs:  PUNCH CRUSH GAZE CLAW CHARGE KICK STING TOUCH WAIL BUTT BITE HIT
-- seen body types:
--    none [0,0,0,0,0,0]:  5 (first seen on Uvatha the Horseman)
--    snake [0,0,0,0,1,0]:  1 (first seen on The Sandworm Queen)
--    quadruped [0,1,0,2,1,0]:  4 (first seen on Grip, Farmer Maggot's dog)
--    0,1,1,2,1,1:  4 (first seen on The Princess)
--    humanoid [1,1,1,2,1,1]:  21 (first seen on Player)
--    3,0,3,6,1,0:  1 (first seen on The Watcher in the Water)
