local AttackType = require 'mod.class.AttackType'

local bodies = {
  humanoid = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  quadruped = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  winged = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newEntity {
  define_as = 'FILTHY_STREET_URCHIN',
  name = [[Filthy street urchin]],
  display = 't',
  color = colors.C_D,
  desc = [[He looks squalid and thoroughly revolting.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 1,
  max_life = resolvers.dice(1, 4),
  rarity = 2,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=1, combat=1, magic=1, tool=1 },
  attacks = {
    { method=AttackType.BEG },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 4,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPARROW',
  name = [[Sparrow]],
  display = 'B',
  color = colors.C_U,
  desc = [[Utterly harmless, except when angry.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 3,
  level = 0,
  exp_worth = 0,
  flags = {
    ANIMAL = true,
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    DROP_SKELETON = true,
    IMPRESED = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  body = bodies.winged,
  speed = 0,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SCRUFFY_LITTLE_DOG',
  name = [[Scruffy little dog]],
  display = 'C',
  color = colors.C_U,
  desc = [[A thin flea-ridden mutt, growling as you get close.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 1,
  max_life = resolvers.dice(1, 3),
  rarity = 3,
  level = 0,
  exp_worth = 0,
  flags = {
    ANIMAL = true,
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FARMER_MAGGOT',
  name = [[Farmer Maggot]],
  display = 'h',
  color = colors.C_w,
  desc = [[He's lost his dogs. He's had his mushrooms stolen. He's not a happy hobbit!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 10,
  max_life = 350,
  level = 0,
  exp_worth = 0,
  unique = true,
  flags = {
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    NO_DEATH = true,
    SPECIAL_GENE = true,
    UNIQUE = true,
    NEVER_MOVE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    WILD_TOWN = true,
    NO_TARGET = true,
    NEUTRAL = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 40,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUBBERING_IDIOT',
  name = [[Blubbering idiot]],
  display = 't',
  color = colors.C_W,
  desc = [[He tends to blubber a lot.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 1,
  max_life = resolvers.dice(1, 2),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.DROOL },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 6,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BOIL_COVERED_WRETCH',
  name = [[Boil-covered wretch]],
  display = 't',
  color = colors.C_g,
  desc = [[Ugly doesn't begin to describe him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 1,
  max_life = resolvers.dice(1, 2),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.DROOL },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 6,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VILLAGE_IDIOT',
  name = [[Village idiot]],
  display = 't',
  color = colors.C_G,
  desc = [[Drooling and comical, but then, what do you expect?]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 1,
  max_life = resolvers.dice(4, 4),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.DROOL },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 6,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PITIFUL_LOOKING_BEGGAR',
  name = [[Pitiful-looking beggar]],
  display = 't',
  color = colors.C_U,
  desc = [[You just can't help feeling sorry for him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 1,
  max_life = resolvers.dice(1, 4),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.BEG },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MANGY_LOOKING_LEPER',
  name = [[Mangy-looking leper]],
  display = 't',
  color = colors.C_u,
  desc = [[You feel it isn't safe to touch him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.BEG },
    { type=DamageType.DISEASE, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SINGING_HAPPY_DRUNK',
  name = [[Singing, happy drunk]],
  display = 't',
  color = colors.C_y,
  desc = [[He makes you glad to be sober.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 1,
  max_life = resolvers.dice(2, 3),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { method=AttackType.BEG },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AIMLESS_LOOKING_MERCHANT',
  name = [[Aimless-looking merchant]],
  display = 't',
  color = colors.C_o,
  desc = [[The typical ponce around town, with purse jingling, and looking for more amulets of adornment to buy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 1,
  max_life = resolvers.dice(3, 3),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,3} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BATTLE_SCARRED_VETERAN',
  name = [[Battle-scarred veteran]],
  display = 't',
  color = colors.C_B,
  desc = [[He doesn't take to strangers kindly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(7, 8),
  rarity = 1,
  level = 0,
  exp_worth = 0,
  flags = {
    WILD_TOWN = true,
    MORTAL = true,
    WILD_ONLY = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_90 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=50, magic=25, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 250,
  resolvers.mon_global_speed()
}


-- seen dam types:  PHYSICAL DISEASE EAT_GOLD
-- seen hit msgs:  DROOL TOUCH BEG HIT BITE
-- seen body types:
--    quadruped [0,1,0,2,1,0]:  1 (first seen on Scruffy little dog)
--    winged [0,1,1,0,1,0]:  1 (first seen on Sparrow)
--    0,1,1,2,1,1:  1 (first seen on Farmer Maggot)
--    humanoid [1,1,1,2,1,1]:  9 (first seen on Filthy street urchin)
