-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'AMULET_BASE',
  define_as = 'TORIS_MEJISTOS_BASE',
  name = 'TORIS_MEJISTOS_BASE',
  display_name = '& Blue Stone~',
  color = colors.C_B,
  cost = 90000,
  insta_art = true,
  special_gene = true,
  sval = 18,
  level = 60,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_BRILLIANCE',
  name = 'AMULET_BRILLIANCE',
  display_name = 'Brilliance',
  color = colors.C_d,
  cost = 1000,
  flags = { INT=1, WIS=1, HIDE_TYPE=1 },
  lite = 1,
  sval = 6,
  level = 50,
  desc = 'This talisman grants a sharper wit, greater insight and brightness to light dark places.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_CHARISMA',
  name = 'AMULET_CHARISMA',
  display_name = 'Charisma',
  color = colors.C_d,
  cost = 500,
  flags = { CHR=1, HIDE_TYPE=1 },
  obvious_flags = { CHR=1 },
  sval = 7,
  level = 30,
  desc = 'This amulet grants beauty beyond mere looks.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_SEARCHING',
  name = 'AMULET_SEARCHING',
  display_name = 'Searching',
  color = colors.C_d,
  cost = 600,
  flags = { SEARCH=1, HIDE_TYPE=1 },
  obvious_flags = { SEARCH=1 },
  sval = 5,
  level = 15,
  desc = 'This amulet grants keen sight, finding things that are hidden.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_TELEPORTATION',
  name = 'AMULET_TELEPORTATION',
  display_name = 'Teleportation',
  color = colors.C_d,
  cost = 250,
  flags = { CURSED=1, TELEPORT=1, EASY_KNOW=1 },
  obvious_flags = { TELEPORT=1 },
  sval = 1,
  level = 10,
  desc = 'This amulet nastily throws you all over the place.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_SLOW_DIGESTION',
  name = 'AMULET_SLOW_DIGESTION',
  display_name = 'Slow Digestion',
  color = colors.C_d,
  cost = 200,
  flags = { SLOW_DIGEST=1, EASY_KNOW=1 },
  obvious_flags = { SLOW_DIGEST=1 },
  sval = 3,
  level = 15,
  desc = 'This talisman will make you hungry less quickly when worn.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_ACID_RESISTANCE',
  name = 'AMULET_ACID_RESISTANCE',
  display_name = 'Acid Resistance',
  color = colors.C_d,
  cost = 250,
  flags = { RES_ACID=1, IGNORE_ACID=1, EASY_KNOW=1 },
  obvious_flags = { RES_ACID=1 },
  sval = 4,
  level = 10,
  desc = 'This magical talisman will make the corroding forces of acid less threatening to your health.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_ADORNMENT',
  name = 'AMULET_ADORNMENT',
  display_name = 'Adornment',
  color = colors.C_d,
  cost = 20,
  flags = { EASY_KNOW=1 },
  sval = 2,
  level = 10,
  desc = 'This amulet is not magical. It just looks good.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_THE_MAGI',
  name = 'AMULET_THE_MAGI',
  display_name = 'the Magi',
  color = colors.C_d,
  cost = 30000,
  combat = { 0, 0, -4, -4 },
  flags = { INT=1, SUST_INT=1, SEARCH=1, SPELL_CONTAIN=1, WIELD_CAST=1, FREE_ACT=1, RES_BLIND=1, RES_CONF=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 8,
  level = 70,
  desc = 'This rare amulet is highly desirable for mages, as it makes its wearer smarter, more attentive and impervious to magics which would make their own magic-use impossible.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_DOOM',
  name = 'AMULET_DOOM',
  display_name = 'Doom',
  color = colors.C_d,
  cost = 0,
  flags = { CURSED=1, STR=1, INT=1, WIS=1, DEX=1, CON=1, CHR=1, HIDE_TYPE=1, AUTO_CURSE=1, CURSE_NO_DROP=1 },
  sval = 0,
  level = 50,
  desc = 'This wicked amulet will drain all your abilities, turning you into a mere shadow of yourself. It is exceedingly hard to get rid of.',
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_SPELL',
  name = 'AMULET_SPELL',
  display_name = 'Spell',
  color = colors.C_d,
  cost = 1000,
  flags = { SPELL_CONTAIN=1, WIELD_CAST=1 },
  obvious_flags = { SPELL_CONTAIN=1 },
  sval = 27,
  level = 10,
  desc = 'This amulet is a container for spells. Those that are skilled in copying spells can inscribe a spell into it.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_LIGHTNING_RESISTANCE',
  name = 'AMULET_LIGHTNING_RESISTANCE',
  display_name = 'Lightning Resistance',
  color = colors.C_d,
  cost = 250,
  flags = { RES_ELEC=1, IGNORE_ELEC=1, EASY_KNOW=1 },
  obvious_flags = { RES_ELEC=1 },
  sval = 29,
  level = 10,
  desc = 'This amulet will protect you from electrical discharges and storms.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_WISDOM',
  name = 'AMULET_WISDOM',
  display_name = 'Wisdom',
  color = colors.C_d,
  cost = 500,
  flags = { WIS=1, SUST_WIS=1, HIDE_TYPE=1 },
  obvious_flags = { WIS=1 },
  sval = 28,
  level = 30,
  desc = 'This magical amulet will magically make you wiser, and fend off attacks that would reduce your wisdom. Beware: if cursed, the amulet will do the opposite.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_REGENERATION',
  name = 'AMULET_REGENERATION',
  display_name = 'Regeneration',
  color = colors.C_d,
  cost = 600,
  flags = { REGEN=1, EASY_KNOW=1 },
  obvious_flags = { REGEN=1 },
  sval = 30,
  level = 30,
  desc = [[Wearing this amulet will trigger your body's regenerational processes quicker and make them proceed faster.]],
  allocation = '30/3',
  level_range = { 30, 30 },
  rarity = 3,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_INFRAVISION',
  name = 'AMULET_INFRAVISION',
  display_name = 'Infravision',
  color = colors.C_d,
  cost = 200,
  flags = { INFRA=1, HIDE_TYPE=1 },
  obvious_flags = { INFRA=1 },
  sval = 26,
  level = 10,
  desc = 'This amulet will increase your ability to sense warm-blooded creatures in your vicinity. Beware: if cursed, it will do just the opposite.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_DEVOTION',
  name = 'AMULET_DEVOTION',
  display_name = 'Devotion',
  color = colors.C_d,
  cost = 30000,
  flags = { WIS=1, CHR=1, SUST_WIS=1, SUST_CHR=1, HIDE_TYPE=1, RES_DARK=1, RES_LITE=1, RES_FIRE=1, HOLD_LIFE=1 },
  lite = 1,
  sval = 25,
  level = 70,
  desc = 'This blessed amulet will protect your wisdom and charms from diminishing, often adding to them as well. It also grants some extra protective magics by the grace of the Valar.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_WEAPONMASTERY',
  name = 'AMULET_WEAPONMASTERY',
  display_name = 'Weaponmastery',
  color = colors.C_d,
  cost = 30000,
  flags = { STR=1, CON=1, SUST_STR=1, SUST_CON=1, FREE_ACT=1, HIDE_TYPE=1, RES_FEAR=1, RES_DISEN=1 },
  sval = 24,
  level = 70,
  desc = 'The ultimate amulet for a warrior, it will grant protection in the face of some evil magics, protect your strength and health, also increasing them. Beware: if cursed, the amulet will sap your strength and health instead.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_TRICKERY',
  name = 'AMULET_TRICKERY',
  display_name = 'Trickery',
  color = colors.C_d,
  cost = 30000,
  flags = { DEX=1, SUST_DEX=1, STEALTH=1, SPEED=1, INFRA=1, HIDE_TYPE=1, RES_NEXUS=1, RES_POIS=1 },
  sval = 23,
  level = 70,
  desc = 'The ultimate amulet for a rogue or assassin, it protects the wearer against some evil magics, granting improvements in the abilities vital to these adventurers. Beware: if cursed, the amulet will do just the opposite.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_TELEPATHY',
  name = 'AMULET_TELEPATHY',
  display_name = 'Telepathy',
  color = colors.C_d,
  cost = 25000,
  flags = { ESP_ALL=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { ESP_ALL=1 },
  sval = 22,
  level = 50,
  desc = 'This rare and powerful amulet lays bare the minds of monsters before the wearer.',
  allocation = '50/6',
  level_range = { 50, 50 },
  rarity = 6,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_SUSTENANCE',
  name = 'AMULET_SUSTENANCE',
  display_name = 'Sustenance',
  color = colors.C_d,
  cost = 20000,
  flags = { SUST_STR=1, SUST_INT=1, SUST_WIS=1, SUST_DEX=1, SUST_CON=1, SUST_CHR=1, HOLD_LIFE=1, SLOW_DIGEST=1, EASY_KNOW=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 21,
  level = 60,
  desc = 'This blessed amulet will make the wearer impervious to evil magics that would sap innate abilities. It also slows down the digestive system, making food less necessary on long journeys.',
  allocation = '60/4',
  level_range = { 60, 60 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'ELESSAR_BASE',
  name = 'ELESSAR_BASE',
  display_name = '& Elfstone~',
  color = colors.C_g,
  cost = 50000,
  insta_art = true,
  sval = 19,
  level = 60,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'EVENSTAR_BASE',
  name = 'EVENSTAR_BASE',
  display_name = '& Jewel~',
  color = colors.C_w,
  cost = 35000,
  insta_art = true,
  sval = 20,
  level = 50,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'CARLAMMAS_BASE',
  name = 'CARLAMMAS_BASE',
  display_name = '& Amulet~',
  color = colors.C_d,
  cost = 60000,
  insta_art = true,
  sval = 10,
  level = 50,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'INGWE_BASE',
  name = 'INGWE_BASE',
  display_name = '& Amulet~',
  color = colors.C_d,
  cost = 90000,
  insta_art = true,
  sval = 11,
  level = 60,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'NAUGLAMIR_BASE',
  name = 'NAUGLAMIR_BASE',
  display_name = '& Necklace~',
  color = colors.C_d,
  cost = 75000,
  insta_art = true,
  sval = 12,
  level = 70,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_REFLECTION',
  name = 'AMULET_REFLECTION',
  display_name = 'Reflection',
  color = colors.C_d,
  cost = 30000,
  flags = { REFLECT=1, EASY_KNOW=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { REFLECT=1 },
  sval = 9,
  level = 60,
  desc = 'This wondrous amulet will magically make the wearer reflect arrows and bolts launched by adversaries.',
  allocation = '60/4',
  level_range = { 60, 60 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_ANTI_MAGIC',
  name = 'AMULET_ANTI_MAGIC',
  display_name = 'Anti-Magic',
  color = colors.C_d,
  cost = 30000,
  flags = { NO_MAGIC=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { NO_MAGIC=1 },
  sval = 13,
  level = 40,
  desc = 'This amulet wards off magic of any kind, good or bad.',
  allocation = '40/4',
  level_range = { 40, 40 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_ANTI_TELEPORTATION',
  name = 'AMULET_ANTI_TELEPORTATION',
  display_name = 'Anti-Teleportation',
  color = colors.C_d,
  cost = 15000,
  flags = { NO_TELE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { NO_TELE=1 },
  sval = 14,
  level = 30,
  desc = 'This amulet will prevent the space-time continuum from being disrupted around the wearer.',
  allocation = '30/4',
  level_range = { 30, 30 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_RESISTANCE',
  name = 'AMULET_RESISTANCE',
  display_name = 'Resistance',
  color = colors.C_d,
  cost = 25000,
  flags = { RES_ACID=1, RES_ELEC=1, RES_FIRE=1, RES_COLD=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_ACID=1, RES_ELEC=1, RES_FIRE=1, RES_COLD=1 },
  sval = 15,
  level = 50,
  desc = 'This amulet will make the wearer resist the elements.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_NOTHING',
  name = 'AMULET_NOTHING',
  display_name = 'Nothing',
  color = colors.C_d,
  cost = 20,
  combat = { 1, 1, 0, 0 },
  sval = 16,
  level = 10,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'AMULET_BASE',
  define_as = 'AMULET_THE_SERPENTS',
  name = 'AMULET_THE_SERPENTS',
  display_name = 'the Serpents',
  color = colors.C_G,
  cost = 10000,
  flags = { RES_POIS=1, DEX=1, ACTIVATE=1 },
  sval = 17,
  activation = 'HARDCORE=BA_POIS_4',
  level = 25,
  desc = [[A petrified serpent's tongue, hung on a thin chain to be clasped around your neck. It makes you like unto snakes, able to wriggle out of tight corners, impervious to poisons and poisonous yourself.]],
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}
-- 31 total items
-- color:  colors.C_B=1; colors.C_G=1; colors.C_d=27; colors.C_g=1; colors.C_w=1
-- cost:  0=1; 1000=2; 10000=1; 15000=1; 20=2; 200=2; 20000=1; 250=3; 25000=2; 30000=6; 35000=1; 500=2; 50000=1; 600=2; 60000=1; 75000=1; 90000=2
-- activation:  HARDCORE=BA_POIS_4=1
-- level:  10=7; 15=2; 25=1; 30=4; 40=1; 50=6; 60=5; 70=5
