-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

-- Check that monster-based objects have the same associated monster
local function same_mon(o1, o1)
  -- TODO Actually implement this.
  return false
end

newEntity {
  define_as = 'IRON_SPIKE',
  name = 'IRON_SPIKE',
  display_name = '& Iron Spike~',
  type = 'misc',
  subtype = 'spike',
  display = '~',
  color = colors.C_W,
  weight = 1,
  encumber = 1,
  cost = 1,
  combat = { 1, 1, 0, 0 },
  stacking = true,
  desc = 'A small spur of iron. Ramming one between a door and its frame might jam it.',
  extra = 0,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
  adj_pval = 0,
  sval = 0,
  level = 1,
}

newEntity {
  define_as = 'FLASK_OF_OIL',
  name = 'FLASK_OF_OIL',
  display_name = '& Flask~ of oil',
  type = 'misc',
  subtype = 'oil',
  display = '!',
  color = colors.C_y,
  weight = 1,
  encumber = 1,
  cost = 3,
  combat = { 2, 6, 0, 0 },
  stacking = true,
  desc = 'A small clay container, filled with thick oil. The oil is flammable and can be used as lantern fuel.',
  extra = 0,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
  adj_pval = 0,
  sval = 0,
  level = 1,
  pval = 7500,
}

newEntity {
  define_as = 'EMPTY_BOTTLE',
  name = 'EMPTY_BOTTLE',
  display_name = '& Empty Bottle~',
  type = 'misc',
  subtype = 'bottle',
  display = '!',
  color = colors.C_w,
  weight = 0.2,
  encumber = 0.2,
  cost = 1,
  combat = { 1, 1, 0, 0 },
  stacking = true,
  desc = [[A small glass bottle. It's empty.]],
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 1,
  level = 0,
}

newEntity {
  base = 'WEAPON_BASE',
  define_as = 'MAGE_STAFF',
  name = 'MAGE_STAFF',
  display_name = '& Mage Staff~',
  subtype = 'magestaff',
  display = '\\',
  color = colors.C_B,
  weight = 1.2,
  encumber = 1.2,
  cost = 300,
  combat = { 1, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  desc = 'It looks like a simple walking stick, plain and nondescript. In the hands of a spellcaster, it can be a deadly weapon.',
  extra = 0,
  allocation = '5/1:20/1:50/1:80/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 1,
  level = 5,
}

newEntity {
  define_as = 'SYMBIOTE',
  name = 'SYMBIOTE',
  display_name = '& ~',
  type = 'misc',
  subtype = 'symbiote',
  slot = 'SYMBIOTE',
  display = '~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 0,
  combat = { 0, 0, 0, 0 },
  extra = 200,
  allocation = '127/255',
  level_range = { 127, 127 },
  rarity = 255,
  adj_pval = 0,
  sval = 1,
  level = 127,
}

newEntity {
  define_as = 'RANDOM_ARTIFACT',
  name = 'RANDOM_ARTIFACT',
  display_name = 'Random Artifact',
  type = 'misc',
  subtype = 'junkart',
  display = '~',
  color = colors.C_o,
  weight = 5,
  encumber = 5,
  cost = 0,
  insta_art = true,
  flags = { ACTIVATE=1, ACTIVATE_NO_WIELD=1 },
  sval = 0,
  level = 1,
  extra = 0,
  allocation = '1/1:10/1:20/1:30/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  define_as = 'EGG',
  name = 'EGG',
  display_name = 'Egg',
  type = 'misc',
  subtype = 'egg',
  display = ',',
  color = colors.C_W,
  weight = 3,
  encumber = 3,
  cost = 100,
  combat = { 1, 1, 0, 0 },
  flags = { ACTIVATE=1, ACTIVATE_NO_WIELD=1 },
  stacking = true,
  check_stack = same_mon,
  extra = 0,
  allocation = '5/1:15/1:25/1:35/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 1,
  level = 5,
}

newEntity {
  base = 'TOOL_BASE',
  define_as = 'CLIMBING_SET',
  name = 'CLIMBING_SET',
  display_name = '& Climbing Set~',
  subtype = 'misc',
  display = '`',
  color = colors.C_B,
  weight = 0.2,
  encumber = 0.2,
  cost = 50000,
  flags = { CLIMB=1 },
  obvious_flags = { CLIMB=1 },
  stacking = true,
  desc = [[A bunch of screws and hooks, a small pick and a very long rope. As long as a wall or rock face isn't really high, this collection of tools should help you across it.]],
  extra = 0,
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
  sval = 0,
  level = 40,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'DEMONBLADE',
  name = 'DEMONBLADE',
  display_name = '& Demonblade~',
  display = '|',
  color = colors.C_R,
  weight = 15,
  encumber = 15,
  cost = 500,
  combat = { 4, 6, 0, 0 },
  flags = { SHOW_MODS=1, SLAY_DEMON=1, WIELD_CAST=1 },
  desc = 'This blade has been taken from the corpse of a demon. Some demonic energy is still coursing through it, helping you slay other demons.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
  is_demongear = true,
  sval = 55,
  level = 10,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'DEMONSHIELD',
  name = 'DEMONSHIELD',
  display_name = '& Demonshield~',
  display = ']',
  color = colors.C_R,
  weight = 7,
  encumber = 7,
  cost = 500,
  flags = { REGEN=1, WIELD_CAST=1 },
  desc = 'This shield has been taken from the corpse of a demon. Some demonic energy is still coursing through it, giving life to any that wield it.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
  is_demongear = true,
  armor = 5,
  sval = 56,
  level = 15,
}

newEntity {
  base = 'HELM_BASE',
  define_as = 'DEMONHORN',
  name = 'DEMONHORN',
  display_name = '& Demonhorn~',
  display = '[',
  color = colors.C_R,
  weight = 3,
  encumber = 3,
  cost = 500,
  flags = { WIELD_CAST=1 },
  lite = 2,
  desc = 'This horn is about six feet long.  Just looking at it makes you nervous.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
  is_demongear = true,
  armor = 2,
  sval = 57,
  level = 20,
}

newEntity {
  define_as = 'PARTIAL_TOTEM',
  name = 'PARTIAL_TOTEM',
  display_name = 'Partial Totem',
  type = 'misc',
  subtype = 'totem',
  display = '"',
  color = colors.C_v,
  weight = 1,
  encumber = 1,
  cost = 120,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  stacking = true,
  check_stack = same_mon,
  desc = 'An item which a Summoner can use to animate a copy of a creature that only exists by the will of its master.',
  extra = 10,
  allocation = '10/200',
  level_range = { 10, 10 },
  rarity = 200,
  adj_pval = 0,
  sval = 1,
  level = 10,
}

newEntity {
  define_as = 'TRUE_TOTEM',
  name = 'TRUE_TOTEM',
  display_name = 'True Totem',
  type = 'misc',
  subtype = 'totem',
  display = '"',
  color = colors.C_v,
  weight = 1,
  encumber = 1,
  cost = 120,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  stacking = true,
  check_stack = same_mon,
  desc = 'An item which a Summoner can use to revive a true copy of a creature.',
  extra = 10,
  allocation = '10/200',
  level_range = { 10, 10 },
  rarity = 200,
  adj_pval = 0,
  sval = 2,
  level = 10,
}
-- 13 total items
-- type:  misc=8
-- subtype:  bottle=1; egg=1; junkart=1; magestaff=1; misc=1; oil=1; spike=1; symbiote=1; totem=2
-- slot:  SYMBIOTE=1
-- display:  !=2; "=2; ,=1; [=1; \\=1; ]=1; `=1; |=1; ~=3
-- color:  colors.C_B=2; colors.C_R=3; colors.C_W=2; colors.C_o=1; colors.C_v=2; colors.C_w=1; colors.C_y=2
-- weight:  10=4; 12=1; 150=1; 2=2; 30=2; 50=1; 60=1; 70=1
-- cost:  0=2; 1=2; 100=1; 120=2; 3=1; 300=1; 500=3; 50000=1
-- stacking:  same_mon=3; true=4
-- extra:  0=7; 10=2; 200=1
-- adj_pval:  0=8
-- armor:  2=1; 5=1
-- is_demongear:  true=3
-- level:  0=1; 1=3; 10=3; 127=1; 15=1; 20=1; 40=1; 5=2
-- pval:  7500=1
