-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'AXE_BASE',
  define_as = 'GREAT_AXE',
  name = 'GREAT_AXE',
  display_name = '& Great Axe~',
  weight = 23,
  encumber = 23,
  cost = 500,
  combat = { 4, 4, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  adj_pval = 0,
  sval = 25,
  level = 40,
  desc = 'A huge and heavy two-headed axe.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'AXE_BASE',
  define_as = 'BROAD_AXE',
  name = 'BROAD_AXE',
  display_name = '& Broad Axe~',
  weight = 16,
  encumber = 16,
  cost = 304,
  combat = { 2, 6, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  adj_pval = 0,
  sval = 11,
  level = 15,
  desc = 'A one-headed axe made for combat, with an elongated moon-shaped blade.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'AXE_BASE',
  define_as = 'HATCHET',
  name = 'HATCHET',
  display_name = '& Hatchet~',
  weight = 6,
  encumber = 6,
  cost = 120,
  combat = { 1, 5, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  adj_pval = 0,
  sval = 1,
  level = 10,
  desc = 'This is a large axe that could be wielded in one or two hands.  It has a single blade with a pick on the reverse, designed for armour piercing.',
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'AXE_BASE',
  define_as = 'CLEAVER',
  name = 'CLEAVER',
  display_name = '& Cleaver~',
  weight = 11,
  encumber = 11,
  cost = 175,
  combat = { 2, 4, 0, 0 },
  flags = { SHOW_MODS=1 },
  adj_pval = 0,
  sval = 2,
  level = 13,
  desc = 'A small axe with a heavy rectangular blade.',
  allocation = '13/1',
  level_range = { 13, 13 },
  rarity = 1,
}

newEntity {
  base = 'AXE_BASE',
  define_as = 'LIGHT_WAR_AXE',
  name = 'LIGHT_WAR_AXE',
  display_name = '& Light War Axe~',
  weight = 14,
  encumber = 14,
  cost = 300,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1 },
  adj_pval = 0,
  sval = 8,
  level = 16,
  desc = 'A broad-bladed axe, suited for battle.',
  allocation = '16/1',
  level_range = { 16, 16 },
  rarity = 1,
}

newEntity {
  base = 'AXE_BASE',
  define_as = 'SLAUGHTER_AXE',
  name = 'SLAUGHTER_AXE',
  display_name = '& Slaughter Axe~',
  color = colors.C_G,
  weight = 30,
  encumber = 30,
  cost = 6000,
  combat = { 5, 7, 0, 0 },
  flags = { SLAY_ANIMAL=1, SHOW_MODS=1 },
  adj_pval = 0,
  sval = 30,
  level = 70,
  desc = 'A huge axe, the sort used for slaughtering animals, this weapon is unusually deadly against natural creatures.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}
-- 6 total items
-- color:  colors.C_G=1
-- weight:  110=1; 140=1; 160=1; 230=1; 300=1; 60=1
-- cost:  120=1; 175=1; 300=1; 304=1; 500=1; 6000=1
-- adj_pval:  0=6
-- level:  10=1; 13=1; 15=1; 16=1; 40=1; 70=1
