-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_MAGICAL_ENERGY',
  name = 'TOME_OF_MAGICAL_ENERGY',
  display_name = '& Tome~ of Magical Energy',
  color = colors.C_B,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 0,
  level = 50,
  desc = 'The bright blue cover of this tome seems to glow with an inner violet light. You feel more attuned to raw magic as you hold it.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_ETERNAL_FLAME',
  name = 'TOME_OF_THE_ETERNAL_FLAME',
  display_name = '& Tome~ of the Eternal Flame',
  color = colors.C_R,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1, IGNORE_FIRE=1 },
  sval = 1,
  level = 50,
  desc = 'The cover of this tome is bright red, with flickering flames dancing across it once in a while. As you hold it, you begin to gain a much closer knowledge of all that is fiery.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_BLOWING_WIND',
  name = 'TOME_OF_THE_BLOWING_WIND',
  display_name = '& Tome~ of the Blowing Wind',
  color = colors.C_b,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1, IGNORE_ELEC=1 },
  sval = 2,
  level = 50,
  desc = 'The pages of this tome have a tendency to turn themselves, as though flipped by an errant wind. As you hold it, you start feeling wind at your fingertips.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_IMPENETRABLE_EARTH',
  name = 'TOME_OF_THE_IMPENETRABLE_EARTH',
  display_name = '& Tome~ of the Impenetrable Earth',
  color = colors.C_U,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1, IGNORE_ACID=1 },
  sval = 3,
  level = 50,
  desc = 'The solid leather cover of this tome seems permanently stained with caked mud and grass. Heavy it is to lift, yet strangely comforting to hold - you feel stronger and better supported.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_EVERRUNNING_WAVE',
  name = 'TOME_OF_THE_EVERRUNNING_WAVE',
  display_name = '& Tome~ of the Everrunning Wave',
  color = colors.C_B,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 4,
  level = 50,
  desc = 'The cover and pages of this tome seem to be perpetually wet, though they are not wet to the touch. As you hold it, you begin to understand ocean storms better.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_TRANSLOCATION',
  name = 'TOME_OF_TRANSLOCATION',
  display_name = '& Tome~ of Translocation',
  color = colors.C_B,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 5,
  level = 50,
  desc = [[This book seems to flicker strangely. It's one of those books with an annoying tendency to disappear when you need it and reappear in the unlikeliest places. As you hold it, you start to understand what conveyance really means.]],
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_TREE',
  name = 'TOME_OF_THE_TREE',
  display_name = '& Tome~ of the Tree',
  color = colors.C_G,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 6,
  level = 50,
  desc = 'The cover of this tome is a bright shade of green, and it gives off a healthy, zesty scent that makes your thoughts clearer. As you hold it, your heart goes out to all living things upon Arda.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_KNOWLEDGE',
  name = 'TOME_OF_KNOWLEDGE',
  display_name = '& Tome~ of Knowledge',
  color = colors.C_D,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 7,
  level = 50,
  desc = 'A thick book with solid leather binding. It looks entirely  unremarkable, but as you hold it, you feel strangely able  to learn the inner workings of things and creatures.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'BOOK_OF_BEGINNER_CANTRIPS',
  name = 'BOOK_OF_BEGINNER_CANTRIPS',
  display_name = '& Book~ of Beginner Cantrips',
  color = colors.C_w,
  cost = 100,
  sval = 50,
  level = 5,
  desc = 'The blood smudged on the cover makes you wonder how many people had it before you...',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'BOOK_OF_TELEPORTATION',
  name = 'BOOK_OF_TELEPORTATION',
  display_name = '& Book~ of Teleportation',
  color = colors.C_w,
  cost = 1000,
  sval = 51,
  level = 10,
  desc = 'A standard spellbook with a few spells.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'BOOK_OF_SUMMONING',
  name = 'BOOK_OF_SUMMONING',
  display_name = '& Book~ of Summoning',
  color = colors.C_w,
  cost = 700,
  sval = 52,
  level = 7,
  desc = 'A standard spellbook with a few spells. It smells like camel.',
  allocation = '7/1',
  level_range = { 7, 7 },
  rarity = 1,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_TIME',
  name = 'TOME_OF_THE_TIME',
  display_name = '& Tome~ of the Time',
  color = colors.C_b,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 8,
  level = 50,
  desc = 'This tome seems to have trouble deciding whether it really exists now. Its flickering pages contain all that is known about the currents of time.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'SPELLBOOK_OF__',
  name = 'SPELLBOOK_OF__',
  display_name = '& Spellbook~ of #',
  color = colors.C_w,
  cost = 200,
  sval = 255,
  level = 10,
  desc = 'This book contains a single spell within its pages.',
  allocation = '10/1:20/1:30/1:40/1:50/1:60/1:70/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_META_SPELLS',
  name = 'TOME_OF_META_SPELLS',
  display_name = '& Tome~ of Meta Spells',
  color = colors.C_v,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1, IGNORE_FIRE=1, ATTR_MULTI=1 },
  sval = 9,
  level = 50,
  desc = 'This tome gives you deeper insights on the works of magic.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_THE_MIND',
  name = 'TOME_OF_THE_MIND',
  display_name = '& Tome~ of the Mind',
  color = colors.C_B,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 10,
  level = 50,
  desc = 'This tome has no pages; knowledge is transferred to you if you simply hold it.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'HOLY_TOME_OF_ERU_ILUVATAR',
  name = 'HOLY_TOME_OF_ERU_ILUVATAR',
  display_name = '& Holy Tome~ of Eru Iluvatar',
  color = colors.C_G,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 20,
  level = 50,
  desc = 'This dusty tome is filled with ancient rituals, designed to uncover all that is hidden.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'HOLY_TOME_OF_MANWE_SULIMO',
  name = 'HOLY_TOME_OF_MANWE_SULIMO',
  display_name = '& Holy Tome~ of Manwe Sulimo',
  color = colors.C_B,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 21,
  level = 50,
  desc = 'A large jewel-encrusted tome that transfers wisdom and understanding to its wearer.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'WAR_TOME_OF_TULKAS',
  name = 'WAR_TOME_OF_TULKAS',
  display_name = '& War Tome~ of Tulkas',
  color = colors.C_R,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 22,
  level = 50,
  desc = 'This tome fills you with glorious visions of total devastation. Anyone in your way shall be destroyed.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'UNHOLY_TOME_OF_THE_HELLFLAME',
  name = 'UNHOLY_TOME_OF_THE_HELLFLAME',
  display_name = '& Unholy Tome~ of the Hellflame',
  color = colors.C_v,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1, ATTR_MULTI=1 },
  sval = 11,
  level = 50,
  desc = 'This singed book smells like burned flesh.  Its power is as evident as its thirst for your blood.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'CORRUPTED_TOME_OF_MELKOR',
  name = 'CORRUPTED_TOME_OF_MELKOR',
  display_name = '& Corrupted Tome~ of Melkor',
  color = colors.C_D,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 23,
  level = 50,
  desc = 'A black and scarlet flame springs from this tome, issuing a thunderous roar under which you think you hear the screams of tormented souls.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'FOREST_TOME_OF_YAVANNA',
  name = 'FOREST_TOME_OF_YAVANNA',
  display_name = '& Forest Tome~ of Yavanna',
  color = colors.C_G,
  cost = 25000,
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 24,
  level = 50,
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'BOOK_BASE',
  define_as = 'TOME_OF_',
  name = 'TOME_OF_',
  display_name = 'Tome of#',
  color = colors.C_v,
  cost = 25000,
  special_gene = true,
  norm_art = true,
  flags = { FULL_NAME=1, EASY_KNOW=1, ATTR_MULTI=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 61,
  level = 50,
  desc = 'This book has some of your favourite spells inside.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}
-- 22 total items
-- color:  colors.C_B=5; colors.C_D=2; colors.C_G=3; colors.C_R=2; colors.C_U=1; colors.C_b=2; colors.C_v=3; colors.C_w=4
-- cost:  100=1; 1000=1; 200=1; 25000=18; 700=1
-- level:  10=2; 5=1; 50=18; 7=1
