-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'CHEST_BASE',
  define_as = 'SMALL_WOODEN_CHEST',
  name = 'SMALL_WOODEN_CHEST',
  display_name = '& Small wooden chest~',
  weight = 25,
  encumber = 25,
  cost = 20,
  combat = { 2, 3, 0, 0 },
  sval = 1,
  level = 5,
  desc = 'A small wooden box, locked and possibly trapped. You wonder what might be inside.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'LARGE_WOODEN_CHEST',
  name = 'LARGE_WOODEN_CHEST',
  display_name = '& Large wooden chest~',
  weight = 50,
  encumber = 50,
  cost = 60,
  combat = { 2, 5, 0, 0 },
  sval = 5,
  level = 15,
  desc = [[A large wooden box. It doesn't seem to be locked - why not risk a look inside?]],
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'SMALL_IRON_CHEST',
  name = 'SMALL_IRON_CHEST',
  display_name = '& Small iron chest~',
  weight = 30,
  encumber = 30,
  cost = 100,
  combat = { 2, 4, 0, 0 },
  sval = 2,
  level = 25,
  desc = 'A small rectangular container made of wood and reinforced with iron corners and latches.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'LARGE_IRON_CHEST',
  name = 'LARGE_IRON_CHEST',
  display_name = '& Large iron chest~',
  weight = 100,
  encumber = 100,
  cost = 150,
  combat = { 2, 6, 0, 0 },
  sval = 6,
  level = 35,
  desc = 'A big container made of wood, with a heavy iron lock.',
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'SMALL_STEEL_CHEST',
  name = 'SMALL_STEEL_CHEST',
  display_name = '& Small steel chest~',
  weight = 50,
  encumber = 50,
  cost = 200,
  combat = { 2, 4, 0, 0 },
  sval = 3,
  level = 45,
  desc = 'A small wooden box with strong steel locks and reinforcements.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'LARGE_STEEL_CHEST',
  name = 'LARGE_STEEL_CHEST',
  display_name = '& Large steel chest~',
  weight = 100,
  encumber = 100,
  cost = 250,
  combat = { 2, 6, 0, 0 },
  sval = 7,
  level = 55,
  desc = [[A nearly indestructible chest of wood and steel. The lock doesn't look impenetrable, but it might be trapped.]],
  allocation = '55/1',
  level_range = { 55, 55 },
  rarity = 1,
}

newEntity {
  base = 'CHEST_BASE',
  define_as = 'RUINED_CHEST',
  name = 'RUINED_CHEST',
  display_name = '& Ruined chest~',
  weight = 25,
  encumber = 25,
  cost = 0,
  sval = 0,
  level = 0,
  desc = 'A broken, empty chest.',
  allocation = '75/1',
  level_range = { 75, 75 },
  rarity = 1,
}
-- 7 total items
-- weight:  1000=2; 250=2; 300=1; 500=2
-- cost:  0=1; 100=1; 150=1; 20=1; 200=1; 250=1; 60=1
-- level:  0=1; 15=1; 25=1; 35=1; 45=1; 5=1; 55=1
