-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'CLOAK_BASE',
  define_as = 'ELVEN_CLOAK',
  name = 'ELVEN_CLOAK',
  display_name = '& Elven Cloak~',
  color = colors.C_G,
  weight = 0.5,
  encumber = 0.5,
  cost = 1500,
  flags = { IGNORE_ACID=1, IGNORE_COLD=1, IGNORE_FIRE=1, IGNORE_ELEC=1, STEALTH=1, SEARCH=1, LUCK=1 },
  obvious_flags = { STEALTH=1 },
  desc = 'A wonderfully light cloak coloured in brown and green hues. Its colouring greatly helps the wearer to avoid undesired attention. Wearing it makes you feel lucky and somehow you seem to see what was meant to stay unseen.',
  extra = 0,
  allocation = '30/4',
  level_range = { 30, 30 },
  rarity = 4,
  adj_pval = 4,
  armor = 4,
  sval = 2,
  level = 30,
}

newEntity {
  base = 'CLOAK_BASE',
  define_as = 'CLOAK',
  name = 'CLOAK',
  display_name = '& Cloak~',
  color = colors.C_g,
  weight = 1,
  encumber = 1,
  cost = 3,
  adj_pval = 0,
  armor = 1,
  sval = 1,
  level = 1,
  desc = 'A cloth coat typically worn as a loose outer garment. It is spacious enough to be worn even over bulky metal armour.',
  extra = 0,
  allocation = '1/1:20/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'CLOAK_BASE',
  define_as = 'SHADOW_CLOAK',
  name = 'SHADOW_CLOAK',
  display_name = '& Shadow Cloak~',
  color = colors.C_D,
  weight = 0.5,
  encumber = 0.5,
  cost = 7500,
  flags = { RES_DARK=1, RES_LITE=1, STEALTH=1 },
  obvious_flags = { STEALTH=1 },
  desc = 'A rare cloak imbued with magic to radiate a strange twilight, absorbing both extreme brightness and darkness.',
  extra = 0,
  allocation = '75/4',
  level_range = { 75, 75 },
  rarity = 4,
  adj_pval = 4,
  armor = 6,
  sval = 6,
  level = 60,
  pval = 1,
}

newEntity {
  base = 'CLOAK_BASE',
  define_as = 'FUR_CLOAK',
  name = 'FUR_CLOAK',
  display_name = '& Fur Cloak~',
  color = colors.C_W,
  weight = 3,
  encumber = 3,
  cost = 100,
  adj_pval = 0,
  armor = 3,
  sval = 3,
  level = 20,
  desc = 'A coat made from the fur of various wild animals - it is somewhat bulky, but still spacious enough to wear over armour.',
  extra = 0,
  allocation = '20/2:30/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'CLOAK_BASE',
  define_as = '_',
  name = '_',
  display_name = '& #~',
  color = colors.C_y,
  weight = 3,
  encumber = 3,
  cost = 100,
  adj_pval = 0,
  armor = 1,
  sval = 100,
  level = 5,
  desc = 'Combined with proper skill, this cloak can make you seem like a different creature. Otherwise, it just provides some extra protection.',
  extra = 130,
  allocation = '5/1:15/1:35/1:55/1:75/1',
  level_range = { 5, 5 },
  rarity = 1,
}
-- 5 total items
-- color:  colors.C_D=1; colors.C_G=1; colors.C_W=1; colors.C_g=1; colors.C_y=1
-- weight:  10=1; 30=2; 5=2
-- cost:  100=2; 1500=1; 3=1; 7500=1
-- extra:  0=4; 130=1
-- adj_pval:  0=3; 4=2
-- armor:  1=2; 3=1; 4=1; 6=1
-- level:  1=1; 20=1; 30=1; 5=1; 60=1
-- pval:  1=1
