-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'MATTOCK',
  name = 'MATTOCK',
  display_name = '& Mattock~',
  display = '\\',
  color = colors.C_D,
  weight = 25,
  encumber = 25,
  cost = 700,
  combat = { 1, 8, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'This is a digging tool. Use it to dig in walls, destroy doors, or cut wood.',
  allocation = '50/2',
  level_range = { 50, 50 },
  rarity = 2,
  adj_pval = 0,
  sval = 7,
  level = 50,
  pval = 3,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'SHOVEL',
  name = 'SHOVEL',
  display_name = '& Shovel~',
  display = '\\',
  color = colors.C_s,
  weight = 6,
  encumber = 6,
  cost = 10,
  combat = { 1, 2, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'A simple digging tool for shovelling away rubble and maybe even soft rock.',
  allocation = '5/2',
  level_range = { 5, 5 },
  rarity = 2,
  adj_pval = 0,
  sval = 1,
  level = 1,
  pval = 1,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'GNOMISH_SHOVEL',
  name = 'GNOMISH_SHOVEL',
  display_name = '& Gnomish Shovel~',
  display = '\\',
  color = colors.C_G,
  weight = 6,
  encumber = 6,
  cost = 100,
  combat = { 1, 2, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = [[Crafted by the gnomes, its design profits greatly from the gnomes' expertise honed in the burrowing of their hovels.]],
  allocation = '20/3',
  level_range = { 20, 20 },
  rarity = 3,
  adj_pval = 0,
  sval = 2,
  level = 20,
  pval = 2,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'DWARVEN_SHOVEL',
  name = 'DWARVEN_SHOVEL',
  display_name = '& Dwarven Shovel~',
  display = '\\',
  color = colors.C_B,
  weight = 12,
  encumber = 12,
  cost = 200,
  combat = { 1, 3, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'The lighter digging tool used by dwarves to remove debris, but also good enough to clear away bits of rock when no pick is easily available.',
  allocation = '40/4',
  level_range = { 40, 40 },
  rarity = 4,
  adj_pval = 0,
  sval = 3,
  level = 40,
  pval = 3,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'PICK',
  name = 'PICK',
  display_name = '& Pick~',
  display = '\\',
  color = colors.C_s,
  weight = 15,
  encumber = 15,
  cost = 50,
  combat = { 1, 3, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'A heavy digging tool, primarily for earthworking, but also good for tunnelling through stone, if one is willing to perform the time-consuming labour.',
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
  adj_pval = 0,
  sval = 4,
  level = 5,
  pval = 1,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'ORCISH_PICK',
  name = 'ORCISH_PICK',
  display_name = '& Orcish Pick~',
  display = '\\',
  color = colors.C_g,
  weight = 18,
  encumber = 18,
  cost = 300,
  combat = { 1, 3, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'Although orcs tend to dig rather untidy mines and overcome difficulties in this work less by skill than mere stubbornness, they have amassed quite some expertise in mining, which has gone into this digging tool.',
  allocation = '30/3',
  level_range = { 30, 30 },
  rarity = 3,
  adj_pval = 0,
  sval = 5,
  level = 30,
  pval = 2,
}

newEntity {
  base = 'DIGGER_BASE',
  define_as = 'DWARVEN_PICK',
  name = 'DWARVEN_PICK',
  display_name = '& Dwarven Pick~',
  display = '\\',
  color = colors.C_b,
  weight = 20,
  encumber = 20,
  cost = 600,
  combat = { 1, 4, 0, 0 },
  flags = { TUNNEL=1 },
  obvious_flags = { TUNNEL=1 },
  desc = 'The dwarves, miners of legend, have made this pick, which is so expertly crafted that even weaklings can bore through solid rock with it.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
  adj_pval = 0,
  sval = 6,
  level = 50,
  pval = 3,
}
-- 7 total items
-- display:  \\=7
-- color:  colors.C_B=1; colors.C_D=1; colors.C_G=1; colors.C_b=1; colors.C_g=1; colors.C_s=2
-- weight:  120=1; 150=1; 180=1; 200=1; 250=1; 60=2
-- cost:  10=1; 100=1; 200=1; 300=1; 50=1; 600=1; 700=1
-- adj_pval:  0=7
-- level:  1=1; 20=1; 30=1; 40=1; 5=1; 50=2
-- pval:  1=2; 2=2; 3=3
