-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'BLACK_DRAGON_SCALE_MAIL',
  name = 'BLACK_DRAGON_SCALE_MAIL',
  display_name = '& Black Dragon Scale Mail~',
  color = colors.C_s,
  weight = 20,
  encumber = 20,
  cost = 50000,
  flags = { RES_ACID=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_ACID=1 },
  desc = [[An armour made of a black dragon's hide, containing some of this beast's powers.]],
  allocation = '60/8',
  level_range = { 60, 60 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 1,
  activation = 'HARDCORE=BR_ACID',
  level = 60,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'BLUE_DRAGON_SCALE_MAIL',
  name = 'BLUE_DRAGON_SCALE_MAIL',
  display_name = '& Blue Dragon Scale Mail~',
  color = colors.C_b,
  weight = 20,
  encumber = 20,
  cost = 40000,
  flags = { RES_ELEC=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_ELEC=1 },
  desc = 'A piece of dragon hide fashioned into an armour, shimmering bright blue.',
  allocation = '50/8',
  level_range = { 50, 50 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 2,
  activation = 'HARDCORE=BR_ELEC',
  level = 50,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'WHITE_DRAGON_SCALE_MAIL',
  name = 'WHITE_DRAGON_SCALE_MAIL',
  display_name = '& White Dragon Scale Mail~',
  color = colors.C_w,
  weight = 20,
  encumber = 20,
  cost = 40000,
  flags = { RES_COLD=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_COLD=1 },
  desc = 'An armour fashioned from dragon hide, glistening the white of snow.',
  allocation = '50/8',
  level_range = { 50, 50 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 3,
  activation = 'HARDCORE=BR_COLD',
  level = 50,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'RED_DRAGON_SCALE_MAIL',
  name = 'RED_DRAGON_SCALE_MAIL',
  display_name = '& Red Dragon Scale Mail~',
  color = colors.C_r,
  weight = 20,
  encumber = 20,
  cost = 50000,
  flags = { RES_FIRE=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_FIRE=1 },
  desc = 'The skin of a dragon made into a suit of armour. It glows a bright red and radiates heat.',
  allocation = '60/8',
  level_range = { 60, 60 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 4,
  activation = 'HARDCORE=BR_FIRE',
  level = 60,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'GREEN_DRAGON_SCALE_MAIL',
  name = 'GREEN_DRAGON_SCALE_MAIL',
  display_name = '& Green Dragon Scale Mail~',
  color = colors.C_g,
  weight = 20,
  encumber = 20,
  cost = 40000,
  flags = { RES_POIS=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_POIS=1 },
  desc = 'A suit of armour fashioned of dragon hide. It is dirty green and smells awful.',
  allocation = '50/8',
  level_range = { 50, 50 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 5,
  activation = 'HARDCORE=BR_POIS',
  level = 50,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'MULTI_HUED_DRAGON_SCALE_MAIL',
  name = 'MULTI_HUED_DRAGON_SCALE_MAIL',
  display_name = '& Multi-Hued Dragon Scale Mail~',
  color = colors.C_v,
  weight = 20,
  encumber = 20,
  cost = 150000,
  flags = { ATTR_MULTI=1, RES_ACID=1, RES_ELEC=1, RES_FIRE=1, RES_COLD=1, RES_POIS=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_ACID=1, RES_ELEC=1, RES_FIRE=1, RES_COLD=1, RES_POIS=1 },
  desc = 'A powerful armour made of dragonhide. It glows red, blue, green, black and white.',
  allocation = '90/32',
  level_range = { 90, 90 },
  rarity = 32,
  adj_pval = 10,
  armor = 30,
  sval = 6,
  activation = 'HARDCORE=BR_MANY',
  level = 90,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'PSEUDO_DRAGON_SCALE_MAIL',
  name = 'PSEUDO_DRAGON_SCALE_MAIL',
  display_name = '& Pseudo Dragon Scale Mail~',
  color = colors.C_v,
  weight = 20,
  encumber = 20,
  cost = 70000,
  flags = { RES_LITE=1, RES_DARK=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = 'A suit of armour made of dragon hide, glowing with a strange light, or is it darkness?',
  allocation = '70/16',
  level_range = { 70, 70 },
  rarity = 16,
  adj_pval = 10,
  armor = 30,
  sval = 10,
  activation = 'HARDCORE=BR_LIGHT',
  level = 70,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'LAW_DRAGON_SCALE_MAIL',
  name = 'LAW_DRAGON_SCALE_MAIL',
  display_name = '& Law Dragon Scale Mail~',
  color = colors.C_B,
  weight = 20,
  encumber = 20,
  cost = 80000,
  flags = { RES_SOUND=1, RES_SHARDS=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = [[A piece of dragonhide cut and shaped so it can be worn as armour. The scales are very sharp, and the roaring of a storm seems to come from it, but you're not afraid of either.]],
  allocation = '80/16',
  level_range = { 80, 80 },
  rarity = 16,
  adj_pval = 10,
  armor = 30,
  sval = 12,
  activation = 'HARDCORE=BR_SHARD',
  level = 80,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'BRONZE_DRAGON_SCALE_MAIL',
  name = 'BRONZE_DRAGON_SCALE_MAIL',
  display_name = '& Bronze Dragon Scale Mail~',
  color = colors.C_U,
  weight = 20,
  encumber = 20,
  cost = 40000,
  flags = { RES_CONF=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = 'A suit of armour made from dragon skin. Its brownish scales glitter in a dazzling light.',
  allocation = '50/8',
  level_range = { 50, 50 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 14,
  activation = 'HARDCORE=BR_CONF',
  level = 50,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'GOLD_DRAGON_SCALE_MAIL',
  name = 'GOLD_DRAGON_SCALE_MAIL',
  display_name = '& Gold Dragon Scale Mail~',
  color = colors.C_y,
  weight = 20,
  encumber = 20,
  cost = 50000,
  flags = { RES_SOUND=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = 'A suit of golden-hued armour made of dragonhide. The rustle of its scales occasionally increases to a loud boom.',
  allocation = '60/8',
  level_range = { 60, 60 },
  rarity = 8,
  adj_pval = 10,
  armor = 30,
  sval = 16,
  activation = 'HARDCORE=BR_SOUND',
  level = 60,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'CHAOS_DRAGON_SCALE_MAIL',
  name = 'CHAOS_DRAGON_SCALE_MAIL',
  display_name = '& Chaos Dragon Scale Mail~',
  color = colors.C_v,
  weight = 20,
  encumber = 20,
  cost = 80000,
  flags = { ATTR_MULTI=1, RES_CHAOS=1, RES_DISEN=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { RES_CHAOS=1 },
  desc = 'A suit of armour made of dragon hide. It glows in colours you have never seen before. As you put it on, you feel like you could change the world and are no longer afraid of your equipment losing its magic.',
  allocation = '80/16',
  level_range = { 80, 80 },
  rarity = 16,
  adj_pval = 10,
  armor = 30,
  sval = 18,
  activation = 'HARDCORE=BR_CHAOS',
  level = 80,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'BALANCE_DRAGON_SCALE_MAIL',
  name = 'BALANCE_DRAGON_SCALE_MAIL',
  display_name = '& Balance Dragon Scale Mail~',
  color = colors.C_v,
  weight = 20,
  encumber = 20,
  cost = 100000,
  flags = { RES_CHAOS=1, RES_DISEN=1, RES_SOUND=1, RES_SHARDS=1, FLY=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = 'A suit of armour made of the hide of a dead dragon. When wearing it, you feel like you understand the principles of law and chaos, and no longer fear either.',
  allocation = '95/32',
  level_range = { 95, 95 },
  rarity = 32,
  adj_pval = 10,
  armor = 30,
  sval = 20,
  activation = 'HARDCORE=BR_BALANCE',
  level = 95,
}

newEntity {
  base = 'DRAGON_ARMOR_BASE',
  define_as = 'POWER_DRAGON_SCALE_MAIL',
  name = 'POWER_DRAGON_SCALE_MAIL',
  display_name = '& Power Dragon Scale Mail~',
  color = colors.C_v,
  weight = 25,
  encumber = 25,
  cost = 350000,
  flags = { ATTR_MULTI=1, RES_ACID=1, RES_FIRE=1, RES_COLD=1, RES_ELEC=1, RES_POIS=1, FLY=1, RES_NETHER=1, RES_NEXUS=1, RES_CHAOS=1, RES_LITE=1, RES_DARK=1, RES_SHARDS=1, RES_SOUND=1, RES_DISEN=1, RES_CONF=1, ACTIVATE=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  desc = [[A suit of armour made of a very thick richly coloured dragonhide. You think you'll never have to fear dragons if you put it on.]],
  allocation = '100/64',
  level_range = { 100, 100 },
  rarity = 64,
  adj_pval = 15,
  armor = 40,
  sval = 30,
  activation = 'HARDCORE=BR_POWER',
  level = 100,
}
-- 13 total items
-- color:  colors.C_B=1; colors.C_U=1; colors.C_b=1; colors.C_g=1; colors.C_r=1; colors.C_s=1; colors.C_v=5; colors.C_w=1; colors.C_y=1
-- weight:  200=12; 250=1
-- cost:  100000=1; 150000=1; 350000=1; 40000=4; 50000=3; 70000=1; 80000=2
-- adj_pval:  10=12; 15=1
-- armor:  30=12; 40=1
-- activation:  HARDCORE=BR_ACID=1; HARDCORE=BR_BALANCE=1; HARDCORE=BR_CHAOS=1; HARDCORE=BR_COLD=1; HARDCORE=BR_CONF=1; HARDCORE=BR_ELEC=1; HARDCORE=BR_FIRE=1; HARDCORE=BR_LIGHT=1; HARDCORE=BR_MANY=1; HARDCORE=BR_POIS=1; HARDCORE=BR_POWER=1; HARDCORE=BR_SHARD=1; HARDCORE=BR_SOUND=1
-- level:  100=1; 50=4; 60=3; 70=1; 80=2; 90=1; 95=1
