-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_POISON',
  name = 'ESS_POISON',
  display_name = 'Poison',
  sval = 1,
  pval = 5,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_EXPLOSION',
  name = 'ESS_EXPLOSION',
  display_name = 'Explosion',
  sval = 2,
  pval = 50,
  allocation = '0/1:20/1:40/1:60/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_TELEPORT',
  name = 'ESS_TELEPORT',
  display_name = 'Teleport',
  sval = 3,
  pval = 190,
  allocation = '5/1:20/1:40/1:60/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_COLD',
  name = 'ESS_COLD',
  display_name = 'Cold',
  sval = 4,
  pval = 200,
  allocation = '5/1:20/1:40/1:60/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_FIRE',
  name = 'ESS_FIRE',
  display_name = 'Fire',
  sval = 5,
  pval = 200,
  allocation = '5/1:20/1:40/1:60/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_ACID',
  name = 'ESS_ACID',
  display_name = 'Acid',
  sval = 6,
  pval = 200,
  allocation = '6/1:20/1:40/1:60/1',
  level_range = { 6, 6 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_LIFE',
  name = 'ESS_LIFE',
  display_name = 'Life',
  sval = 7,
  pval = 300,
  allocation = '0/1:20/1:40/1:60/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_CONFUSION',
  name = 'ESS_CONFUSION',
  display_name = 'Confusion',
  sval = 8,
  pval = 100,
  allocation = '0/1:20/1:40/1:60/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_LIGHT',
  name = 'ESS_LIGHT',
  display_name = 'Light',
  sval = 9,
  pval = 60,
  allocation = '0/1:20/1:40/1:60/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_CHAOS',
  name = 'ESS_CHAOS',
  display_name = 'Chaos',
  flags = { ATTR_MULTI=1 },
  sval = 10,
  level = 20,
  pval = 200,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_TIME',
  name = 'ESS_TIME',
  display_name = 'Time',
  sval = 11,
  level = 20,
  pval = 600,
  allocation = '20/1:40/1:60/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_MAGIC',
  name = 'ESS_MAGIC',
  display_name = 'Magic',
  sval = 12,
  level = 20,
  pval = 700,
  allocation = '30/1:50/1:80/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_EXTRA_LIFE',
  name = 'ESS_EXTRA_LIFE',
  display_name = 'Extra Life',
  sval = 13,
  level = 50,
  pval = 900,
  allocation = '50/1:70/1:90/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_DARKNESS',
  name = 'ESS_DARKNESS',
  display_name = 'Darkness',
  cost = 1,
  sval = 14,
  desc = [[It's a gem that eats all light that reaches it.  It's perfectly black.]],
  pval = 20,
  allocation = '0/1:20/1:40/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_KNOWLEDGE',
  name = 'ESS_KNOWLEDGE',
  display_name = 'Knowledge',
  cost = 1,
  sval = 15,
  desc = [[It's a blue gem with countless formulae scribbled on it.]],
  pval = 100,
  allocation = '20/1:30/1:70/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_FORCE',
  name = 'ESS_FORCE',
  display_name = 'Force',
  cost = 1,
  sval = 16,
  desc = [[It's a green gem that can barely contain the forces in it.]],
  pval = 180,
  allocation = '10/1:40/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_LIGHTNING',
  name = 'ESS_LIGHTNING',
  display_name = 'Lightning',
  cost = 1,
  sval = 17,
  desc = [[It's a white gem.  Inside you see lightning rage.]],
  pval = 200,
  allocation = '28/1',
  level_range = { 28, 28 },
  rarity = 1,
}

newEntity {
  base = 'ESSENCE_BASE',
  define_as = 'ESS_MANA',
  name = 'ESS_MANA',
  display_name = 'Mana',
  cost = 1,
  sval = 18,
  desc = [[It's an everchanging gem.  You feel the magic throbbing through it.]],
  pval = 400,
  allocation = '45/2',
  level_range = { 45, 45 },
  rarity = 2,
}
-- 18 total items
-- cost:  1=5
-- level:  20=3; 50=1
-- pval:  100=2; 180=1; 190=1; 20=1; 200=5; 300=1; 400=1; 5=1; 50=1; 60=1; 600=1; 700=1; 900=1
