-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_BLINDNESS',
  name = 'SHROOM_BLINDNESS',
  display_name = 'Blindness',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 1,
  level = 5,
  desc = [['E'ating this mushrooms will blind you. You cannot cast magic  or see monsters when you are blinded. You can still use magic items or quaff potions.]],
  extra = 0,
  pval = 500,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_PARANOIA',
  name = 'SHROOM_PARANOIA',
  display_name = 'Paranoia',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 2,
  level = 5,
  desc = [['E'ating this mushroom will make you scared. You will not be able to hit your enemies in combat if you're scared.]],
  extra = 0,
  pval = 500,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CONFUSION',
  name = 'SHROOM_CONFUSION',
  display_name = 'Confusion',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 3,
  level = 5,
  desc = [['E'ating this mushroom will confuse you. You will not be able to cast spells, use wands, staves or scrolls. You can still quaff potions, though.]],
  extra = 0,
  pval = 500,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_HALLUCINATION',
  name = 'SHROOM_HALLUCINATION',
  display_name = 'Hallucination',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 4,
  level = 10,
  desc = [['E'ating this mushroom will make you hallucinate. You will not be able to recognise any monster or item.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CURE_POISON',
  name = 'SHROOM_CURE_POISON',
  display_name = 'Cure Poison',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 60,
  sval = 12,
  level = 10,
  desc = [['E'ating this mushroom will cure you from poison.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CURE_BLINDNESS',
  name = 'SHROOM_CURE_BLINDNESS',
  display_name = 'Cure Blindness',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 50,
  sval = 13,
  level = 10,
  desc = [['E'ating this mushroom will cure you from blindness.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CURE_PARANOIA',
  name = 'SHROOM_CURE_PARANOIA',
  display_name = 'Cure Paranoia',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 25,
  sval = 14,
  level = 10,
  desc = [['E'ating this mushroom will cure your paranoia.  Paranoia is the state when you are too afraid to attack monsters.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CURE_CONFUSION',
  name = 'SHROOM_CURE_CONFUSION',
  display_name = 'Cure Confusion',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 50,
  sval = 15,
  level = 10,
  desc = [['E'ating this mushroom will cure your confusion.  Confusion is when you are too confused to cast spells, zap staves, aim wands or read scrolls.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_WEAKNESS',
  name = 'SHROOM_WEAKNESS',
  display_name = 'Weakness',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  combat = { 5, 5, 0, 0 },
  sval = 6,
  level = 10,
  desc = [['E'ating this mushroom will reduce your strength by one point.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_UNHEALTH',
  name = 'SHROOM_UNHEALTH',
  display_name = 'Unhealth',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 50,
  combat = { 10, 10, 0, 0 },
  sval = 10,
  level = 15,
  desc = [['E'ating this mushroom will reduce your constitution by one point.]],
  extra = 0,
  pval = 500,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_RESTORE_CONSTITUTION',
  name = 'SHROOM_RESTORE_CONSTITUTION',
  display_name = 'Restore Constitution',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 350,
  sval = 18,
  level = 20,
  desc = [['E'ating this mushroom will restore your constitution. Your constitution needs restoring when it is displayed in yellow.]],
  extra = 0,
  pval = 500,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_RESTORING',
  name = 'SHROOM_RESTORING',
  display_name = 'Restoring',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 1000,
  sval = 19,
  level = 20,
  desc = [['E'ating this mushroom will restore your strength, dexterity, constitution, intelligence, wisdom and charisma. These need restoring when they are displayed in yellow.]],
  extra = 0,
  pval = 500,
  allocation = '20/8:30/4:40/1',
  level_range = { 20, 20 },
  rarity = 8,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_STUPIDITY',
  name = 'SHROOM_STUPIDITY',
  display_name = 'Stupidity',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 8,
  level = 15,
  desc = [['E'ating this mushroom will reduce your intelligence by one point. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_NAIVETY',
  name = 'SHROOM_NAIVETY',
  display_name = 'Naivety',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 9,
  level = 15,
  desc = [['E'ating this mushroom will reduce your wisdom by one point. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_POISON',
  name = 'SHROOM_POISON',
  display_name = 'Poison',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  combat = { 4, 4, 0, 0 },
  sval = 0,
  level = 5,
  desc = [['E'ating this mushroom will poison you. Poisoning makes you lose one hitpoint per turn until you magically stop the poison or until your body has fought off the poison. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '5/1:5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_SICKNESS',
  name = 'SHROOM_SICKNESS',
  display_name = 'Sickness',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  combat = { 4, 4, 0, 0 },
  sval = 7,
  level = 10,
  desc = [['E'ating this mushroom will reduce your constitution by one point. It will also damage you quite severely in the process. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_PARALYSIS',
  name = 'SHROOM_PARALYSIS',
  display_name = 'Paralysis',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  sval = 5,
  level = 20,
  desc = [['E'ating this mushroom will paralyse you for a certain time. Any nearby monsters will take this opportunity to kill you. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_RESTORE_STRENGTH',
  name = 'SHROOM_RESTORE_STRENGTH',
  display_name = 'Restore Strength',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 350,
  sval = 17,
  level = 20,
  desc = [['E'ating this mushroom will restore your strength. Your strength needs restoring when it is displayed in yellow.]],
  extra = 0,
  pval = 500,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_DISEASE',
  name = 'SHROOM_DISEASE',
  display_name = 'Disease',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 50,
  combat = { 10, 10, 0, 0 },
  sval = 11,
  level = 20,
  desc = [['E'ating this mushroom will reduce your strength by one point. It will also damage you quite severely in the process. That's a bad thing.]],
  extra = 0,
  pval = 500,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'MUSHROOM_BASE',
  define_as = 'SHROOM_CURE_SERIOUS_WOUNDS',
  name = 'SHROOM_CURE_SERIOUS_WOUNDS',
  display_name = 'Cure Serious Wounds',
  color = colors.C_d,
  weight = 0.1,
  encumber = 0.1,
  cost = 75,
  sval = 16,
  level = 15,
  desc = [['E'ating this mushroom will heal several hit points. Your hit points need healing when they are displayed in yellow or red.]],
  extra = 0,
  pval = 500,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'RATION_OF_FOOD',
  name = 'RATION_OF_FOOD',
  display_name = '& Ration~ of Food',
  color = colors.C_U,
  weight = 1,
  encumber = 1,
  cost = 3,
  sval = 35,
  level = 0,
  desc = [[Lightweight and filling. Not an incredible taste experience, but that'd be asking a bit much. You can 'E'at it.]],
  extra = 0,
  pval = 5000,
  allocation = '0/1:5/1:10/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'HARD_BISCUIT',
  name = 'HARD_BISCUIT',
  display_name = '& Hard Biscuit~',
  color = colors.C_U,
  weight = 0.2,
  encumber = 0.2,
  cost = 1,
  sval = 32,
  level = 0,
  desc = [[It doesn't look great, and 'E'ating it will only fill your stomach a bit, for a short time.]],
  extra = 0,
  pval = 500,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'STRIP_OF_VENISON',
  name = 'STRIP_OF_VENISON',
  display_name = '& Strip~ of Venison',
  color = colors.C_u,
  weight = 0.2,
  encumber = 0.2,
  cost = 2,
  sval = 33,
  level = 0,
  desc = [[It looks great, and 'E'ating it will fill your stomach well.]],
  extra = 0,
  pval = 1500,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'SLIME_MOLD',
  name = 'SLIME_MOLD',
  display_name = '& Slime Mold~',
  color = colors.C_g,
  weight = 0.5,
  encumber = 0.5,
  cost = 2,
  sval = 36,
  level = 1,
  desc = [[It looks disgusting, but if you really want to you can 'E'at it. Not an incredible taste experience, but that'd be asking a bit much.]],
  extra = 0,
  pval = 3000,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'LEMBAS',
  name = 'LEMBAS',
  display_name = '& Lembas~',
  color = colors.C_B,
  weight = 0.3,
  encumber = 0.3,
  cost = 10,
  sval = 37,
  level = 5,
  desc = [[A sort of cake, tasty and sustaining. It even helps to overcome weariness. Its fabrication is a secret of the elves. If you 'E'at it, you will be full.]],
  extra = 0,
  allocation = '5/1:10/1:20/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'PINT_OF_FINE_ALE',
  name = 'PINT_OF_FINE_ALE',
  display_name = '& Pint~ of Fine Ale',
  color = colors.C_y,
  weight = 0.5,
  encumber = 0.5,
  cost = 1,
  sval = 38,
  level = 0,
  desc = [[A bottle of a dark beer-like beverage. You can drink it by pressing 'E'.]],
  extra = 0,
  pval = 500,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'PINT_OF_FINE_WINE',
  name = 'PINT_OF_FINE_WINE',
  display_name = '& Pint~ of Fine Wine',
  color = colors.C_r,
  weight = 1,
  encumber = 1,
  cost = 2,
  sval = 39,
  level = 0,
  desc = [[A bottle of fine wine. You can drink it by pressing 'E'.]],
  extra = 0,
  pval = 1000,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'SPRIG_OF_ATHELAS',
  name = 'SPRIG_OF_ATHELAS',
  display_name = '& Sprig~ of Athelas',
  color = colors.C_g,
  weight = 0.2,
  encumber = 0.2,
  cost = 450,
  sval = 40,
  level = 25,
  desc = [['When the black breath blows / And death's shadow grows / And all lights pass / Come Athelas! Come Athelas! / Life to the dying / In the King's hands lying.']],
  extra = 5,
  allocation = '25/2:55/1:85/1',
  level_range = { 25, 25 },
  rarity = 2,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'GREATER_RATION_OF_HEALTH',
  name = 'GREATER_RATION_OF_HEALTH',
  display_name = '& Greater Ration~ of Health',
  color = colors.C_g,
  weight = 0.2,
  encumber = 0.2,
  cost = 60000,
  norm_art = true,
  flags = { FULL_NAME=1 },
  artifact_info = '80:40',
  sval = 41,
  level = 90,
  desc = 'This food will, once eaten, permanently add 70 HP.',
  extra = 5,
  allocation = '90/50',
  level_range = { 90, 90 },
  rarity = 50,
}

newEntity {
  base = 'FOOD_BASE',
  define_as = 'FORTUNE_COOKIE',
  name = 'FORTUNE_COOKIE',
  display_name = '& Fortune cookie~',
  color = colors.C_U,
  weight = 0.2,
  encumber = 0.2,
  cost = 10,
  sval = 42,
  level = 0,
  desc = 'A small, sweet bakery product, with a scrap of paper inside.',
  extra = 0,
  pval = 500,
  allocation = '0/1:5/1:10/1',
  level_range = { 0, 0 },
  rarity = 1,
}
-- 30 total items
-- color:  colors.C_B=1; colors.C_U=3; colors.C_d=20; colors.C_g=3; colors.C_r=1; colors.C_u=1; colors.C_y=1
-- weight:  1=20; 10=2; 2=5; 3=1; 5=2
-- cost:  0=10; 1=2; 10=2; 1000=1; 2=3; 25=1; 3=1; 350=2; 450=1; 50=4; 60=1; 60000=1; 75=1
-- artifact_info:  80:40=1
-- extra:  0=28; 5=2
-- level:  0=6; 1=1; 10=7; 15=4; 20=5; 25=1; 5=5; 90=1
-- pval:  1000=1; 1500=1; 3000=1; 500=23; 5000=1
