-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'BALL_AND_CHAIN',
  name = 'BALL_AND_CHAIN',
  display_name = '& Ball-and-Chain~',
  color = colors.C_D,
  weight = 15,
  encumber = 15,
  cost = 200,
  combat = { 2, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 6,
  level = 20,
  desc = 'This weapon has a ball linked with a chain to a wooden handle. Preferred tactic is smashing the brains of your opponent.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'WHIP',
  name = 'WHIP',
  display_name = '& Whip~',
  color = colors.C_D,
  weight = 3,
  encumber = 3,
  cost = 30,
  combat = { 1, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 2,
  level = 3,
  desc = 'Think Doctor Jones. This weapon is light and easy to fight with. It has nasty barbs and hooks fixed to the thong to make it useful in combat. Whips give easily multiple attacks.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'FLAIL',
  name = 'FLAIL',
  display_name = '& Flail~',
  color = colors.C_D,
  weight = 15,
  encumber = 15,
  cost = 353,
  combat = { 2, 6, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 13,
  level = 10,
  desc = 'This weapon was originally used to cut corn. More warlike versions sport a large blade stuck on a wooden handle. The hinge allows it to get past enemy defences or to strike with added momentum when used skillfully.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'TWO_HANDED_FLAIL',
  name = 'TWO_HANDED_FLAIL',
  display_name = '& Two-Handed Flail~',
  color = colors.C_y,
  weight = 28,
  encumber = 28,
  cost = 590,
  combat = { 3, 6, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 18,
  level = 45,
  desc = 'This two-handed version of the flail gives the fighter a fearsome weapon that can do a fair amount of damage.  It typically has several spiked metal lumps on chains.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'MORNING_STAR',
  name = 'MORNING_STAR',
  display_name = '& Morning Star~',
  color = colors.C_D,
  weight = 15,
  encumber = 15,
  cost = 396,
  combat = { 2, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 12,
  level = 10,
  desc = 'This weapon consists of a large club with chains that have wooden balls with metal spikes on the end.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'MACE',
  name = 'MACE',
  display_name = '& Mace~',
  color = colors.C_D,
  weight = 12,
  encumber = 12,
  cost = 130,
  combat = { 2, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 5,
  level = 5,
  desc = 'This weapon is a club ending in a sphere. The sphere is studded with metal shards, and thus can both crush and cut your adversary.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'QUARTERSTAFF',
  name = 'QUARTERSTAFF',
  display_name = '& Quarterstaff~',
  color = colors.C_U,
  weight = 15,
  encumber = 15,
  cost = 200,
  combat = { 1, 9, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 3,
  level = 10,
  desc = 'A long, wooden pole, usually the height of the wielder. Four of them can be made out of the trunk of one young tree, hence the name. The quarterstaff is an excellent weapon for travellers as it doubles both as a walking staff and as a deterrent against brigands. The quarterstaff is used more in fencing and brawling than melee combat.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'WAR_HAMMER',
  name = 'WAR_HAMMER',
  display_name = '& War Hammer~',
  color = colors.C_D,
  weight = 12,
  encumber = 12,
  cost = 225,
  combat = { 3, 3, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 8,
  level = 5,
  desc = 'A large hammer, designed to crush skulls with mighty strikes.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'LEAD_FILLED_MACE',
  name = 'LEAD_FILLED_MACE',
  display_name = '& Lead-Filled Mace~',
  color = colors.C_D,
  weight = 18,
  encumber = 18,
  cost = 502,
  combat = { 3, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 15,
  level = 15,
  desc = 'A large, mean mace filled with lead in order to wreak a maximum of havoc.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'MACE_OF_DISRUPTION',
  name = 'MACE_OF_DISRUPTION',
  display_name = '& Mace~ of Disruption',
  color = colors.C_v,
  weight = 40,
  encumber = 40,
  cost = 4300,
  combat = { 5, 8, 0, 0 },
  flags = { SLAY_UNDEAD=1, SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1, SLAY_UNDEAD=1 },
  sval = 20,
  level = 80,
  desc = 'This mace is custom-made for priests that go out to destroy evil. It is deadly, especially for undead.',
  allocation = '80/5',
  level_range = { 80, 80 },
  rarity = 5,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'LUCERNE_HAMMER',
  name = 'LUCERNE_HAMMER',
  display_name = '& Lucerne Hammer~',
  color = colors.C_B,
  weight = 12,
  encumber = 12,
  cost = 376,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 10,
  level = 10,
  desc = 'A war hammer combined with a spearpoint, mounted on a long pole.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'GREAT_HAMMER',
  name = 'GREAT_HAMMER',
  display_name = '& Great Hammer~',
  color = colors.C_D,
  weight = 30,
  encumber = 30,
  cost = 350,
  combat = { 4, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 19,
  level = 45,
  desc = [[A massive smith's hammer, so large and heavy it can be used as a weapon.]],
  allocation = '45/3',
  level_range = { 45, 45 },
  rarity = 3,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'GROND_BASE',
  name = 'GROND_BASE',
  display_name = '& Mighty Hammer~',
  color = colors.C_D,
  weight = 20,
  encumber = 20,
  cost = 1000,
  combat = { 3, 9, 0, 0 },
  insta_art = true,
  special_gene = true,
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 50,
  level = 15,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'THREE_PIECE_ROD',
  name = 'THREE_PIECE_ROD',
  display_name = '& Three Piece Rod~',
  color = colors.C_u,
  weight = 12,
  encumber = 12,
  cost = 350,
  combat = { 3, 3, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 11,
  level = 20,
  desc = 'A descendant of the threshing flail, consisting of three short wooden pieces linked by chain or rope.',
  allocation = '20/3',
  level_range = { 20, 20 },
  rarity = 3,
}

newEntity {
  base = 'HAFTED_BASE',
  define_as = 'CLUB',
  name = 'CLUB',
  display_name = '& Club~',
  color = colors.C_u,
  weight = 10,
  encumber = 10,
  cost = 3,
  combat = { 1, 4, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 1,
  level = 0,
  desc = 'A stout heavy stick, thicker at one end. Useful for shattering and smashing things.',
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}
-- 15 total items
-- color:  colors.C_B=1; colors.C_D=9; colors.C_U=1; colors.C_u=2; colors.C_v=1; colors.C_y=1
-- weight:  100=1; 120=4; 150=4; 180=1; 200=1; 280=1; 30=1; 300=1; 400=1
-- cost:  1000=1; 130=1; 200=2; 225=1; 3=1; 30=1; 350=2; 353=1; 376=1; 396=1; 4300=1; 502=1; 590=1
-- level:  0=1; 10=4; 15=2; 20=2; 3=1; 45=2; 5=2; 80=1
