-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'METAL_SCALE_MAIL',
  name = 'METAL_SCALE_MAIL',
  display_name = '& Metal Scale Mail~',
  color = colors.C_s,
  weight = 25,
  encumber = 25,
  cost = 550,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 13,
  sval = 3,
  level = 25,
  desc = 'A suit of overlapping metal scales, sewn onto a leather or cloth jerkin.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'CHAIN_MAIL',
  name = 'CHAIN_MAIL',
  display_name = '& Chain Mail~',
  color = colors.C_s,
  weight = 22,
  encumber = 22,
  cost = 750,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 14,
  sval = 4,
  level = 25,
  desc = 'A suit of interlinked metal rings, to be worn over a woollen garment.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'RUSTY_CHAIN_MAIL',
  name = 'RUSTY_CHAIN_MAIL',
  display_name = '& Rusty Chain Mail~',
  color = colors.C_r,
  weight = 20,
  encumber = 20,
  cost = 550,
  combat = { 1, 4, -5, 0 },
  adj_pval = -8,
  armor = 14,
  sval = 1,
  level = 25,
  desc = 'This chain mail has rusted beyond repair. It can still be worn, but some of the rings have gone missing and the rust has made the suit inflexible. Consequently, it offers very poor protection and is cumbersome to move in.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'AUGMENTED_CHAIN_MAIL',
  name = 'AUGMENTED_CHAIN_MAIL',
  display_name = '& Augmented Chain Mail~',
  color = colors.C_s,
  weight = 27,
  encumber = 27,
  cost = 900,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 16,
  sval = 6,
  level = 30,
  desc = 'A suit of interlinked metal rings, with additional metal plates or scales covering vulnerable parts of the wearer.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'BAR_CHAIN_MAIL',
  name = 'BAR_CHAIN_MAIL',
  display_name = '& Bar Chain Mail~',
  color = colors.C_s,
  weight = 28,
  encumber = 28,
  cost = 950,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 18,
  sval = 8,
  level = 35,
  desc = 'A suit of interlinked metal rings, with additional short metal bars added in many places to prevent penetration of the armour by piercing attacks.',
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'METAL_BRIGANDINE_ARMOUR',
  name = 'METAL_BRIGANDINE_ARMOUR',
  display_name = '& Metal Brigandine Armour~',
  color = colors.C_s,
  weight = 29,
  encumber = 29,
  cost = 1100,
  combat = { 1, 4, -3, 0 },
  adj_pval = 0,
  armor = 19,
  sval = 9,
  level = 35,
  desc = 'This is a leather armour with many small metal plates fixed to it, covering it entirely.',
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'PARTIAL_PLATE_ARMOUR',
  name = 'PARTIAL_PLATE_ARMOUR',
  display_name = '& Partial Plate Armour~',
  color = colors.C_W,
  weight = 26,
  encumber = 26,
  cost = 1200,
  combat = { 1, 6, -3, 0 },
  adj_pval = 0,
  armor = 22,
  sval = 12,
  level = 45,
  desc = 'An armour made of steel plates, covering only the body of the wearer.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'METAL_LAMELLAR_ARMOUR',
  name = 'METAL_LAMELLAR_ARMOUR',
  display_name = '& Metal Lamellar Armour~',
  color = colors.C_W,
  weight = 34,
  encumber = 34,
  cost = 1250,
  combat = { 1, 6, -3, 0 },
  adj_pval = 0,
  armor = 23,
  sval = 13,
  level = 45,
  desc = 'Lamellar consists of small rectangular plates (lames) attached to each other at each edge or corner with leather lacings through small holes in the plates.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'FULL_PLATE_ARMOUR',
  name = 'FULL_PLATE_ARMOUR',
  display_name = '& Full Plate Armour~',
  color = colors.C_W,
  weight = 38,
  encumber = 38,
  cost = 1350,
  combat = { 2, 4, -3, 0 },
  adj_pval = 0,
  armor = 25,
  sval = 15,
  level = 45,
  desc = 'A suit of armour made of metal plates, covering the body, arms and upper legs. A very effective but very heavy armour.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'RIBBED_PLATE_ARMOUR',
  name = 'RIBBED_PLATE_ARMOUR',
  display_name = '& Ribbed Plate Armour~',
  color = colors.C_W,
  weight = 38,
  encumber = 38,
  cost = 1500,
  combat = { 2, 4, -3, 0 },
  adj_pval = 0,
  armor = 28,
  sval = 18,
  level = 50,
  desc = 'This full suit of armour has been strengthened in places to better deflect or absorb blows.',
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'ADAMANTITE_PLATE_MAIL',
  name = 'ADAMANTITE_PLATE_MAIL',
  display_name = '& Adamantite Plate Mail~',
  color = colors.C_G,
  weight = 42,
  encumber = 42,
  cost = 20000,
  combat = { 2, 4, -4, 0 },
  flags = { IGNORE_ACID=1 },
  desc = 'A suit of plate armour fashioned from an unbreakable crystal by mage-smiths.',
  allocation = '75/4',
  level_range = { 75, 75 },
  rarity = 4,
  adj_pval = 0,
  armor = 40,
  sval = 30,
  level = 75,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'MITHRIL_PLATE_MAIL',
  name = 'MITHRIL_PLATE_MAIL',
  display_name = '& Mithril Plate Mail~',
  color = colors.C_B,
  weight = 30,
  encumber = 30,
  cost = 15000,
  combat = { 2, 4, -3, 0 },
  flags = { IGNORE_ACID=1 },
  desc = 'A full suit of plate armour, fashioned from the rare true-silver. Only the dwarves know the secret of making armour or weapons of this metal.',
  allocation = '60/3',
  level_range = { 60, 60 },
  rarity = 3,
  adj_pval = 0,
  armor = 35,
  sval = 25,
  level = 60,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'MITHRIL_CHAIN_MAIL',
  name = 'MITHRIL_CHAIN_MAIL',
  display_name = '& Mithril Chain Mail~',
  color = colors.C_B,
  weight = 15,
  encumber = 15,
  cost = 7000,
  combat = { 1, 4, -1, 0 },
  flags = { IGNORE_ACID=1 },
  desc = 'A suit of chain mail, made by dwarven smiths from the rare and precious metal also called true-silver.',
  allocation = '55/3',
  level_range = { 55, 55 },
  rarity = 3,
  adj_pval = 0,
  armor = 28,
  sval = 20,
  level = 55,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'DOUBLE_CHAIN_MAIL',
  name = 'DOUBLE_CHAIN_MAIL',
  display_name = '& Double Chain Mail~',
  color = colors.C_s,
  weight = 25,
  encumber = 25,
  cost = 850,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 16,
  sval = 7,
  level = 30,
  desc = 'A suit of chain mail, with an additional layer of mail in some places.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'DOUBLE_RING_MAIL',
  name = 'DOUBLE_RING_MAIL',
  display_name = '& Double Ring Mail~',
  color = colors.C_s,
  weight = 23,
  encumber = 23,
  cost = 700,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 15,
  sval = 5,
  level = 25,
  desc = 'A suit of leather armour with metal rings sewn onto it. In addition, in important parts it is reinforced with mail.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'SPLINT_MAIL',
  name = 'SPLINT_MAIL',
  display_name = '& Splint Mail~',
  color = colors.C_D,
  weight = 25,
  encumber = 25,
  cost = 950,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 19,
  sval = 10,
  level = 35,
  desc = 'A suit of metal armour that consists of metal strips applied vertically to the backing of chain, leather, or cloth.',
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'HARD_BODY_ARMOR_BASE',
  define_as = 'RING_MAIL',
  name = 'RING_MAIL',
  display_name = '& Ring Mail~',
  color = colors.C_s,
  weight = 20,
  encumber = 20,
  cost = 500,
  combat = { 1, 4, -2, 0 },
  adj_pval = 0,
  armor = 12,
  sval = 2,
  level = 20,
  desc = 'A suit of non-overlapping metal rings sewn onto a heavy leather backing.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}
-- 17 total items
-- color:  colors.C_B=2; colors.C_D=1; colors.C_G=1; colors.C_W=4; colors.C_r=1; colors.C_s=8
-- weight:  150=1; 200=2; 220=1; 230=1; 250=3; 260=1; 270=1; 280=1; 290=1; 300=1; 340=1; 380=2; 420=1
-- cost:  1100=1; 1200=1; 1250=1; 1350=1; 1500=1; 15000=1; 20000=1; 500=1; 550=2; 700=1; 7000=1; 750=1; 850=1; 900=1; 950=2
-- adj_pval:  -8=1; 0=16
-- armor:  12=1; 13=1; 14=2; 15=1; 16=2; 18=1; 19=2; 22=1; 23=1; 25=1; 28=2; 35=1; 40=1
-- level:  20=1; 25=4; 30=2; 35=3; 45=3; 50=1; 55=1; 60=1; 75=1
