-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'HELM_BASE',
  define_as = 'HARD_LEATHER_CAP',
  name = 'HARD_LEATHER_CAP',
  display_name = '& Hard Leather Cap~',
  color = colors.C_u,
  weight = 1.5,
  encumber = 1.5,
  cost = 12,
  adj_pval = 0,
  armor = 2,
  sval = 2,
  level = 3,
  desc = 'A piece of protective headgear made from hardened leather, just covering the skull.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'HELM_BASE',
  define_as = 'METAL_CAP',
  name = 'METAL_CAP',
  display_name = '& Metal Cap~',
  color = colors.C_s,
  weight = 2,
  encumber = 2,
  cost = 30,
  adj_pval = 0,
  armor = 3,
  sval = 3,
  level = 10,
  desc = 'A metal skullcap with nose and cheekguards.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'HELM_BASE',
  define_as = 'IRON_HELM',
  name = 'IRON_HELM',
  display_name = '& Iron Helm~',
  color = colors.C_s,
  weight = 7.5,
  encumber = 7.5,
  cost = 75,
  adj_pval = 0,
  armor = 5,
  sval = 5,
  level = 20,
  desc = 'A large helmet that can protect the entire head. Ventilation and bad vision can be a problem, however.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'HELM_BASE',
  define_as = 'STEEL_HELM',
  name = 'STEEL_HELM',
  display_name = '& Steel Helm~',
  color = colors.C_W,
  weight = 6,
  encumber = 6,
  cost = 200,
  adj_pval = 0,
  armor = 6,
  sval = 6,
  level = 40,
  desc = 'A helmet which protects the entire head. The expensive steel as base material allows it to offer very good protection while being fairly light.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'CROWN_BASE',
  define_as = 'IRON_CROWN',
  name = 'IRON_CROWN',
  display_name = '& Iron Crown~',
  color = colors.C_s,
  weight = 2,
  encumber = 2,
  cost = 500,
  adj_pval = 0,
  armor = 0,
  sval = 10,
  level = 45,
  desc = 'An iron circlet which might be worn, but which is purely ornamental unless it has special powers.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'CROWN_BASE',
  define_as = 'GOLDEN_CROWN',
  name = 'GOLDEN_CROWN',
  display_name = '& Golden Crown~',
  color = colors.C_y,
  weight = 3,
  encumber = 3,
  cost = 1000,
  flags = { IGNORE_ACID=1 },
  adj_pval = 0,
  armor = 0,
  sval = 11,
  level = 45,
  desc = 'A gilded crown, which just looks good. Sometimes such headgear also has additional properties which might make it worth wearing.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'CROWN_BASE',
  define_as = 'JEWEL_ENCRUSTED_CROWN',
  name = 'JEWEL_ENCRUSTED_CROWN',
  display_name = '& Jewel Encrusted Crown~',
  color = colors.C_v,
  weight = 4,
  encumber = 4,
  cost = 2000,
  flags = { IGNORE_ACID=1 },
  adj_pval = 0,
  armor = 0,
  sval = 12,
  level = 50,
  desc = [[A gorgeous-looking silver crown, adorned with several gems. You might wear it on your head, if you really think you're worthy.]],
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'HELM_BASE',
  define_as = 'DRAGON_HELM',
  name = 'DRAGON_HELM',
  display_name = '& Dragon Helm~',
  color = colors.C_G,
  weight = 5,
  encumber = 5,
  cost = 10000,
  flags = { IGNORE_ACID=1, IGNORE_FIRE=1, IGNORE_ELEC=1, IGNORE_COLD=1 },
  adj_pval = 10,
  armor = 8,
  sval = 7,
  level = 45,
  desc = [[An iron helmet, covered with a layer of dragonhide. It offers great protection and may grant protection against some dragon's attacks, based on the dragon the hide was taken from.]],
  allocation = '80/4',
  level_range = { 80, 80 },
  rarity = 4,
}

newEntity {
  base = 'CROWN_BASE',
  define_as = 'MORGOTH_CROWN_BASE',
  name = 'MORGOTH_CROWN_BASE',
  display_name = '& Massive Iron Crown~',
  color = colors.C_D,
  weight = 2,
  encumber = 2,
  cost = 1000,
  insta_art = true,
  special_gene = true,
  adj_pval = 0,
  armor = 0,
  sval = 50,
  level = 44,
}
-- 9 total items
-- color:  colors.C_D=1; colors.C_G=1; colors.C_W=1; colors.C_s=3; colors.C_u=1; colors.C_v=1; colors.C_y=1
-- weight:  15=1; 20=3; 30=1; 40=1; 50=1; 60=1; 75=1
-- cost:  1000=2; 10000=1; 12=1; 200=1; 2000=1; 30=1; 500=1; 75=1
-- adj_pval:  0=8; 10=1
-- armor:  0=4; 2=1; 3=1; 5=1; 6=1; 8=1
-- level:  10=1; 20=1; 3=1; 40=1; 44=1; 45=3; 50=1
