-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  define_as = 'BOULDER',
  name = 'BOULDER',
  display_name = '& Boulder~',
  type = 'misc',
  subtype = 'boulder',
  display = '*',
  color = colors.C_W,
  weight = 5,
  encumber = 5,
  cost = 1,
  combat = { 5, 5, 0, 0 },
  special_gene = true,
  desc = 'A big nasty-looking piece of rock.',
  extra = 0,
  allocation = '3/200',
  level_range = { 3, 3 },
  rarity = 200,
  adj_pval = 0,
  sval = 1,
  level = 3,
}

newEntity {
  define_as = 'FLAME_IMPERISHABLE',
  name = 'FLAME_IMPERISHABLE',
  display_name = '& Flame~ Imperishable',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_v,
  weight = 0.4,
  encumber = 0.4,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  norm_art = true,
  special_gene = true,
  flags = { FULL_NAME=1, ACTIVATE=1, ACTIVATE_NO_WIELD=1 },
  artifact_info = '39:2',
  desc = 'An impossibly bright, flickering living flame. It can be used once to imbue an object with the power of Eru Iluvatar himself.',
  extra = 0,
  allocation = '127/255',
  level_range = { 127, 127 },
  rarity = 255,
  adj_pval = 0,
  sval = 255,
  activation = 'SPELL=Artifact Eternal Flame',
  level = 127,
}

newEntity {
  define_as = 'BROKEN_SKULL',
  name = 'BROKEN_SKULL',
  display_name = '& Broken Skull~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 0.1,
  encumber = 0.1,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  desc = [[Good old Yorick. So that's where he ended up.]],
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 1,
  level = 0,
}

newEntity {
  define_as = 'BROKEN_BONE',
  name = 'BROKEN_BONE',
  display_name = '& Broken Bone~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 0.2,
  encumber = 0.2,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  desc = 'A yellowish bone, broken off. Obviously, its owner no longer has a use for it.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 2,
  level = 0,
}

newEntity {
  define_as = 'CANINE_SKELETON',
  name = 'CANINE_SKELETON',
  display_name = '& Canine Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 1,
  encumber = 1,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  desc = 'Lassie?',
  extra = 0,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
  adj_pval = 0,
  sval = 4,
  level = 1,
}

newEntity {
  define_as = 'RODENT_SKELETON',
  name = 'RODENT_SKELETON',
  display_name = '& Rodent Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 1,
  encumber = 1,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  desc = [[The remains of a cat's meal.]],
  extra = 0,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
  adj_pval = 0,
  sval = 3,
  level = 1,
}

newEntity {
  define_as = 'HUMAN_SKELETON',
  name = 'HUMAN_SKELETON',
  display_name = '& Human Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 6,
  encumber = 6,
  cost = 0,
  combat = { 1, 2, 0, 0 },
  desc = [[It's dead, Jim.]],
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 8,
  level = 5,
}

newEntity {
  define_as = 'DWARF_SKELETON',
  name = 'DWARF_SKELETON',
  display_name = '& Dwarf Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 5,
  encumber = 5,
  cost = 0,
  combat = { 1, 2, 0, 0 },
  desc = 'The remains of a dwarf who met his or her demise here.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 7,
  level = 5,
}

newEntity {
  define_as = 'ELF_SKELETON',
  name = 'ELF_SKELETON',
  display_name = '& Elf Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 4,
  encumber = 4,
  cost = 0,
  combat = { 1, 2, 0, 0 },
  desc = 'A person of about human shape, but considerably more slightly built, has died here long ago.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 6,
  level = 5,
}

newEntity {
  define_as = 'GNOME_SKELETON',
  name = 'GNOME_SKELETON',
  display_name = '& Gnome Skeleton~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_w,
  weight = 3,
  encumber = 3,
  cost = 0,
  combat = { 1, 2, 0, 0 },
  desc = 'This was once a gnome. Looks very dead now.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
  adj_pval = 0,
  sval = 5,
  level = 5,
}

newEntity {
  define_as = 'SHARD_OF_POTTERY',
  name = 'SHARD_OF_POTTERY',
  display_name = '& Shard~ of Pottery',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_r,
  weight = 0.5,
  encumber = 0.5,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1 },
  desc = 'Half a clay jar -- how many failed artists have taken refuge in these dungeons?',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 3,
  level = 0,
}

newEntity {
  define_as = 'BROKEN_STICK',
  name = 'BROKEN_STICK',
  display_name = '& Broken Stick~',
  type = 'misc',
  subtype = 'junk',
  display = '~',
  color = colors.C_r,
  weight = 0.3,
  encumber = 0.3,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1 },
  desc = 'A piece of rotten wood.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 6,
  level = 0,
}

newEntity {
  define_as = 'PIECE_OF_THE_RELIC_OF_ERU',
  name = 'PIECE_OF_THE_RELIC_OF_ERU',
  display_name = '& Piece~ of the Relic of Eru',
  type = 'misc',
  subtype = 'relic',
  display = '~',
  color = colors.C_v,
  weight = 0,
  encumber = 0,
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  desc = 'Although it looks like a piece of junk, it is actually part of an ancient relic belonging to Priests of Eru. The relic now lies in pieces, hidden from all but but his most dedicated followers.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 7,
  level = 0,
}

newEntity {
  define_as = 'PIECE_OF_THE_RELIC_OF_MANWE',
  name = 'PIECE_OF_THE_RELIC_OF_MANWE',
  display_name = '& Piece~ of the Relic of Manwe',
  type = 'misc',
  subtype = 'relic',
  display = '~',
  color = colors.C_v,
  weight = 0,
  encumber = 0,
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  desc = 'Although it looks like a piece of junk, it is actually part of an ancient relic belonging to Priests of Manwe. The relic now lies in pieces, hidden from all but his most dedicated followers.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 8,
  level = 0,
}

newEntity {
  define_as = 'PIECE_OF_THE_RELIC_OF_TULKAS',
  name = 'PIECE_OF_THE_RELIC_OF_TULKAS',
  display_name = '& Piece~ of the Relic of Tulkas',
  type = 'misc',
  subtype = 'relic',
  display = '~',
  color = colors.C_v,
  weight = 0,
  encumber = 0,
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  desc = 'Although it looks like a piece of junk, it is actually part of an ancient relic belonging to worshippers of Tulkas. The relic now lies in pieces, hidden from all but his most dedicated followers.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 9,
  level = 0,
}

newEntity {
  define_as = 'PIECE_OF_THE_RELIC_OF_MELKOR',
  name = 'PIECE_OF_THE_RELIC_OF_MELKOR',
  display_name = '& Piece~ of the Relic of Melkor',
  type = 'misc',
  subtype = 'relic',
  display = '~',
  color = colors.C_v,
  weight = 0,
  encumber = 0,
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  desc = 'Although it looks like a piece of junk, it is actually part of an ancient relic belonging to Dark Priests. The relic now lies in pieces, hidden from all but the most faithful followers of Melkor.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 10,
  level = 0,
}

newEntity {
  define_as = 'PIECE_OF_THE_RELIC_OF_YAVANNA',
  name = 'PIECE_OF_THE_RELIC_OF_YAVANNA',
  display_name = '& Piece~ of the Relic of Yavanna',
  type = 'misc',
  subtype = 'relic',
  display = '~',
  color = colors.C_v,
  weight = 0,
  encumber = 0,
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  desc = 'Although it looks like a piece of junk, it is actually part of an ancient relic belonging to Druids. The relic now lies in pieces, hidden from all but the most faithful followers of Yavanna.',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
  adj_pval = 0,
  sval = 11,
  level = 0,
}
-- 17 total items
-- type:  misc=17
-- subtype:  boulder=1; junk=11; relic=5
-- display:  *=1; ~=16
-- color:  colors.C_W=1; colors.C_r=2; colors.C_v=6; colors.C_w=8
-- weight:  0=5; 1=1; 10=2; 2=1; 3=1; 30=1; 4=1; 40=1; 5=1; 50=2; 60=1
-- cost:  0=11; 1=1; 1000=5
-- artifact_info:  39:2=1
-- extra:  0=17
-- adj_pval:  0=17
-- activation:  SPELL=Artifact Eternal Flame=1
-- level:  0=9; 1=2; 127=1; 3=1; 5=4
