-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'LITE_BASE',
  define_as = 'WOODEN_TORCH',
  name = 'WOODEN_TORCH',
  display_name = '& Wooden Torch~',
  color = colors.C_u,
  weight = 3,
  encumber = 3,
  cost = 2,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1, FUEL_LITE=1 },
  obvious_flags = { LITE1=1, FUEL_LITE=1 },
  lite = 1,
  sval = 0,
  level = 1,
  desc = 'A piece of wood with an oily rag wrapped around it. When lit, it will give off a little light and much smoke.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'BRASS_LANTERN',
  name = 'BRASS_LANTERN',
  display_name = '& Brass Lantern~',
  color = colors.C_U,
  weight = 5,
  encumber = 5,
  cost = 35,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1, IGNORE_FIRE=1, FUEL_LITE=1 },
  obvious_flags = { LITE2=1, FUEL_LITE=1 },
  lite = 2,
  sval = 1,
  level = 3,
  desc = 'A brass container with a wick emerging from it, protected from draughts by a sheet of greased paper. It can be carried by a handle.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'MINAS_ITHIL_BASE',
  name = 'MINAS_ITHIL_BASE',
  display_name = '& Palantir~',
  color = colors.C_y,
  weight = 20,
  encumber = 20,
  cost = 0,
  combat = { 10, 10, 0, 0 },
  insta_art = true,
  sval = 107,
  level = 75,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'GALADRIEL_BASE',
  name = 'GALADRIEL_BASE',
  display_name = '& Phial~',
  color = colors.C_y,
  weight = 1,
  encumber = 1,
  cost = 10000,
  combat = { 1, 1, 0, 0 },
  insta_art = true,
  sval = 100,
  level = 20,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'ELENDIL_BASE',
  name = 'ELENDIL_BASE',
  display_name = '& Star~',
  color = colors.C_B,
  weight = 0.5,
  encumber = 0.5,
  cost = 25000,
  combat = { 1, 1, 0, 0 },
  insta_art = true,
  sval = 101,
  level = 30,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'ARKENSTONE_BASE',
  name = 'ARKENSTONE_BASE',
  display_name = '& Arkenstone~',
  color = colors.C_R,
  weight = 0.5,
  encumber = 0.5,
  cost = 60000,
  combat = { 1, 1, 0, 0 },
  insta_art = true,
  sval = 102,
  level = 60,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'DWARVEN_LANTERN',
  name = 'DWARVEN_LANTERN',
  display_name = '& Dwarven Lantern~',
  color = colors.C_b,
  weight = 5,
  encumber = 5,
  cost = 5000,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1, IGNORE_FIRE=1 },
  obvious_flags = { LITE2=1 },
  lite = 2,
  sval = 3,
  level = 15,
  desc = 'Made by the dwarves, this lantern provides light in the darkest recesses of the earth.',
  allocation = '15/2',
  level_range = { 15, 15 },
  rarity = 2,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'EVERBURNING_TORCH',
  name = 'EVERBURNING_TORCH',
  display_name = '& Everburning Torch~',
  color = colors.C_R,
  weight = 5,
  encumber = 5,
  cost = 2500,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1, IGNORE_FIRE=1 },
  obvious_flags = { LITE1=1 },
  lite = 1,
  sval = 2,
  level = 5,
  desc = 'This enchanted torch never needs to be fuelled.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'FEANORIAN_LAMP',
  name = 'FEANORIAN_LAMP',
  display_name = '& Feanorian Lamp~',
  color = colors.C_B,
  weight = 5,
  encumber = 5,
  cost = 15000,
  combat = { 1, 1, 0, 0 },
  flags = { EASY_KNOW=1, IGNORE_FIRE=1 },
  obvious_flags = { LITE3=1 },
  lite = 3,
  sval = 4,
  level = 25,
  desc = 'Made by the descendants of the Noldo craftsman, this lamp contains a part of the flame which burned inside Feanor.',
  allocation = '25/3',
  level_range = { 25, 25 },
  rarity = 3,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'STONE_LORE_BASE',
  name = 'STONE_LORE_BASE',
  display_name = '& Stone~',
  color = colors.C_g,
  weight = 1.5,
  encumber = 1.5,
  cost = 20000,
  insta_art = true,
  special_gene = true,
  sval = 106,
  level = 15,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'ANCHOR_BASE',
  name = 'ANCHOR_BASE',
  display_name = '& Anchor~',
  color = colors.C_v,
  weight = 1.5,
  encumber = 1.5,
  cost = 50000,
  insta_art = true,
  sval = 105,
  level = 30,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'UNDEATH_BASE',
  name = 'UNDEATH_BASE',
  display_name = '& Phial~',
  color = colors.C_y,
  weight = 1,
  encumber = 1,
  cost = 0,
  combat = { 1, 1, 0, 0 },
  insta_art = true,
  sval = 103,
  level = 1,
}

newEntity {
  base = 'LITE_BASE',
  define_as = 'ORTHANC_BASE',
  name = 'ORTHANC_BASE',
  display_name = '& Palantir~',
  color = colors.C_y,
  weight = 20,
  encumber = 20,
  cost = 100000,
  combat = { 10, 10, 0, 0 },
  insta_art = true,
  sval = 104,
  level = 75,
}
-- 13 total items
-- color:  colors.C_B=2; colors.C_R=2; colors.C_U=1; colors.C_b=1; colors.C_g=1; colors.C_u=1; colors.C_v=1; colors.C_y=4
-- weight:  10=2; 15=2; 200=2; 30=1; 5=2; 50=4
-- cost:  0=2; 10000=1; 100000=1; 15000=1; 2=1; 20000=1; 2500=1; 25000=1; 35=1; 5000=1; 50000=1; 60000=1
-- level:  1=2; 15=2; 20=1; 25=1; 3=1; 30=2; 5=1; 60=1; 75=2
