-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MAP_OF_BREE',
  name = 'MAP_OF_BREE',
  display_name = 'Map of Bree',
  color = colors.C_s,
  cost = 100,
  sval = 200,
  level = 3,
  desc = 'A map, showing the town of Bree and the landscape around it.',
  extra = 100,
  allocation = '3/3',
  level_range = { 3, 3 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MAP_OF_GONDOLIN',
  name = 'MAP_OF_GONDOLIN',
  display_name = 'Map of Gondolin',
  color = colors.C_s,
  cost = 50000,
  sval = 201,
  level = 70,
  desc = 'A map detailing the place of the hidden city of Gondolin. Consider yourself lucky someone lost a map here, since the location is yet unknown even to Morgoth.',
  extra = 100,
  allocation = '70/3',
  level_range = { 70, 70 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MAP_OF_LOTHLORIEN',
  name = 'MAP_OF_LOTHLORIEN',
  display_name = 'Map of Lothlorien',
  color = colors.C_s,
  cost = 1000,
  sval = 202,
  level = 6,
  desc = 'A map vaguely describing the forest of Lothlorien and the elven settlements therein.',
  extra = 100,
  allocation = '6/3',
  level_range = { 6, 6 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MAP_OF_MINAS_ANOR',
  name = 'MAP_OF_MINAS_ANOR',
  display_name = 'Map of Minas Anor',
  color = colors.C_s,
  cost = 10000,
  sval = 203,
  level = 36,
  desc = 'A map of the great city of Gondor.',
  extra = 100,
  allocation = '36/3',
  level_range = { 36, 36 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'DEEP_THOUGHTS',
  name = 'DEEP_THOUGHTS',
  display_name = 'Deep Thoughts',
  color = colors.C_o,
  cost = 50,
  sval = 0,
  level = 3,
  desc = 'This parchment contains the thoughts of a powerful wizard who departed Middle-earth long ago.',
  extra = 0,
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MORE_DEEP_THOUGHTS',
  name = 'MORE_DEEP_THOUGHTS',
  display_name = 'More Deep Thoughts',
  color = colors.C_o,
  cost = 50,
  sval = 1,
  level = 4,
  desc = 'This parchment contains the thoughts of a powerful wizard who departed Middle-earth long ago.',
  extra = 0,
  allocation = '4/1',
  level_range = { 4, 4 },
  rarity = 1,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'COMPENDIUM_OF_DEEP_THOUGHTS',
  name = 'COMPENDIUM_OF_DEEP_THOUGHTS',
  display_name = 'Compendium of Deep Thoughts',
  color = colors.C_o,
  cost = 50,
  sval = 2,
  level = 5,
  desc = 'This parchment contains the thoughts of a powerful wizard who departed Middle-earth long ago.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ARTIFACT_LORE_VOL__I',
  name = 'ARTIFACT_LORE_VOL__I',
  display_name = 'Artifact Lore Vol. I',
  color = colors.C_o,
  cost = 50,
  sval = 6,
  level = 40,
  desc = 'This parchment contains information about unique artifacts that are rumoured to exist upon Arda.',
  extra = 0,
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ARTIFACT_LORE_VOL__II',
  name = 'ARTIFACT_LORE_VOL__II',
  display_name = 'Artifact Lore Vol. II',
  color = colors.C_o,
  cost = 50,
  sval = 7,
  level = 40,
  desc = 'This parchment contains information about unique artifacts that are rumoured to exist upon Arda.',
  extra = 0,
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ARTIFACT_LORE_VOL__III',
  name = 'ARTIFACT_LORE_VOL__III',
  display_name = 'Artifact Lore Vol. III',
  color = colors.C_o,
  cost = 50,
  sval = 8,
  level = 40,
  desc = 'This parchment contains information about unique artifacts that are rumoured to exist upon Arda.',
  extra = 0,
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_1',
  name = 'MONSTROUS_COMPENDIUM_1',
  display_name = 'Monstrous Compendium 1',
  color = colors.C_o,
  cost = 50,
  sval = 9,
  level = 10,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_2',
  name = 'MONSTROUS_COMPENDIUM_2',
  display_name = 'Monstrous Compendium 2',
  color = colors.C_o,
  cost = 50,
  sval = 10,
  level = 11,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '11/2',
  level_range = { 11, 11 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_3',
  name = 'MONSTROUS_COMPENDIUM_3',
  display_name = 'Monstrous Compendium 3',
  color = colors.C_o,
  cost = 50,
  sval = 11,
  level = 12,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '12/2',
  level_range = { 12, 12 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_4',
  name = 'MONSTROUS_COMPENDIUM_4',
  display_name = 'Monstrous Compendium 4',
  color = colors.C_o,
  cost = 50,
  sval = 12,
  level = 13,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '13/2',
  level_range = { 13, 13 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_5',
  name = 'MONSTROUS_COMPENDIUM_5',
  display_name = 'Monstrous Compendium 5',
  color = colors.C_o,
  cost = 50,
  sval = 13,
  level = 14,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '14/2',
  level_range = { 14, 14 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_6',
  name = 'MONSTROUS_COMPENDIUM_6',
  display_name = 'Monstrous Compendium 6',
  color = colors.C_o,
  cost = 50,
  sval = 14,
  level = 15,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '15/2',
  level_range = { 15, 15 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_7',
  name = 'MONSTROUS_COMPENDIUM_7',
  display_name = 'Monstrous Compendium 7',
  color = colors.C_o,
  cost = 50,
  sval = 15,
  level = 16,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '16/2',
  level_range = { 16, 16 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_8',
  name = 'MONSTROUS_COMPENDIUM_8',
  display_name = 'Monstrous Compendium 8',
  color = colors.C_o,
  cost = 50,
  sval = 16,
  level = 17,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '17/2',
  level_range = { 17, 17 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_9',
  name = 'MONSTROUS_COMPENDIUM_9',
  display_name = 'Monstrous Compendium 9',
  color = colors.C_o,
  cost = 50,
  sval = 17,
  level = 18,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '18/2',
  level_range = { 18, 18 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_10',
  name = 'MONSTROUS_COMPENDIUM_10',
  display_name = 'Monstrous Compendium 10',
  color = colors.C_o,
  cost = 50,
  sval = 18,
  level = 19,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '19/2',
  level_range = { 19, 19 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'MONSTROUS_COMPENDIUM_11',
  name = 'MONSTROUS_COMPENDIUM_11',
  display_name = 'Monstrous Compendium 11',
  color = colors.C_o,
  cost = 50,
  sval = 19,
  level = 20,
  desc = 'This parchment contains a small part of the collected lore concerning monsters inhabiting Arda.',
  extra = 0,
  allocation = '20/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'THE_ONE_RING',
  name = 'THE_ONE_RING',
  display_name = 'The One Ring',
  color = colors.C_s,
  cost = 50,
  sval = 4,
  level = 10,
  desc = 'This parchment contains words in the Black Speech and Westron, and they seem to speak of a powerful Ring... could it be true?',
  extra = 100,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'NUMENOREAN_FOR_BEGINNERS__I_',
  name = 'NUMENOREAN_FOR_BEGINNERS__I_',
  display_name = 'Numenorean for Beginners (I)',
  color = colors.C_s,
  cost = 50,
  sval = 101,
  level = 10,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'NUMENOREAN_FOR_BEGINNERS__II_',
  name = 'NUMENOREAN_FOR_BEGINNERS__II_',
  display_name = 'Numenorean for Beginners (II)',
  color = colors.C_s,
  cost = 50,
  sval = 102,
  level = 5,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '5/2',
  level_range = { 5, 5 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ADVANCED_LESSONS_OF_NUMENOREAN',
  name = 'ADVANCED_LESSONS_OF_NUMENOREAN',
  display_name = 'Advanced Lessons of Numenorean',
  color = colors.C_s,
  cost = 50,
  sval = 103,
  level = 20,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '20/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ADVANCED_LESSONS_OF_SINDARIN',
  name = 'ADVANCED_LESSONS_OF_SINDARIN',
  display_name = 'Advanced Lessons of Sindarin',
  color = colors.C_s,
  cost = 50,
  sval = 104,
  level = 20,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '20/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'KHUZDUL___THE_HIDDEN_TONGUE_OF_THE_DWARVES',
  name = 'KHUZDUL___THE_HIDDEN_TONGUE_OF_THE_DWARVES',
  display_name = 'Khuzdul - The Hidden Tongue of the Dwarves',
  color = colors.C_s,
  cost = 50,
  sval = 105,
  level = 2,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '2/2',
  level_range = { 2, 2 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'NANDORIN_FOR_DUMMIES',
  name = 'NANDORIN_FOR_DUMMIES',
  display_name = 'Nandorin for Dummies',
  color = colors.C_s,
  cost = 50,
  sval = 106,
  level = 20,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '20/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ADVANCED_LESSONS_OF_ORCISH',
  name = 'ADVANCED_LESSONS_OF_ORCISH',
  display_name = 'Advanced Lessons of Orcish',
  color = colors.C_s,
  cost = 50,
  sval = 107,
  level = 30,
  desc = 'These ancient words still contain magic.',
  extra = 100,
  allocation = '30/2',
  level_range = { 30, 30 },
  rarity = 2,
}

newEntity {
  base = 'PARCHMENT_BASE',
  define_as = 'ADVENTURER_S_GUIDE_TO_MIDDLE_EARTH',
  name = 'ADVENTURER_S_GUIDE_TO_MIDDLE_EARTH',
  display_name = [[Adventurer's Guide to Middle-earth]],
  color = colors.C_o,
  cost = 1,
  sval = 20,
  level = 0,
  desc = 'Read it!',
  extra = 0,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}
-- 30 total items
-- color:  colors.C_o=18; colors.C_s=12
-- cost:  1=1; 100=1; 1000=1; 10000=1; 50=25; 50000=1
-- extra:  0=18; 100=12
-- level:  0=1; 10=3; 11=1; 12=1; 13=1; 14=1; 15=1; 16=1; 17=1; 18=1; 19=1; 2=1; 20=4; 3=2; 30=1; 36=1; 4=1; 40=3; 5=2; 6=1; 70=1
