-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'BEAKED_AXE',
  name = 'BEAKED_AXE',
  display_name = '& Beaked Axe~',
  color = colors.C_s,
  weight = 18,
  encumber = 18,
  cost = 408,
  combat = { 2, 6, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 10,
  level = 15,
  desc = 'This polearm has a beak mounted opposite the blade.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'GLAIVE',
  name = 'GLAIVE',
  display_name = '& Glaive~',
  color = colors.C_s,
  weight = 19,
  encumber = 19,
  cost = 363,
  combat = { 2, 6, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 13,
  level = 20,
  desc = [[A polearm with a long, slightly curved knife-like blade. It has spurs on the dull side of the blade. It's primarily a slashing and chopping weapon. Glaives are often used to protect archers, crossbowmen, and gunners while they reload. Outside of combat they are a popular processional weapon and therefore many have ornately carved blades.]],
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'HALBERD',
  name = 'HALBERD',
  display_name = '& Halberd~',
  color = colors.C_s,
  weight = 19,
  encumber = 19,
  cost = 430,
  combat = { 3, 5, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 15,
  level = 25,
  desc = [[The halberd has a broad, short axe blade on a 5 - 6ft long haft, with a spearpoint at the top, often a back-spike and occasionally a butt-spike. Used to combat heavier armour. It's usually used for cutting and stabbing.  It's the most versatile polearm in Middle-earth. The axe is used in general melee. The top pike is used to pierce armour, or is set against a cavalry charge. The back hook could unseat horses, trip opponents, parry a blow, or be a general piercing weapon.]],
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'AWL_PIKE',
  name = 'AWL_PIKE',
  display_name = '& Awl-Pike~',
  color = colors.C_s,
  weight = 16,
  encumber = 16,
  cost = 340,
  combat = { 1, 8, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 4,
  level = 10,
  desc = 'This is a polearm with a long square-sectioned spike on the end.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'PIKE',
  name = 'PIKE',
  display_name = '& Pike~',
  color = colors.C_s,
  weight = 16,
  encumber = 16,
  cost = 358,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 8,
  level = 15,
  desc = 'A staff, 16-18 feet long, that has a small piercing head about 10 inches long. The pike is often used by infantry to fend off cavalry.  It is very effective against mounted troops.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'SPEAR',
  name = 'SPEAR',
  display_name = '& Spear~',
  color = colors.C_s,
  weight = 5,
  encumber = 5,
  cost = 36,
  combat = { 1, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 2,
  level = 5,
  desc = 'Spears tend to have a strong, wide, leaf-shaped head with a ridge down the middle. The spearhead is attached to the wooden shaft by a socket. The sockets are usually riveted to the shaft and some have two small lugs near the base of the socket to allow the head to be possibly bound on as well. This spear is 7 feet long.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'TRIDENT',
  name = 'TRIDENT',
  display_name = '& Trident~',
  color = colors.C_y,
  weight = 7,
  encumber = 7,
  cost = 120,
  combat = { 1, 8, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 5,
  level = 5,
  desc = 'The trident is based on the pitchfork.  In fact, when not used as a weapon, it is often employed as a pitchfork. It is famous for its uses in gladiatorial arenas. It is used much like a spear and could even be thrown like one in desperate situations.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'LANCE',
  name = 'LANCE',
  display_name = '& Lance~',
  color = colors.C_s,
  weight = 30,
  encumber = 30,
  cost = 230,
  combat = { 2, 8, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 20,
  level = 10,
  desc = [[This is the original polearm. It is shaped like a spear but is bigger. It's meant to fend off enemies, not to be thrown.]],
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'BATTLE_AXE',
  name = 'BATTLE_AXE',
  display_name = '& Battle Axe~',
  color = colors.C_s,
  weight = 17,
  encumber = 17,
  cost = 334,
  combat = { 2, 8, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 22,
  level = 15,
  desc = [[Nordic polearm with a broad blade and a hook mounted on the end of the shaft. The Nordics' take on the halberd. The polearm of choice for many Nordics, ideally suited for slashing, thrusting, and unseating cavalry.]],
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'LOCHABER_AXE',
  name = 'LOCHABER_AXE',
  display_name = '& Lochaber Axe~',
  color = colors.C_D,
  weight = 25,
  encumber = 25,
  cost = 750,
  combat = { 3, 8, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 28,
  level = 45,
  desc = 'Nordic polearm with a broad blade and a hook mounted on the end of the shaft. A Nordic version of the halberd. The polearm of choice for many Nordics, this weapon is ideally suited for slashing, thrusting, and unseating cavalry.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'SCYTHE',
  name = 'SCYTHE',
  display_name = '& Scythe~',
  color = colors.C_s,
  weight = 25,
  encumber = 25,
  cost = 800,
  combat = { 5, 3, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 17,
  level = 45,
  desc = 'A simple farm implement, converted into a weapon by slightly straightening its blade and putting it in line with its pole, instead of the typical right angle.',
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'SCYTHE_OF_SLICING',
  name = 'SCYTHE_OF_SLICING',
  display_name = '& Scythe~ of Slicing',
  color = colors.C_r,
  weight = 25,
  encumber = 25,
  cost = 10000,
  combat = { 8, 4, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1, WOUNDING=1, VORPAL=1 },
  obvious_flags = { MUST2H=1, VORPAL=1, WOUNDING=1 },
  sval = 30,
  level = 80,
  desc = 'The simple design of the war scythe, but this one uses a finely crafted and incredibly sharp steel blade which causes terrible wounds when it hits.',
  allocation = '80/20',
  level_range = { 80, 80 },
  rarity = 20,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'TRIFURCATE_SPEAR',
  name = 'TRIFURCATE_SPEAR',
  display_name = '& Trifurcate Spear~',
  color = colors.C_o,
  weight = 14,
  encumber = 14,
  cost = 400,
  combat = { 2, 9, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 26,
  level = 35,
  desc = [[This deadly spear's point has three branches, suited for inflicting greater damage than a regular spear.]],
  allocation = '35/3',
  level_range = { 35, 35 },
  rarity = 3,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'SICKLE',
  name = 'SICKLE',
  display_name = '& Sickle~',
  color = colors.C_s,
  weight = 7,
  encumber = 7,
  cost = 110,
  combat = { 2, 3, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 3,
  level = 10,
  desc = 'A semicircular blade attached to a short handle, good for chopping things up into pieces.',
  allocation = '10/3',
  level_range = { 10, 10 },
  rarity = 3,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'BROAD_SPEAR',
  name = 'BROAD_SPEAR',
  display_name = '& Broad Spear~',
  color = colors.C_w,
  weight = 10,
  encumber = 10,
  cost = 240,
  combat = { 1, 9, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 7,
  level = 14,
  desc = 'Designed specifically for foot soldiers combatting cavalry, this spear is too heavy to be effective when thrown.',
  allocation = '14/3',
  level_range = { 14, 14 },
  rarity = 3,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'FAUCHARD',
  name = 'FAUCHARD',
  display_name = '& Fauchard~',
  color = colors.C_s,
  weight = 15.5,
  encumber = 15.5,
  cost = 301,
  combat = { 1, 10, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 6,
  level = 18,
  desc = 'It is a type of glaive with two ornate hooks on the back of the blade. It is typically 8 to 9 feet long.',
  allocation = '18/2',
  level_range = { 18, 18 },
  rarity = 2,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'GUISARME',
  name = 'GUISARME',
  display_name = '& Guisarme~',
  color = colors.C_s,
  weight = 16.5,
  encumber = 16.5,
  cost = 320,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 16,
  level = 21,
  desc = 'Mounted on a long shaft for maximum reach, this weapon is effective at repelling both cavalry and infantry.',
  allocation = '21/1',
  level_range = { 21, 21 },
  rarity = 1,
}

newEntity {
  base = 'POLEARM_BASE',
  define_as = 'HEAVY_LANCE',
  name = 'HEAVY_LANCE',
  display_name = '& Heavy Lance~',
  color = colors.C_s,
  weight = 40,
  encumber = 40,
  cost = 700,
  combat = { 4, 8, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 29,
  level = 43,
  desc = 'This is a shock weapon. Its purpose is to unhorse a rider in single combat, or smash through the armour of opposing lines.',
  allocation = '43/2',
  level_range = { 43, 43 },
  rarity = 2,
}
-- 18 total items
-- color:  colors.C_D=1; colors.C_o=1; colors.C_r=1; colors.C_s=13; colors.C_w=1; colors.C_y=1
-- weight:  100=1; 140=1; 155=1; 160=2; 165=1; 170=1; 180=1; 190=2; 250=3; 300=1; 400=1; 50=1; 70=2
-- cost:  10000=1; 110=1; 120=1; 230=1; 240=1; 301=1; 320=1; 334=1; 340=1; 358=1; 36=1; 363=1; 400=1; 408=1; 430=1; 700=1; 750=1; 800=1
-- level:  10=3; 14=1; 15=3; 18=1; 20=1; 21=1; 25=1; 35=1; 43=1; 45=2; 5=2; 80=1
