-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SLIME_MOLD_JUICE',
  name = 'POT_SLIME_MOLD_JUICE',
  display_name = 'Slime Mold Juice',
  cost = 2,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 2,
  level = 0,
  desc = [[A strange sort of yellowish-green slime, too viscous to even slosh in the bottle. And as I know you, you're going to slurp it down.]],
  pval = 400,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_APPLE_JUICE',
  name = 'POT_APPLE_JUICE',
  display_name = 'Apple Juice',
  cost = 1,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 1,
  level = 0,
  desc = 'A healthy fruit beverage.',
  pval = 250,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_WATER',
  name = 'POT_WATER',
  display_name = 'Water',
  cost = 1,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 0,
  level = 0,
  desc = 'A small bottle filled with pure water.',
  pval = 200,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_STRENGTH',
  name = 'POT_STRENGTH',
  display_name = 'Strength',
  cost = 8000,
  combat = { 1, 1, 0, 0 },
  sval = 48,
  level = 20,
  desc = 'This beneficial potion will magically improve your physical strength.',
  allocation = '20/6:25/3:30/1',
  level_range = { 20, 20 },
  rarity = 6,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_WEAKNESS',
  name = 'POT_WEAKNESS',
  display_name = 'Weakness',
  cost = 0,
  combat = { 3, 12, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 16,
  level = 3,
  desc = 'This nasty potion will sap your strength, making you weaker.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_STRENGTH',
  name = 'POT_RESTORE_STRENGTH',
  display_name = 'Restore Strength',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 42,
  level = 25,
  desc = 'This magical potion will bring back your physical power to its full extent, should it be drained.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_INTELLIGENCE',
  name = 'POT_INTELLIGENCE',
  display_name = 'Intelligence',
  cost = 8000,
  combat = { 1, 1, 0, 0 },
  sval = 49,
  level = 20,
  desc = 'This nice potion will magically enhance your wit, permanently improving your intellect.',
  allocation = '20/6:25/3:30/1',
  level_range = { 20, 20 },
  rarity = 6,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_STUPIDITY',
  name = 'POT_STUPIDITY',
  display_name = 'Stupidity',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 17,
  level = 20,
  desc = 'This accursed potion will cloud your intellect, making you stupid.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_INTELLIGENCE',
  name = 'POT_RESTORE_INTELLIGENCE',
  display_name = 'Restore Intelligence',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 43,
  level = 25,
  desc = 'This beneficial potion will magically heal your brain, restoring drained intelligence.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_WISDOM',
  name = 'POT_WISDOM',
  display_name = 'Wisdom',
  cost = 8000,
  combat = { 1, 1, 0, 0 },
  sval = 50,
  level = 20,
  desc = 'This potion grants great insight, making you wiser.',
  allocation = '20/6:25/3:30/1',
  level_range = { 20, 20 },
  rarity = 6,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_NAIVETY',
  name = 'POT_NAIVETY',
  display_name = 'Naivety',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 18,
  level = 20,
  desc = 'This potion casts a shadow on your knowledge, making you foolish.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_WISDOM',
  name = 'POT_RESTORE_WISDOM',
  display_name = 'Restore Wisdom',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 44,
  level = 25,
  desc = 'This potion benefits the naive, bringing back their wisdom to what it once was.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CHARISMA',
  name = 'POT_CHARISMA',
  display_name = 'Charisma',
  cost = 1000,
  combat = { 1, 1, 0, 0 },
  sval = 53,
  level = 20,
  desc = 'This potion infuses you with beauty and charm.',
  allocation = '20/1:25/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_UGLINESS',
  name = 'POT_UGLINESS',
  display_name = 'Ugliness',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 21,
  level = 20,
  desc = 'This wicked potion slightly twists your features, making you appear less fair.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_CHARISMA',
  name = 'POT_RESTORE_CHARISMA',
  display_name = 'Restore Charisma',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 47,
  level = 20,
  desc = 'This useful potion restores drained charm.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURING',
  name = 'POT_CURING',
  display_name = 'Curing',
  cost = 250,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 61,
  level = 18,
  desc = 'This blessed potion helps to recover from a wide variety of ailments.',
  pval = 100,
  allocation = '18/1:40/1',
  level_range = { 18, 18 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_INVULNERABILITY',
  name = 'POT_INVULNERABILITY',
  display_name = 'Invulnerability',
  cost = 100000,
  combat = { 1, 1, 0, 0 },
  sval = 62,
  level = 90,
  desc = [[This immensely powerful potion makes your physique almost indestructible for a very short time. Very rarely, an attempt to hurt you will still succeed, so don't be too confident.]],
  allocation = '90/9',
  level_range = { 90, 90 },
  rarity = 9,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_NEW_LIFE',
  name = 'POT_NEW_LIFE',
  display_name = 'New Life',
  cost = 750000,
  combat = { 1, 1, 0, 0 },
  sval = 63,
  level = 50,
  desc = [[This potion fundamentally twists your physical features, as if you were another mother's child. Your physique will be shaped anew.]],
  pval = 100,
  allocation = '50/20:100/10:120/5',
  level_range = { 50, 50 },
  rarity = 20,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_SERIOUS_WOUNDS',
  name = 'POT_CURE_SERIOUS_WOUNDS',
  display_name = 'Cure Serious Wounds',
  cost = 40,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 35,
  level = 3,
  desc = 'This beneficial potion will cure some wounds and other inhibiting ailments.',
  pval = 100,
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_CRITICAL_WOUNDS',
  name = 'POT_CURE_CRITICAL_WOUNDS',
  display_name = 'Cure Critical Wounds',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 36,
  level = 5,
  desc = 'This nice potion will cure a good bit of hurt you have suffered and also allows you to recover from unhealthy conditions like blood poisoning, confusion or blindness.',
  pval = 100,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_HEALING',
  name = 'POT_HEALING',
  display_name = 'Healing',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 37,
  level = 15,
  desc = 'This blessed potion greatly heals you and also cures many other ailments from which you might suffer.',
  pval = 200,
  allocation = '15/1:30/1:60/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CONSTITUTION',
  name = 'POT_CONSTITUTION',
  display_name = 'Constitution',
  cost = 8000,
  combat = { 1, 1, 0, 0 },
  sval = 52,
  level = 20,
  desc = 'This magical concoction greatly improves your health, making you permanently tougher.',
  allocation = '20/6:25/3:30/1',
  level_range = { 20, 20 },
  rarity = 6,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_EXPERIENCE',
  name = 'POT_EXPERIENCE',
  display_name = 'Experience',
  cost = 25000,
  combat = { 1, 1, 0, 0 },
  sval = 59,
  level = 65,
  desc = 'This exceptional drink instills into you knowledge, allowing you to advance further in your trade.',
  allocation = '65/1',
  level_range = { 65, 65 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SLEEP',
  name = 'POT_SLEEP',
  display_name = 'Sleep',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 11,
  level = 0,
  desc = [[This potion was made to help people with bad sleeping disorders to find rest. Surely you don't want to take a nap while nasty goblins are searching for you?]],
  pval = 100,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_BLINDNESS',
  name = 'POT_BLINDNESS',
  display_name = 'Blindness',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 7,
  level = 0,
  desc = 'This slightly poisonous potion temporarily impedes your eyesight, making you unable to see a thing.',
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_BOOZE',
  name = 'POT_BOOZE',
  display_name = 'Booze',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 9,
  level = 0,
  desc = 'A small bottle of a dark brown distilled beverage. By its look and smell, it contains a fair amount of still muck and wood alcohol.',
  pval = 50,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_POISON',
  name = 'POT_POISON',
  display_name = 'Poison',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 6,
  level = 3,
  desc = 'This bottle is filled with a mild but still dangerous liquid poison. Drinking it would be highly unwise.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SPEED',
  name = 'POT_SPEED',
  display_name = 'Speed',
  cost = 75,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 29,
  level = 1,
  desc = 'A magical drink which temporarily allows you to act much faster when imbibed.',
  allocation = '1/1:40/1:60/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SLOWNESS',
  name = 'POT_SLOWNESS',
  display_name = 'Slowness',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 4,
  level = 1,
  desc = 'A magical concoction which drains force from you, forcing you to move and act a lot slower, until it wears off.',
  pval = 50,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_DEXTERITY',
  name = 'POT_DEXTERITY',
  display_name = 'Dexterity',
  cost = 8000,
  combat = { 1, 1, 0, 0 },
  sval = 51,
  level = 20,
  desc = 'A strange magical drink which greatly improves your agility and nimbleness.',
  allocation = '20/6:25/3:30/1',
  level_range = { 20, 20 },
  rarity = 6,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_DEXTERITY',
  name = 'POT_RESTORE_DEXTERITY',
  display_name = 'Restore Dexterity',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 45,
  level = 25,
  desc = 'This magical brew brings your agility back to its former glory should it have been reduced.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_CONSTITUTION',
  name = 'POT_RESTORE_CONSTITUTION',
  display_name = 'Restore Constitution',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 46,
  level = 25,
  desc = 'A beneficial magical concoction, restoring your damaged health.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_LOSE_MEMORIES',
  name = 'POT_LOSE_MEMORIES',
  display_name = 'Lose Memories',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 13,
  level = 10,
  desc = 'A wicked potion, making you less of an adventurer than by right you should be.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SALT_WATER',
  name = 'POT_SALT_WATER',
  display_name = 'Salt Water',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 5,
  level = 0,
  desc = 'A solution of salt in water, made for curing meat. Drinking it would cause violent nausea.',
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_ENLIGHTENMENT',
  name = 'POT_ENLIGHTENMENT',
  display_name = 'Enlightenment',
  cost = 800,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 56,
  level = 25,
  desc = 'An exceptional magical drink which lets you "remember" your current location as if you had already seen all of it.',
  allocation = '25/1:50/1:100/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_HEROISM',
  name = 'POT_HEROISM',
  display_name = 'Heroism',
  cost = 35,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 32,
  level = 1,
  desc = 'Quaffing this drink will temporarily make you fight like a hero of great might.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_BERSERK_STRENGTH',
  name = 'POT_BERSERK_STRENGTH',
  display_name = 'Berserk Strength',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 33,
  level = 3,
  desc = 'This strange drink will instill in you a wild battle rage for a while.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_BOLDNESS',
  name = 'POT_BOLDNESS',
  display_name = 'Boldness',
  cost = 10,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 28,
  level = 1,
  desc = 'This drink will improve your courage, dispelling all fear.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_LIFE_LEVELS',
  name = 'POT_RESTORE_LIFE_LEVELS',
  display_name = 'Restore Life Levels',
  cost = 400,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 41,
  level = 40,
  desc = 'If your life force has been drained, this blessed brew will bring it back.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESIST_HEAT',
  name = 'POT_RESIST_HEAT',
  display_name = 'Resist Heat',
  cost = 30,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 30,
  level = 1,
  desc = 'This magical potion will make fire flow in your veins, rendering you less vulnerable to outward heat.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESIST_COLD',
  name = 'POT_RESIST_COLD',
  display_name = 'Resist Cold',
  cost = 30,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 31,
  level = 1,
  desc = 'This magical potion will for a short while grant you a familiarity with frost, so that you take less harm from extreme cold.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_DETECT_INVISIBLE',
  name = 'POT_DETECT_INVISIBLE',
  display_name = 'Detect Invisible',
  cost = 50,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 25,
  level = 3,
  desc = 'This magical concoction will temporarily improve your eyesight so that you can see creatures otherwise unseen.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SLOW_POISON',
  name = 'POT_SLOW_POISON',
  display_name = 'Slow Poison',
  cost = 25,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 26,
  level = 1,
  desc = 'This healthy potion will dilute poisons in your blood.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_NEUTRALISE_POISON',
  name = 'POT_NEUTRALISE_POISON',
  display_name = 'Neutralise Poison',
  cost = 75,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 27,
  level = 5,
  desc = 'This powerful antidote will completely negate the effect of poisons currently affecting you.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESTORE_MANA',
  name = 'POT_RESTORE_MANA',
  display_name = 'Restore Mana',
  cost = 350,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 40,
  level = 25,
  desc = 'This potion infuses the drinker with pure magic force, bringing their magical potential back to its full extent.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_INFRA_VISION',
  name = 'POT_INFRA_VISION',
  display_name = 'Infra-vision',
  cost = 20,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 24,
  level = 3,
  desc = 'This potion temporarily grants or improves the ability to optically perceive heat sources.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RESISTANCE',
  name = 'POT_RESISTANCE',
  display_name = 'Resistance',
  cost = 250,
  combat = { 1, 1, 0, 0 },
  flags = { IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1, FOUNTAIN=1 },
  sval = 60,
  level = 20,
  desc = 'This great potion infuses you with the power of the elements, so that you can better withstand their ravages.',
  pval = 100,
  allocation = '20/1:45/1:80/1:100/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_DEATH',
  name = 'POT_DEATH',
  display_name = 'Death',
  cost = 0,
  combat = { 20, 20, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 23,
  level = 55,
  desc = 'A potent and very quickly working poison, sometimes utilised by those who wish to end their lives. It is immensely toxic and will seriously hurt you even if you just get some of it on your hands.',
  allocation = '55/4',
  level_range = { 55, 55 },
  rarity = 4,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_RUINATION',
  name = 'POT_RUINATION',
  display_name = 'Ruination',
  cost = 0,
  combat = { 20, 20, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 15,
  level = 40,
  desc = 'This wicked potion will seriously damage your abilities beyond the powers of magical restoration.',
  allocation = '40/8',
  level_range = { 40, 40 },
  rarity = 8,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_DETONATIONS',
  name = 'POT_DETONATIONS',
  display_name = 'Detonations',
  cost = 10000,
  combat = { 25, 25, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 22,
  level = 60,
  desc = [[This bottle is filled with a strange substance which will violently explode if strongly agitated. You don't want to know what it might do to your intestines.]],
  allocation = '60/8',
  level_range = { 60, 60 },
  rarity = 8,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_AUGMENTATION',
  name = 'POT_AUGMENTATION',
  display_name = 'Augmentation',
  cost = 60000,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 55,
  level = 40,
  desc = 'This blessed potion will greatly improve all your abilities, if they can still be improved.',
  allocation = '40/16',
  level_range = { 40, 40 },
  rarity = 16,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_XTRA_HEALING',
  name = 'POT_XTRA_HEALING',
  display_name = '*Healing*',
  cost = 1500,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 38,
  level = 40,
  desc = 'This highly desirable potion will greatly help recovering from wounds, typically healing you fully.',
  allocation = '40/4:60/2:80/1',
  level_range = { 40, 40 },
  rarity = 4,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_LIFE',
  name = 'POT_LIFE',
  display_name = 'Life',
  cost = 5000,
  combat = { 1, 1, 0, 0 },
  sval = 39,
  level = 60,
  desc = [[This wonderful potion will fully heal you no matter how badly you're hurt, allow drained abilities to recover and remove various other ailments.]],
  allocation = '60/4:100/2',
  level_range = { 60, 60 },
  rarity = 4,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SELF_KNOWLEDGE',
  name = 'POT_SELF_KNOWLEDGE',
  display_name = 'Self Knowledge',
  cost = 2000,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 58,
  level = 40,
  desc = 'A drink of insight, letting you know yourself better.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_XTRA_ENLIGHTENMENT',
  name = 'POT_XTRA_ENLIGHTENMENT',
  display_name = '*Enlightenment*',
  cost = 80000,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 57,
  level = 70,
  desc = 'This magical concoction will grant you great insight, magically improving your wits and wisdom, letting you know precisely who and where you are and what you possess.',
  allocation = '70/4',
  level_range = { 70, 70 },
  rarity = 4,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_LIGHT_WOUNDS',
  name = 'POT_CURE_LIGHT_WOUNDS',
  display_name = 'Cure Light Wounds',
  cost = 15,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 34,
  level = 0,
  desc = 'This healthy drink heals a little damage you have taken.',
  pval = 50,
  allocation = '0/1:1/1:3/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CLUMSINESS',
  name = 'POT_CLUMSINESS',
  display_name = 'Clumsiness',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 19,
  level = 5,
  desc = 'This nasty concoction will numb your nerves, making you clumsier.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_SICKLINESS',
  name = 'POT_SICKLINESS',
  display_name = 'Sickliness',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 20,
  level = 10,
  desc = 'This unhealthy drink damages your health, reducing your physical constitution.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_WATER_CURING',
  name = 'POT_WATER_CURING',
  display_name = 'Water Curing',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  sval = 18,
  level = 0,
  desc = 'It is a magical component that can purify water.',
  pval = 80,
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_BLOOD_OF_LIFE',
  name = 'POT_BLOOD_OF_LIFE',
  display_name = '& Blood~ of Life',
  cost = 10000,
  combat = { 1, 1, 0, 0 },
  norm_art = true,
  flags = { FULL_NAME=1 },
  artifact_info = '71:2',
  sval = 3,
  level = 70,
  desc = 'Quaffing this measure of living blood will imbue your body and soul with the power to escape death one time.',
  pval = 200,
  allocation = '70/16',
  level_range = { 70, 70 },
  rarity = 16,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_INVISIBILITY',
  name = 'POT_INVISIBILITY',
  display_name = 'Invisibility',
  cost = 50,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 8,
  level = 3,
  desc = 'This magical brew will temporarily hide you from sight, and also attunes you to this state so that your eyes can still perceive your hidden form.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CORRUPTION',
  name = 'POT_CORRUPTION',
  display_name = 'Corruption',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 10,
  level = 3,
  desc = 'This concoction of toxic wastes will strangely warp your shape.',
  allocation = '20/1:30/1:40/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_MORPHIC_OIL_OF__',
  name = 'POT_MORPHIC_OIL_OF__',
  display_name = '& Morphic Oil~ of #',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  flags = { FULL_NAME=1, EASY_KNOW=1 },
  sval = 1,
  level = 5,
  desc = 'This concoction can transform your body for a short period of time.',
  allocation = '1/3:5/1:10/1',
  level_range = { 1, 1 },
  rarity = 3,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_LIGHT_INSANITY',
  name = 'POT_CURE_LIGHT_INSANITY',
  display_name = 'Cure Light Insanity',
  cost = 15,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 14,
  level = 1,
  desc = 'A magical potion which drives away irrational quirks of behaviour.',
  allocation = '5/1:1/1:3/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_SERIOUS_INSANITY',
  name = 'POT_CURE_SERIOUS_INSANITY',
  display_name = 'Cure Serious Insanity',
  cost = 40,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 15,
  level = 10,
  desc = 'A magical brew which will lift shadows that have been cast on your soul.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_CRITICAL_INSANITY',
  name = 'POT_CURE_CRITICAL_INSANITY',
  display_name = 'Cure Critical Insanity',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 16,
  level = 15,
  desc = 'This drink will cure you even of serious mental disorders.',
  allocation = '15/3',
  level_range = { 15, 15 },
  rarity = 3,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_CURE_INSANITY',
  name = 'POT_CURE_INSANITY',
  display_name = 'Cure Insanity',
  cost = 300,
  combat = { 1, 1, 0, 0 },
  flags = { FOUNTAIN=1 },
  sval = 17,
  level = 25,
  desc = 'This blessed potion can make you completely sane and healthy, even if you have only the faintest shred of sanity left.',
  allocation = '25/3',
  level_range = { 25, 25 },
  rarity = 3,
}

newEntity {
  base = 'POTION_BASE',
  define_as = 'POT_POTION_OF_LEARNING',
  name = 'POT_POTION_OF_LEARNING',
  display_name = '& Potion~ of Learning',
  cost = 100000,
  combat = { 1, 1, 0, 0 },
  norm_art = true,
  flags = { FULL_NAME=1, IGNORE_ACID=1, IGNORE_FIRE=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  artifact_info = '71:49',
  sval = 12,
  level = 90,
  desc = 'This old potion is supposed to grant more learning power to its user.',
  pval = 200,
  allocation = '90/25',
  level_range = { 90, 90 },
  rarity = 25,
}
-- 68 total items
-- cost:  0=17; 1=2; 10=1; 100=4; 1000=1; 10000=2; 100000=2; 15=2; 1500=1; 2=1; 20=1; 2000=1; 25=1; 250=2; 25000=1; 30=2; 300=8; 35=1; 350=1; 40=2; 400=1; 50=2; 5000=1; 60000=1; 75=2; 750000=1; 800=1; 8000=5; 80000=1
-- artifact_info:  71:2=1; 71:49=1
-- level:  0=9; 1=8; 10=3; 15=2; 18=1; 20=11; 25=8; 3=8; 40=5; 5=4; 50=1; 55=1; 60=2; 65=1; 70=2; 90=2
-- pval:  100=6; 200=4; 250=1; 400=1; 50=3; 80=1
