-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_STRENGTH',
  name = 'RING_STRENGTH',
  display_name = 'Strength',
  color = colors.C_d,
  cost = 500,
  flags = { STR=1, HIDE_TYPE=1 },
  obvious_flags = { STR=1 },
  sval = 24,
  level = 30,
  desc = 'This bauble magically improves your strength.',
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_DEXTERITY',
  name = 'RING_DEXTERITY',
  display_name = 'Dexterity',
  color = colors.C_d,
  cost = 500,
  flags = { DEX=1, HIDE_TYPE=1 },
  obvious_flags = { DEX=1 },
  sval = 26,
  level = 30,
  desc = 'This piece of jewellery magically improves your agility.',
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_CONSTITUTION',
  name = 'RING_CONSTITUTION',
  display_name = 'Constitution',
  color = colors.C_d,
  cost = 500,
  flags = { CON=1, HIDE_TYPE=1 },
  obvious_flags = { CON=1 },
  sval = 27,
  level = 30,
  desc = 'This ring magically grants you health, improving your constitution.',
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_INTELLIGENCE',
  name = 'RING_INTELLIGENCE',
  display_name = 'Intelligence',
  color = colors.C_d,
  cost = 500,
  flags = { INT=1, HIDE_TYPE=1 },
  obvious_flags = { INT=1 },
  sval = 25,
  level = 30,
  desc = 'This magical piece of jewellery makes you smarter.',
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SPEED',
  name = 'RING_SPEED',
  display_name = 'Speed',
  color = colors.C_d,
  cost = 100000,
  flags = { SPEED=1, HIDE_TYPE=1 },
  obvious_flags = { SPEED=1 },
  sval = 31,
  level = 75,
  desc = 'This wonderful ring grants you additional energy, allowing you to act faster.',
  extra = 0,
  allocation = '75/1',
  level_range = { 75, 75 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SEARCHING',
  name = 'RING_SEARCHING',
  display_name = 'Searching',
  color = colors.C_d,
  cost = 250,
  flags = { SEARCH=1, HIDE_TYPE=1 },
  obvious_flags = { SEARCH=1 },
  sval = 23,
  level = 5,
  desc = 'This ring magically improves your attention, so you can detect hidden things better.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_TELEPORTATION',
  name = 'RING_TELEPORTATION',
  display_name = 'Teleportation',
  color = colors.C_d,
  cost = 250,
  flags = { CURSED=1, TELEPORT=1, EASY_KNOW=1, ACTIVATE=1 },
  obvious_flags = { TELEPORT=1 },
  sval = 4,
  activation = 'HARDCORE=DEST_TELE',
  level = 5,
  desc = 'This ring will uncontrollably send you to different places at its whim. You can use its power once at your will, but it will destroy the ring.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SLOW_DIGESTION',
  name = 'RING_SLOW_DIGESTION',
  display_name = 'Slow Digestion',
  color = colors.C_d,
  cost = 250,
  flags = { SLOW_DIGEST=1, EASY_KNOW=1 },
  obvious_flags = { SLOW_DIGEST=1 },
  sval = 6,
  level = 5,
  desc = 'This magical bauble grants you some sustenance, allowing you to subsist on less food.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_FIRE_RESISTANCE',
  name = 'RING_FIRE_RESISTANCE',
  display_name = 'Fire Resistance',
  color = colors.C_d,
  cost = 250,
  flags = { RES_FIRE=1, IGNORE_FIRE=1, EASY_KNOW=1 },
  obvious_flags = { RES_FIRE=1 },
  sval = 8,
  level = 10,
  desc = 'This piece of jewellery grants you some protection from the burning heat of fire.',
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_COLD_RESISTANCE',
  name = 'RING_COLD_RESISTANCE',
  display_name = 'Cold Resistance',
  color = colors.C_d,
  cost = 250,
  flags = { RES_COLD=1, IGNORE_COLD=1, EASY_KNOW=1 },
  obvious_flags = { RES_COLD=1 },
  sval = 9,
  level = 10,
  desc = 'This piece of jewellery grants you some protection from the chilling forces of cold.',
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_LEVITATION',
  name = 'RING_LEVITATION',
  display_name = 'Levitation',
  color = colors.C_d,
  cost = 200,
  flags = { FEATHER=1, EASY_KNOW=1 },
  obvious_flags = { FEATHER=1 },
  sval = 7,
  level = 5,
  desc = 'When you put on this ring, you will be able to float just above the floor. It prevents you from drowning, and all your falls will be painless.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_POISON_RESISTANCE',
  name = 'RING_POISON_RESISTANCE',
  display_name = 'Poison Resistance',
  color = colors.C_d,
  cost = 16000,
  flags = { RES_POIS=1, EASY_KNOW=1 },
  obvious_flags = { RES_POIS=1 },
  sval = 20,
  level = 60,
  desc = [[This magical ring grants protection from poison. It is rumoured that in deep dungeons monsters can kill you at once if you don't have poison resistance.]],
  extra = 0,
  allocation = '60/2',
  level_range = { 60, 60 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_FREE_ACTION',
  name = 'RING_FREE_ACTION',
  display_name = 'Free Action',
  color = colors.C_d,
  cost = 1500,
  flags = { FREE_ACT=1, EASY_KNOW=1 },
  obvious_flags = { FREE_ACT=1 },
  sval = 21,
  level = 20,
  desc = 'This magical bauble prevents you from being held. Some monsters will paralyse you and then kill you if you lack free action.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_WEAKNESS',
  name = 'RING_WEAKNESS',
  display_name = 'Weakness',
  color = colors.C_d,
  cost = 0,
  flags = { CURSED=1, STR=1, HIDE_TYPE=1 },
  obvious_flags = { STR=1 },
  sval = 2,
  level = 5,
  desc = 'This accursed ring will sap your strength, rendering you much weaker as long as you wear it.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_FLAMES',
  name = 'RING_FLAMES',
  display_name = 'Flames',
  color = colors.C_d,
  cost = 3000,
  combat = { 0, 0, 0, 0 },
  flags = { RES_FIRE=1, IGNORE_FIRE=1, ACTIVATE=1 },
  obvious_flags = { RES_FIRE=1 },
  desc = 'This fiery circlet grants you protection, makes fire less dangerous and even allows you to call forth a ball of flame.',
  extra = 0,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
  adj_pval = 15,
  sval = 18,
  activation = 'HARDCORE=BA_FIRE_4',
  level = 50,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_ACID',
  name = 'RING_ACID',
  display_name = 'Acid',
  color = colors.C_d,
  cost = 3000,
  combat = { 0, 0, 0, 0 },
  flags = { RES_ACID=1, IGNORE_ACID=1, ACTIVATE=1 },
  obvious_flags = { RES_ACID=1 },
  desc = 'This magical ring is imbued with spells of devouring acid, granting protection against such assaults and the ability to shoot acid at your foes.',
  extra = 0,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
  adj_pval = 15,
  sval = 17,
  activation = 'HARDCORE=BA_ACID_4',
  level = 50,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_ICE',
  name = 'RING_ICE',
  display_name = 'Ice',
  color = colors.C_d,
  cost = 3000,
  combat = { 0, 0, 0, 0 },
  flags = { RES_COLD=1, IGNORE_COLD=1, ACTIVATE=1 },
  obvious_flags = { RES_COLD=1 },
  desc = 'This ring is imbued with supernatural cold, which makes you less vulnerable to such effects and occasionally allows you to throw balls of ice at your foes.',
  extra = 0,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
  adj_pval = 15,
  sval = 19,
  activation = 'HARDCORE=BA_COLD_4',
  level = 50,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_WOE',
  name = 'RING_WOE',
  display_name = 'Woe',
  color = colors.C_d,
  cost = 0,
  flags = { CURSED=1, TELEPORT=1, WIS=1, CHR=1, HIDE_TYPE=1, AUTO_CURSE=1 },
  sval = 0,
  level = 50,
  desc = 'This accursed ring will turn you into a bumbling fool and, in addition, magically transports you to places you never wanted to see. It can recurse itself if you leave it on too long.',
  extra = 0,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_STUPIDITY',
  name = 'RING_STUPIDITY',
  display_name = 'Stupidity',
  color = colors.C_d,
  cost = 0,
  flags = { CURSED=1, INT=1, HIDE_TYPE=1 },
  obvious_flags = { INT=1 },
  sval = 3,
  level = 5,
  desc = 'This wicked ring feeds off your intellect, magically making you stupid.',
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_DAMAGE',
  name = 'RING_DAMAGE',
  display_name = 'Damage',
  color = colors.C_d,
  cost = 500,
  flags = { HIDE_TYPE=1 },
  sval = 29,
  level = 20,
  desc = 'This ring makes your hands magically strong in combat, allowing you to inflict greater pain with your hand-to-hand attacks.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_ACCURACY',
  name = 'RING_ACCURACY',
  display_name = 'Accuracy',
  color = colors.C_d,
  cost = 500,
  flags = { HIDE_TYPE=1 },
  sval = 28,
  level = 20,
  desc = 'This ring magically improves your control in combat, allowing you to hit more often.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_PROTECTION',
  name = 'RING_PROTECTION',
  display_name = 'Protection',
  color = colors.C_d,
  cost = 500,
  sval = 16,
  level = 10,
  desc = 'This ring creates a magical aura around you, protecting you against the blows of your enemies.',
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_AGGRAVATE_MONSTER',
  name = 'RING_AGGRAVATE_MONSTER',
  display_name = 'Aggravate Monster',
  color = colors.C_d,
  cost = 0,
  flags = { CURSED=1, AGGRAVATE=1, EASY_KNOW=1, AUTO_CURSE=1 },
  obvious_flags = { AGGRAVATE=1 },
  sval = 1,
  level = 5,
  desc = [[This faithless ring will draw opponents' attention towards its hapless owner.]],
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SEE_INVISIBLE',
  name = 'RING_SEE_INVISIBLE',
  display_name = 'See Invisible',
  color = colors.C_d,
  cost = 340,
  flags = { SEE_INVIS=1, EASY_KNOW=1 },
  obvious_flags = { SEE_INVIS=1 },
  sval = 22,
  level = 30,
  desc = 'This magical piece of jewellery allows your eyes to perceive beings otherwise unseen.',
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_STRENGTH',
  name = 'RING_SUSTAIN_STRENGTH',
  display_name = 'Sustain Strength',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_STR=1, EASY_KNOW=1 },
  obvious_flags = { SUST_STR=1 },
  sval = 10,
  level = 20,
  desc = 'This magical bauble protects your physical force against attacks attempting to drain it.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_INTELLIGENCE',
  name = 'RING_SUSTAIN_INTELLIGENCE',
  display_name = 'Sustain Intelligence',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_INT=1, EASY_KNOW=1 },
  obvious_flags = { SUST_INT=1 },
  sval = 11,
  level = 20,
  desc = 'This magical ring protects your intellect against attempts to lower it.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_WISDOM',
  name = 'RING_SUSTAIN_WISDOM',
  display_name = 'Sustain Wisdom',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_WIS=1, EASY_KNOW=1 },
  obvious_flags = { SUST_WIS=1 },
  sval = 12,
  level = 20,
  desc = 'This magical ring protects you from attempts to make you more foolish.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_CONSTITUTION',
  name = 'RING_SUSTAIN_CONSTITUTION',
  display_name = 'Sustain Constitution',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_CON=1, EASY_KNOW=1 },
  obvious_flags = { SUST_CON=1 },
  sval = 13,
  level = 20,
  desc = 'This magical ring protects your health, making it impossible for your opponents to lower it.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_DEXTERITY',
  name = 'RING_SUSTAIN_DEXTERITY',
  display_name = 'Sustain Dexterity',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_DEX=1, EASY_KNOW=1 },
  obvious_flags = { SUST_DEX=1 },
  sval = 14,
  level = 20,
  desc = 'This magical ring protects your nerves, so that you will never become clumsy.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SUSTAIN_CHARISMA',
  name = 'RING_SUSTAIN_CHARISMA',
  display_name = 'Sustain Charisma',
  color = colors.C_d,
  cost = 400,
  flags = { SUST_CHR=1, EASY_KNOW=1 },
  obvious_flags = { SUST_CHR=1 },
  sval = 15,
  level = 20,
  desc = 'This ring magically protects your beauty and charm from attempts to make you ugly.',
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SLAYING',
  name = 'RING_SLAYING',
  display_name = 'Slaying',
  color = colors.C_d,
  cost = 1000,
  flags = { SHOW_MODS=1 },
  sval = 30,
  level = 40,
  desc = 'This ring magically improves your fighting prowess, allowing to hit more often and harder.',
  extra = 0,
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SPELL',
  name = 'RING_SPELL',
  display_name = 'Spell',
  color = colors.C_d,
  cost = 1000,
  flags = { SPELL_CONTAIN=1, WIELD_CAST=1 },
  obvious_flags = { SPELL_CONTAIN=1 },
  sval = 58,
  level = 10,
  desc = 'This ring is a container for spells. Those that are skilled in copying spells can inscribe a spell into it.',
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_FEAR_RESISTANCE',
  name = 'RING_FEAR_RESISTANCE',
  display_name = 'Fear Resistance',
  color = colors.C_d,
  cost = 300,
  flags = { RES_FEAR=1, EASY_KNOW=1 },
  obvious_flags = { RES_FEAR=1 },
  sval = 38,
  level = 10,
  desc = 'This ring grants courage, so that you can never become afraid.',
  extra = 0,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_LIGHT_AND_DARKNESS_RESISTANCE',
  name = 'RING_LIGHT_AND_DARKNESS_RESISTANCE',
  display_name = 'Light and Darkness Resistance',
  color = colors.C_d,
  cost = 3000,
  flags = { RES_LITE=1, RES_DARK=1, EASY_KNOW=1 },
  obvious_flags = { RES_LITE=1, RES_DARK=1 },
  sval = 39,
  level = 30,
  desc = 'This ring protects against fluctuations of the light.',
  extra = 0,
  allocation = '30/2',
  level_range = { 30, 30 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_NETHER_RESISTANCE',
  name = 'RING_NETHER_RESISTANCE',
  display_name = 'Nether Resistance',
  color = colors.C_d,
  cost = 14500,
  flags = { RES_NETHER=1, HOLD_LIFE=1, EASY_KNOW=1 },
  obvious_flags = { RES_NETHER=1 },
  sval = 40,
  level = 34,
  desc = 'This blessed ring improves your life force, protecting you from the draining forces of nether and other attempts to suck your lifeblood.',
  extra = 0,
  allocation = '34/2',
  level_range = { 34, 34 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_NEXUS_RESISTANCE',
  name = 'RING_NEXUS_RESISTANCE',
  display_name = 'Nexus Resistance',
  color = colors.C_d,
  cost = 3000,
  flags = { RES_NEXUS=1, EASY_KNOW=1 },
  obvious_flags = { RES_NEXUS=1 },
  sval = 41,
  level = 24,
  desc = 'This ring of stability protects you from the warping forces of nexus.',
  extra = 0,
  allocation = '24/2',
  level_range = { 24, 24 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SOUND_RESISTANCE',
  name = 'RING_SOUND_RESISTANCE',
  display_name = 'Sound Resistance',
  color = colors.C_d,
  cost = 3000,
  flags = { RES_SOUND=1, EASY_KNOW=1 },
  obvious_flags = { RES_SOUND=1 },
  sval = 42,
  level = 26,
  desc = 'This ring projects an aura of quiet around you, protecting you from loud noise.',
  extra = 0,
  allocation = '26/2',
  level_range = { 26, 26 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_CONFUSION_RESISTANCE',
  name = 'RING_CONFUSION_RESISTANCE',
  display_name = 'Confusion Resistance',
  color = colors.C_d,
  cost = 3000,
  flags = { RES_CONF=1, EASY_KNOW=1 },
  obvious_flags = { RES_CONF=1 },
  sval = 43,
  level = 22,
  desc = 'This ring stabilises your mind, protecting you from all kinds of befuddlement.',
  extra = 0,
  allocation = '22/2',
  level_range = { 22, 22 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_SHARD_RESISTANCE',
  name = 'RING_SHARD_RESISTANCE',
  display_name = 'Shard Resistance',
  color = colors.C_d,
  cost = 3000,
  flags = { RES_SHARDS=1, EASY_KNOW=1 },
  obvious_flags = { RES_SHARDS=1 },
  sval = 44,
  level = 25,
  desc = 'This piece of jewellery magically toughens your skin, protecting you from flying shrapnel.',
  extra = 0,
  allocation = '25/2',
  level_range = { 25, 25 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_DISENCHANTMENT_RESISTANCE',
  name = 'RING_DISENCHANTMENT_RESISTANCE',
  display_name = 'Disenchantment Resistance',
  color = colors.C_d,
  cost = 15000,
  flags = { RES_DISEN=1, EASY_KNOW=1 },
  obvious_flags = { RES_DISEN=1 },
  sval = 45,
  level = 90,
  desc = 'This rare ring of preservation protects your equipment from attempts to sap its magic, also causing you to suffer less pain from such attacks.',
  extra = 0,
  allocation = '90/10',
  level_range = { 90, 90 },
  rarity = 10,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_CHAOS_RESISTANCE',
  name = 'RING_CHAOS_RESISTANCE',
  display_name = 'Chaos Resistance',
  color = colors.C_d,
  cost = 13000,
  flags = { RES_CHAOS=1, RES_CONF=1, EASY_KNOW=1 },
  obvious_flags = { RES_CHAOS=1 },
  sval = 46,
  level = 50,
  desc = 'This ring protects you from the horribly warping forces of chaos.',
  extra = 0,
  allocation = '50/2',
  level_range = { 50, 50 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_BLINDNESS_RESISTANCE',
  name = 'RING_BLINDNESS_RESISTANCE',
  display_name = 'Blindness Resistance',
  color = colors.C_d,
  cost = 7500,
  flags = { RES_BLIND=1, EASY_KNOW=1 },
  obvious_flags = { RES_BLIND=1 },
  sval = 47,
  level = 60,
  desc = 'This ring magically preserves your eyesight, making you impervious to any attempt to blind you.',
  extra = 0,
  allocation = '60/2',
  level_range = { 60, 60 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_LORDLY_PROTECTION',
  name = 'RING_LORDLY_PROTECTION',
  display_name = 'Lordly Protection',
  color = colors.C_d,
  cost = 100000,
  flags = { RES_DISEN=1, RES_POIS=1, HOLD_LIFE=1, FREE_ACT=1 },
  obvious_flags = { RES_DISEN=1, RES_POIS=1, HOLD_LIFE=1, FREE_ACT=1 },
  sval = 48,
  level = 100,
  desc = 'This blessed ring will protect you from disenchantment, poison, attempts to drain your life force and holding magic.',
  extra = 0,
  allocation = '100/5',
  level_range = { 100, 100 },
  rarity = 5,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_EXTRA_ATTACKS',
  name = 'RING_EXTRA_ATTACKS',
  display_name = 'Extra Attacks',
  color = colors.C_d,
  cost = 100000,
  flags = { BLOWS=1 },
  obvious_flags = { BLOWS=1 },
  sval = 49,
  level = 50,
  desc = 'This powerful ring of fighters greatly enhances your fighting speed, allowing you to attack more often in a round of combat.',
  extra = 0,
  allocation = '50/2',
  level_range = { 50, 50 },
  rarity = 2,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'DURIN_BASE',
  name = 'DURIN_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 65000,
  insta_art = true,
  special_gene = true,
  sval = 57,
  level = 70,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'BARAHIR_BASE',
  name = 'BARAHIR_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 65000,
  insta_art = true,
  sval = 32,
  level = 50,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'TULKAS_BASE',
  name = 'TULKAS_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 150000,
  insta_art = true,
  sval = 33,
  level = 90,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'NARYA_BASE',
  name = 'NARYA_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 100000,
  insta_art = true,
  special_gene = true,
  sval = 34,
  level = 80,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'NENYA_BASE',
  name = 'NENYA_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 200000,
  insta_art = true,
  sval = 35,
  level = 90,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'VILYA_BASE',
  name = 'VILYA_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 300000,
  insta_art = true,
  sval = 36,
  level = 100,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'ONE_RING_BASE',
  name = 'ONE_RING_BASE',
  display_name = '& Ring~',
  color = colors.C_y,
  cost = 5000000,
  insta_art = true,
  sval = 37,
  level = 110,
  extra = 0,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_NOTHING',
  name = 'RING_NOTHING',
  display_name = 'Nothing',
  color = colors.C_d,
  cost = 20,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  sval = 50,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_LIGHTNING',
  name = 'RING_LIGHTNING',
  display_name = 'Lightning',
  color = colors.C_d,
  cost = 3000,
  combat = { 0, 0, 0, 0 },
  flags = { RES_ELEC=1, IGNORE_ELEC=1, ACTIVATE=1 },
  obvious_flags = { RES_ELEC=1 },
  desc = 'This sparkling circlet grants you protection, makes electricity less dangerous and even allows you to call forth a ball of lightning.',
  extra = 0,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
  adj_pval = 15,
  sval = 56,
  activation = 'HARDCORE=BA_ELEC_4',
  level = 50,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'FLARE_BASE',
  name = 'FLARE_BASE',
  display_name = '& Ring~',
  color = colors.C_y,
  cost = 75000,
  insta_art = true,
  sval = 52,
  level = 50,
  extra = 25,
  pval = 5,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_INVISIBILITY',
  name = 'RING_INVISIBILITY',
  display_name = 'Invisibility',
  color = colors.C_d,
  cost = 10000,
  flags = { INVIS=1, HIDE_TYPE=1 },
  obvious_flags = { INVIS=1 },
  sval = 53,
  level = 50,
  desc = 'This magical bauble will hide you from sight.',
  extra = 0,
  pval = 4,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_RING_OF_PRECOGNITION',
  name = 'RING_RING_OF_PRECOGNITION',
  display_name = '& Ring~ of Precognition',
  color = colors.C_d,
  cost = 300000,
  norm_art = true,
  flags = { PRECOGNITION=1, FULL_NAME=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  obvious_flags = { PRECOGNITION=1 },
  artifact_info = '45:23',
  sval = 51,
  level = 90,
  desc = 'This magical ring allows you to know what you will encounter in the near future.',
  extra = 0,
  allocation = '90/100',
  level_range = { 90, 90 },
  rarity = 100,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_FLYING',
  name = 'RING_FLYING',
  display_name = 'Flying',
  color = colors.C_d,
  cost = 16000,
  flags = { FLY=1, EASY_KNOW=1 },
  obvious_flags = { FLY=1 },
  sval = 54,
  level = 20,
  desc = 'This ring is imbued with the power of eagles. It grants you the power of flight.',
  extra = 0,
  allocation = '20/3',
  level_range = { 20, 20 },
  rarity = 3,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'PHASING_BASE',
  name = 'PHASING_BASE',
  display_name = '& Ring~',
  color = colors.C_d,
  cost = 300000,
  insta_art = true,
  special_gene = true,
  sval = 55,
  level = 110,
  extra = 0,
  allocation = '110/5',
  level_range = { 110, 110 },
  rarity = 5,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_RING_OF_POWER',
  name = 'RING_RING_OF_POWER',
  display_name = 'Ring~ of Power',
  color = colors.C_d,
  cost = 1,
  special_gene = true,
  flags = { INVIS=1, DRAIN_EXP=1, CURSED=1, HEAVY_CURSE=1, CURSE_NO_DROP=1, FULL_NAME=1 },
  obvious_flags = { INVIS=1 },
  sval = 5,
  level = 100,
  extra = 0,
  allocation = '100/100',
  level_range = { 100, 100 },
  rarity = 100,
}

newEntity {
  base = 'RING_BASE',
  define_as = 'RING_CRITICAL_HITS',
  name = 'RING_CRITICAL_HITS',
  display_name = 'Critical Hits',
  color = colors.C_d,
  cost = 10000,
  flags = { CRIT=1 },
  obvious_flags = { CRIT=1 },
  sval = 59,
  level = 50,
  desc = 'A magical ring to make it likelier for the wearer to hit exceptionally heavily.',
  extra = 0,
  allocation = '50/3',
  level_range = { 50, 50 },
  rarity = 3,
}
-- 60 total items
-- color:  colors.C_d=58; colors.C_y=2
-- cost:  0=4; 1=1; 1000=2; 10000=2; 100000=4; 13000=1; 14500=1; 1500=1; 15000=1; 150000=1; 16000=2; 20=1; 200=1; 200000=1; 250=5; 300=1; 3000=9; 300000=3; 340=1; 400=6; 500=7; 5000000=1; 65000=2; 7500=1; 75000=1
-- artifact_info:  45:23=1
-- extra:  0=59; 25=1
-- adj_pval:  0=1; 15=4
-- activation:  HARDCORE=BA_ACID_4=1; HARDCORE=BA_COLD_4=1; HARDCORE=BA_ELEC_4=1; HARDCORE=BA_FIRE_4=1; HARDCORE=DEST_TELE=1
-- level:  10=5; 100=3; 110=2; 20=10; 22=1; 24=1; 25=1; 26=1; 30=6; 34=1; 40=1; 5=8; 50=11; 60=2; 70=1; 75=1; 80=1; 90=4
-- pval:  4=1; 5=1
