-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_HAVOC',
  name = 'TIP_HAVOC',
  display_name = 'Havoc',
  cost = 150000,
  sval = 28,
  level = 95,
  desc = [[This powerful rod will release great blasts of destructive energy, but there's no knowing what this effect will concentrate on.]],
  pval = 90,
  allocation = '100/16',
  level_range = { 100, 100 },
  rarity = 16,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_DOOR_STAIR_LOCATION',
  name = 'TIP_DOOR_STAIR_LOCATION',
  display_name = 'Door/Stair Location',
  cost = 1000,
  sval = 1,
  level = 15,
  desc = 'When fuelled with enough ambient mana, this rod can detect nearby passages.',
  pval = 10,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_TRAP_LOCATION',
  name = 'TIP_TRAP_LOCATION',
  display_name = 'Trap Location',
  cost = 100,
  sval = 29,
  level = 5,
  desc = 'Zapping this rod will release a minor detection magic, alerting you of nearby pits and snares.',
  pval = 8,
  allocation = '5/1:10/1:20/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_PROBING',
  name = 'TIP_PROBING',
  display_name = 'Probing',
  cost = 4000,
  sval = 7,
  level = 40,
  desc = [[A rod of knowledge which will tell you about nearby creatures' health.]],
  pval = 50,
  allocation = '40/4',
  level_range = { 40, 40 },
  rarity = 4,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_RECALL',
  name = 'TIP_RECALL',
  display_name = 'Recall',
  cost = 4500,
  sval = 3,
  level = 30,
  desc = 'A rod which can transport you from the depths to your home and back.',
  pval = 80,
  allocation = '30/4',
  level_range = { 30, 30 },
  rarity = 4,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_ILLUMINATION',
  name = 'TIP_ILLUMINATION',
  display_name = 'Illumination',
  cost = 1000,
  sval = 4,
  level = 20,
  desc = 'This rod carries a minor spell of brightness, lighting your immediate surroundings whenever activated.',
  pval = 8,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_LIGHT',
  name = 'TIP_LIGHT',
  display_name = 'Light',
  cost = 500,
  sval = 15,
  level = 10,
  desc = 'This rod can shoot a lance of bright light, hurting creatures which lurk in the dark.',
  pval = 15,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_LIGHTNING_BOLTS',
  name = 'TIP_LIGHTNING_BOLTS',
  display_name = 'Lightning Bolts',
  cost = 2000,
  sval = 21,
  level = 20,
  desc = 'This rod shoots a small spark of lightning, zapping the creature it hits.',
  pval = 30,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_FROST_BOLTS',
  name = 'TIP_FROST_BOLTS',
  display_name = 'Frost Bolts',
  cost = 2500,
  sval = 23,
  level = 25,
  desc = 'A small but extremely cold shard of ice will fly from this rod to your enemy.',
  pval = 35,
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_FIRE_BOLTS',
  name = 'TIP_FIRE_BOLTS',
  display_name = 'Fire Bolts',
  cost = 3000,
  sval = 22,
  level = 30,
  desc = 'This rod fires a magical flaming arrow at your foe, burning it.',
  pval = 40,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_POLYMORPH',
  name = 'TIP_POLYMORPH',
  display_name = 'Polymorph',
  cost = 1200,
  sval = 19,
  level = 35,
  desc = 'This rod of change will cause its target creature to mutate into something else.',
  pval = 25,
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_SLOW_MONSTER',
  name = 'TIP_SLOW_MONSTER',
  display_name = 'Slow Monster',
  cost = 1500,
  sval = 17,
  level = 30,
  desc = 'This obstructive rod emits an energy bolt which will slow the creature it hits.',
  pval = 25,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_SLEEP_MONSTER',
  name = 'TIP_SLEEP_MONSTER',
  display_name = 'Sleep Monster',
  cost = 1500,
  sval = 16,
  level = 30,
  desc = 'This sorcerous rod will cause its target to stop in its tracks.',
  pval = 25,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_DRAIN_LIFE',
  name = 'TIP_DRAIN_LIFE',
  display_name = 'Drain Life',
  cost = 3600,
  sval = 18,
  level = 75,
  desc = 'This necromantic magical rod will hurt a living creature struck by its spell.',
  pval = 30,
  allocation = '75/4',
  level_range = { 75, 75 },
  rarity = 4,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_TELEPORT_OTHER',
  name = 'TIP_TELEPORT_OTHER',
  display_name = 'Teleport Other',
  cost = 1400,
  sval = 13,
  level = 45,
  desc = 'This rod of movement will displace its target to another location.',
  pval = 60,
  allocation = '45/2',
  level_range = { 45, 45 },
  rarity = 2,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_DISARMING',
  name = 'TIP_DISARMING',
  display_name = 'Disarming',
  cost = 2100,
  sval = 14,
  level = 35,
  desc = 'This rod will clear a path for you, triggering and thus rendering harmless all traps on the way.',
  pval = 50,
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_LIGHTNING_BALLS',
  name = 'TIP_LIGHTNING_BALLS',
  display_name = 'Lightning Balls',
  cost = 4000,
  sval = 25,
  level = 55,
  desc = 'This rod will hurl a large ball of lightning at its target, electrifying all it engulfs.',
  pval = 50,
  allocation = '55/1',
  level_range = { 55, 55 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_COLD_BALLS',
  name = 'TIP_COLD_BALLS',
  display_name = 'Cold Balls',
  cost = 4500,
  sval = 27,
  level = 60,
  desc = 'This rod will call forth a minor storm of ice which freezes everything in the area of its blast.',
  pval = 55,
  allocation = '60/1',
  level_range = { 60, 60 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_FIRE_BALLS',
  name = 'TIP_FIRE_BALLS',
  display_name = 'Fire Balls',
  cost = 5000,
  sval = 26,
  level = 75,
  desc = 'This rod will cause a small storm of flame to rage in a small circular area of your choice.',
  pval = 60,
  allocation = '75/1',
  level_range = { 75, 75 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_ACID_BALLS',
  name = 'TIP_ACID_BALLS',
  display_name = 'Acid Balls',
  cost = 5500,
  sval = 24,
  level = 70,
  desc = 'This destructive rod will drown its target and its immediate surroundings in caustic acid.',
  pval = 60,
  allocation = '70/1',
  level_range = { 70, 70 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_ACID_BOLTS',
  name = 'TIP_ACID_BOLTS',
  display_name = 'Acid Bolts',
  cost = 3500,
  sval = 20,
  level = 40,
  desc = 'This rod will shoot a small glob of powerful acid at its target.',
  pval = 40,
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_ENLIGHTENMENT',
  name = 'TIP_ENLIGHTENMENT',
  display_name = 'Enlightenment',
  cost = 10000,
  sval = 5,
  level = 65,
  desc = 'This rod grants you knowledge of your surroundings.',
  pval = 40,
  allocation = '65/4',
  level_range = { 65, 65 },
  rarity = 4,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_PERCEPTION',
  name = 'TIP_PERCEPTION',
  display_name = 'Perception',
  cost = 13000,
  sval = 2,
  level = 50,
  desc = 'This rod makes you insightful, laying open the identity of your possessions.',
  pval = 20,
  allocation = '50/8:100/8',
  level_range = { 50, 50 },
  rarity = 8,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_CURING',
  name = 'TIP_CURING',
  display_name = 'Curing',
  cost = 15000,
  sval = 8,
  level = 65,
  desc = 'This is a rod with minor healing powers, alleviating many disabling conditions.',
  pval = 35,
  allocation = '65/8',
  level_range = { 65, 65 },
  rarity = 8,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_HEALING',
  name = 'TIP_HEALING',
  display_name = 'Healing',
  cost = 20000,
  sval = 9,
  level = 80,
  desc = 'This rod has major healing powers and can restore your health if you have been wounded.',
  pval = 120,
  allocation = '80/8',
  level_range = { 80, 80 },
  rarity = 8,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_DETECTION',
  name = 'TIP_DETECTION',
  display_name = 'Detection',
  cost = 5000,
  sval = 6,
  level = 30,
  desc = 'This rod grants knowledge about all things worthy of notice in your vicinity.',
  pval = 80,
  allocation = '30/8',
  level_range = { 30, 30 },
  rarity = 8,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_RESTORATION',
  name = 'TIP_RESTORATION',
  display_name = 'Restoration',
  cost = 25000,
  sval = 10,
  level = 80,
  desc = 'This rod lets you remember your previous abilities and gain them back, should they have been reduced.',
  pval = 140,
  allocation = '80/16',
  level_range = { 80, 80 },
  rarity = 16,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_SPEED',
  name = 'TIP_SPEED',
  display_name = 'Speed',
  cost = 50000,
  sval = 11,
  level = 95,
  desc = 'This energising rod will allow you to act a lot faster for some time.',
  pval = 100,
  allocation = '95/16',
  level_range = { 95, 95 },
  rarity = 16,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_NOTHING',
  name = 'TIP_NOTHING',
  display_name = 'Nothing',
  weight = 1,
  encumber = 1,
  cost = 50,
  sval = 0,
  level = 5,
  pval = 1,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ROD_TIP_BASE',
  define_as = 'TIP_HOME_SUMMONING',
  name = 'TIP_HOME_SUMMONING',
  display_name = 'Home Summoning',
  cost = 150000,
  norm_art = true,
  flags = { FULL_NAME=1, IGNORE_FIRE=1, IGNORE_ACID=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  artifact_info = '66:1',
  sval = 30,
  level = 90,
  desc = 'This rod creates a little hatch, allowing access to your home, no matter how far away the abode is.',
  pval = 75,
  allocation = '100/14',
  level_range = { 100, 100 },
  rarity = 14,
}
-- 30 total items
-- weight:  10=1
-- cost:  100=1; 1000=2; 10000=1; 1200=1; 13000=1; 1400=1; 1500=2; 15000=1; 150000=2; 2000=1; 20000=1; 2100=1; 2500=1; 25000=1; 3000=1; 3500=1; 3600=1; 4000=2; 4500=2; 50=1; 500=1; 5000=2; 50000=1; 5500=1
-- artifact_info:  66:1=1
-- level:  10=1; 15=1; 20=2; 25=1; 30=5; 35=2; 40=2; 45=1; 5=2; 50=1; 55=1; 60=1; 65=2; 70=1; 75=2; 80=2; 90=1; 95=2
-- pval:  1=1; 10=1; 100=1; 120=1; 140=1; 15=1; 20=1; 25=3; 30=2; 35=2; 40=3; 50=3; 55=1; 60=3; 75=1; 8=2; 80=2; 90=1
