-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'ROD_BASE',
  define_as = 'WOODEN_ROD_OF_',
  name = 'WOODEN_ROD_OF_',
  display_name = '& Wooden Rod~ of#',
  color = colors.C_u,
  weight = 1.5,
  encumber = 1.5,
  cost = 100,
  sval = 10,
  level = 10,
  desc = [[The most common rod of all. It's the wood of oak, cut at midnight by a fair maiden.]],
  allocation = '5/1:10/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'COPPER_ROD_OF_',
  name = 'COPPER_ROD_OF_',
  display_name = '& Copper Rod~ of#',
  color = colors.C_s,
  weight = 1.5,
  encumber = 1.5,
  cost = 200,
  sval = 20,
  level = 15,
  desc = 'This is the common rod of the dwarves.  It is created by chanting incessantly for 48 hours.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'IRON_ROD_OF_',
  name = 'IRON_ROD_OF_',
  display_name = '& Iron Rod~ of#',
  color = colors.C_D,
  weight = 1.5,
  encumber = 1.5,
  cost = 500,
  sval = 50,
  level = 20,
  desc = 'This is the better version of the copper rod. It has been forged with iron that comes from the greatest deeps, where even the dwarves fear to go.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'MOONSTONE_ROD_OF_',
  name = 'MOONSTONE_ROD_OF_',
  display_name = '& Moonstone Rod~ of#',
  color = colors.C_U,
  weight = 1.5,
  encumber = 1.5,
  cost = 750,
  sval = 75,
  level = 25,
  desc = 'This rod has been fashioned from moonrock.  Its alien nature gives it quite a bit of capacity.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'SILVER_ROD_OF_',
  name = 'SILVER_ROD_OF_',
  display_name = '& Silver Rod~ of#',
  color = colors.C_s,
  weight = 1.5,
  encumber = 1.5,
  cost = 1000,
  sval = 100,
  level = 30,
  desc = 'This rod is used often used by court mages. Its creation costs an insane amount of gold but it is still lesser than a Golden Rod.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'GOLDEN_ROD_OF_',
  name = 'GOLDEN_ROD_OF_',
  display_name = '& Golden Rod~ of#',
  color = colors.C_y,
  weight = 1.5,
  encumber = 1.5,
  cost = 1250,
  sval = 125,
  level = 40,
  desc = 'These rods are rare, since finding gold that can withstand the great magic capacity that this rod holds is very difficult.',
  allocation = '40/2',
  level_range = { 40, 40 },
  rarity = 2,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'MITHRIL_ROD_OF_',
  name = 'MITHRIL_ROD_OF_',
  display_name = '& Mithril Rod~ of#',
  color = colors.C_B,
  weight = 1.5,
  encumber = 1.5,
  cost = 1600,
  sval = 160,
  level = 50,
  desc = 'The mithril of this rod comes from very deep, too deep. Unknown powers have been infused in this rod, making it the second most powerful type of rod on Middle-earth.',
  allocation = '50/5',
  level_range = { 50, 50 },
  rarity = 5,
}

newEntity {
  base = 'ROD_BASE',
  define_as = 'ADAMANTITE_ROD_OF_',
  name = 'ADAMANTITE_ROD_OF_',
  display_name = '& Adamantite Rod~ of#',
  color = colors.C_v,
  weight = 1.5,
  encumber = 1.5,
  cost = 2000,
  sval = 200,
  level = 60,
  desc = 'This is the rarest and most powerful kind of rod there is.  Treasure it!',
  allocation = '60/10',
  level_range = { 60, 60 },
  rarity = 10,
}
-- 8 total items
-- color:  colors.C_B=1; colors.C_D=1; colors.C_U=1; colors.C_s=2; colors.C_u=1; colors.C_v=1; colors.C_y=1
-- weight:  15=8
-- cost:  100=1; 1000=1; 1250=1; 1600=1; 200=1; 2000=1; 500=1; 750=1
-- level:  10=1; 15=1; 20=1; 25=1; 30=1; 40=1; 50=1; 60=1
