-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_SELF',
  name = 'RUNE_SELF',
  display_name = 'Self',
  color = colors.C_b,
  cost = 40,
  sval = 0,
  level = 3,
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_RAY',
  name = 'RUNE_RAY',
  display_name = 'Ray',
  color = colors.C_b,
  cost = 300,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1 },
  sval = 2,
  level = 10,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_SPHERE',
  name = 'RUNE_SPHERE',
  display_name = 'Sphere',
  color = colors.C_b,
  cost = 1000,
  flags = { IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 3,
  level = 15,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_KNOWLEDGE',
  name = 'RUNE_KNOWLEDGE',
  display_name = 'Knowledge',
  color = colors.C_b,
  cost = 200,
  sval = 91,
  level = 6,
  allocation = '6/1',
  level_range = { 6, 6 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_LIFE',
  name = 'RUNE_LIFE',
  display_name = 'Life',
  color = colors.C_D,
  cost = 200,
  sval = 53,
  level = 3,
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_FIRE',
  name = 'RUNE_FIRE',
  display_name = 'Fire',
  color = colors.C_r,
  cost = 300,
  flags = { IGNORE_FIRE=1 },
  sval = 5,
  level = 10,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_COLD',
  name = 'RUNE_COLD',
  display_name = 'Cold',
  color = colors.C_b,
  cost = 300,
  flags = { IGNORE_COLD=1 },
  sval = 4,
  level = 12,
  allocation = '12/1',
  level_range = { 12, 12 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_LIGHTNING',
  name = 'RUNE_LIGHTNING',
  display_name = 'Lightning',
  color = colors.C_W,
  cost = 300,
  flags = { IGNORE_ELEC=1 },
  sval = 1,
  level = 13,
  allocation = '13/1',
  level_range = { 13, 13 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_ACID',
  name = 'RUNE_ACID',
  display_name = 'Acid',
  color = colors.C_B,
  cost = 300,
  flags = { IGNORE_ACID=1 },
  sval = 3,
  level = 16,
  allocation = '16/1',
  level_range = { 16, 16 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_ELEMENT',
  name = 'RUNE_ELEMENT',
  display_name = 'Element',
  color = colors.C_g,
  cost = 1000,
  flags = { IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 10,
  level = 23,
  allocation = '23/1',
  level_range = { 23, 23 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_CHAOS',
  name = 'RUNE_CHAOS',
  display_name = 'Chaos',
  color = colors.C_v,
  cost = 2000,
  flags = { ATTR_MULTI=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  sval = 30,
  level = 26,
  allocation = '26/1',
  level_range = { 26, 26 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_MIND',
  name = 'RUNE_MIND',
  display_name = 'Mind',
  color = colors.C_D,
  cost = 3000,
  flags = { IGNORE_ELEC=1 },
  sval = 85,
  level = 19,
  allocation = '19/1',
  level_range = { 19, 19 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_HOLDING',
  name = 'RUNE_HOLDING',
  display_name = 'Holding',
  color = colors.C_B,
  cost = 500,
  flags = { IGNORE_ACID=1 },
  sval = 75,
  level = 5,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_ARROW',
  name = 'RUNE_ARROW',
  display_name = 'Arrow',
  color = colors.C_b,
  cost = 100,
  flags = { IGNORE_ELEC=1 },
  sval = 1,
  level = 6,
  allocation = '6/1',
  level_range = { 6, 6 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_POWER_SURGE',
  name = 'RUNE_POWER_SURGE',
  display_name = 'Power Surge',
  color = colors.C_b,
  cost = 5000,
  flags = { IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1, IGNORE_ACID=1 },
  sval = 4,
  level = 50,
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_ARMAGEDDON',
  name = 'RUNE_ARMAGEDDON',
  display_name = 'Armageddon',
  color = colors.C_b,
  cost = 4000,
  flags = { IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1, IGNORE_ACID=1 },
  sval = 5,
  level = 30,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_GRAVITY',
  name = 'RUNE_GRAVITY',
  display_name = 'Gravity',
  color = colors.C_G,
  cost = 300,
  flags = { IGNORE_ACID=1 },
  sval = 35,
  level = 16,
  allocation = '16/1',
  level_range = { 16, 16 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_UNDEATH',
  name = 'RUNE_UNDEATH',
  display_name = 'Undeath',
  color = colors.C_G,
  cost = 1000,
  flags = { IGNORE_ACID=1 },
  sval = 92,
  level = 35,
  allocation = '35/1',
  level_range = { 35, 35 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_DAM_BASE',
  define_as = 'RUNE_PROTECTION',
  name = 'RUNE_PROTECTION',
  display_name = 'Protection',
  color = colors.C_G,
  cost = 1500,
  flags = { IGNORE_ACID=1 },
  sval = 74,
  level = 45,
  allocation = '45/1',
  level_range = { 45, 45 },
  rarity = 1,
}

newEntity {
  base = 'RUNE_MOD_BASE',
  define_as = 'RUNE_RUNESTONE',
  name = 'RUNE_RUNESTONE',
  display_name = '& Runestone~',
  color = colors.C_v,
  cost = 300,
  flags = { IGNORE_COLD=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_ACID=1 },
  sval = 255,
  level = 10,
  desc = 'A small oval stone. One surface is flat, as if something ought to be scratched or inscribed into it.',
  allocation = '10/3:20/2:30/1:60/1',
  level_range = { 10, 10 },
  rarity = 3,
}
-- 20 total items
-- color:  colors.C_B=2; colors.C_D=2; colors.C_G=3; colors.C_W=1; colors.C_b=8; colors.C_g=1; colors.C_r=1; colors.C_v=2
-- cost:  100=1; 1000=3; 1500=1; 200=2; 2000=1; 300=7; 3000=1; 40=1; 4000=1; 500=1; 5000=1
-- level:  10=3; 12=1; 13=1; 15=1; 16=2; 19=1; 23=1; 26=1; 3=2; 30=1; 35=1; 45=1; 5=1; 50=1; 6=2
