-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ENCHANT_WEAPON_TO_HIT',
  name = 'SCRL_ENCHANT_WEAPON_TO_HIT',
  display_name = 'Enchant Weapon To-Hit',
  cost = 125,
  sval = 17,
  level = 15,
  desc = 'This magical scroll will allow you to improve the accuracy of a weapon in your possession. However, weapons which are already very highly enchanted are more difficult to improve further.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ENCHANT_WEAPON_TO_DAM',
  name = 'SCRL_ENCHANT_WEAPON_TO_DAM',
  display_name = 'Enchant Weapon To-Dam',
  cost = 125,
  sval = 18,
  level = 15,
  desc = 'Upon reading this scroll, a magical enchantment will be placed on a weapon in your possession, increasing the pain it inflicts when hitting. On very highly enchanted weapons this enchantment may fail, wasting the scroll.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ENCHANT_ARMOUR',
  name = 'SCRL_ENCHANT_ARMOUR',
  display_name = 'Enchant Armour',
  cost = 125,
  sval = 16,
  level = 15,
  desc = 'This scroll will try to enchant a piece of armour in your possession, making it more effective in protecting you. Highly enchanted armour is likely not to accept this enchantment, however.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_IDENTIFY',
  name = 'SCRL_IDENTIFY',
  display_name = 'Identify',
  cost = 50,
  sval = 12,
  level = 1,
  desc = 'If you read this scroll, the identity of an item you specify will be laid open to you.',
  allocation = '1/1:5/1:10/1:30/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_IDENTIFY',
  name = 'SCRL_XTRA_IDENTIFY',
  display_name = '*Identify*',
  cost = 1000,
  sval = 13,
  level = 30,
  desc = [[This scroll will allow you to gain insight into an object's special properties. Only the highly magical objects, like rare rings and amulets or very unusual weapons and armour possess abilities which warrant the use of this magic.]],
  allocation = '30/1:50/2:80/1:100/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_RUMOUR',
  name = 'SCRL_RUMOUR',
  display_name = 'Rumour',
  cost = 10,
  sval = 51,
  level = 1,
  desc = 'A piece of paper inscribed with a little text. You may meditate over it or ignore it at your leisure.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_CHAOS',
  name = 'SCRL_CHAOS',
  display_name = 'Chaos',
  cost = 10000,
  flags = { IGNORE_FIRE=1, IGNORE_ACID=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  sval = 50,
  level = 100,
  desc = 'A piece of paper inscribed with strange shifting runes. Upon reading them, they will release a blast of chaotic forces.',
  allocation = '100/8',
  level_range = { 100, 100 },
  rarity = 8,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_REMOVE_CURSE',
  name = 'SCRL_REMOVE_CURSE',
  display_name = 'Remove Curse',
  cost = 100,
  sval = 14,
  level = 10,
  desc = 'A scroll inscribed with a beneficial formula. Upon reading it, evil magics will be removed from your possessions.',
  allocation = '10/1:20/2:40/2',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_LIGHT',
  name = 'SCRL_LIGHT',
  display_name = 'Light',
  cost = 15,
  sval = 24,
  level = 0,
  desc = 'A scroll which will create a permanent magical light, illuminating the surroundings.',
  allocation = '0/1:3/1:10/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_FIRE',
  name = 'SCRL_FIRE',
  display_name = 'Fire',
  cost = 1000,
  flags = { IGNORE_FIRE=1 },
  sval = 48,
  level = 50,
  desc = 'A piece of paper inscribed with runes glowing brightly red. Upon reading them, a large blast of fire will be released.',
  allocation = '50/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ICE',
  name = 'SCRL_ICE',
  display_name = 'Ice',
  cost = 5000,
  flags = { IGNORE_COLD=1 },
  sval = 49,
  level = 75,
  desc = 'A piece of paper inscribed with light-blue runes that radiate a strange cold. Upon reading them, a large icy blast will be released.',
  allocation = '75/6',
  level_range = { 75, 75 },
  rarity = 6,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_SUMMON_MONSTERS',
  name = 'SCRL_SUMMON_MONSTERS',
  display_name = 'Summon Monsters',
  cost = 0,
  sval = 4,
  level = 1,
  desc = 'This scroll was made by mischievous sorcerers. If it is read, a few creatures will appear to fight you.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_PHASE_DOOR',
  name = 'SCRL_PHASE_DOOR',
  display_name = 'Phase Door',
  cost = 15,
  sval = 8,
  level = 1,
  desc = 'Upon reading this scroll, you will be translocated over a short distance.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TELEPORTATION',
  name = 'SCRL_TELEPORTATION',
  display_name = 'Teleportation',
  cost = 40,
  sval = 9,
  level = 10,
  desc = 'If you read this scroll, you will immediately be transported to another place on the level.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TELEPORT_LEVEL',
  name = 'SCRL_TELEPORT_LEVEL',
  display_name = 'Teleport Level',
  cost = 50,
  sval = 10,
  level = 20,
  desc = 'This scroll will magically transport you to the level directly above or below, when read.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_MONSTER_CONFUSION',
  name = 'SCRL_MONSTER_CONFUSION',
  display_name = 'Monster Confusion',
  cost = 30,
  sval = 36,
  level = 5,
  desc = 'Reading this scroll will cause your hands to glow with a strange mesmerising light that will attempt to confuse the next creature you hit with a hand or weapon attack.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_MAGIC_MAPPING',
  name = 'SCRL_MAGIC_MAPPING',
  display_name = 'Magic Mapping',
  cost = 40,
  sval = 25,
  level = 5,
  desc = 'Reading this scroll will reveal the layout of your immediate surroundings to you.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_RUNE_OF_PROTECTION',
  name = 'SCRL_RUNE_OF_PROTECTION',
  display_name = 'Rune of Protection',
  cost = 500,
  sval = 38,
  level = 50,
  desc = 'This scroll is inscribed with a powerful protective incantation. When read, this will erect a strong magical ward around the location you currently stand on. Be aware that this magic is easily disturbed by already present structures and thus cannot work where an object is lying, or on a trap.',
  allocation = '50/2:90/4',
  level_range = { 50, 50 },
  rarity = 2,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_REMOVE_CURSE',
  name = 'SCRL_XTRA_REMOVE_CURSE',
  display_name = '*Remove Curse*',
  cost = 8000,
  sval = 15,
  level = 50,
  desc = 'This valuable scroll is inscribed with a powerful blessing capable of dispelling all but the mightiest curses which may have been laid on your possessions.',
  allocation = '50/2:75/2:85/2:95/1',
  level_range = { 50, 50 },
  rarity = 2,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TREASURE_DETECTION',
  name = 'SCRL_TREASURE_DETECTION',
  display_name = 'Treasure Detection',
  cost = 15,
  sval = 26,
  level = 0,
  desc = 'This scroll magically reveals the locations of nearby loose change to you.',
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_OBJECT_DETECTION',
  name = 'SCRL_OBJECT_DETECTION',
  display_name = 'Object Detection',
  cost = 15,
  sval = 27,
  level = 0,
  desc = 'This scroll shows nearby objects to you. It only makes you aware of items on the floor, however, not those carried by creatures.',
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TRAP_DETECTION',
  name = 'SCRL_TRAP_DETECTION',
  display_name = 'Trap Detection',
  cost = 35,
  sval = 28,
  level = 5,
  desc = 'This scroll is very helpful, because it reveals the locations of nearby snares and traps which you might otherwise blunder into.',
  allocation = '5/1:10/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_DOOR_STAIR_LOCATION',
  name = 'SCRL_DOOR_STAIR_LOCATION',
  display_name = 'Door/Stair Location',
  cost = 35,
  sval = 29,
  level = 5,
  desc = 'This scroll will reveal nearby passages.',
  allocation = '5/1:10/1:15/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ACQUIREMENT',
  name = 'SCRL_ACQUIREMENT',
  display_name = 'Acquirement',
  cost = 100000,
  sval = 46,
  level = 20,
  desc = 'A great treasure is magically stored within the shimmering runes of this scroll. Reading the words will release it.',
  allocation = '20/8',
  level_range = { 20, 20 },
  rarity = 8,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_ACQUIREMENT',
  name = 'SCRL_XTRA_ACQUIREMENT',
  display_name = '*Acquirement*',
  cost = 200000,
  sval = 47,
  level = 60,
  desc = 'Several great treasures have been hidden in a magical compartment. This scroll serves as the key and will release them when read.',
  allocation = '60/16',
  level_range = { 60, 60 },
  rarity = 16,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_MASS_GENOCIDE',
  name = 'SCRL_MASS_GENOCIDE',
  display_name = 'Mass Genocide',
  cost = 1000,
  sval = 45,
  level = 50,
  desc = 'An astoundingly powerful death spell is stored in the runes of this spell.  Reading it will annihilate all nearby creatures. Only a few beings of legendary stature can withstand it.',
  allocation = '50/4:100/4',
  level_range = { 50, 50 },
  rarity = 4,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_DETECT_INVISIBLE',
  name = 'SCRL_DETECT_INVISIBLE',
  display_name = 'Detect Invisible',
  cost = 15,
  sval = 30,
  level = 1,
  desc = 'A minor detection spell is stored in this scroll, showing you the locations of otherwise unseen beings for a brief moment.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_AGGRAVATE_MONSTER',
  name = 'SCRL_AGGRAVATE_MONSTER',
  display_name = 'Aggravate Monster',
  cost = 0,
  sval = 1,
  level = 5,
  desc = 'This nasty scroll will make a loud noise, waking up foes in your vicinity.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TRAP_CREATION',
  name = 'SCRL_TRAP_CREATION',
  display_name = 'Trap Creation',
  cost = 0,
  sval = 7,
  level = 10,
  desc = 'If you read this rather annoying scroll, snares and pitfalls will magically be planted all around you, ready to do nasty things to you once you walk onto them.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_TRAP_DOOR_DESTRUCTION',
  name = 'SCRL_TRAP_DOOR_DESTRUCTION',
  display_name = 'Trap/Door Destruction',
  cost = 50,
  sval = 39,
  level = 10,
  desc = 'A very specifically destructive spell is written on this scroll. It will smash all traps and all doors immediately next to you.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_ARTIFACT_CREATION',
  name = 'SCRL_ARTIFACT_CREATION',
  display_name = 'Artifact Creation',
  cost = 200000,
  sval = 52,
  level = 70,
  desc = 'The mighty magic on this scroll will imbue a mundane item you possess with supernatural powers, also rendering the object indestructible.',
  allocation = '70/16',
  level_range = { 70, 70 },
  rarity = 16,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_RECHARGING',
  name = 'SCRL_RECHARGING',
  display_name = 'Recharging',
  cost = 200,
  sval = 22,
  level = 40,
  desc = 'This scroll is inscribed with a spell releasing the enchantments used to give wands and staves their power, allowing you to replenish their spent charges.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_GENOCIDE',
  name = 'SCRL_GENOCIDE',
  display_name = 'Genocide',
  cost = 750,
  sval = 44,
  level = 40,
  desc = 'This rare and powerful scroll will annihilate all members of a specified race of monsters in your current location, but this will also exact a price of pain from you.',
  allocation = '40/4:80/4',
  level_range = { 40, 40 },
  rarity = 4,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_DARKNESS',
  name = 'SCRL_DARKNESS',
  display_name = 'Darkness',
  cost = 0,
  sval = 0,
  level = 1,
  desc = 'This scroll will create a blast of utter darkness, which then fades to leave the immediate surroundings in a lasting gloom. The extreme darkness can blind those who are not used to it.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_PROTECTION_FROM_EVIL',
  name = 'SCRL_PROTECTION_FROM_EVIL',
  display_name = 'Protection from Evil',
  cost = 250,
  sval = 37,
  level = 30,
  desc = 'Upon reading the runes on this piece of paper, a faint aura of holiness will spring into existence around you, protecting you from blows of evil creatures, unless they are more powerful than you.',
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_SATISFY_HUNGER',
  name = 'SCRL_SATISFY_HUNGER',
  display_name = 'Satisfy Hunger',
  cost = 10,
  sval = 32,
  level = 5,
  desc = 'Reading this scroll will transport a good portion of nourishing gruel directly into your stomach. Some people say that this is a ploy of a food producer whose food nobody wants to eat.',
  allocation = '5/1:20/1:50/1:75/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_DISPEL_UNDEAD',
  name = 'SCRL_DISPEL_UNDEAD',
  display_name = 'Dispel Undead',
  cost = 200,
  sval = 42,
  level = 40,
  desc = 'A powerful exorcism is inscribed on this scroll. When read it will hurt undead abominations nearby, possibly even destroying them.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_ENCHANT_WEAPON',
  name = 'SCRL_XTRA_ENCHANT_WEAPON',
  display_name = '*Enchant Weapon*',
  cost = 500,
  sval = 21,
  level = 50,
  desc = 'Reading this scroll will magically infuse a weapon of your choice, making it more effective in combat.',
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_CURSE_WEAPON',
  name = 'SCRL_CURSE_WEAPON',
  display_name = 'Curse Weapon',
  cost = 0,
  sval = 3,
  level = 50,
  desc = 'This scroll will ruin your weapon beyond repair. Only weapons of legend have a hope of escaping destruction, but even they will often be shattered.',
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_ENCHANT_ARMOUR',
  name = 'SCRL_XTRA_ENCHANT_ARMOUR',
  display_name = '*Enchant Armour*',
  cost = 500,
  sval = 20,
  level = 50,
  desc = 'This scroll will place a great enchantment on a piece of armour of your choice, making it much better at protecting you. Mark that improving armours which are already highly enchanted is very difficult and will often fail.',
  allocation = '50/1:50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_CURSE_ARMOUR',
  name = 'SCRL_CURSE_ARMOUR',
  display_name = 'Curse Armour',
  cost = 0,
  sval = 2,
  level = 50,
  desc = [[This scroll bears a curse that will tear your armour to shreds. Don't read it!]],
  allocation = '50/1',
  level_range = { 50, 50 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_SUMMON_UNDEAD',
  name = 'SCRL_SUMMON_UNDEAD',
  display_name = 'Summon Undead',
  cost = 0,
  sval = 5,
  level = 15,
  desc = 'These spells scribed by ancient necromancers will call their horrible creatures to haunt you.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_BLESSING',
  name = 'SCRL_BLESSING',
  display_name = 'Blessing',
  cost = 15,
  sval = 33,
  level = 1,
  desc = 'The recitation of this scroll will grant you a blessing of the Valar, making you more confident in attack and defence for a few moments.',
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_HOLY_CHANT',
  name = 'SCRL_HOLY_CHANT',
  display_name = 'Holy Chant',
  cost = 40,
  sval = 34,
  level = 10,
  desc = [[This blessing will give you a holy warrior's prowess in battle for a while.]],
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_HOLY_PRAYER',
  name = 'SCRL_HOLY_PRAYER',
  display_name = 'Holy Prayer',
  cost = 80,
  sval = 35,
  level = 25,
  desc = 'This incantation lets you fight as a warrior of Valinor for quite a while, supreme in attack and defence.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_WORD_OF_RECALL',
  name = 'SCRL_WORD_OF_RECALL',
  display_name = 'Word of Recall',
  cost = 150,
  sval = 11,
  level = 5,
  desc = 'The spell on this scroll will slowly build an ethereal conduit to the town for you if you are in a dungeon, and into the dungeon if you are above ground. Upon completion, which takes a while, you will suddenly be translocated to the other place.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_XTRA_DESTRUCTION',
  name = 'SCRL_XTRA_DESTRUCTION',
  display_name = '*Destruction*',
  cost = 250,
  sval = 41,
  level = 40,
  desc = 'This scroll is inscribed with a mighty conjuration which wrecks the dungeon all around you. Monsters and objects will be annihilated by this blast; only completely indestructible things can withstand it.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_NOTHING',
  name = 'SCRL_NOTHING',
  display_name = 'Nothing',
  cost = 2,
  sval = 53,
  level = 1,
  allocation = '1/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_SUMMON_NEVER_MOVING_PET',
  name = 'SCRL_SUMMON_NEVER_MOVING_PET',
  display_name = 'Summon Never-Moving Pet',
  cost = 125,
  sval = 6,
  level = 5,
  desc = 'A piece of paper, inscribed with runes which will summon an immobile creature to your aid.',
  allocation = '5/1:15/1:25/1:35/1:65/1:85/1:95/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_CRAFTSMANSHIP',
  name = 'SCRL_CRAFTSMANSHIP',
  display_name = 'Craftsmanship',
  cost = 200000,
  sval = 19,
  level = 80,
  desc = 'A powerful scroll, desired by many, as it can magically improve the special powers of magical weaponry.',
  allocation = '80/16',
  level_range = { 80, 80 },
  rarity = 16,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_RESET_RECALL',
  name = 'SCRL_RESET_RECALL',
  display_name = 'Reset Recall',
  cost = 125,
  sval = 23,
  level = 20,
  desc = 'A strange formula is inscribed on this scroll, which allows you to define another place as the location to which recalls shall move you.',
  allocation = '20/1:25/1:35/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_DIVINATION',
  name = 'SCRL_DIVINATION',
  display_name = 'Divination',
  cost = 600,
  sval = 31,
  level = 20,
  desc = 'This scroll is inscribed with a ritual which allows you to discern what fate holds in store for you.',
  allocation = '30/1:45/1:55/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_OLD_SCROLL_OF_DEINCARNATION',
  name = 'SCRL_OLD_SCROLL_OF_DEINCARNATION',
  display_name = '& Old Scroll~ of Deincarnation',
  cost = 160000,
  norm_art = true,
  flags = { FULL_NAME=1, IGNORE_ACID=1, IGNORE_ELEC=1, IGNORE_FIRE=1, IGNORE_COLD=1 },
  artifact_info = '70:51',
  sval = 40,
  level = 90,
  desc = 'It allows you to leave your body to reincarnate into another one. However, your current body is lost in the process.',
  allocation = '90/140',
  level_range = { 90, 90 },
  rarity = 140,
}

newEntity {
  base = 'SCROLL_BASE',
  define_as = 'SCRL_CRUMPLED_SCROLL_OF_MASS_RESURRECTION',
  name = 'SCRL_CRUMPLED_SCROLL_OF_MASS_RESURRECTION',
  display_name = '& Crumpled Scroll~ of Mass Resurrection',
  cost = 0,
  norm_art = true,
  flags = { FULL_NAME=1, IGNORE_FIRE=1, IGNORE_ACID=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  artifact_info = '70:1',
  sval = 43,
  level = 55,
  desc = 'This magical scroll sends a call to the halls of Mandos, issuing forth all those who have been slain by the reader.',
  allocation = '55/1',
  level_range = { 55, 55 },
  rarity = 1,
}
-- 54 total items
-- cost:  0=8; 10=2; 100=1; 1000=3; 10000=1; 100000=1; 125=5; 15=6; 150=1; 160000=1; 2=1; 200=2; 200000=3; 250=2; 30=1; 35=2; 40=3; 50=3; 500=3; 5000=1; 600=1; 750=1; 80=1; 8000=1
-- artifact_info:  70:1=1; 70:51=1
-- level:  0=3; 1=8; 10=5; 100=1; 15=4; 20=4; 25=1; 30=2; 40=4; 5=8; 50=8; 55=1; 60=1; 70=1; 75=1; 80=1; 90=1
