-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'SHIELD_OF_DEFLECTION',
  name = 'SHIELD_OF_DEFLECTION',
  display_name = '& Shield~ of Deflection',
  display = '[',
  color = colors.C_B,
  weight = 10,
  encumber = 10,
  cost = 10000,
  combat = { 1, 1, 0, 0 },
  flags = { IGNORE_ACID=1 },
  desc = 'A large shield fashioned from a metal alloy that is not subject to corrosion. It was especially crafted to better deflect attacks.',
  allocation = '70/3',
  level_range = { 70, 70 },
  rarity = 3,
  adj_pval = 10,
  armor = 10,
  sval = 10,
  level = 70,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'SMALL_LEATHER_SHIELD',
  name = 'SMALL_LEATHER_SHIELD',
  display_name = '& Small Leather Shield~',
  color = colors.C_U,
  weight = 5,
  encumber = 5,
  cost = 30,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  armor = 2,
  sval = 2,
  level = 3,
  desc = 'A small disc of lindenwood, with a leather covering on one side.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'LARGE_LEATHER_SHIELD',
  name = 'LARGE_LEATHER_SHIELD',
  display_name = '& Large Leather Shield~',
  color = colors.C_U,
  weight = 10,
  encumber = 10,
  cost = 120,
  combat = { 1, 2, 0, 0 },
  adj_pval = 0,
  armor = 4,
  sval = 4,
  level = 15,
  desc = 'A large oval or rectangular shield. It is made of wood, typically linden, and covered with a layer of hardened leather to offer better protection.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'SMALL_METAL_SHIELD',
  name = 'SMALL_METAL_SHIELD',
  display_name = '& Small Metal Shield~',
  color = colors.C_s,
  weight = 6.5,
  encumber = 6.5,
  cost = 50,
  combat = { 1, 2, 0, 0 },
  adj_pval = 0,
  armor = 3,
  sval = 3,
  level = 10,
  desc = 'A small shield strengthened with a layer of metal.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'LARGE_METAL_SHIELD',
  name = 'LARGE_METAL_SHIELD',
  display_name = '& Large Metal Shield~',
  color = colors.C_s,
  weight = 12,
  encumber = 12,
  cost = 200,
  combat = { 1, 3, 0, 0 },
  adj_pval = 0,
  armor = 5,
  sval = 5,
  level = 30,
  desc = [[A large piece of wood, rectangular or oval in shape, and covered with metal to strengthen it. It's to be worn strapped to the arm not occupied by the weapon when fighting.]],
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'SHIELD_BASE',
  define_as = 'DRAGON_SHIELD',
  name = 'DRAGON_SHIELD',
  display_name = '& Dragon Shield~',
  display = '[',
  color = colors.C_G,
  weight = 10,
  encumber = 10,
  cost = 10000,
  combat = { 1, 3, 0, 0 },
  flags = { IGNORE_ACID=1, IGNORE_FIRE=1, IGNORE_ELEC=1, IGNORE_COLD=1 },
  desc = 'A large shield, with a dragonskin cover. Depending on which dragon the hide came from, it might grant protection against some sorts of dragon breath.',
  allocation = '80/4',
  level_range = { 80, 80 },
  rarity = 4,
  adj_pval = 10,
  armor = 8,
  sval = 6,
  level = 70,
}
-- 6 total items
-- display:  [=2
-- color:  colors.C_B=1; colors.C_G=1; colors.C_U=2; colors.C_s=2
-- weight:  100=3; 120=1; 50=1; 65=1
-- cost:  10000=2; 120=1; 200=1; 30=1; 50=1
-- adj_pval:  0=4; 10=2
-- armor:  10=1; 2=1; 3=1; 4=1; 5=1; 8=1
-- level:  10=1; 15=1; 3=1; 30=1; 70=2
