-- $Id: shooters.lua 75 2012-09-20 02:12:09Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'BOW_BASE',
  define_as = 'SHORT_BOW',
  name = 'SHORT_BOW',
  display_name = '& Short Bow~',
  weight = 3,
  encumber = 3,
  cost = 50,
  combat = { 1, 1, 0, 0 },
  ammo_mult = 2,
  flags = { SHOW_MODS=1 },
  sval = 12,
  level = 3,
  desc = [[A piece of bent wood, fitted with a string. Easy to transport and use, but its effect is not very impressive. You can 'f'ire it after you 'w'ield it.]],
  allocation = '3/1:50/2',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'BOW_BASE',
  define_as = 'LONG_BOW',
  name = 'LONG_BOW',
  display_name = '& Long Bow~',
  weight = 4,
  encumber = 4,
  cost = 120,
  combat = { 1, 1, 0, 0 },
  ammo_mult = 3,
  flags = { SHOW_MODS=1 },
  sval = 13,
  level = 10,
  desc = [[A bow almost as long as a human. It takes considerable strength and skill to use and is rather awkward to carry around inside buildings. Nevertheless, it shoots arrows with astonishing force. You can 'f'ire it after you 'w'ield it.]],
  allocation = '10/1:70/2',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'CROSSBOW_BASE',
  define_as = 'LIGHT_CROSSBOW',
  name = 'LIGHT_CROSSBOW',
  display_name = '& Light Crossbow~',
  weight = 11,
  encumber = 11,
  cost = 140,
  combat = { 1, 1, 0, 0 },
  ammo_mult = 3,
  flags = { SHOW_MODS=1 },
  sval = 23,
  level = 15,
  desc = [[A metal bow mounted on a wooden stock. It is used for shooting bolts. This design is relatively light and not too difficult to cock, but also shoots its quarrels with less force. You can 'f'ire with it after you 'w'ield it.]],
  allocation = '15/1:60/2',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'CROSSBOW_BASE',
  define_as = 'HEAVY_CROSSBOW',
  name = 'HEAVY_CROSSBOW',
  display_name = '& Heavy Crossbow~',
  weight = 20,
  encumber = 20,
  cost = 300,
  combat = { 1, 1, 0, 0 },
  ammo_mult = 4,
  flags = { SHOW_MODS=1 },
  sval = 24,
  level = 30,
  desc = [[A metal bow mounted on a wooden stock, with attached cocking mechanism. It takes considerable time and strength to cock it and it's rather heavy. However, it hurls its ammunition with incredible force. You can 'f'ire with it after you 'w'ield it.]],
  allocation = '30/1:80/2',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'LAUNCHER_BASE',
  define_as = 'SLING',
  name = 'SLING',
  display_name = '& Sling~',
  subtype = 'sling',
  color = colors.C_u,
  weight = 0.5,
  encumber = 0.5,
  cost = 5,
  combat = { 1, 1, 0, 0 },
  ammo_mult = 2,
  flags = { SHOW_MODS=1 },
  desc = [[A simple cloth or leather pouch with two strings attached. It is used to hurl pebbles or iron shots. You can 'f'ire with it after you 'w'ield it.]],
  allocation = '1/1:40/2',
  level_range = { 1, 1 },
  rarity = 1,
  sval = 2,
  level = 1,
}

newEntity {
  base = 'BOOMERANG_BASE',
  define_as = 'SMALL_WOODEN_BOOMERANG',
  name = 'SMALL_WOODEN_BOOMERANG',
  display_name = '& Small Wooden Boomerang~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 10,
  combat = { 1, 4, 0, 0 },
  adj_pval = 0,
  sval = 1,
  level = 1,
  desc = 'A small curved piece of wood.',
  allocation = '1/1:5/2:10/2:20/2',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'BOOMERANG_BASE',
  define_as = 'WOODEN_BOOMERANG',
  name = 'WOODEN_BOOMERANG',
  display_name = '& Wooden Boomerang~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 100,
  combat = { 1, 8, 0, 0 },
  adj_pval = 0,
  sval = 2,
  level = 10,
  desc = 'A strange, curved leaf-shaped piece of wood.',
  allocation = '10/1:20/2',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'BOOMERANG_BASE',
  define_as = 'SMALL_METAL_BOOMERANG',
  name = 'SMALL_METAL_BOOMERANG',
  display_name = '& Small Metal Boomerang~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 400,
  combat = { 3, 4, 0, 0 },
  adj_pval = 0,
  sval = 3,
  level = 20,
  desc = 'A short boomerang with metal blades on the "forward" edges.',
  allocation = '20/1:30/2',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'BOOMERANG_BASE',
  define_as = 'METAL_BOOMERANG',
  name = 'METAL_BOOMERANG',
  display_name = '& Metal Boomerang~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 800,
  combat = { 4, 5, 0, 0 },
  adj_pval = 0,
  sval = 4,
  level = 30,
  desc = 'A strange curved leaf-shaped piece of wood, its "forward" edges enhanced with metal blades.',
  allocation = '30/1:50/2',
  level_range = { 30, 30 },
  rarity = 1,
}
-- 9 total items
-- subtype:  sling=1
-- color:  colors.C_u=1; colors.C_y=4
-- weight:  110=1; 200=1; 30=1; 40=1; 5=1; 60=4
-- cost:  10=1; 100=1; 120=1; 140=1; 300=1; 400=1; 5=1; 50=1; 800=1
-- ammo_mult:  2=2; 3=2; 4=1
-- adj_pval:  0=4
-- level:  1=2; 10=2; 15=1; 20=1; 3=1; 30=2
