-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'ROBE',
  name = 'ROBE',
  display_name = '& Robe~',
  color = colors.C_b,
  weight = 2,
  encumber = 2,
  cost = 4,
  combat = { 0, 0, 0, 0 },
  adj_pval = 0,
  armor = 2,
  sval = 2,
  level = 1,
  desc = [[A full-length garment which can be worn on the body. It is not really armour, but mages often wear them as they are very light and don't hinder movement much.]],
  allocation = '1/1:50/1',
  level_range = { 1, 1 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'FILTHY_RAG',
  name = 'FILTHY_RAG',
  display_name = '& Filthy Rag~',
  color = colors.C_D,
  weight = 2,
  encumber = 2,
  cost = 1,
  combat = { 0, 0, 0, 0 },
  adj_pval = -1,
  armor = 1,
  sval = 1,
  level = 0,
  desc = [[A piece of discarded cloth, smelly and dirty. Eurgh. You're not going to wear this, are you?]],
  allocation = '0/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'SOFT_LEATHER_ARMOUR',
  name = 'SOFT_LEATHER_ARMOUR',
  display_name = '& Soft Leather Armour~',
  color = colors.C_U,
  weight = 8,
  encumber = 8,
  cost = 18,
  combat = { 0, 0, 0, 0 },
  adj_pval = 0,
  armor = 4,
  sval = 4,
  level = 3,
  desc = 'A leather jerkin, light and unencumbering, but not very protective.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'SOFT_STUDDED_LEATHER',
  name = 'SOFT_STUDDED_LEATHER',
  display_name = '& Soft Studded Leather~',
  color = colors.C_U,
  weight = 9,
  encumber = 9,
  cost = 35,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  armor = 5,
  sval = 5,
  level = 3,
  desc = 'A leather jerkin with metal studs in critical places offering slightly better protection.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'HARD_LEATHER_ARMOUR',
  name = 'HARD_LEATHER_ARMOUR',
  display_name = '& Hard Leather Armour~',
  color = colors.C_U,
  weight = 10,
  encumber = 10,
  cost = 150,
  combat = { 1, 1, -1, 0 },
  adj_pval = 0,
  armor = 6,
  sval = 6,
  level = 5,
  desc = [[A leather armour covering only the body. It is made of hardened leather to make it harder to penetrate.  It's also a bit harder to move in, as it is rather stiff.]],
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'HARD_STUDDED_LEATHER',
  name = 'HARD_STUDDED_LEATHER',
  display_name = '& Hard Studded Leather~',
  color = colors.C_U,
  weight = 11,
  encumber = 11,
  cost = 200,
  combat = { 1, 2, -1, 0 },
  adj_pval = 0,
  armor = 7,
  sval = 7,
  level = 10,
  desc = 'A suit of hardened leather armour, reinforced with metal studs.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'LEATHER_SCALE_MAIL',
  name = 'LEATHER_SCALE_MAIL',
  display_name = '& Leather Scale Mail~',
  color = colors.C_U,
  weight = 14,
  encumber = 14,
  cost = 450,
  combat = { 1, 1, -1, 0 },
  adj_pval = 0,
  armor = 11,
  sval = 11,
  level = 15,
  desc = 'A suit of armour made of overlapping hardened leather scales. It offers good protection while still being rather lightweight.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'RHINO_HIDE_ARMOUR',
  name = 'RHINO_HIDE_ARMOUR',
  display_name = '& Rhino Hide Armour~',
  color = colors.C_s,
  weight = 11,
  encumber = 11,
  cost = 400,
  combat = { 1, 1, -1, 0 },
  adj_pval = 0,
  armor = 8,
  sval = 8,
  level = 15,
  desc = 'A hard leather armour made from the thick hide of a rhinoceros.',
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'LEATHER_JACKET',
  name = 'LEATHER_JACKET',
  display_name = '& Leather Jacket~',
  color = colors.C_U,
  weight = 13,
  encumber = 13,
  cost = 550,
  combat = { 1, 2, -1, 0 },
  adj_pval = 0,
  armor = 12,
  sval = 12,
  level = 20,
  desc = 'A garment fashioned from animal hide, resembling a robe that has been shortened to waist-length, with straight-cut sleeves and a bit of decorative fringe around the collar.',
  allocation = '20/3',
  level_range = { 20, 20 },
  rarity = 3,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'CORD_ARMOUR',
  name = 'CORD_ARMOUR',
  display_name = '& Cord Armour~',
  color = colors.C_y,
  weight = 8,
  encumber = 8,
  cost = 40,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  armor = 6,
  sval = 9,
  level = 5,
  desc = 'Fibres of hemp or other natural material woven and knotted into a thick, tough fabric.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'PAPER_ARMOUR',
  name = 'PAPER_ARMOUR',
  display_name = '& Paper Armour~',
  color = colors.C_w,
  weight = 3,
  encumber = 3,
  cost = 40,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  armor = 4,
  sval = 3,
  level = 5,
  desc = 'Thickly pleated sheets of paper assembled together into a suit of armour.',
  allocation = '5/2',
  level_range = { 5, 5 },
  rarity = 2,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'PADDED_ARMOUR',
  name = 'PADDED_ARMOUR',
  display_name = '& Padded Armour~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 40,
  combat = { 1, 1, 0, 0 },
  adj_pval = 0,
  armor = 4,
  sval = 10,
  level = 2,
  desc = 'Heavy, multi-layered cloth sewn together to cover the body, with extra padding between layers.',
  allocation = '2/1',
  level_range = { 2, 2 },
  rarity = 1,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'STONE_AND_HIDE_ARMOUR',
  name = 'STONE_AND_HIDE_ARMOUR',
  display_name = '& Stone and Hide Armour~',
  color = colors.C_U,
  weight = 20,
  encumber = 20,
  cost = 500,
  combat = { 1, 1, -1, 0 },
  adj_pval = 0,
  armor = 15,
  sval = 15,
  level = 35,
  desc = 'A primitive armour made from a thick hide reinforced by stone shards.',
  allocation = '35/7',
  level_range = { 35, 35 },
  rarity = 7,
}

newEntity {
  base = 'SOFT_BODY_ARMOR_BASE',
  define_as = 'THUNDERLORD_COAT',
  name = 'THUNDERLORD_COAT',
  display_name = '& Thunderlord Coat~',
  color = colors.C_y,
  weight = 6,
  encumber = 6,
  cost = 400,
  combat = { 1, 1, 0, 0 },
  flags = { RES_FIRE=1, RES_COLD=1 },
  desc = 'This suit of thick impregnated cloth is worn by the riders of flying steeds, and protects them from extremes of temperatures.',
  allocation = '25/1',
  level_range = { 25, 25 },
  rarity = 1,
  adj_pval = 0,
  armor = 9,
  sval = 16,
  level = 5,
}
-- 14 total items
-- color:  colors.C_D=1; colors.C_U=7; colors.C_b=1; colors.C_s=1; colors.C_w=1; colors.C_y=3
-- weight:  100=1; 110=2; 130=1; 140=1; 20=2; 200=1; 30=1; 60=2; 80=2; 90=1
-- cost:  1=1; 150=1; 18=1; 200=1; 35=1; 4=1; 40=3; 400=2; 450=1; 500=1; 550=1
-- adj_pval:  -1=1; 0=13
-- armor:  1=1; 11=1; 12=1; 15=1; 2=1; 4=3; 5=1; 6=2; 7=1; 8=1; 9=1
-- level:  0=1; 1=1; 10=1; 15=2; 2=1; 20=1; 3=2; 35=1; 5=4
