-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_GOLDEN_HORN_OF_THE_THUNDERLORDS',
  name = 'STAFF_GOLDEN_HORN_OF_THE_THUNDERLORDS',
  display_name = '& Golden Horn~ of the Thunderlords',
  weight = 1,
  encumber = 1,
  cost = 12000,
  combat = { 1, 4, 0, 0 },
  norm_art = true,
  special_gene = true,
  flags = { NO_RECHARGE=1, EASY_USE=1, RECHARGED=1, FULL_NAME=1 },
  spell = 'Artifact Thunderlords',
  artifact_info = '55:8',
  desc = 'This horn was given to you as a reward. Blow it if you are in dire need of leaving your current location fast.',
  extra = 10,
  allocation = '50/200',
  level_range = { 50, 50 },
  rarity = 200,
  sval = 23,
  level = 50,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_SPELL',
  name = 'STAFF_SPELL',
  display_name = 'Spell',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  special_gene = true,
  sval = 1,
  level = 5,
  extra = 0,
  allocation = '5/1:15/1:35/1:45/1:65/1:75/1:85/1:95/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_NOTHING',
  name = 'STAFF_NOTHING',
  display_name = 'Nothing',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Nothing',
  sval = 2,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_GLOBE_OF_LIGHT',
  name = 'STAFF_GLOBE_OF_LIGHT',
  display_name = 'Globe of Light',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Globe of Light',
  sval = 3,
  level = 7,
  extra = 0,
  allocation = '7/1',
  level_range = { 7, 7 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_FIERY_SHIELD',
  name = 'STAFF_FIERY_SHIELD',
  display_name = 'Fiery Shield',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Fiery Shield',
  sval = 4,
  level = 15,
  extra = 0,
  allocation = '15/2',
  level_range = { 15, 15 },
  rarity = 2,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_REMOVE_CURSES',
  name = 'STAFF_REMOVE_CURSES',
  display_name = 'Remove Curses',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Remove Curses',
  sval = 5,
  level = 10,
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_WINGS_OF_WINDS',
  name = 'STAFF_WINGS_OF_WINDS',
  display_name = 'Wings of Winds',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Wings of Winds',
  sval = 6,
  level = 25,
  extra = 0,
  allocation = '25/2',
  level_range = { 25, 25 },
  rarity = 2,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_SHAKE',
  name = 'STAFF_SHAKE',
  display_name = 'Shake',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Shake',
  sval = 7,
  level = 30,
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_DISARM',
  name = 'STAFF_DISARM',
  display_name = 'Disarm',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Disarm',
  sval = 8,
  level = 2,
  extra = 0,
  allocation = '2/1',
  level_range = { 2, 2 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_TELEPORTATION',
  name = 'STAFF_TELEPORTATION',
  display_name = 'Teleportation',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Teleportation',
  sval = 9,
  level = 20,
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_PROBABILITY_TRAVEL',
  name = 'STAFF_PROBABILITY_TRAVEL',
  display_name = 'Probability Travel',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Probability Travel',
  sval = 10,
  level = 50,
  extra = 0,
  allocation = '50/3',
  level_range = { 50, 50 },
  rarity = 3,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_RECOVERY',
  name = 'STAFF_RECOVERY',
  display_name = 'Recovery',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Recovery',
  sval = 11,
  level = 20,
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_HEALING',
  name = 'STAFF_HEALING',
  display_name = 'Healing',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Healing',
  sval = 12,
  level = 25,
  extra = 0,
  allocation = '25/2',
  level_range = { 25, 25 },
  rarity = 2,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_VISION',
  name = 'STAFF_VISION',
  display_name = 'Vision',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Vision',
  sval = 13,
  level = 30,
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_IDENTIFY',
  name = 'STAFF_IDENTIFY',
  display_name = 'Identify',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Identify',
  sval = 14,
  level = 10,
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_SENSE_HIDDEN',
  name = 'STAFF_SENSE_HIDDEN',
  display_name = 'Sense Hidden',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Sense Hidden',
  sval = 15,
  level = 10,
  extra = 0,
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_REVEAL_WAYS',
  name = 'STAFF_REVEAL_WAYS',
  display_name = 'Reveal Ways',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Reveal Ways',
  sval = 16,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_SENSE_MONSTERS',
  name = 'STAFF_SENSE_MONSTERS',
  display_name = 'Sense Monsters',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Sense Monsters',
  sval = 17,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_GENOCIDE',
  name = 'STAFF_GENOCIDE',
  display_name = 'Genocide',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Genocide',
  sval = 18,
  level = 55,
  extra = 0,
  allocation = '55/2',
  level_range = { 55, 55 },
  rarity = 2,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_SUMMON',
  name = 'STAFF_SUMMON',
  display_name = 'Summon',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Summon',
  sval = 19,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_STERILIZATION',
  name = 'STAFF_STERILIZATION',
  display_name = 'Sterilization',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Sterilize',
  sval = 24,
  level = 20,
  extra = 0,
  allocation = '20/3',
  level_range = { 20, 20 },
  rarity = 3,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_WISH',
  name = 'STAFF_WISH',
  display_name = 'Wish',
  cost = 10000,
  combat = { 1, 2, 0, 0 },
  flags = { NO_RECHARGE=1 },
  spell = 'Wish',
  sval = 20,
  level = 95,
  extra = 0,
  allocation = '95/40',
  level_range = { 95, 95 },
  rarity = 40,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_MANA',
  name = 'STAFF_MANA',
  display_name = 'Mana',
  cost = 100,
  combat = { 1, 2, 0, 0 },
  spell = 'Mana',
  sval = 21,
  level = 60,
  extra = 0,
  allocation = '60/2',
  level_range = { 60, 60 },
  rarity = 2,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_NOTHING',
  name = 'STAFF_NOTHING',
  display_name = 'Nothing',
  cost = 50,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { NO_RECHARGE=1 },
  sval = 30,
  level = 5,
  extra = 0,
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'STAFF_BASE',
  define_as = 'STAFF_GNARLED_STAFF_OF_HOLY_FIRE_OF_MITHRANDIR',
  name = 'STAFF_GNARLED_STAFF_OF_HOLY_FIRE_OF_MITHRANDIR',
  display_name = '& Gnarled Staff~ of Holy Fire of Mithrandir',
  weight = 1,
  encumber = 1,
  cost = 12000,
  combat = { 10, 4, 0, 0 },
  norm_art = true,
  flags = { RECHARGE=1, EASY_USE=1, RECHARGED=1, FULL_NAME=1 },
  spell = 'Holy Fire of Mithrandir',
  artifact_info = '55:8',
  desc = [[Mithrandir's staff that throws powerful fire attacks at all enemies.  It can be recharged without blowing up, for it is built to hold much magical energy.]],
  extra = 10,
  allocation = '50/200',
  level_range = { 50, 50 },
  rarity = 200,
  sval = 22,
  level = 50,
}
-- 25 total items
-- weight:  10=2
-- cost:  100=21; 10000=1; 12000=2; 50=1
-- spell:  Artifact Thunderlords=1; Disarm=1; Fiery Shield=1; Genocide=1; Globe of Light=1; Healing=1; Holy Fire of Mithrandir=1; Identify=1; Mana=1; Nothing=1; Probability Travel=1; Recovery=1; Remove Curses=1; Reveal Ways=1; Sense Hidden=1; Sense Monsters=1; Shake=1; Sterilize=1; Summon=1; Teleportation=1; Vision=1; Wings of Winds=1; Wish=1
-- artifact_info:  55:8=2
-- extra:  0=23; 10=2
-- level:  10=3; 15=1; 2=1; 20=3; 25=2; 30=2; 5=6; 50=3; 55=1; 60=1; 7=1; 95=1
