-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BROKEN_DAGGER',
  name = 'BROKEN_DAGGER',
  display_name = '& Broken Dagger~',
  color = colors.C_D,
  weight = 0.5,
  encumber = 0.5,
  cost = 1,
  combat = { 1, 1, -2, -4 },
  flags = { SHOW_MODS=1 },
  sval = 1,
  level = 0,
  desc = 'The blade itself is a foot long and broken off not far above the hilt.',
  allocation = '0/2:5/2',
  level_range = { 0, 0 },
  rarity = 2,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BASTARD_SWORD',
  name = 'BASTARD_SWORD',
  display_name = '& Bastard Sword~',
  color = colors.C_W,
  weight = 14,
  encumber = 14,
  cost = 350,
  combat = { 3, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 21,
  level = 15,
  desc = [[This is a long, double-edged sword with a plain hilt that could be wielded in one or two hands. It's called a "bastard sword" because in size, it falls between the broad sword and the two-handed sword, thus not having a family of its own. It's typically around 51 inches long. It is effective for cutting through tougher armours. It could be used for thrusting, but most wielders swing it like a bat.]],
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'SCIMITAR',
  name = 'SCIMITAR',
  display_name = '& Scimitar~',
  color = colors.C_W,
  weight = 13,
  encumber = 13,
  cost = 250,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 18,
  level = 10,
  desc = 'This oriental blade has 2 edges and is deeply curved. It has a wide and very sharp end. It is the forefather of the sabre.',
  allocation = '10/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'TULWAR',
  name = 'TULWAR',
  display_name = '& Tulwar~',
  color = colors.C_W,
  weight = 10,
  encumber = 10,
  cost = 200,
  combat = { 2, 4, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 15,
  level = 5,
  desc = 'This vicious sword is half sword and half club, with a slight hook on the tip.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BROAD_SWORD',
  name = 'BROAD_SWORD',
  display_name = '& Broad Sword~',
  color = colors.C_W,
  weight = 15,
  encumber = 15,
  cost = 255,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 16,
  level = 10,
  desc = 'This broader version of the long sword is a standard weapon in the army of Gondolin.',
  allocation = '10/1:15/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'SHORT_SWORD',
  name = 'SHORT_SWORD',
  display_name = '& Short Sword~',
  color = colors.C_W,
  weight = 8,
  encumber = 8,
  cost = 90,
  combat = { 1, 7, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 10,
  level = 5,
  desc = 'This shorter version of the long sword is a common weapon for rogues and mages.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BLADE_OF_CHAOS',
  name = 'BLADE_OF_CHAOS',
  display_name = '& Blade~ of Chaos',
  color = colors.C_v,
  weight = 18,
  encumber = 18,
  cost = 4000,
  combat = { 6, 5, 0, 0 },
  flags = { ATTR_MULTI=1, RES_CHAOS=1, CHAOTIC=1, SHOW_MODS=1 },
  obvious_flags = { RES_CHAOS=1, CHAOTIC=1 },
  sval = 30,
  level = 70,
  desc = 'A mighty sword which seems to be completely blunt. However, it is a conduit into the realms of pure chaos and strikes its victims with the devastating might of chaos itself whenever it connects. It gives you resistance to chaos and it can polymorph, teleport, confuse or drain hit points from the monster you hit. It occasionally causes earthquakes as well.',
  allocation = '70/8',
  level_range = { 70, 70 },
  rarity = 8,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'TWO_HANDED_SWORD',
  name = 'TWO_HANDED_SWORD',
  display_name = '& Two-Handed Sword~',
  color = colors.C_W,
  weight = 20,
  encumber = 20,
  cost = 775,
  combat = { 3, 6, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 25,
  level = 30,
  desc = 'This blade is lot longer, wider and heavier than a long sword. You have to wield it with two hands. This means that wielding a shield makes fighting very difficult.',
  allocation = '30/1:40/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'MAIN_GAUCHE',
  name = 'MAIN_GAUCHE',
  display_name = '& Main Gauche~',
  color = colors.C_W,
  weight = 3,
  encumber = 3,
  cost = 25,
  combat = { 1, 5, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 5,
  level = 3,
  desc = 'This blade is sinuously curved and tipped with a harpoon-like end. This blade has a large handguard and was designed as an off-hand weapon. This short but cruel blade is a favourite among orcs.',
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'CUTLASS',
  name = 'CUTLASS',
  display_name = '& Cutlass~',
  color = colors.C_W,
  weight = 11,
  encumber = 11,
  cost = 85,
  combat = { 1, 7, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 12,
  level = 5,
  desc = 'This oriental weapon is a short, thick, curving sword with a single cutting edge. This simple slashing weapon is typically carried by buccaneers, pirates, and sailors.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'EXECUTIONER_S_SWORD',
  name = 'EXECUTIONER_S_SWORD',
  display_name = [[& Executioner's Sword~]],
  color = colors.C_r,
  weight = 26,
  encumber = 26,
  cost = 850,
  combat = { 4, 5, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 28,
  level = 40,
  desc = 'These weapons have been built in all sizes. They are custom-made for warriors that want to set out and kill their archenemy. These blades are rare, costly and very deadly.',
  allocation = '40/1',
  level_range = { 40, 40 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'KATANA',
  name = 'KATANA',
  display_name = '& Katana~',
  color = colors.C_W,
  weight = 12,
  encumber = 12,
  cost = 400,
  combat = { 3, 4, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 20,
  level = 20,
  desc = 'The katana is a long blade with only a small disk for a guard. Its hilt is long enough for two hands, though it could be used with only one hand, and is usually wrapped in cloth or leather. The art of forging such swords is largely unknown in this part of Middle-earth, and such weapons are typically imported from distant lands.',
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'LONG_SWORD',
  name = 'LONG_SWORD',
  display_name = '& Long Sword~',
  color = colors.C_W,
  weight = 13,
  encumber = 13,
  cost = 300,
  combat = { 2, 5, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 17,
  level = 10,
  desc = 'A long straight sword, tapering to a pronounced point. Mainly good for piercing attacks, but it can be used for slashing, too. It is a very popular design and has become standard issue in many armies.',
  allocation = '10/1:20/1',
  level_range = { 10, 10 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'DAGGER',
  name = 'DAGGER',
  display_name = '& Dagger~',
  color = colors.C_W,
  weight = 1.2,
  encumber = 1.2,
  cost = 10,
  combat = { 1, 4, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 4,
  level = 0,
  desc = [[It's the standard weapon of rogues and thieves.  The blade is a foot long.]],
  allocation = '0/1:5/1:10/1:20/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'RAPIER',
  name = 'RAPIER',
  display_name = '& Rapier~',
  color = colors.C_W,
  weight = 4,
  encumber = 4,
  cost = 42,
  combat = { 1, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 7,
  level = 5,
  desc = [[The rapier's hilt consisted of a pair of oval guards pierced with holes, recurved quillions, and a knuckle guard.  The guard is very intricate and very effective as protection.]],
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'SABRE',
  name = 'SABRE',
  display_name = '& Sabre~',
  color = colors.C_W,
  weight = 5,
  encumber = 5,
  cost = 50,
  combat = { 1, 7, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 11,
  level = 5,
  desc = 'A long, one-edged, slightly curved sword with a knuckle guard and short hilt.  It is two-edged in its lower part.',
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'SMALL_SWORD',
  name = 'SMALL_SWORD',
  display_name = '& Small Sword~',
  color = colors.C_W,
  weight = 7.5,
  encumber = 7.5,
  cost = 48,
  combat = { 1, 6, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 8,
  level = 5,
  desc = [[It's the favourite weapon of strong mages and thieves. The blade is about twenty inches long. It's very easy to handle, although it is a lot less efficient than the longer and heavier designs.]],
  allocation = '5/1',
  level_range = { 5, 5 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BROKEN_SWORD',
  name = 'BROKEN_SWORD',
  display_name = '& Broken Sword~',
  color = colors.C_D,
  weight = 3,
  encumber = 3,
  cost = 2,
  combat = { 1, 2, -2, -4 },
  flags = { SHOW_MODS=1 },
  sval = 2,
  level = 0,
  desc = 'Just a hilt and a few inches of blade, broken off in a jagged stump. Probably worthless.',
  allocation = '0/2:5/2',
  level_range = { 0, 0 },
  rarity = 2,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'NECROMANTIC_TEETH',
  name = 'NECROMANTIC_TEETH',
  display_name = '& Necromantic Teeth~',
  color = colors.C_D,
  weight = 0.7,
  encumber = 0.7,
  cost = 10,
  combat = { 1, 4, 0, 0 },
  special_gene = true,
  flags = { SHOW_MODS=1, VAMPIRIC=1 },
  sval = 34,
  level = 0,
  desc = [[This looks like some animal's teeth or at least you think it comes from an animal...]],
  allocation = '0/1:5/1:10/1:20/1',
  level_range = { 0, 0 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'ZWEIHANDER',
  name = 'ZWEIHANDER',
  display_name = '& Zweihander~',
  color = colors.C_w,
  weight = 28,
  encumber = 28,
  cost = 580,
  combat = { 4, 6, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 29,
  level = 40,
  desc = 'This great sword of foreign origin is approximately 6 feet long. The hilt is long enough for even four hands to grip. A mighty weapon for a warrior.',
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'KHOPESH',
  name = 'KHOPESH',
  display_name = '& Khopesh~',
  color = colors.C_W,
  weight = 13,
  encumber = 13,
  cost = 190,
  combat = { 2, 4, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 14,
  level = 10,
  desc = 'This sword comes from the regions of Far Harad. The blade is straight for 18 inches, and then it curves for another 2 feet.',
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'FLAMBERGE',
  name = 'FLAMBERGE',
  display_name = '& Flamberge~',
  color = colors.C_W,
  weight = 23,
  encumber = 23,
  cost = 600,
  combat = { 3, 7, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 26,
  level = 40,
  desc = 'A large, two-handed sword with a blade that weaves left and right until it reaches the hilt.',
  allocation = '40/2',
  level_range = { 40, 40 },
  rarity = 2,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'CLAYMORE',
  name = 'CLAYMORE',
  display_name = '& Claymore~',
  color = colors.C_W,
  weight = 20,
  encumber = 20,
  cost = 600,
  combat = { 2, 8, 0, 0 },
  flags = { SHOW_MODS=1, COULD2H=1 },
  obvious_flags = { COULD2H=1 },
  sval = 23,
  level = 40,
  desc = 'Also known as a Claidhmore, or Greatsword, this weapon is favoured by powerful mercenaries. The blade is large, straight, and broad, almost as large as a two-handed sword.',
  allocation = '40/2',
  level_range = { 40, 40 },
  rarity = 2,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'ESPADON',
  name = 'ESPADON',
  display_name = '& Espadon~',
  color = colors.C_W,
  weight = 20,
  encumber = 20,
  cost = 600,
  combat = { 2, 9, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 24,
  level = 40,
  desc = 'This is the strictly two-handed version of the bastard sword. The blade is of medium length, double-edged, and considerably heavy to wield.',
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'GREAT_SCIMITAR',
  name = 'GREAT_SCIMITAR',
  display_name = '& Great Scimitar~',
  color = colors.C_W,
  weight = 24,
  encumber = 24,
  cost = 500,
  combat = { 4, 5, 0, 0 },
  flags = { SHOW_MODS=1, MUST2H=1 },
  obvious_flags = { MUST2H=1 },
  sval = 22,
  level = 40,
  desc = 'This is a larger version of the curved oriental blade. Runes of war decorate its golden hilt.',
  allocation = '40/3',
  level_range = { 40, 40 },
  rarity = 3,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BASILARD',
  name = 'BASILARD',
  display_name = '& Basilard~',
  color = colors.C_w,
  weight = 8,
  encumber = 8,
  cost = 220,
  combat = { 1, 8, 0, 0 },
  flags = { SHOW_MODS=1 },
  sval = 9,
  level = 15,
  desc = 'This is a two-edged dagger with a long blade. A favourite among travellers and warriors alike, it can be worn comfortably with plain clothes as well as armour.',
  allocation = '15/3',
  level_range = { 15, 15 },
  rarity = 3,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'DARK_SWORD',
  name = 'DARK_SWORD',
  display_name = '& Dark Sword~',
  color = colors.C_D,
  weight = 7,
  encumber = 7,
  cost = 500,
  combat = { 3, 7, 0, 0 },
  flags = { SHOW_MODS=1, ANTIMAGIC_50=1 },
  obvious_flags = { ANTIMAGIC_50=1 },
  sval = 33,
  level = 25,
  desc = 'A strange, very sharp long sword, which seems to drain light from its surroundings. As you wield it, you feel much less attuned to magic.',
  allocation = '25/1:80/2',
  level_range = { 25, 25 },
  rarity = 1,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'SHADOW_BLADE',
  name = 'SHADOW_BLADE',
  display_name = '& Shadow Blade~',
  color = colors.C_D,
  weight = 4.5,
  encumber = 4.5,
  cost = 2000,
  combat = { 4, 4, -2, 2 },
  flags = { IGNORE_ACID=1, RES_DARK=1, STEALTH=1 },
  obvious_flags = { STEALTH=1 },
  sval = 32,
  level = 50,
  desc = 'A thin long sword made of a completely black metal, which reflects no light.',
  extra = 900,
  allocation = '48/4:60/2:80/1',
  level_range = { 48, 48 },
  rarity = 4,
}

newEntity {
  base = 'SWORD_BASE',
  define_as = 'BLUESTEEL_BLADE',
  name = 'BLUESTEEL_BLADE',
  display_name = '& Bluesteel Blade~',
  color = colors.C_b,
  weight = 5,
  encumber = 5,
  cost = 6000,
  combat = { 1, 6, 4, 0 },
  flags = { SHOW_MODS=1, VORPAL=1 },
  sval = 31,
  level = 60,
  desc = 'A small sword made of a blueish metal with a strangely rough surface. As anything is hurt with it, the weapon will stick inside the wound and cause horrible wounds when torn away.',
  extra = 1800,
  allocation = '60/20',
  level_range = { 60, 60 },
  rarity = 20,
}
-- 29 total items
-- color:  colors.C_D=5; colors.C_W=19; colors.C_b=1; colors.C_r=1; colors.C_v=1; colors.C_w=2
-- weight:  100=1; 110=1; 12=1; 120=1; 130=3; 140=1; 150=1; 180=1; 200=3; 230=1; 240=1; 260=1; 280=1; 30=2; 40=1; 45=1; 5=1; 50=2; 7=1; 70=1; 75=1; 80=2
-- cost:  1=1; 10=2; 190=1; 2=1; 200=1; 2000=1; 220=1; 25=1; 250=1; 255=1; 300=1; 350=1; 400=1; 4000=1; 42=1; 48=1; 50=1; 500=2; 580=1; 600=3; 6000=1; 775=1; 85=1; 850=1; 90=1
-- extra:  1800=1; 900=1
-- level:  0=4; 10=4; 15=2; 20=1; 25=1; 3=1; 30=1; 40=6; 5=6; 50=1; 60=1; 70=1
