-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_ARROW',
  name = 'TRAP_TRAP_ARROW',
  display_name = 'Arrow',
  color = colors.C_r,
  weight = 6,
  encumber = 6,
  cost = 150,
  flags = { SHOW_MODS=1 },
  sval = 2,
  level = 10,
  desc = 'It must be loaded with arrows, which will be fired at the monster who triggers the trap.',
  allocation = '10/2:50/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_BOLT',
  name = 'TRAP_TRAP_BOLT',
  display_name = 'Bolt',
  color = colors.C_o,
  weight = 22,
  encumber = 22,
  cost = 300,
  flags = { SHOW_MODS=1 },
  sval = 3,
  level = 20,
  desc = 'It must be loaded with crossbow bolts, which will be fired at the monster who triggers the trap.',
  allocation = '20/2:50/2',
  level_range = { 20, 20 },
  rarity = 2,
}

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_CATAPULT',
  name = 'TRAP_TRAP_CATAPULT',
  display_name = 'Catapult',
  color = colors.C_R,
  weight = 5,
  encumber = 5,
  cost = 40,
  flags = { SHOW_MODS=1 },
  sval = 1,
  level = 1,
  desc = 'It must be loaded with sling bullets, which will be fired at the monster who triggers the trap.',
  allocation = '1/2:20/2',
  level_range = { 1, 1 },
  rarity = 2,
}

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_FUMES',
  name = 'TRAP_TRAP_FUMES',
  display_name = 'Fumes',
  color = colors.C_G,
  weight = 2,
  encumber = 2,
  cost = 50,
  sval = 4,
  level = 2,
  desc = 'It must be loaded with potions, which will splatter over the monster who triggers the trap.',
  allocation = '2/2:30/2',
  level_range = { 2, 2 },
  rarity = 2,
}

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_MAGIC',
  name = 'TRAP_TRAP_MAGIC',
  display_name = 'Magic',
  color = colors.C_g,
  weight = 2,
  encumber = 2,
  cost = 50,
  flags = { IGNORE_ACID=1, IGNORE_FIRE=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  sval = 5,
  level = 5,
  desc = 'It must be loaded with scrolls, which will release their spells at the monster who triggers the trap.',
  allocation = '5/2:40/2',
  level_range = { 5, 5 },
  rarity = 2,
}

newEntity {
  base = 'TRAP_BASE',
  define_as = 'TRAP_TRAP_DEVICE',
  name = 'TRAP_TRAP_DEVICE',
  display_name = 'Device',
  color = colors.C_v,
  weight = 2,
  encumber = 2,
  cost = 50,
  flags = { IGNORE_ACID=1, IGNORE_FIRE=1, IGNORE_COLD=1, IGNORE_ELEC=1 },
  sval = 6,
  level = 20,
  desc = 'It must be loaded with a magic device (wand, staff, or rod), which will fire its spell at the monster who triggers the trap.',
  allocation = '20/2:40/2:60/2',
  level_range = { 20, 20 },
  rarity = 2,
}
-- 6 total items
-- color:  colors.C_G=1; colors.C_R=1; colors.C_g=1; colors.C_o=1; colors.C_r=1; colors.C_v=1
-- weight:  20=3; 220=1; 50=1; 60=1
-- cost:  150=1; 300=1; 40=1; 50=3
-- level:  1=1; 10=1; 2=1; 20=2; 5=1
