-- $Id$
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object entities generated from T2's k_info.txt

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_SPELL',
  name = 'WAND_SPELL',
  display_name = 'Spell',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  sval = 1,
  level = 3,
  extra = 0,
  allocation = '3/1:13/1:23/1:43/1:63/1:83/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_MANATHRUST',
  name = 'WAND_MANATHRUST',
  display_name = 'Manathrust',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Manathrust',
  sval = 3,
  level = 3,
  extra = 0,
  allocation = '3/1',
  level_range = { 3, 3 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_FIREFLASH',
  name = 'WAND_FIREFLASH',
  display_name = 'Fireflash',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Fireflash',
  sval = 4,
  level = 10,
  extra = 0,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_FIREWALL',
  name = 'WAND_FIREWALL',
  display_name = 'Firewall',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Firewall',
  sval = 5,
  level = 20,
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_TIDAL_WAVE',
  name = 'WAND_TIDAL_WAVE',
  display_name = 'Tidal Wave',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Tidal Wave',
  sval = 6,
  level = 20,
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_ICE_STORM',
  name = 'WAND_ICE_STORM',
  display_name = 'Ice Storm',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Ice Storm',
  sval = 7,
  level = 15,
  extra = 0,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_NOXIOUS_CLOUD',
  name = 'WAND_NOXIOUS_CLOUD',
  display_name = 'Noxious Cloud',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Noxious Cloud',
  sval = 8,
  level = 5,
  extra = 0,
  allocation = '5/2',
  level_range = { 5, 5 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_POISON_BLOOD',
  name = 'WAND_POISON_BLOOD',
  display_name = 'Poison Blood',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Poison Blood',
  sval = 9,
  level = 30,
  extra = 0,
  allocation = '30/2',
  level_range = { 30, 30 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_THUNDERSTORM',
  name = 'WAND_THUNDERSTORM',
  display_name = 'Thunderstorm',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Thunderstorm',
  sval = 10,
  level = 40,
  extra = 0,
  allocation = '40/2',
  level_range = { 40, 40 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_DIG',
  name = 'WAND_DIG',
  display_name = 'Dig',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Dig',
  sval = 11,
  level = 15,
  extra = 0,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_STONE_PRISON',
  name = 'WAND_STONE_PRISON',
  display_name = 'Stone Prison',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Stone Prison',
  sval = 12,
  level = 50,
  extra = 0,
  allocation = '50/3',
  level_range = { 50, 50 },
  rarity = 3,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_STRIKE',
  name = 'WAND_STRIKE',
  display_name = 'Strike',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Strike',
  sval = 13,
  level = 30,
  extra = 0,
  allocation = '30/1',
  level_range = { 30, 30 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_TELEPORT_AWAY',
  name = 'WAND_TELEPORT_AWAY',
  display_name = 'Teleport Away',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Teleport Away',
  sval = 14,
  level = 20,
  extra = 0,
  allocation = '20/1',
  level_range = { 20, 20 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_SUMMON_ANIMAL',
  name = 'WAND_SUMMON_ANIMAL',
  display_name = 'Summon Animal',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Summon Animal',
  sval = 15,
  level = 60,
  extra = 0,
  allocation = '60/1',
  level_range = { 60, 60 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_MAGELOCK',
  name = 'WAND_MAGELOCK',
  display_name = 'Magelock',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Magelock',
  sval = 16,
  level = 1,
  extra = 0,
  allocation = '3/2',
  level_range = { 3, 3 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_SLOW_MONSTER',
  name = 'WAND_SLOW_MONSTER',
  display_name = 'Slow Monster',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Slow Monster',
  sval = 17,
  level = 3,
  extra = 0,
  allocation = '3/2',
  level_range = { 3, 3 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_ESSENCE_OF_SPEED',
  name = 'WAND_ESSENCE_OF_SPEED',
  display_name = 'Essence of Speed',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Essence of Speed',
  sval = 18,
  level = 25,
  extra = 0,
  allocation = '25/2',
  level_range = { 25, 25 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_BANISHMENT',
  name = 'WAND_BANISHMENT',
  display_name = 'Banishment',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Banishment',
  sval = 19,
  level = 45,
  extra = 0,
  allocation = '45/2',
  level_range = { 45, 45 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_DISPERSE_MAGIC',
  name = 'WAND_DISPERSE_MAGIC',
  display_name = 'Disperse Magic',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Disperse Magic',
  sval = 20,
  level = 10,
  extra = 0,
  allocation = '10/2',
  level_range = { 10, 10 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_CHARM',
  name = 'WAND_CHARM',
  display_name = 'Charm',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Charm',
  sval = 21,
  level = 15,
  extra = 0,
  allocation = '15/1',
  level_range = { 15, 15 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_CONFUSE',
  name = 'WAND_CONFUSE',
  display_name = 'Confuse',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Confuse',
  sval = 22,
  level = 7,
  extra = 0,
  allocation = '7/2',
  level_range = { 7, 7 },
  rarity = 2,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_DEMON_BLADE',
  name = 'WAND_DEMON_BLADE',
  display_name = 'Demon Blade',
  cost = 100,
  combat = { 1, 1, 0, 0 },
  spell = 'Demon Blade',
  sval = 23,
  level = 60,
  extra = 0,
  allocation = '60/1',
  level_range = { 60, 60 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_HEAL_MONSTER',
  name = 'WAND_HEAL_MONSTER',
  display_name = 'Heal Monster',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  spell = 'Heal Monster',
  sval = 24,
  level = 1,
  extra = 0,
  allocation = '1/4',
  level_range = { 1, 1 },
  rarity = 4,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_HASTE_MONSTER',
  name = 'WAND_HASTE_MONSTER',
  display_name = 'Haste Monster',
  cost = 0,
  combat = { 1, 1, 0, 0 },
  spell = 'Haste Monster',
  sval = 25,
  level = 1,
  extra = 0,
  allocation = '1/4',
  level_range = { 1, 1 },
  rarity = 4,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_NOTHING',
  name = 'WAND_NOTHING',
  display_name = 'Nothing',
  cost = 20,
  combat = { 1, 1, 0, 0 },
  special_gene = true,
  flags = { NO_RECHARGE=1 },
  spell = 'Nothing',
  sval = 2,
  level = 2,
  extra = 0,
  allocation = '2/1',
  level_range = { 2, 2 },
  rarity = 1,
}

newEntity {
  base = 'WAND_BASE',
  define_as = 'WAND_WAND_OF_DIGGING_OF_THRAIN',
  name = 'WAND_WAND_OF_DIGGING_OF_THRAIN',
  display_name = '& Wand~ of Digging of Thrain',
  cost = 3200,
  combat = { 10, 10, 0, 0 },
  special_gene = true,
  norm_art = true,
  flags = { RECHARGE=1, EASY_USE=1, RECHARGED=1, FULL_NAME=1 },
  spell = 'Dig',
  artifact_info = '65:6',
  sval = 26,
  level = 10,
  desc = [[The miner's friend.  This wand was used by Thrain to dig into the walls of the dungeon.  Its indestructible nature makes it quite useful.]],
  extra = 10,
  allocation = '10/200',
  level_range = { 10, 10 },
  rarity = 200,
}
-- 26 total items
-- cost:  0=2; 100=22; 20=1; 3200=1
-- spell:  Banishment=1; Charm=1; Confuse=1; Demon Blade=1; Dig=2; Disperse Magic=1; Essence of Speed=1; Fireflash=1; Firewall=1; Haste Monster=1; Heal Monster=1; Ice Storm=1; Magelock=1; Manathrust=1; Nothing=1; Noxious Cloud=1; Poison Blood=1; Slow Monster=1; Stone Prison=1; Strike=1; Summon Animal=1; Teleport Away=1; Thunderstorm=1; Tidal Wave=1
-- artifact_info:  65:6=1
-- extra:  0=25; 10=1
-- level:  1=3; 10=3; 15=3; 2=1; 20=3; 25=1; 3=3; 30=2; 40=1; 45=1; 5=1; 50=1; 60=2; 7=1
