-- $Id: store.lua 82 2012-09-20 04:30:24Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- We do stores as "traps" to allow them to nicely overlay walls and such
newEntity {
  define_as = "BASE_STORE",
  type = "store", subtype="store", identified=true,
  knownBy = function() return true end,
  triggered = function() end,
  is_store = true,
  z = 18,
  _noalpha = true,
  on_added = function(self, level, x, y)
    -- Change the terrain to be passable since we are not
    game:onTickEnd(function()
      local g = level.map(x, y, engine.Map.TERRAIN)
      g = g:clone()
      g.does_block_move = false
      g.nice_tiler = nil
      level.map(x, y, engine.Map.TERRAIN, g)
    end)
  end,
}

-- Stores common to all or most towns.
newEntity {
  base = 'BASE_STORE',
  define_as = 'GENERAL_STORE',
  name = 'General Store',
  display = '1',
  color = colors.C_U,
  resolvers.store('GENERAL_STORE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'ARMOURY',
  name = 'Armoury',
  display = '2',
  color = colors.C_s,
  resolvers.store('ARMOURY'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'WEAPONSMITH',
  name = 'Weaponsmity',
  display = '3',
  color = colors.C_w,
  resolvers.store('WEAPONSMITH'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'ALCHEMY_SHOP',
  name = 'Alchemy shop',
  display = '5',
  color = colors.C_b,
  resolvers.store('ALCHEMY_SHOP'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'TEMPLE',
  name = 'Temple',
  display = '4',
  color = colors.C_g,
  resolvers.store('TEMPLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MAGIC_SHOP',
  name = 'Magic shop',
  display = '6',
  color = colors.C_r,
  resolvers.store('MAGIC_SHOP'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'BLACK_MARKET',
  name = 'Black Market',
  display = '7',
  color = colors.C_D,
  resolvers.store('BLACK_MARKET'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'BOOK_STORE',
  name = 'Book Store',
  display = '9',
  color = colors.C_o,
  resolvers.store('BOOK_STORE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'PET_SHOP',
  name = 'Pet Shop',
  display = '+',
  color = colors.C_b,
  resolvers.store('PET_SHOP'),
}
