-- $Id: abilities.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newAbility {
  name = 'Spread blows',
  short_name = 'SPREAD_BLOWS',
  desc = [[If a monster dies to your attack but you still have blows left you won't lose the full turn, allowing you to attack some other monster in the same turn]],
  cost = 5,
  prereq = {
    skill = { WEAPONMASTERY=30 },
    stat = { DEX=17 },
  },
}

newAbility {
  name = 'Tree walking',
  short_name = 'TREE_WALKING',
  desc = [[Allows you to walk in dense forest]],
  cost = 7,
  prereq = {
    skill = { NATURE=20 },
  },
}

newAbility {
  name = 'Perfect casting',
  short_name = 'PERFECT_CASTING',
  desc = [[Allows you to reach 0% failure rate on spells]],
  cost = 6,
  prereq = {
    skill = { MAGIC=35 },
  },
}

newAbility {
  name = 'Extra Max Blow(1)',
  short_name = 'EXTRA_MAX_BLOW_1',
  desc = [[Increases your max possible blows number by 1]],
  cost = 7,
  prereq = {
    skill = { COMBAT=10 },
  },
}

newAbility {
  name = 'Extra Max Blow(2)',
  short_name = 'EXTRA_MAX_BLOW_2',
  desc = [[Increases your max possible blows number by 1]],
  cost = 7,
  prereq = {
    skill = { COMBAT=20 },
    ability = { 'EXTRA_MAX_BLOW_1' },
  },
}

newAbility {
  name = 'Ammo creation',
  short_name = 'AMMO_CREATION',
  desc = [[Allows you to create shots, arrows and bolts from various materials]],
  cost = 8,
  prereq = {
    skill = { ARCHERY=10 },
  },
  mkey = 10,
  action = [[Forge ammo]],
}

newAbility {
  name = 'Touch of death',
  short_name = 'TOUCH_OF_DEATH',
  desc = [[Your melee blows can insta-kill, but you only receive 1/3 of the experience]],
  cost = 15,
  prereq = {
    skill = { NECROMANCY=50, COMBAT=40 },
    stat = { DEX=30, STR=30 },
  },
  mkey = 100,
  action = [[Activate touch of death]],
}

newAbility {
  name = 'Artifact Creation',
  short_name = 'ARTIFACT_CREATION',
  desc = [[In combination with a high alchemy skill this ability will let you design your very own artifacts]],
  cost = 70,
  prereq = {
    skill = { ALCHEMY=40 },
    stat = { INT=35, WIS=35 },
  },
}

newAbility {
  name = 'Far reaching attack',
  short_name = 'FAR_REACHING_ATTACK',
  desc = [[You can attack an enemy one square far using a long polearm. At high levels of Polearm-mastery skill, you can even hit two enemies at once.]],
  cost = 10,
  prereq = {
    skill = { COMBAT=15, POLEARM_MASTERY=15 },
  },
  mkey = 102,
  action = [[Far reaching attack]],
}

newAbility {
  name = 'Trapping',
  short_name = 'TRAPPING',
  desc = [[Ability to set monster traps]],
  cost = 10,
  prereq = {
    skill = { DISARMING=15 },
  },
  mkey = 14,
  action = [[Set trap]],
}

newAbility {
  name = 'Undead Form',
  short_name = 'UNDEAD_FORM',
  desc = [[Ability to turn into a weak undead being when you "die". You must then kill enough monsters to absorb enough life energy to come back to life.]],
  cost = 15,
  prereq = {
    skill = { NECROMANCY=30 },
    stat = { INT=25 },
  },
}
