-- $Id: magic.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newSkill {
  name = 'Magic',
  short_name = 'MAGIC',
  desc = [[General ability to do magic, also affects mana reserves and magic device ability. Helps pseudo-id of magic objects]],
  rate = 1000,
  depth = 0,
  mkey = 19,
  action = [[Copy a spell]],
}

newSkill {
  name = 'Magic-Device',
  short_name = 'MAGIC_DEVICE',
  desc = [[Eases the use of magical devices, such as wands, staves and rods It also helps pseudo-id of magic objects]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  ripple_to = {
    MAGIC = 7,
  },
}

newSkill {
  name = 'Spell-power',
  short_name = 'SPELL_POWER',
  desc = [[Ability to increase the power of spells]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  ripple_to = {
    MAGIC = 20,
  },
}

newSkill {
  name = 'Sorcery',
  short_name = 'SORCERY',
  desc = [[Ability to use all the magic schools as if their skill was sorcery But the price to channel that much magic is your health]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 20,
  },
}

newSkill {
  name = 'Mana',
  short_name = 'MANA',
  desc = [[Ability to learn and use spells from the Mana school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Geomancy',
  short_name = 'GEOMANCY',
  desc = [[Ability to understand the raw elemental forces of nature and use them to your advantage. Most spells need Fire/Water/Earth/Air skills]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 101,
  action = [[Use Geomancy]],
  ripple_to = {
    FIRE = 45,
    EARTH = 45,
    AIR = 45,
    WATER = 45,
  },
}

newSkill {
  name = 'Fire',
  short_name = 'FIRE',
  desc = [[Ability to learn and use spells from the Fire school Spells use the intelligence stat]],
  rate = 1000,
  depth = 2,
  parent = 'GEOMANCY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Water',
  short_name = 'WATER',
  desc = [[Ability to learn and use spells from the Water school Spells use the intelligence stat]],
  rate = 1000,
  depth = 2,
  parent = 'GEOMANCY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Air',
  short_name = 'AIR',
  desc = [[Ability to learn and use spells from the Air school Spells use the intelligence stat]],
  rate = 1000,
  depth = 2,
  parent = 'GEOMANCY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Earth',
  short_name = 'EARTH',
  desc = [[Ability to learn and use spells from the Earth school Spells use the intelligence stat]],
  rate = 1000,
  depth = 2,
  parent = 'GEOMANCY',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Meta',
  short_name = 'META',
  desc = [[Ability to learn and use spells from the Meta school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Conveyance',
  short_name = 'CONVEYANCE',
  desc = [[Ability to learn and use spells from the Conveyance school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Divination',
  short_name = 'DIVINATION',
  desc = [[Ability to learn and use spells from the Divination school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Temporal',
  short_name = 'TEMPORAL',
  desc = [[Ability to learn and use spells from the Temporal school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Mind',
  short_name = 'MIND',
  desc = [[Ability to learn and use spells from the Mind school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Nature',
  short_name = 'NATURE',
  desc = [[Ability to learn and use spells from the Nature school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Udun',
  short_name = 'UDUN',
  desc = [[Ability to learn and use spells from the Udun school Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
  visible = function() return false end,
}

newSkill {
  name = 'Demonology',
  short_name = 'DEMONOLOGY',
  desc = [[Ability to use incantations from the Demonblades Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 17,
  action = [[Cast a spell]],
  ripple_to = {
    MAGIC = 10,
  },
}

newSkill {
  name = 'Necromancy',
  short_name = 'NECROMANCY',
  desc = [[Ability to harness the powers of the dead Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 7,
  action = [[Use Necromancy]],
  ripple_to = {
    MAGIC = 4,
  },
  random_gain = 60,
}

newSkill {
  name = 'Runecraft',
  short_name = 'RUNECRAFT',
  desc = [[Ability to combine magic runes to create your own spells Runespells use the dexterity stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 9,
  action = [[Use Runespells]],
  ripple_to = {
    MAGIC = 12,
  },
}

newSkill {
  name = 'Thaumaturgy',
  short_name = 'THAUMATURGY',
  desc = [[Ability to gain and cast innate spells Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 8,
  action = [[Cast a thaumaturgy spell]],
  ripple_to = {
    MAGIC = 6,
  },
}

newSkill {
  name = 'Alchemy',
  short_name = 'ALCHEMY',
  desc = [[Ability to use essences to modify/create magic items]],
  rate = 1000,
  depth = 1,
  parent = 'MAGIC',
  mkey = 5,
  action = [[Use Alchemy]],
}
