-- $Id: monster-lore.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newSkill {
  name = 'Monster-lore',
  short_name = 'MONSTER_LORE',
  desc = [[General ability at the monster related skills, ability to gain experience from friendly kills. It also affects the number of companions you can have]],
  rate = 0,
  depth = 0,
  mkey = 22,
  action = [[Turn pet into companion]],
}

newSkill {
  name = 'Summoning',
  short_name = 'SUMMONING',
  desc = [[Ability to create totems from monsters and use them to summon monsters]],
  rate = 1000,
  depth = 1,
  parent = 'MONSTER_LORE',
  mkey = 13,
  action = [[Manipulate totems]],
  ripple_to = {
    MONSTER_LORE = 10,
  },
  random_gain = 60,
}

newSkill {
  name = 'Corpse-preservation',
  short_name = 'CORPSE_PRESERVATION',
  desc = [[Ability not to destroy the monsters' corpses when killing them]],
  rate = 0,
  depth = 1,
  parent = 'MONSTER_LORE',
  ripple_to = {
    MONSTER_LORE = 10,
  },
}

newSkill {
  name = 'Possession',
  short_name = 'POSSESSION',
  desc = [[Ability to incarnate into monsters]],
  rate = 0,
  depth = 1,
  parent = 'MONSTER_LORE',
  mkey = 11,
  action = [[Use the possession skill]],
  ripple_to = {
    MONSTER_LORE = 10,
  },
}

newSkill {
  name = 'Symbiosis',
  short_name = 'SYMBIOSIS',
  desc = [[Ability to enter in symbiosis with monsters unable to move by themselves Spells use the intelligence stat]],
  rate = 1000,
  depth = 1,
  parent = 'MONSTER_LORE',
  mkey = 20,
  action = [[Use symbiotic powers]],
  ripple_to = {
    MONSTER_LORE = 10,
  },
  random_gain = 70,
}

newSkill {
  name = 'Mimicry',
  short_name = 'MIMICRY',
  desc = [[Ability to use cloaks of mimicry to change form]],
  rate = 1000,
  depth = 1,
  parent = 'MONSTER_LORE',
  mkey = 6,
  action = [[Use Mimicry]],
  ripple_to = {
    MONSTER_LORE = 10,
  },
  random_gain = 80,
}
