-- $Id: sneakiness.lua 21 2012-08-16 03:05:49Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newSkill {
  name = 'Sneakiness',
  short_name = 'SNEAKINESS',
  desc = [[General ability at the sneakiness skills. It also affects the searching abilities]],
  rate = 0,
  depth = 0,
}

newSkill {
  name = 'Stealth',
  short_name = 'STEALTH',
  desc = [[Ability to move unnoticed, silently]],
  rate = 0,
  depth = 1,
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 15,
  },
  player_calc = function(p, init)
    if init then
      p.skill_stealth = 0
      return
    end
    p.skill_stealth = p.skill_stealth + 1 + p:getSkillLevel('STEALTH', 25)
  end
}

newSkill {
  name = 'Disarming',
  short_name = 'DISARMING',
  desc = [[Ability to disarm the various traps]],
  rate = 0,
  depth = 1,
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 10,
  },
  player_calc = function(p, init)
    if init then
      p.skill_disarm = 0
      return
    end
    p.skill_disarm = p.skill_disarm + p:getSkillLevel('DISARMING', 75) +
				      p:getStatRelated('int_disarm') +
				      p:getStatRelated('dex_disarm')
  end,
}

newSkill {
  name = 'Backstab',
  short_name = 'BACKSTAB',
  desc = [[Ability to backstab fleeing and sleeping monsters to increase damage]],
  rate = 1000,
  depth = 1,
  parent = 'SNEAKINESS',
  ripple_to = {
    SNEAKINESS = 5,
  },
}

newSkill {
  name = 'Stealing',
  short_name = 'STEALING',
  desc = [[Ability to steal objects]],
  rate = 0,
  depth = 1,
  parent = 'SNEAKINESS',
  mkey = 15,
  action = [[Steal object]],
  ripple_to = {
    SNEAKINESS = 15,
  },
}

newSkill {
  name = 'Dodging',
  short_name = 'DODGING',
  desc = [[Ability to dodge blows and bolts]],
  rate = 0,
  depth = 1,
  parent = 'SNEAKINESS',
  mkey = 16,
  action = [[Check dodge chance]],
  ripple_to = {
    SNEAKINESS = 10,
  },
}
