-- $Id: zone.lua 9 2012-07-10 03:23:45Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

return {
  name = 'Barrow Downs',
  level_scheme = 'fixed',
  max_level = 10,
  width = 198,
  height = 66,

  generator = {
    map = {
      class = 'engine.generator.map.Roomer',
      edge_entrances = { 4, 6 },
      rooms = { 'simple' },
      nb_rooms = 30,
      -- TODO There doesn't appear to be any way to make this anything but
      -- a fixed chance, but we want level <= randint(25)
      lite_room_chance = 100,
      -- TODO This is apparently more complicated in T2 than it looks;
      -- floor/wall probabilities apparently change linearly with depth.
      -- (cf. generate.c:init_feat_info())
      ['.'] = function()
	local p = rng.range(1, 100)
	return p <= 78 and 'DIRT' or p <= 96 and 'GRASS' or 'GRASS_WITH_FLOWERS'
      end,
      -- TODO The Roomer generator apparently doesn't distinguish between
      -- room walls and level fill.
      ['#'] = function()
	local p = rng.range(1, 100)
	return p <= 34 and 'TREE' or 'MOUNTAIN_CHAIN'
      end,
      up = 'BDW_UP',
      down = 'BDW_DOWN',
      door = 'DOOR',
    },
    actor = {
      class = 'engine.generator.actor.Random',
      nb_npc = { 20, 30 },
      filters = { { max_ood = 0 }, },
    }
  },
  levels = {
    [1] = {
      generator = {
	map = {
	  up = 'BDW_UP_TO_BREE',
	}
      }
    },
  },
}
