-- $Id: npcs.lua 48 2012-08-28 01:19:20Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

load('/data/general/npcs/dungeon.lua')
load('/data/general/npcs/dgn_wild.lua')

local function kill_quest_mon(self)
  for _, e in pairs(game.level.entities) do
    -- If any of the badguys are still alive, punt.
    if e.quest_mon then return end
  end
  -- Yay!
  game.log("#YELLOW#The magic hiding the stairs is now gone.#LAST#")
  local spot = game.level:pickSpot{ type='quest', subtype='exit' }
  game.level.map(spot.x, spot.y, engine.Map.TERRAIN, game.zone.grid_list.EXIT_BREE_HOUSE_QUEST)
  game.player:setQuestStatus('bree-house', engine.Quest.COMPLETED)
end

newEntity {
  base = 'NOVICE_ROGUE',
  define_as = 'NOVICE_ROGUE_QUEST',
  quest_mon = true,
  on_die = kill_quest_mon,
}

newEntity {
  base = 'NOVICE_MAGE',
  define_as = 'NOVICE_MAGE_QUEST',
  quest_mon = true,
  on_die = kill_quest_mon,
}

newEntity {
  base = 'NOVICE_WARRIOR',
  define_as = 'NOVICE_WARRIOR_QUEST',
  quest_mon = true,
  on_die = kill_quest_mon,
}

newEntity {
  base = 'BANDIT',
  define_as = 'BANDIT_QUEST',
  quest_mon = true,
  on_die = kill_quest_mon,
}
