-- $Id: zone.lua 48 2012-08-28 01:19:20Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

local Dialog = require 'engine.ui.Dialog'

return {
  name = "Thieves' Lair",
  level_scheme = 'fixed',
  max_level = 1,
  width = 33,
  height = 23,
  no_level_connectivity = true,

  generator = {
    map = {
      class = 'engine.generator.map.Static',
      map = 'quests/bree-thieves',
    }
  },

  on_enter = function(_, _, _)
    local spot = game.level:pickSpot{ type='quest', subtype='player-inven' }
    for inven_id = 1, #game.player.inven_def do
      if game.player.inven[inven_id] then
	local is_equip = game.player.inven_def[inven_id].is_worn
	local inven = game.player.inven[inven_id]
	local idx = 1
	while idx <= #inven do
	  if inven[idx] then
	    if inven[idx]:isCursed() and is_equip then
	      -- Skip cursed equipment
	      idx = idx + 1
	    else
	      local obj = game.player:removeObject(inven, idx, true)
	      -- T2 scatters these on the floor near the drop point; we're
	      -- just going to punt and put them all in one pile.
	      game.level.map:addObject(spot.x, spot.y, obj)
	    end
	  end
	end
      end
    end
    Dialog:simplePopup('Quest: Thieves', "As you enter the thieves' lair, you are struck on the head from behind and knocked out.  You awake in a prison cell with all of your possessions missing.")
  end
}
