-- $Id: grids.lua 48 2012-08-28 01:19:20Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

load('/data/general/grids/all.lua')

newEntity {
  base = 'DOWN',
  define_as = 'ENTER_BARROW_DOWNS',
  color = { r=0xA5, g=0x00, b=0xFF },
  change_zone = 'barrow-downs',
  change_level = 1,
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_BREE_HOUSE_QUEST',
  change_zone = 'quest-bree-thieves',
  change_level = 1,
  ok_change_level = function(self, who)
    local q_house = game.player:hasQuest('bree-house')
    if q_house and q_house:isCompleted() then
      (require 'engine.ui.Dialog'):simplePopup('Quest: Thieves', "You have already cleared the thieves' lair.  You should go tell the mayor.")
      return false
    end
    return true
  end,
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_BREE_TROLLS_QUEST',
  change_zone = 'quest-bree-trolls',
  change_level = 1,
}

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_BREE_WIGHTS_QUEST',
  change_zone = 'quest-bree-wights',
  change_level = 1,
}
