-- $Id: Trap.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

require 'engine.class'
require 'engine.Trap'
require 'engine.interface.ObjectIdentify'

module(..., package.seeall, class.inherit(engine.Trap,
					  engine.interface.ObjectIdentify))

function _M:init(t, no_default)
  engine.Trap.init(self, t, no_default)
  engine.interface.ObjectIdentify.init(self, t)
end

--- Gets the full name of the object
function _M:getName()
  local name = self.name
  if not self:isIdentified() and self:getUnidentifiedName() then name = self:getUnidentifiedName() end
  return name
end

--- Returns a tooltip for the trap
function _M:tooltip()
  if self:knownBy(game.player) then
    local res = tstring{{"uid", self.uid}, self:getName()}
    if self.is_store then res:add(true, {"font","italic"}, "<Store>", {"font","normal"}) end
    return res
  end
end

function _M:disarm(x, y, who)
  -- Don't even try to disarm store "traps".
  if self.is_store then return false end
  return engine.Trap.disarm(self, x, y, who)
end
