-- $Id: tome2.lua 2 2012-07-08 02:40:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

newAI('tome2', function(self)
  if self.ai_state.sleep > 0 then
    -- TODO Aggravation should be an immediate wake-up.
    local notice = rng.range(0, 1023)
    if notice*notice*notice <= game.player.stealth_exp then
      local plyr_dist = core.fov.distance(self.x, self.y, game.player.x, game.player.y)
      local d = math.max(1, math.floor(100/plyr_dist))
      self.ai_state.sleep = math.max(0, self.ai_state.sleep - d)
      -- TODO Notice the mon not waking up, so we can remember its
      -- "sleepiness" for monster memory purposes.
      if self.ai_state.sleep > 0 then return end
      game.logSeen(self, "%s wakes up.", self.name)
    end
  end
  -- TODO Count down temporary stun/confusion/fear.
  self:runAI('dumb_talented_simple')
end)
