local AttackType = require 'mod.class.AttackType'

local bodies = {
  dragon = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  humanoid = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  quadruped = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  snake = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  hydra = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=2, RING=2, AMULET=2, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  none = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=0, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  winged = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
}

newEntity {
  define_as = 'LARGE_WHITE_SNAKE',
  name = [[Large white snake]],
  display = 'J',
  color = colors.C_w,
  desc = [[It is about eight feet long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,1} },
  },
  body = bodies.snake,
  speed = -10,
  vision = 4,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NEWT',
  name = [[Newt]],
  display = 'R',
  color = colors.C_y,
  desc = [[A small, harmless lizard.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 12,
  max_life = resolvers.dice(2, 6),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    WILD_SHORE = true,
    WILD_WASTE = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_MOUNTAIN = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_CENTIPEDE',
  name = [[Giant white centipede]],
  display = 'c',
  color = colors.C_w,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 10,
  max_life = resolvers.dice(3, 5),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={1,2} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 7,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_MOUSE',
  name = [[Giant white mouse]],
  display = 'r',
  color = colors.C_w,
  desc = [[It is about three feet long with large teeth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 4,
  max_life = resolvers.dice(1, 3),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SMALL_KOBOLD',
  name = [[Small kobold]],
  display = 'k',
  color = colors.C_y,
  desc = [[It is a small, dog-headed humanoid figure.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 16,
  max_life = resolvers.dice(2, 7),
  rarity = 1,
  level = 1,
  exp_worth = 5,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KOBOLD',
  name = [[Kobold]],
  display = 'k',
  color = colors.C_G,
  desc = [[It is a squat and ugly dog-headed humanoid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 16,
  max_life = resolvers.dice(3, 7),
  rarity = 1,
  level = 2,
  exp_worth = 5,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROCK_LIZARD',
  name = [[Rock lizard]],
  display = 'R',
  color = colors.C_U,
  desc = [[It is a small lizard with a hardened hide.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 4,
  max_life = resolvers.dice(3, 4),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_MOUNTAIN = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'JACKAL',
  name = [[Jackal]],
  display = 'C',
  color = colors.C_U,
  desc = [[It is a yapping snarling dog, dangerous when in a pack.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 3,
  max_life = resolvers.dice(1, 4),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    WILD_GRASS = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SOLDIER_ANT',
  name = [[Soldier ant]],
  display = 'a',
  color = colors.C_u,
  desc = [[A large ant with powerful mandibles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 3,
  max_life = resolvers.dice(2, 5),
  rarity = 1,
  level = 1,
  exp_worth = 3,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FRUIT_BAT',
  name = [[Fruit bat]],
  display = 'b',
  color = colors.C_o,
  desc = [[A fast-moving pest.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 3,
  max_life = resolvers.dice(1, 6),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    AI_ANNOY = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'INSECT_SWARM',
  name = [[Insect swarm]],
  display = 'I',
  color = colors.C_u,
  desc = [[A lone insect may be harmless, but there's a whole swarm of them here!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 4,
  max_life = resolvers.dice(1, 5),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    CAN_FLY = true,
    NO_CUT = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={1,1} },
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHRIEKER_MUSHROOM_PATCH',
  name = [[Shrieker mushroom patch]],
  display = ',',
  color = colors.C_R,
  desc = [[Yum!  It looks quite tasty.  It doesn't sound so nice, though...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 1,
  level = 2,
  exp_worth = 1,
  flags = {
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    IM_POIS = true,
    WILD_TOO = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    SHRIEK = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 4,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'METALLIC_GREEN_CENTIPEDE',
  name = [[Metallic green centipede]],
  display = 'c',
  color = colors.C_g,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 4,
  max_life = resolvers.dice(4, 4),
  rarity = 1,
  level = 3,
  exp_worth = 5,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRAWL, dam={1,2} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 5,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_WARRIOR',
  name = [[Novice warrior]],
  display = 'p',
  color = colors.C_u,
  desc = [[He looks inexperienced but tough.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 16,
  max_life = resolvers.dice(9, 4),
  rarity = 1,
  level = 2,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=50, magic=0, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_ROGUE',
  name = [[Novice rogue]],
  display = 'p',
  color = colors.C_b,
  desc = [[A rather shifty individual.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 12,
  max_life = resolvers.dice(8, 4),
  rarity = 1,
  level = 2,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=25, magic=0, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_PRIEST',
  name = [[Novice priest]],
  display = 'p',
  color = colors.C_g,
  desc = [[He is tripping over his priestly robes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 10,
  max_life = resolvers.dice(7, 4),
  rarity = 1,
  level = 2,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=0, magic=50, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  spells = {
    HEAL = true,
    SCARE = true,
    CAUSE_1 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_MAGE',
  name = [[Novice mage]],
  display = 'p',
  color = colors.C_r,
  desc = [[He is leaving behind a trail of dropped spell components.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 6,
  max_life = resolvers.dice(6, 4),
  rarity = 1,
  level = 2,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=0, magic=70, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
  },
  spells = {
    BLINK = true,
    BLIND = true,
    CONF = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YELLOW_MUSHROOM_PATCH',
  name = [[Yellow mushroom patch]],
  display = ',',
  color = colors.C_y,
  desc = [[Yum!  It looks quite tasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 1,
  level = 2,
  exp_worth = 2,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    IM_POIS = true,
    WILD_TOO = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.SPORE, dam={1,6} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BLACK_ANT',
  name = [[Giant black ant]],
  display = 'a',
  color = colors.C_D,
  desc = [[It is about three feet long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 20,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 2,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SALAMANDER',
  name = [[Salamander]],
  display = 'R',
  color = colors.C_o,
  desc = [[A small black and orange lizard.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 20,
  max_life = resolvers.dice(4, 6),
  rarity = 1,
  level = 2,
  exp_worth = 10,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    IM_FIRE = true,
    WILD_TOO = true,
    SUSCEP_COLD = true,
    WILD_VOLCANO = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={1,3} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_HARPY',
  name = [[White harpy]],
  display = 'H',
  color = colors.C_w,
  desc = [[A flying, screeching bird with a woman's face.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 17,
  max_life = resolvers.dice(2, 5),
  rarity = 1,
  level = 2,
  exp_worth = 5,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    EVIL = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,1} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,1} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  body = bodies.winged,
  speed = 0,
  vision = 16,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LARGE_YELLOW_SNAKE',
  name = [[Large yellow snake]],
  display = 'J',
  color = colors.C_y,
  desc = [[It is about ten feet long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 38,
  max_life = resolvers.dice(4, 8),
  rarity = 1,
  level = 2,
  exp_worth = 9,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,6} },
  },
  body = bodies.snake,
  speed = -10,
  vision = 5,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CROW',
  name = [[Crow]],
  display = 'B',
  color = colors.C_s,
  desc = [[It is a hooded crow, gray except for the black wings and head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 12,
  max_life = resolvers.dice(3, 5),
  rarity = 2,
  level = 2,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WILD_CAT',
  name = [[Wild cat]],
  display = 'f',
  color = colors.C_U,
  desc = [[A larger than normal feline, hissing loudly. Its velvet claws conceal a fistful of needles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 12,
  max_life = resolvers.dice(3, 5),
  rarity = 2,
  level = 2,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SMEAGOL',
  name = [[Smeagol]],
  display = 'h',
  color = colors.C_B,
  desc = [[Usually known as Gollum.  He's been sneaking, and he wants his 'precious.']],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 12,
  max_life = 400,
  rarity = 2,
  level = 3,
  exp_worth = 16,
  unique = true,
  flags = {
    MALE = true,
    WILD_TOO = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_CHOSEN = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'METALLIC_BLUE_CENTIPEDE',
  name = [[Metallic blue centipede]],
  display = 'c',
  color = colors.C_b,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 6,
  max_life = resolvers.dice(4, 5),
  rarity = 1,
  level = 4,
  exp_worth = 6,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRAWL, dam={1,3} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 6,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RAVEN',
  name = [[Raven]],
  display = 'B',
  color = colors.C_D,
  desc = [[Larger than a crow, and pitch black.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 12,
  max_life = resolvers.dice(4, 5),
  rarity = 2,
  level = 4,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_YELLOW_CENTIPEDE',
  name = [[Giant yellow centipede]],
  display = 'c',
  color = colors.C_y,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 12,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 2,
  exp_worth = 3,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={1,3} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 8,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPOTTED_MUSHROOM_PATCH',
  name = [[Spotted mushroom patch]],
  display = ',',
  color = colors.C_o,
  desc = [[Yum!  It looks quite tasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 1,
  level = 3,
  exp_worth = 3,
  flags = {
    WILD_SWAMP = true,
    IM_POIS = true,
    WILD_TOO = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.SPORE, dam={2,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_ANT',
  name = [[Giant white ant]],
  display = 'a',
  color = colors.C_w,
  desc = [[It is about two feet long and has sharp pincers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 16,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 3,
  exp_worth = 7,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'METALLIC_RED_CENTIPEDE',
  name = [[Metallic red centipede]],
  display = 'c',
  color = colors.C_r,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 9,
  max_life = resolvers.dice(4, 8),
  rarity = 1,
  level = 5,
  exp_worth = 10,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRAWL, dam={2,3} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 8,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_RANGER',
  name = [[Novice ranger]],
  display = 'p',
  color = colors.C_W,
  desc = [[An agile hunter, ready and relaxed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 8,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 4,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    WILD_WOOD = true,
    DROP_60 = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=45, magic=25, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  spells = {
    ARROW_2 = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SNOTLING',
  name = [[Snotling]],
  display = 'o',
  color = colors.C_U,
  desc = [[Immature Orclings, running wild and screaming all the time.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 32,
  max_life = resolvers.dice(5, 5),
  rarity = 1,
  level = 4,
  exp_worth = 15,
  flags = {
    MORTAL = true,
    MALE = true,
    WILD_WOOD = true,
    DROP_60 = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=50, magic=0, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SWORDFISH',
  name = [[Swordfish]],
  display = '~',
  color = colors.C_W,
  desc = [[A fish with a swordlike "beak".]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 10,
  max_life = resolvers.dice(4, 7),
  rarity = 2,
  level = 4,
  exp_worth = 15,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 14,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LARGE_GREY_SNAKE',
  name = [[Large grey snake]],
  display = 'J',
  color = colors.C_s,
  desc = [[It is about ten feet long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 41,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 4,
  exp_worth = 14,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,8} },
  },
  body = bodies.snake,
  speed = -10,
  vision = 6,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_MAGE_GRP',
  name = [[Novice mage]],
  display = 'p',
  color = colors.C_r,
  desc = [[He is leaving behind a trail of dropped spell components.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 6,
  max_life = resolvers.dice(6, 4),
  rarity = 2,
  level = 6,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=0, magic=70, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
  },
  spells = {
    BLINK = true,
    BLIND = true,
    CONF = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_NAGA',
  name = [[Green naga]],
  display = 'n',
  color = colors.C_g,
  desc = [[A large green serpent with a female torso. Her green skin glistens with acid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(9, 8),
  rarity = 1,
  level = 5,
  exp_worth = 30,
  flags = {
    IM_ACID = true,
    WILD_SHORE = true,
    MORTAL = true,
    DROP_60 = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=25, magic=0, tool=65 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,8} },
    { type=DamageType.ACID, method=AttackType.SPIT, dam={2,6} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 18,
  alertness = 120,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BARRACUDA',
  name = [[Barracuda]],
  display = '~',
  color = colors.C_G,
  desc = [[A predatory fish with razor-sharp teeth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 45,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 5,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_PALADIN',
  name = [[Novice paladin]],
  display = 'p',
  color = colors.C_w,
  desc = [[An adventurer both devoutly religious and skilful in combat. He seems to consider you an agent of the devil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 16,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 4,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=70, magic=25, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
  },
  spells = {
    SCARE = true,
    CAUSE_1 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'COPPERHEAD_SNAKE',
  name = [[Copperhead snake]],
  display = 'J',
  color = colors.C_o,
  desc = [[It has a copper head and sharp venomous fangs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 20,
  max_life = resolvers.dice(4, 6),
  rarity = 1,
  level = 5,
  exp_worth = 15,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,4} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 6,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_PRIEST_GRP',
  name = [[Novice priest]],
  display = 'p',
  color = colors.C_g,
  desc = [[He is tripping over his priestly robes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 10,
  max_life = resolvers.dice(7, 4),
  rarity = 2,
  level = 6,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=50, magic=20, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  spells = {
    HEAL = true,
    SCARE = true,
    CAUSE_1 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_WARRIOR_GRP',
  name = [[Novice warrior]],
  display = 'p',
  color = colors.C_u,
  desc = [[He looks inexperienced but tough.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 16,
  max_life = resolvers.dice(9, 4),
  rarity = 2,
  level = 6,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=95, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BROWN_BAT',
  name = [[Giant brown bat]],
  display = 'b',
  color = colors.C_u,
  desc = [[It screeches as it attacks.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(3, 8),
  rarity = 1,
  level = 6,
  exp_worth = 10,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    AI_ANNOY = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
  },
  body = bodies.winged,
  speed = 20,
  vision = 10,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_ROGUE_GRP',
  name = [[Novice rogue]],
  display = 'p',
  color = colors.C_b,
  desc = [[A rather shifty individual.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 12,
  max_life = resolvers.dice(8, 4),
  rarity = 2,
  level = 6,
  exp_worth = 6,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=25, magic=0, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SNAGA',
  name = [[Snaga]],
  display = 'o',
  color = colors.C_U,
  desc = [[He is one of the many weaker 'slave' orcs, often mistakenly known as a goblin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 32,
  max_life = resolvers.dice(8, 8),
  rarity = 1,
  level = 6,
  exp_worth = 15,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=50, magic=5, tool=15 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RATTLESNAKE',
  name = [[Rattlesnake]],
  display = 'J',
  color = colors.C_r,
  desc = [[It is recognised by the hard-scaled end of its body that is often rattled to frighten its prey.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 24,
  max_life = resolvers.dice(6, 7),
  rarity = 1,
  level = 6,
  exp_worth = 20,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,5} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 6,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_SLUG',
  name = [[Giant slug]],
  display = 'w',
  color = colors.C_U,
  desc = [[It is slowly making its way towards you, eating everything in its path...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 25,
  max_life = resolvers.dice(12, 9),
  rarity = 1,
  level = 6,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    EMPTY_MIND = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BR_ACID = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WOOD_SPIDER',
  name = [[Wood spider]],
  display = 'S',
  color = colors.C_U,
  desc = [[It scuttles towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 16,
  max_life = resolvers.dice(3, 6),
  rarity = 3,
  level = 7,
  exp_worth = 15,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_WOOD = true,
    IM_POIS = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.POISON, method=AttackType.STING, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_NAGA',
  name = [[Red naga]],
  display = 'n',
  color = colors.C_r,
  desc = [[A large red snake with a woman's torso.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(11, 8),
  rarity = 2,
  level = 7,
  exp_worth = 40,
  flags = {
    WILD_SHORE = true,
    MORTAL = true,
    DROP_60 = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FEMALE = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,10} },
    { type=DamageType.LOSE_STR, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 120,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NIGHT_LIZARD',
  name = [[Night lizard]],
  display = 'R',
  color = colors.C_b,
  desc = [[It is a black lizard with overlapping scales and a powerful jaw.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 16,
  max_life = resolvers.dice(4, 8),
  rarity = 2,
  level = 7,
  exp_worth = 35,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_PALADIN_GRP',
  name = [[Novice paladin]],
  display = 'p',
  color = colors.C_w,
  desc = [[He thinks you are an agent of the devil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 16,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 8,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=30, combat=55, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
  },
  spells = {
    SCARE = true,
    CAUSE_1 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BANDIT',
  name = [[Bandit]],
  display = 'p',
  color = colors.C_b,
  desc = [[He is after your possessions!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 10,
  exp_worth = 26,
  flags = {
    MORTAL = true,
    MALE = true,
    WILD_WOOD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HUNTING_HAWK',
  name = [[Hunting hawk]],
  display = 'B',
  color = colors.C_u,
  desc = [[Trained to hunt and kill without fear.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 25,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 8,
  exp_worth = 22,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    CAN_FLY = true,
    NO_FEAR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YETI',
  name = [[Yeti]],
  display = 'Y',
  color = colors.C_w,
  desc = [[A large white figure covered in shaggy fur.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 24,
  max_life = resolvers.dice(11, 9),
  rarity = 3,
  level = 9,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    IM_COLD = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_HARPY',
  name = [[Black harpy]],
  display = 'H',
  color = colors.C_D,
  desc = [[A woman's face on the body of a vicious black bird.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 22,
  max_life = resolvers.dice(3, 8),
  rarity = 1,
  level = 9,
  exp_worth = 19,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    EVIL = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 16,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_BEAR',
  name = [[Cave bear]],
  display = 'q',
  color = colors.C_u,
  desc = [[A large bear appears to have made its home in this cave.  It is hungry, and you are trespassing in its territory.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 35,
  max_life = 64,
  rarity = 1,
  level = 9,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MINDCRAFTER',
  name = [[Mindcrafter]],
  display = 'p',
  color = colors.C_y,
  desc = [[A master of the mental arts, able to damage or dominate the minds of others.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(9, 8),
  rarity = 2,
  level = 16,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=30, combat=40, magic=30, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  spells = {
    CONF = true,
    BLIND = true,
    HOLD = true,
    SLOW = true,
    MIND_BLAST = true,
    S_MONSTER = true,
    BLINK = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_RED_ANT',
  name = [[Giant red ant]],
  display = 'a',
  color = colors.C_r,
  desc = [[It is large and has venomous mandibles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 34,
  max_life = resolvers.dice(4, 8),
  rarity = 2,
  level = 9,
  exp_worth = 22,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRODDA_THE_EASTERLING',
  name = [[Brodda, the Easterling]],
  display = 'p',
  color = colors.C_U,
  desc = [[A nasty piece of work, Brodda picks on defenceless women and children.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = 240,
  rarity = 2,
  level = 9,
  exp_worth = 100,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    WILD_TOO = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KING_COBRA',
  name = [[King cobra]],
  display = 'J',
  color = colors.C_g,
  desc = [[It is a large snake with a hooded face.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(8, 10),
  rarity = 2,
  level = 9,
  exp_worth = 28,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_WOOD = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.SPIT, dam={1,2} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 8,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_BEE',
  name = [[Killer bee]],
  display = 'I',
  color = colors.C_y,
  desc = [[It is poisonous and aggressive.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 34,
  max_life = resolvers.dice(2, 4),
  rarity = 2,
  level = 9,
  exp_worth = 22,
  flags = {
    ANIMAL = true,
    CAN_FLY = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.STING, dam={1,4} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={1,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_SPIDER',
  name = [[Giant spider]],
  display = 'S',
  color = colors.C_v,
  desc = [[It is a vast spider whose bulbous body is bloated with poison.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 16,
  max_life = resolvers.dice(10, 10),
  rarity = 2,
  level = 10,
  exp_worth = 35,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRISHNAKH_THE_HILL_ORC',
  name = [[Grishnakh, the Hill Orc]],
  display = 'o',
  color = colors.C_y,
  desc = [[He is a cunning and devious orc with a chaotic nature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 20,
  max_life = 250,
  level = 10,
  exp_worth = 160,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    WILD_TOO = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_TAN_BAT',
  name = [[Giant tan bat]],
  display = 'b',
  color = colors.C_U,
  desc = [[A giant bat, the beating of whose wings produces a strangely unnerving noise.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 10,
  exp_worth = 18,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    AI_ANNOY = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
  },
  body = bodies.winged,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRIZZLY_BEAR',
  name = [[Grizzly bear]],
  display = 'q',
  color = colors.C_U,
  desc = [[A huge, beastly bear, more savage than most of its kind.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 35,
  max_life = resolvers.dice(15, 15),
  rarity = 2,
  level = 16,
  exp_worth = 55,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WOLF',
  name = [[Wolf]],
  display = 'C',
  color = colors.C_u,
  desc = [[It howls and snaps at you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 10,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    WILD_WASTE = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PANTHER',
  name = [[Panther]],
  display = 'f',
  color = colors.C_D,
  desc = [[A large black cat, stalking you with intent. It thinks you're its next meal.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(10, 8),
  rarity = 2,
  level = 10,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HIPPOCAMPUS',
  name = [[Hippocampus]],
  display = 'H',
  color = colors.C_B,
  desc = [[A truly strange hybrid of a horse and a fish.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 14,
  max_life = resolvers.dice(20, 9),
  rarity = 1,
  level = 11,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,5} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HIPPOGRYPH',
  name = [[Hippogryph]],
  display = 'H',
  color = colors.C_U,
  desc = [[A strange hybrid of eagle and horse. It looks weird.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 14,
  max_life = resolvers.dice(20, 9),
  rarity = 1,
  level = 11,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    WILD_GRASS = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_MAMBA',
  name = [[Black mamba]],
  display = 'J',
  color = colors.C_D,
  desc = [[It has glistening black skin, a sleek body, and highly venomous fangs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 32,
  max_life = resolvers.dice(10, 8),
  rarity = 3,
  level = 12,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_WOOD = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 10,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_WOLF',
  name = [[White wolf]],
  display = 'C',
  color = colors.C_w,
  desc = [[A large and muscled wolf from the northern wastes. Its breath is cold and icy and its fur coated in frost.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 30,
  max_life = resolvers.dice(7, 7),
  rarity = 1,
  level = 12,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    WILD_WASTE = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    SUSCEP_FIRE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOLFIMBUL_THE_HILL_ORC_CHIEF',
  name = [[Golfimbul, the Hill Orc Chief]],
  display = 'o',
  color = colors.C_y,
  desc = [[A leader of a band of raiding orcs, he picks on hobbits.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 260,
  level = 12,
  exp_worth = 230,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SWORDSMAN',
  name = [[Swordsman]],
  display = 'p',
  color = colors.C_u,
  desc = [[A warrior of considerable skill.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 34,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 12,
  exp_worth = 40,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TIGER',
  name = [[Tiger]],
  display = 'f',
  color = colors.C_o,
  desc = [[One of the largest of its species, a sleek orange and black shape creeps towards you, ready to pounce.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(12, 10),
  rarity = 2,
  level = 12,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OGRE',
  name = [[Ogre]],
  display = 'O',
  color = colors.C_U,
  desc = [[A hideous, smallish giant that is often found near or with orcs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(13, 9),
  rarity = 2,
  level = 13,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    GIANT = true,
    WILD_WOOD = true,
    DROP_60 = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=85, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRUID',
  name = [[Druid]],
  display = 'p',
  color = colors.C_G,
  desc = [[A priest devoted to Nature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 10,
  max_life = resolvers.dice(12, 12),
  rarity = 2,
  level = 13,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    WILD_WOOD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  spells = {
    HASTE = true,
    BLINK = true,
    BLIND = true,
    HOLD = true,
    SLOW = true,
    BO_FIRE = true,
    BO_ELEC = true,
    S_ANIMAL = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_ORC',
  name = [[Black orc]],
  display = 'o',
  color = colors.C_D,
  desc = [[He is a large orc with powerful arms and deep black skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 36,
  max_life = resolvers.dice(12, 10),
  rarity = 1,
  level = 13,
  exp_worth = 45,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=50, magic=20, tool=15 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    ARROW_2 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_DRAGON_FLY',
  name = [[Giant white dragon fly]],
  display = 'F',
  color = colors.C_w,
  desc = [[It is a large fly that drips frost.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 14,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    WILD_WASTE = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_TOO = true,
    IM_COLD = true,
    BASH_DOOR = true,
    SUSCEP_FIRE = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_COLD = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HILL_GIANT',
  name = [[Hill giant]],
  display = 'P',
  color = colors.C_U,
  desc = [[A ten foot tall humanoid with powerful muscles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 45,
  max_life = resolvers.dice(30, 15),
  rarity = 1,
  level = 25,
  exp_worth = 150,
  flags = {
    MORTAL = true,
    MALE = true,
    GIANT = true,
    DROP_60 = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=50, magic=20, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WARG',
  name = [[Warg]],
  display = 'C',
  color = colors.C_D,
  desc = [[It is a large wolf with eyes full of cunning.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 16,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_OGRE',
  name = [[Black ogre]],
  display = 'O',
  color = colors.C_D,
  desc = [[A massive orc-like figure with black skin and powerful arms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(20, 9),
  rarity = 2,
  level = 15,
  exp_worth = 70,
  flags = {
    MORTAL = true,
    GIANT = true,
    DROP_60 = true,
    WILD_MOUNTAIN = true,
    FRIENDS = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=70, magic=0, tool=15 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HALF_ORC',
  name = [[Half-orc]],
  display = 'o',
  color = colors.C_s,
  desc = [[He is a hideous deformed cross-breed of man and orc, combining man's strength and cunning with orcish evil.  The traitorous wizard Saruman is generally believed to be responsible for this abomination.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(16, 10),
  rarity = 2,
  level = 15,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_TARANTULA',
  name = [[Giant tarantula]],
  display = 'S',
  color = colors.C_o,
  desc = [[A giant spider with hairy black and red legs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 32,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 15,
  exp_worth = 70,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_CLEAR_CENTIPEDE',
  name = [[Giant clear centipede]],
  display = 'c',
  color = colors.C_B,
  desc = [[It is about four feet long and carnivorous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(5, 8),
  rarity = 2,
  level = 15,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={2,4} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 12,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MIRKWOOD_SPIDER',
  name = [[Mirkwood spider]],
  display = 'S',
  color = colors.C_G,
  desc = [[A strong and powerful spider from Mirkwood forest. Cunning and evil, it seeks to taste your juicy insides.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 25,
  max_life = resolvers.dice(9, 8),
  rarity = 2,
  level = 15,
  exp_worth = 25,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_WOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 15,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FROST_GIANT',
  name = [[Frost giant]],
  display = 'P',
  color = colors.C_w,
  desc = [[A twelve foot tall giant covered in furs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 50,
  max_life = resolvers.dice(32, 15),
  rarity = 1,
  level = 28,
  exp_worth = 180,
  flags = {
    WILD_WASTE = true,
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    AURA_COLD = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    GIANT = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.HIT, dam={5,8} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={5,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRIFFON',
  name = [[Griffon]],
  display = 'H',
  color = colors.C_u,
  desc = [[It is half lion, half eagle. It flies menacingly towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(30, 8),
  rarity = 1,
  level = 15,
  exp_worth = 70,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    WILD_GRASS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_GREEN_DRAGON_FLY',
  name = [[Giant green dragon fly]],
  display = 'F',
  color = colors.C_G,
  desc = [[A vast, foul-smelling dragonfly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 16,
  exp_worth = 65,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_GIANT',
  name = [[Fire giant]],
  display = 'P',
  color = colors.C_r,
  desc = [[A glowing fourteen foot tall giant. Flames drip from its red skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 16,
  ac = 60,
  max_life = resolvers.dice(34, 16),
  rarity = 1,
  level = 30,
  exp_worth = 220,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    SUSCEP_COLD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    WILD_VOLCANO = true,
    GIANT = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LIZARD_MAN',
  name = [[Lizard man]],
  display = 'h',
  color = colors.C_G,
  desc = [[Intelligent lizard beings from the depths.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(16, 10),
  rarity = 3,
  level = 16,
  exp_worth = 55,
  flags = {
    WILD_SHORE = true,
    IM_ACID = true,
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREBAIN',
  name = [[Crebain]],
  display = 'B',
  color = colors.C_D,
  desc = [[A type of crow, specially bred by the forces of evil as spies; their rudimentary intelligence guided by an evil mind has tracked you down, and now they seek to alert other evil creatures to your presence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 12,
  max_life = resolvers.dice(3, 5),
  rarity = 4,
  level = 16,
  exp_worth = 20,
  flags = {
    WILD_WASTE = true,
    WILD_SWAMP = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    EVIL = true,
    WILD_GRASS = true,
    WILD_VOLCANO = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    ANIMAL = true,
    WILD_SHORE = true,
    WILD_MOUNTAIN = true,
    FRIENDS = true,
    CAN_FLY = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
  },
  spells = {
    SHRIEK = true,
  },
  body = bodies.winged,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPHINX',
  name = [[Sphinx]],
  display = 'H',
  color = colors.C_o,
  desc = [[It will eat you if you cannot answer its riddle.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 60,
  max_life = resolvers.dice(60, 5),
  rarity = 2,
  level = 17,
  exp_worth = 80,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    ONLY_GOLD = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
  },
  spells = {
    SCARE = true,
    CONF = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FOREST_TROLL',
  name = [[Forest troll]],
  display = 'T',
  color = colors.C_g,
  desc = [[He is green-skinned and ugly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(20, 10),
  rarity = 1,
  level = 17,
  exp_worth = 70,
  flags = {
    TROLL = true,
    MALE = true,
    REGENERATE = true,
    WILD_WOOD = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    SUSCEP_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=30, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '2_HEADED_HYDRA',
  name = [[2-headed hydra]],
  display = 'M',
  color = colors.C_u,
  desc = [[A strange reptilian creature with two heads, guarding its hoard.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 60,
  max_life = resolvers.dice(100, 3),
  rarity = 2,
  level = 17,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    WILD_SHORE = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    IMPRESED = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
  },
  body = bodies.hydra,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SWAMP_THING',
  name = [[Swamp thing]],
  display = 'H',
  color = colors.C_g,
  desc = [[A creature that was once human, but is now as green as moss.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 60,
  max_life = resolvers.dice(8, 12),
  rarity = 2,
  level = 17,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.CLAW, dam={2,5} },
    { type=DamageType.TERRIFY, method=AttackType.CLAW, dam={5,2} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_RED_SCORPION',
  name = [[Giant red scorpion]],
  display = 'S',
  color = colors.C_r,
  desc = [[It is fast and poisonous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 44,
  max_life = resolvers.dice(11, 8),
  rarity = 1,
  level = 17,
  exp_worth = 62,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={1,7} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_SPIRIT',
  name = [[Fire spirit]],
  display = 'E',
  color = colors.C_r,
  desc = [[A whirlwind of sentient flame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(10, 9),
  rarity = 2,
  level = 18,
  exp_worth = 75,
  flags = {
    IM_POIS = true,
    WILD_TOO = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    SUSCEP_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    WILD_VOLCANO = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={2,6} },
  },
  body = bodies.none,
  speed = 10,
  vision = 16,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHAMBLING_MOUND',
  name = [[Shambling mound]],
  display = ',',
  color = colors.C_g,
  desc = [[A pile of rotting vegetation that slides towards you with a disgusting stench, waking all it nears.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 16,
  max_life = resolvers.dice(20, 6),
  rarity = 2,
  level = 18,
  exp_worth = 75,
  flags = {
    WILD_SWAMP = true,
    ONLY_GOLD = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  spells = {
    SHRIEK = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BRONZE_DRAGON_FLY',
  name = [[Giant bronze dragon fly]],
  display = 'F',
  color = colors.C_U,
  desc = [[This vast gleaming bronze fly has wings which beat mesmerically fast.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 18,
  exp_worth = 80,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_CONF = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STONE_GIANT',
  name = [[Stone giant]],
  display = 'P',
  color = colors.C_W,
  desc = [[It is eighteen feet tall and looking at you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 18,
  ac = 75,
  max_life = resolvers.dice(35, 18),
  rarity = 1,
  level = 33,
  exp_worth = 250,
  flags = {
    MALE = true,
    GIANT = true,
    DROP_60 = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BLACK_DRAGON_FLY',
  name = [[Giant black dragon fly]],
  display = 'F',
  color = colors.C_s,
  desc = [[The size of a large bird, this fly drips caustic acid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 20,
  exp_worth = 70,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_ACID = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_GOLD_DRAGON_FLY',
  name = [[Giant gold dragon fly]],
  display = 'F',
  color = colors.C_y,
  desc = [[Large beating wings support this dazzling insect. A loud buzzing noise pervades the air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(3, 8),
  rarity = 2,
  level = 22,
  exp_worth = 75,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_SOUN = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NEEKERBREEKER',
  name = [[Neekerbreeker]],
  display = 'I',
  color = colors.C_D,
  desc = [[Believed to be an evil relative of the cricket, this creature gets its name from its incessant squeaking, which can best be described as "neek-breek, neek-breek".  The noise can drive people frantic, and worse still, can be heard for quite some distance, alerting other monsters to your presence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 18,
  max_life = resolvers.dice(3, 2),
  rarity = 4,
  level = 19,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    WILD_SWAMP = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    EVIL = true,
  },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,2} },
  },
  spells = {
    MULTIPLY = true,
    SHRIEK = true,
  },
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PHASE_SPIDER',
  name = [[Phase spider]],
  display = 'S',
  color = colors.C_B,
  desc = [[A spider that never seems quite there. Everywhere you look it is just half-seen in the corner of one eye.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 25,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 20,
  exp_worth = 60,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_WOOD = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    RES_TELE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 15,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WYVERN',
  name = [[Wyvern]],
  display = 'd',
  color = colors.C_g,
  desc = [[A fast-moving and deadly draconian animal. Beware its poisonous sting!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 65,
  max_life = resolvers.dice(100, 5),
  rarity = 2,
  level = 22,
  exp_worth = 250,
  flags = {
    WILD_WOOD = true,
    WILD_TOO = true,
    DROP_2D2 = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IM_POIS = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.POISON, method=AttackType.STING, dam={1,6} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SABRE_TOOTH_TIGER',
  name = [[Sabre-tooth tiger]],
  display = 'f',
  color = colors.C_y,
  desc = [[A fierce and dangerous cat, its huge tusks and sharp claws would lacerate even the strongest armour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 14,
  ac = 50,
  max_life = resolvers.dice(20, 14),
  rarity = 2,
  level = 20,
  exp_worth = 120,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    WILD_GRASS = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHIMAERA',
  name = [[Chimaera]],
  display = 'H',
  color = colors.C_r,
  desc = [[It is a strange concoction of goat, lion and dragon, with the heads of all three beasts.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 15,
  max_life = resolvers.dice(20, 15),
  rarity = 2,
  level = 20,
  exp_worth = 200,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    SUSCEP_COLD = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.hydra,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SASQUATCH',
  name = [[Sasquatch]],
  display = 'Y',
  color = colors.C_W,
  desc = [[A tall shaggy, furry humanoid, it could call the yeti brother.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 19,
  ac = 40,
  max_life = resolvers.dice(20, 19),
  rarity = 3,
  level = 20,
  exp_worth = 180,
  flags = {
    ANIMAL = true,
    WILD_WASTE = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    IM_COLD = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_VORTEX',
  name = [[Fire vortex]],
  display = 'v',
  color = colors.C_r,
  desc = [[A whirling maelstrom of fire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(9, 9),
  rarity = 1,
  level = 21,
  exp_worth = 100,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    POWERFUL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    SUSCEP_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    WILD_VOLCANO = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.ENGULF, dam={3,3} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GLOBEFISH',
  name = [[Globefish]],
  display = '~',
  color = colors.C_w,
  desc = [[This fish is among the most poisonous creatures there are.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 1,
  level = 21,
  exp_worth = 111,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    WILD_TOO = true,
    POWERFUL = true,
    BASH_DOOR = true,
    NO_STUN = true,
    EMPTY_MIND = true,
    AQUATIC = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={10,5} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={10,5} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VAMPIRIC_MIST',
  name = [[Vampiric mist]],
  display = '#',
  color = colors.C_D,
  desc = [[A cloud of evil, sentient mist.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 55,
  max_life = resolvers.dice(10, 8),
  rarity = 1,
  level = 22,
  exp_worth = 40,
  flags = {
    IM_ACID = true,
    SUSCEP_ELEC = true,
    WILD_SWAMP = true,
    IM_POIS = true,
    FRIENDS = true,
    WILD_TOO = true,
    IM_COLD = true,
    EVIL = true,
    RES_NETH = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.ENGULF, dam={1,6} },
    { type=DamageType.EXP_20, method=AttackType.ENGULF, dam={1,6} },
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_STAG_BEETLE',
  name = [[Killer stag beetle]],
  display = 'K',
  color = colors.C_g,
  desc = [[It is a giant beetle with vicious claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 55,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 22,
  exp_worth = 80,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,12} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_YELLOW_SCORPION',
  name = [[Giant yellow scorpion]],
  display = 'S',
  color = colors.C_y,
  desc = [[It is a giant scorpion with a sharp stinger.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 38,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 22,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.POISON, method=AttackType.STING, dam={2,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_WHITE_BEETLE',
  name = [[Killer white beetle]],
  display = 'K',
  color = colors.C_w,
  desc = [[It is looking for prey.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 55,
  max_life = resolvers.dice(18, 8),
  rarity = 1,
  level = 23,
  exp_worth = 85,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_SILVER_ANT',
  name = [[Giant silver ant]],
  display = 'a',
  color = colors.C_W,
  desc = [[A giant silver ant with a caustic bite.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 38,
  max_life = resolvers.dice(9, 8),
  rarity = 1,
  level = 23,
  exp_worth = 45,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.BITE, dam={4,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '4_HEADED_HYDRA',
  name = [[4-headed hydra]],
  display = 'M',
  color = colors.C_y,
  desc = [[A strange reptilian creature with four heads, guarding its hoard.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 70,
  max_life = resolvers.dice(100, 6),
  rarity = 2,
  level = 24,
  exp_worth = 450,
  flags = {
    ANIMAL = true,
    WILD_SHORE = true,
    MORTAL = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HILL_TROLL',
  name = [[Hill troll]],
  display = 'T',
  color = colors.C_s,
  desc = [[A large troll with an extremely tough and warty hide.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 65,
  max_life = resolvers.dice(21, 10),
  rarity = 1,
  level = 21,
  exp_worth = 75,
  flags = {
    TROLL = true,
    WILD_WASTE = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    REGENERATE = true,
    WILD_MOUNTAIN = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=30, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WEREWORM',
  name = [[Wereworm]],
  display = 'w',
  color = colors.C_u,
  desc = [[A huge wormlike shape dripping acid, twisted by evil sorcery into a foul monster that breeds on death.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 70,
  max_life = resolvers.dice(100, 11),
  rarity = 3,
  level = 25,
  exp_worth = 300,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    CAN_SWIM = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.GAZE },
    { type=DamageType.ACID, method=AttackType.CRAWL, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 15,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_RED_BEETLE',
  name = [[Killer red beetle]],
  display = 'K',
  color = colors.C_r,
  desc = [[A giant beetle with poisonous mandibles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 50,
  max_life = resolvers.dice(20, 8),
  rarity = 1,
  level = 25,
  exp_worth = 90,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_STR, method=AttackType.BITE, dam={4,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULWARTH_SON_OF_ULFANG',
  name = [[Ulwarth, Son of Ulfang]],
  display = 'p',
  color = colors.C_U,
  desc = [[A short and swarthy Easterling.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = 850,
  rarity = 4,
  level = 26,
  exp_worth = 500,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    WILD_TOO = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=40, combat=60, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WEREBEAR',
  name = [[Werebear]],
  display = 'q',
  color = colors.C_D,
  desc = [[In the eyes of this bear, there glimmers the faintest light of intelligence. And then its form begins to change... The combination of animal cunning, human intelligence and the great physical strength of the bear makes for a dangerous enemy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 50,
  max_life = resolvers.dice(25, 25),
  rarity = 2,
  level = 24,
  exp_worth = 200,
  flags = {
    ANIMAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=25, magic=25, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_FIRE_BEETLE',
  name = [[Killer fire beetle]],
  display = 'K',
  color = colors.C_R,
  desc = [[It is a giant beetle wreathed in flames.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 45,
  max_life = resolvers.dice(22, 8),
  rarity = 1,
  level = 27,
  exp_worth = 95,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_FIRE = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    CAN_FLY = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    WILD_VOLCANO = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
    { type=DamageType.FIRE, method=AttackType.SPIT, dam={4,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ALGROTH',
  name = [[Algroth]],
  display = 'T',
  color = colors.C_o,
  desc = [[A powerful troll form. Venom drips from its needlelike claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 60,
  max_life = resolvers.dice(21, 12),
  rarity = 1,
  level = 27,
  exp_worth = 150,
  flags = {
    TROLL = true,
    WILD_SWAMP = true,
    REGENERATE = true,
    WILD_WOOD = true,
    DROP_60 = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=80, magic=0, tool=10 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LOKKAK_THE_OGRE_CHIEFTAIN',
  name = [[Lokkak, the Ogre Chieftain]],
  display = 'O',
  color = colors.C_v,
  desc = [[An ogre renowned for acts of surprising cruelty, Lokkak is the leader of a large band of violent ogres.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 103,
  ac = 100,
  max_life = 1545,
  rarity = 2,
  level = 32,
  exp_worth = 1500,
  unique = true,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    MALE = true,
    ESCORT = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    WILD_SHORE = true,
    DROP_GOOD = true,
    GIANT = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=5, combat=85, magic=0, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,7} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '5_HEADED_HYDRA',
  name = [[5-headed hydra]],
  display = 'M',
  color = colors.C_g,
  desc = [[A strange reptilian creature with five heads dripping venom.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 80,
  max_life = resolvers.dice(100, 8),
  rarity = 2,
  level = 28,
  exp_worth = 650,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    ANIMAL = true,
    WILD_SHORE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    CAN_SWIM = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
  },
  spells = {
    SCARE = true,
    BA_POIS = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SEAHORSE',
  name = [[Seahorse]],
  display = '~',
  color = colors.C_o,
  desc = [[Your mind is filled with admiration as you view this wondrous, magical seahorse.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 60,
  max_life = resolvers.dice(111, 7),
  rarity = 2,
  level = 28,
  exp_worth = 360,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_OCEAN = true,
    IM_POIS = true,
    WILD_TOO = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    AQUATIC = true,
    GOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={4,5} },
    { type=DamageType.LOSE_DEX, method=AttackType.BITE, dam={4,5} },
    { type=DamageType.LOSE_CON, method=AttackType.BITE, dam={4,5} },
  },
  spells = {
    BO_WATE = true,
    BO_COLD = true,
    BO_ICEE = true,
    BO_MANA = true,
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CYCLOPS',
  name = [[Cyclops]],
  display = 'P',
  color = colors.C_u,
  desc = [[A gigantic humanoid with but one eye.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 90,
  max_life = resolvers.dice(60, 20),
  rarity = 2,
  level = 45,
  exp_worth = 1500,
  flags = {
    MORTAL = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    WILD_SHORE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    GIANT = true,
    WILD_MOUNTAIN = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,9} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CATOBLEPAS',
  name = [[Catoblepas]],
  display = 'q',
  color = colors.C_g,
  desc = [[A strange ox-like form with a huge head but a thin, weak neck, it looks like the creation of some deranged alchemist.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = resolvers.dice(30, 10),
  rarity = 2,
  level = 29,
  exp_worth = 400,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_SWAMP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    ONLY_GOLD = true,
    WILD_TOO = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.GAZE, dam={2,4} },
    { type=DamageType.BLIND, method=AttackType.GAZE, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 15,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BASILISK',
  name = [[Basilisk]],
  display = 'R',
  color = colors.C_s,
  desc = [[An evil reptile that preys on unsuspecting travellers.  Its eyes stare deeply at you and your soul starts to wilt!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 90,
  max_life = resolvers.dice(20, 30),
  rarity = 3,
  level = 28,
  exp_worth = 350,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    IM_POIS = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=30, tool=20 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 15,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ICE_TROLL',
  name = [[Ice troll]],
  display = 'T',
  color = colors.C_w,
  desc = [[He is a white troll with powerful clawed hands.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 56,
  max_life = resolvers.dice(24, 10),
  rarity = 1,
  level = 28,
  exp_worth = 200,
  flags = {
    TROLL = true,
    WILD_WASTE = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    REGENERATE = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_BLUE_DRAGON',
  name = [[Young blue dragon]],
  display = 'd',
  color = colors.C_b,
  desc = [[It has a form out of legend. Its still-tender scales are a deep blue in hue. Sparks crackle along its length.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 270,
  rarity = 1,
  level = 29,
  exp_worth = 500,
  flags = {
    FORCE_SLEEP = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
    BR_ELEC = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_WHITE_DRAGON',
  name = [[Young white dragon]],
  display = 'd',
  color = colors.C_w,
  desc = [[It has a form out of legend. Its still-tender scales are a frosty white in hue. Icy blasts of cold air come from it as it breathes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 270,
  rarity = 1,
  level = 29,
  exp_worth = 500,
  flags = {
    WILD_WASTE = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_GREEN_DRAGON',
  name = [[Young green dragon]],
  display = 'd',
  color = colors.C_g,
  desc = [[It has a form out of legend. Its still-tender scales are a deep green in hue. Foul gas seeps through its scales.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 270,
  rarity = 1,
  level = 29,
  exp_worth = 500,
  flags = {
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    WILD_MOUNTAIN = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_BRONZE_DRAGON',
  name = [[Young bronze dragon]],
  display = 'd',
  color = colors.C_U,
  desc = [[It has a form out of legend. Its still-tender scales are a rich bronze hue, and its shape masks its true form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 270,
  rarity = 1,
  level = 29,
  exp_worth = 500,
  flags = {
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BEORN_THE_SHAPE_CHANGER',
  name = [[Beorn, the Shape-Changer]],
  display = 'q',
  color = colors.C_D,
  desc = [[Beorn is only occasionally seen in human form these days, preferring to appear in the shape of a giant black bear:  he also prefers the company of beasts to that of humans.  He has never taken kindly to strangers, even in human form - and still less when in bear's shape, as he is now.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 70,
  ac = 60,
  max_life = 1400,
  rarity = 3,
  level = 28,
  exp_worth = 1000,
  unique = true,
  flags = {
    MALE = true,
    WILD_WOOD = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    ANIMAL = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    PET = true,
  },
  drop = { treasure=20, combat=60, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={3,6} },
  },
  spells = {
    S_ANIMAL = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 25,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BLUE_ANT',
  name = [[Giant blue ant]],
  display = 'a',
  color = colors.C_b,
  desc = [[It is a giant ant that crackles with energy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 50,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 30,
  exp_worth = 80,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.BITE, dam={5,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MANTICORE',
  name = [[Manticore]],
  display = 'H',
  color = colors.C_y,
  desc = [[It is a winged lion's body with a human torso and a tail covered in vicious spikes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 15,
  max_life = 250,
  rarity = 2,
  level = 30,
  exp_worth = 300,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 10,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_SLICER_BEETLE',
  name = [[Killer slicer beetle]],
  display = 'K',
  color = colors.C_y,
  desc = [[It is a beetle with deadly sharp cutting mandibles and a rock-hard carapace.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = resolvers.dice(25, 10),
  rarity = 2,
  level = 30,
  exp_worth = 200,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    WILD_GRASS = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,8} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GORGON',
  name = [[Gorgon]],
  display = 'H',
  color = colors.C_b,
  desc = [[A bull-like creature whose skin is made of steel plates. Watch out for its deadly breath!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 88,
  max_life = resolvers.dice(30, 20),
  rarity = 2,
  level = 31,
  exp_worth = 275,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    WILD_WOOD = true,
    IM_POIS = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={3,9} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={2,4} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_WATCH_BEETLE',
  name = [[Death watch beetle]],
  display = 'K',
  color = colors.C_D,
  desc = [[It is a giant beetle that produces a chilling sound.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 60,
  max_life = resolvers.dice(25, 12),
  rarity = 3,
  level = 31,
  exp_worth = 220,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,4} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={5,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 16,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_SQUID',
  name = [[Giant squid]],
  display = '~',
  color = colors.C_g,
  desc = [[Besides being capable of dragging whole ships underwater, this creature can also harm you with ranged attacks.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 800,
  rarity = 3,
  level = 32,
  exp_worth = 600,
  flags = {
    ANIMAL = true,
    IM_ACID = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    IM_COLD = true,
    MOVE_BODY = true,
    AQUATIC = true,
    RES_WATE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
  },
  spells = {
    BR_ELEC = true,
    BR_ACID = true,
    BR_POIS = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STORM_GIANT',
  name = [[Storm giant]],
  display = 'P',
  color = colors.C_B,
  desc = [[It is a twenty-five foot tall giant wreathed in lightning.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = 800,
  rarity = 1,
  level = 40,
  exp_worth = 1000,
  flags = {
    MALE = true,
    WILD_TOO = true,
    EVIL = true,
    AURA_ELEC = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    GIANT = true,
    WILD_MOUNTAIN = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    CONF = true,
    SCARE = true,
    BO_ELEC = true,
    BA_ELEC = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BERT_THE_STONE_TROLL',
  name = [[Bert the Stone Troll]],
  display = 'T',
  color = colors.C_W,
  desc = [[Big, brawny, powerful and with a taste for hobbit. He has friends called Bill and Tom.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 1100,
  level = 34,
  exp_worth = 2000,
  unique = true,
  flags = {
    TROLL = true,
    MALE = true,
    WILD_WOOD = true,
    ESCORT = true,
    WILD_TOO = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_COLD = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,10} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BILL_THE_STONE_TROLL',
  name = [[Bill the Stone Troll]],
  display = 'T',
  color = colors.C_W,
  desc = [[Big, brawny, powerful and with a taste for hobbit. He has friends called Bert and Tom.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 1100,
  level = 34,
  exp_worth = 2000,
  unique = true,
  flags = {
    TROLL = true,
    MALE = true,
    WILD_WOOD = true,
    ESCORT = true,
    WILD_TOO = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_COLD = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,10} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TOM_THE_STONE_TROLL',
  name = [[Tom the Stone Troll]],
  display = 'T',
  color = colors.C_W,
  desc = [[Big, brawny, powerful and with a taste for hobbit. He has friends called Bert and Bill.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 1100,
  level = 34,
  exp_worth = 2000,
  unique = true,
  flags = {
    TROLL = true,
    MALE = true,
    WILD_WOOD = true,
    ESCORT = true,
    WILD_TOO = true,
    SPECIAL_GENE = true,
    EVIL = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_COLD = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,10} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FASOLT_THE_GIANT',
  name = [[Fasolt the Giant]],
  display = 'P',
  color = colors.C_u,
  desc = [[Big, brawny, powerful and with a greed for gold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 111,
  ac = 70,
  max_life = 1221,
  rarity = 4,
  level = 33,
  exp_worth = 2000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    WILD_TOO = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    GIANT = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,10} },
    { type=DamageType.EAT_GOLD, method=AttackType.HIT, dam={2,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_TROLL',
  name = [[Water troll]],
  display = 'T',
  color = colors.C_B,
  desc = [[He is a troll that reeks of brackish water and mud.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 360,
  rarity = 1,
  level = 35,
  exp_worth = 420,
  flags = {
    TROLL = true,
    WILD_SWAMP = true,
    MALE = true,
    DROP_60 = true,
    WILD_TOO = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    WILD_SHORE = true,
    REGENERATE = true,
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,2} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,2} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_ELEMENTAL',
  name = [[Fire elemental]],
  display = 'E',
  color = colors.C_r,
  desc = [[It is a towering inferno of flames.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 50,
  max_life = resolvers.dice(30, 8),
  rarity = 2,
  level = 33,
  exp_worth = 350,
  flags = {
    IM_FIRE = true,
    WILD_TOO = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    WILD_VOLCANO = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    BO_FIRE = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_GREY_SCORPION',
  name = [[Giant grey scorpion]],
  display = 'S',
  color = colors.C_s,
  desc = [[It is a giant grey scorpion. It looks poisonous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 50,
  max_life = resolvers.dice(18, 20),
  rarity = 4,
  level = 34,
  exp_worth = 275,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.STING, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 12,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GARGOYLE',
  name = [[Gargoyle]],
  display = 'u',
  color = colors.C_s,
  desc = [[A weird demon creature with a stone-like skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 50,
  max_life = resolvers.dice(18, 12),
  rarity = 2,
  level = 34,
  exp_worth = 110,
  flags = {
    WILD_WASTE = true,
    NONLIVING = true,
    DROP_60 = true,
    IM_POIS = true,
    WILD_MOUNTAIN = true,
    ONLY_GOLD = true,
    IM_FIRE = true,
    WILD_TOO = true,
    FRIENDS = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    HURT_LITE = true,
    DEMON = true,
    NO_CUT = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_ELEC = true,
    BR_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OOZE_ELEMENTAL',
  name = [[Ooze elemental]],
  display = 'E',
  color = colors.C_g,
  desc = [[It is a towering mass of filth, an eyesore of ooze.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = resolvers.dice(13, 10),
  rarity = 3,
  level = 36,
  exp_worth = 300,
  flags = {
    WILD_SWAMP = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    WILD_SHORE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
  },
  spells = {
    BO_ACID = true,
    BA_ACID = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_BLACK_DRAGON',
  name = [[Young black dragon]],
  display = 'd',
  color = colors.C_s,
  desc = [[It has a form out of legend. Its still-tender scales are a darkest black hue. Acid drips from its body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 1,
  level = 31,
  exp_worth = 700,
  flags = {
    IM_ACID = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DROP_3D2 = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    SCARE = true,
    BR_ACID = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_WHITE_DRAGON',
  name = [[Mature white dragon]],
  display = 'd',
  color = colors.C_w,
  desc = [[A large dragon, scales gleaming bright white.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 400,
  rarity = 1,
  level = 34,
  exp_worth = 1200,
  flags = {
    WILD_WASTE = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,8} },
  },
  spells = {
    SCARE = true,
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_GOLD_DRAGON',
  name = [[Young gold dragon]],
  display = 'd',
  color = colors.C_y,
  desc = [[It has a form out of legend. Its still-tender scales are a tarnished gold hue, and light is reflected from its form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 1,
  level = 31,
  exp_worth = 700,
  flags = {
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    NO_STUN = true,
    EVIL = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DROP_3D2 = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_BLUE_DRAGON',
  name = [[Mature blue dragon]],
  display = 'd',
  color = colors.C_b,
  desc = [[A large dragon, scales tinted deep blue.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 400,
  rarity = 1,
  level = 34,
  exp_worth = 1200,
  flags = {
    WILD_WOOD = true,
    WILD_TOO = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,8} },
  },
  spells = {
    SCARE = true,
    BR_ELEC = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_GREEN_DRAGON',
  name = [[Mature green dragon]],
  display = 'd',
  color = colors.C_g,
  desc = [[A large dragon, scales tinted deep green.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 400,
  rarity = 1,
  level = 34,
  exp_worth = 1200,
  flags = {
    WILD_WOOD = true,
    WILD_TOO = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    IM_POIS = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,8} },
  },
  spells = {
    SCARE = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_BRONZE_DRAGON',
  name = [[Mature bronze dragon]],
  display = 'd',
  color = colors.C_U,
  desc = [[A large dragon with scales of rich bronze.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 400,
  rarity = 1,
  level = 34,
  exp_worth = 1200,
  flags = {
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    DRAGON = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,8} },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_RED_DRAGON',
  name = [[Young red dragon]],
  display = 'd',
  color = colors.C_r,
  desc = [[It has a form out of legend. Its still-tender scales are a deepest red hue. Heat radiates from its form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 1,
  level = 31,
  exp_worth = 700,
  flags = {
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    SUSCEP_COLD = true,
    DROP_3D2 = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    WILD_VOLCANO = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    SCARE = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WILL_O_THE_WISP',
  name = [[Will o' the wisp]],
  display = 'E',
  color = colors.C_W,
  desc = [[A strange ball of glowing light. It disappears and reappears and seems to draw you to it. You seem somehow compelled to stand still and watch its strange dancing motion.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 150,
  max_life = 200,
  rarity = 4,
  level = 38,
  exp_worth = 500,
  flags = {
    PASS_WALL = true,
    WILD_SWAMP = true,
    NONLIVING = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    SMART = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.HALLU, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.HALLU, method=AttackType.HIT, dam={1,9} },
  },
  spells = {
    BLINK = true,
    TPORT = true,
    CONF = true,
    CAUSE_2 = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MAGMA_ELEMENTAL',
  name = [[Magma elemental]],
  display = 'E',
  color = colors.C_o,
  desc = [[It is a towering glowing form of molten rock.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = resolvers.dice(35, 10),
  rarity = 3,
  level = 37,
  exp_worth = 950,
  flags = {
    PASS_WALL = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    WILD_VOLCANO = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={3,7} },
  },
  spells = {
    BO_PLAS = true,
    BA_FIRE = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_RED_DRAGON',
  name = [[Mature red dragon]],
  display = 'd',
  color = colors.C_r,
  desc = [[A large dragon, scales tinted deep red.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 500,
  rarity = 1,
  level = 36,
  exp_worth = 1500,
  flags = {
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    SUSCEP_COLD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    WILD_VOLCANO = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,10} },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_GOLD_DRAGON',
  name = [[Mature gold dragon]],
  display = 'd',
  color = colors.C_y,
  desc = [[A large dragon with scales of gleaming gold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 500,
  rarity = 1,
  level = 36,
  exp_worth = 1500,
  flags = {
    WILD_TOO = true,
    NO_STUN = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    HAS_LITE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,10} },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_BLACK_DRAGON',
  name = [[Mature black dragon]],
  display = 'd',
  color = colors.C_s,
  desc = [[A large dragon, with scales of deepest black.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 500,
  rarity = 1,
  level = 36,
  exp_worth = 1500,
  flags = {
    WILD_SWAMP = true,
    WILD_TOO = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    WILD_MOUNTAIN = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    DRAGON = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,10} },
  },
  spells = {
    SCARE = true,
    BR_ACID = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '7_HEADED_HYDRA',
  name = [[7-headed hydra]],
  display = 'M',
  color = colors.C_G,
  desc = [[A strange reptilian creature with seven heads dripping venom.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = resolvers.dice(100, 10),
  rarity = 2,
  level = 39,
  exp_worth = 2000,
  flags = {
    ANIMAL = true,
    WILD_SHORE = true,
    MORTAL = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    ONLY_GOLD = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,9} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,9} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,9} },
    { type=DamageType.BLIND, method=AttackType.SPIT, dam={1,2} },
  },
  spells = {
    SCARE = true,
    BA_POIS = true,
    BR_POIS = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ETTIN',
  name = [[Ettin]],
  display = 'T',
  color = colors.C_b,
  desc = [[A massive two-headed troll, larger and stronger than many men together. Fortunately, ettins are solitary creatures.  They are also living proof that two heads are not necessarily more intelligent than one...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 1500,
  rarity = 3,
  level = 39,
  exp_worth = 2000,
  flags = {
    TROLL = true,
    WILD_SWAMP = true,
    WILD_WOOD = true,
    WILD_TOO = true,
    EVIL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    REGENERATE = true,
    WILD_MOUNTAIN = true,
    IM_POIS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,8} },
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=2, RING=2, AMULET=2, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '9_HEADED_HYDRA',
  name = [[9-headed hydra]],
  display = 'M',
  color = colors.C_r,
  desc = [[A strange reptilian creature with nine smouldering heads.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 95,
  max_life = resolvers.dice(100, 12),
  rarity = 2,
  level = 40,
  exp_worth = 3000,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    IM_FIRE = true,
    WILD_TOO = true,
    DROP_3D2 = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    WILD_SHORE = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,10} },
  },
  spells = {
    SCARE = true,
    BO_FIRE = true,
    BR_FIRE = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '11_HEADED_HYDRA',
  name = [[11-headed hydra]],
  display = 'M',
  color = colors.C_R,
  desc = [[A strange reptilian hybrid with eleven smouldering heads.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 18,
  ac = 100,
  max_life = resolvers.dice(100, 18),
  rarity = 2,
  level = 44,
  exp_worth = 6000,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    WILD_SHORE = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
  },
  spells = {
    SCARE = true,
    BO_FIRE = true,
    BO_PLAS = true,
    BA_FIRE = true,
    BR_FIRE = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WINGED_HORROR',
  name = [[Winged Horror]],
  display = 'B',
  color = colors.C_D,
  desc = [[A terrifying sight:  a winged creature greater than any bird you have ever seen, and with no feathers on its horrid black leathery wings.  Descended from a creature of an older world perhaps, bred by Sauron to be a winged steed for his Ringwraiths.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 80,
  max_life = resolvers.dice(25, 80),
  rarity = 3,
  level = 48,
  exp_worth = 4000,
  flags = {
    WILD_WASTE = true,
    ANIMAL = true,
    WILD_SWAMP = true,
    MORTAL = true,
    WILD_WOOD = true,
    IM_POIS = true,
    WILD_TOO = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,8} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={4,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={4,6} },
  },
  spells = {
    BR_NETH = true,
    BR_DARK = true,
    BR_POIS = true,
  },
  speed = 10,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_KRAKEN',
  name = [[Lesser kraken]],
  display = '~',
  color = colors.C_G,
  desc = [[An enormously fearsome and powerful inhabitant of the depths. It resembles a gargantuan octopus and its evil is almost tangible.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 3000,
  rarity = 2,
  level = 54,
  exp_worth = 20000,
  flags = {
    WILD_OCEAN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    DROP_3D2 = true,
    AQUATIC = true,
    RES_WATE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    NO_CONF = true,
  },
  drop = { treasure=25, combat=25, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={16,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={16,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={16,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={16,12} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    CAUSE_3 = true,
    BA_WATE = true,
    DARKNESS = true,
    BR_DARK = true,
    TELE_TO = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_LERNAEAN_HYDRA',
  name = [[The Lernaean Hydra]],
  display = 'M',
  color = colors.C_v,
  desc = [[A massive legendary hydra. It has twelve powerful heads. Its many eyes stare at you as clouds of smoke and poisonous vapour rise from its seething form.  It grows new heads as fast as you chop them off.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 140,
  max_life = 4500,
  rarity = 2,
  level = 55,
  exp_worth = 20000,
  unique = true,
  flags = {
    MORTAL = true,
    WILD_SWAMP = true,
    IM_FIRE = true,
    WILD_TOO = true,
    NO_STUN = true,
    SUSCEP_COLD = true,
    DROP_3D2 = true,
    UNIQUE = true,
    SMART = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    ANIMAL = true,
    WILD_SHORE = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    CAN_SWIM = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    POWERFUL = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    KILL_BODY = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={8,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={8,6} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={12,6} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={12,6} },
  },
  spells = {
    SCARE = true,
    BO_FIRE = true,
    BO_PLAS = true,
    BA_FIRE = true,
    BA_POIS = true,
    BR_FIRE = true,
    BR_POIS = true,
    S_HYDRA = true,
    S_KIN = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_KRAKEN',
  name = [[Greater kraken]],
  display = '~',
  color = colors.C_G,
  desc = [[An enormously fearsome and powerful inhabitant of the depths. It resembles a gargantuan octopus and its evil is almost tangible.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 175,
  max_life = 4000,
  rarity = 2,
  level = 60,
  exp_worth = 25000,
  flags = {
    WILD_OCEAN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    EVIL = true,
    DROP_3D2 = true,
    AQUATIC = true,
    RES_WATE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=80, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={15,15} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    CAUSE_3 = true,
    TELE_TO = true,
    TELE_AWAY = true,
    BA_WATE = true,
    DARKNESS = true,
    BR_DARK = true,
    BR_ACID = true,
    BR_POIS = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LEVIATHAN',
  name = [[Leviathan]],
  display = '~',
  color = colors.C_v,
  desc = [[An enormous, terrible sea-monster, the true master of the ocean.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = 5000,
  rarity = 3,
  level = 67,
  exp_worth = 28000,
  flags = {
    ANIMAL = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    WILD_OCEAN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    IM_COLD = true,
    NO_SLEEP = true,
    AQUATIC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={6,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={6,15} },
  },
  spells = {
    BR_FIRE = true,
    BR_ACID = true,
    BR_DARK = true,
    BR_POIS = true,
    BA_WATE = true,
    S_DRAGON = true,
    S_HYDRA = true,
    HEAL = true,
    CONF = true,
    DARKNESS = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 40,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELECTRIC_EEL',
  name = [[Electric eel]],
  display = 'J',
  color = colors.C_B,
  desc = [[This serpentine creature can create a deadly voltage.  Better watch out!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(15, 15),
  rarity = 2,
  level = 20,
  exp_worth = 145,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    IM_ELEC = true,
    AQUATIC = true,
    RES_WATE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.TOUCH, dam={2,7} },
    { type=DamageType.ELEC, method=AttackType.TOUCH, dam={2,7} },
    { type=DamageType.ELEC, method=AttackType.TOUCH, dam={2,7} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 15,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BOX_JELLYFISH',
  name = [[Box jellyfish]],
  display = '~',
  color = colors.C_B,
  desc = [[A strange water creature, whose touch can be deadly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 2,
  level = 10,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    IM_POIS = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,6} },
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,6} },
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_PIRANHA',
  name = [[Giant piranha]],
  display = '~',
  color = colors.C_g,
  desc = [[A very large and bloodthirsty fish.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 10,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    NO_SLEEP = true,
    MORTAL = true,
    AQUATIC = true,
    FRIENDS = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,1} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,1} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PIRANHA',
  name = [[Piranha]],
  display = '~',
  color = colors.C_g,
  desc = [[Bloodthirsty fish who can smell your blood from a great distance.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 8,
  max_life = resolvers.dice(2, 6),
  rarity = 1,
  level = 3,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    FRIENDS = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHALE',
  name = [[Whale]],
  display = '~',
  color = colors.C_G,
  desc = [[Although it looks like a fish and lives in water, it is in fact a mammal. And it is huge!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 22,
  ac = 50,
  max_life = 484,
  rarity = 4,
  level = 20,
  exp_worth = 175,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    RES_WATE = true,
    WILD_TOO = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,20} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,20} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 15,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OCTOPUS',
  name = [[Octopus]],
  display = '~',
  color = colors.C_g,
  desc = [[It doesn't move very fast, but when it does - watch out!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 60,
  max_life = resolvers.dice(60, 6),
  rarity = 2,
  level = 15,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    WILD_TOO = true,
    IM_COLD = true,
    AQUATIC = true,
    RES_WATE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.SPIT, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={6,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={6,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={6,3} },
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = -5,
  vision = 60,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HAMMERHEAD_SHARK',
  name = [[Hammerhead shark]],
  display = '~',
  color = colors.C_g,
  desc = [[A hungry shark with a strange head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 59,
  max_life = resolvers.dice(16, 10),
  rarity = 3,
  level = 16,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.snake,
  speed = 5,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_SHARK',
  name = [[White shark]],
  display = '~',
  color = colors.C_W,
  desc = [[A fast-moving hunter of the depths. When this creature moves, everybody in the water is in danger!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(30, 10),
  rarity = 1,
  level = 18,
  exp_worth = 100,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SCRAG',
  name = [[Scrag]],
  display = 'T',
  color = colors.C_B,
  desc = [[A troll of the sea, he reeks of brine.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 400,
  rarity = 1,
  level = 35,
  exp_worth = 440,
  flags = {
    TROLL = true,
    MALE = true,
    DROP_60 = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    EVIL = true,
    AQUATIC = true,
    RES_WATE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    REGENERATE = true,
    IM_POIS = true,
    FRIENDS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,2} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,2} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FASTITOCALON',
  name = [[Fastitocalon]],
  display = 'D',
  color = colors.C_g,
  desc = [[A huge aquatic dragon-turtle, its shell is as large as a small island.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 3,
  level = 52,
  exp_worth = 16000,
  flags = {
    WILD_OCEAN = true,
    IM_FIRE = true,
    WILD_TOO = true,
    AQUATIC = true,
    RES_TELE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,8} },
    { type=DamageType.POISON, method=AttackType.CRUSH, dam={3,10} },
    { type=DamageType.POISON, method=AttackType.CRUSH, dam={3,10} },
  },
  spells = {
    BR_FIRE = true,
    BR_ACID = true,
    BR_SOUN = true,
    BA_WATE = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_WHALE',
  name = [[Killer whale]],
  display = '~',
  color = colors.C_w,
  desc = [[An almost beautiful, deadly beast.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 50,
  ac = 55,
  max_life = resolvers.dice(20, 50),
  rarity = 1,
  level = 25,
  exp_worth = 85,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,4} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 12,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MERROW',
  name = [[Merrow]],
  display = 'O',
  color = colors.C_B,
  desc = [[A great ogre of the sea, it is violent and stupid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(30, 9),
  rarity = 2,
  level = 28,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    EVIL = true,
    AQUATIC = true,
    RES_WATE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    GIANT = true,
    IM_POIS = true,
    FRIENDS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IXITXACHITL',
  name = [[Ixitxachitl]],
  display = '~',
  color = colors.C_s,
  desc = [[An intelligent devil-ray of the depths.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 12,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    IM_POIS = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.STING, dam={2,5} },
    { type=DamageType.POISON, method=AttackType.STING, dam={2,5} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IXITXACHITL_PRIEST',
  name = [[Ixitxachitl priest]],
  display = '~',
  color = colors.C_s,
  desc = [[A devil-ray of the depths, with priestly magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(10, 10),
  rarity = 1,
  level = 19,
  exp_worth = 80,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    IM_POIS = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.STING, dam={2,7} },
    { type=DamageType.POISON, method=AttackType.STING, dam={2,7} },
  },
  spells = {
    TELE_TO = true,
    HEAL = true,
    SCARE = true,
    CAUSE_2 = true,
    BLIND = true,
    S_MONSTER = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VAMPIRIC_IXITXACHITL',
  name = [[Vampiric ixitxachitl]],
  display = '~',
  color = colors.C_D,
  desc = [[A devil-ray of the depths, with vampiric powers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 50,
  max_life = resolvers.dice(15, 15),
  rarity = 1,
  level = 26,
  exp_worth = 120,
  flags = {
    ANIMAL = true,
    AQUATIC = true,
    IM_POIS = true,
    WILD_TOO = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    RES_NETH = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.STING, dam={3,8} },
    { type=DamageType.EXP_40, method=AttackType.STING, dam={3,8} },
  },
  spells = {
    HEAL = true,
    SCARE = true,
    CAUSE_3 = true,
    BLIND = true,
    FORGET = true,
    HASTE = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_MINDCRAFTER_GRP',
  name = [[Novice mindcrafter]],
  display = 'p',
  color = colors.C_y,
  desc = [[A novice in the arts of mind over matter.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 8,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    WILD_TOO = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WAVELORD',
  name = [[Wavelord]],
  display = 'p',
  color = colors.C_b,
  desc = [[The Dolphiners came with the Thunderlords from their far home. These friendly beings ride their sharks into combat to assist you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = resolvers.dice(16, 100),
  rarity = 3,
  level = 61,
  exp_worth = 7000,
  flags = {
    MORTAL = true,
    DROP_USEFUL = true,
    WILD_OCEAN = true,
    WILD_TOO = true,
    SUSCEP_FIRE = true,
    DROP_3D2 = true,
    AQUATIC = true,
    RES_WATE = true,
    SMART = true,
    GOOD = true,
    NO_FEAR = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    WILD_SHORE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    CAN_SWIM = true,
    FRIENDS = true,
    NO_SLEEP = true,
    PET = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=50, magic=10, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,9} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={8,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,9} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={8,9} },
  },
  spells = {
    BO_WATE = true,
    BA_WATE = true,
    BO_ICEE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = '3_HEADED_HYDRA',
  name = [[3-headed hydra]],
  display = 'M',
  color = colors.C_o,
  desc = [[A strange reptilian creature with three heads, guarding its hoard.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 65,
  max_life = resolvers.dice(100, 5),
  rarity = 2,
  level = 20,
  exp_worth = 350,
  flags = {
    ANIMAL = true,
    WILD_SHORE = true,
    MORTAL = true,
    WILD_SWAMP = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    CAN_SWIM = true,
    DROP_2D2 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    SCARE = true,
  },
  body = bodies.hydra,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_MINDCRAFTER',
  name = [[Novice mindcrafter]],
  display = 'p',
  color = colors.C_y,
  desc = [[A novice in the arts of mind over matter.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 4,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    WILD_TOO = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}


-- seen dam types:  COLD EXP_40 POISON CONFUSE LOSE_CON EXP_20 PHYSICAL FIRE TERRIFY EAT_GOLD ELEC BLIND LOSE_STR ACID PARALYZE HALLU LOSE_DEX
-- seen hit msgs:  SPIT CRAWL GAZE TOUCH SPORE BUTT CRUSH CLAW KICK ENGULF STING WAIL HIT BITE
-- seen body types:
--    none [0,0,0,0,0,0]:  13 (first seen on Insect swarm)
--    snake [0,0,0,0,1,0]:  31 (first seen on Large white snake)
--    quadruped [0,1,0,2,1,0]:  48 (first seen on Newt)
--    hydra [0,1,0,2,2,0]:  9 (first seen on 2-headed hydra)
--    dragon [0,1,0,6,1,0]:  16 (first seen on Young blue dragon)
--    winged [0,1,1,0,1,0]:  10 (first seen on Fruit bat)
--    1,1,1,2,1,0:  1 (first seen on Manticore)
--    humanoid [1,1,1,2,1,1]:  56 (first seen on Small kobold)
--    1,1,1,2,2,1:  1 (first seen on Ettin)
--    3,0,3,0,1,0:  2 (first seen on Lesser kraken)
--    3,0,3,6,1,0:  2 (first seen on Giant squid)
