local AttackType = require 'mod.class.AttackType'

local bodies = {
  dragon = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  humanoid = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  quadruped = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  snake = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  hydra = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=2, RING=2, AMULET=2, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  winged = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=0, HELM=1, RING=0, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  none = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=0, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
}

newEntity {
  define_as = 'GREY_MOLD',
  name = [[Grey mold]],
  display = 'm',
  color = colors.C_s,
  desc = [[A small strange growth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 1,
  max_life = resolvers.dice(1, 2),
  rarity = 1,
  level = 1,
  exp_worth = 3,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.SPORE, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.SPORE, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREY_MUSHROOM_PATCH',
  name = [[Grey mushroom patch]],
  display = ',',
  color = colors.C_s,
  desc = [[Yum! It looks quite tasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 1,
  max_life = resolvers.dice(1, 2),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    IM_POIS = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.SPORE, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_ICKY_THING',
  name = [[White icky thing]],
  display = 'i',
  color = colors.C_w,
  desc = [[It is a smallish, slimy, icky creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 7,
  max_life = resolvers.dice(2, 5),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    EMPTY_MIND = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={1,2} },
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLEAR_ICKY_THING',
  name = [[Clear icky thing]],
  display = 'i',
  color = colors.C_B,
  desc = [[It is a smallish, slimy, icky, blobby creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 6,
  max_life = resolvers.dice(2, 5),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    EMPTY_MIND = true,
    CAN_SWIM = true,
    INVISIBLE = true,
    ATTR_CLEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={1,2} },
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LARGE_BROWN_SNAKE',
  name = [[Large brown snake]],
  display = 'J',
  color = colors.C_u,
  desc = [[It is about eight feet long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 35,
  max_life = resolvers.dice(4, 6),
  rarity = 1,
  level = 1,
  exp_worth = 3,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,4} },
  },
  body = bodies.snake,
  speed = -10,
  vision = 4,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_WORM_MASS',
  name = [[White worm mass]],
  display = 'w',
  color = colors.C_w,
  desc = [[It is a large slimy mass of worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 1,
  max_life = resolvers.dice(4, 4),
  rarity = 1,
  level = 1,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FLOATING_EYE',
  name = [[Floating eye]],
  display = 'e',
  color = colors.C_o,
  desc = [[A disembodied eye, floating a few feet above the ground.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 6,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 1,
  exp_worth = 1,
  flags = {
    HURT_LITE = true,
    CAN_FLY = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUBBERING_ICKY_THING',
  name = [[Blubbering icky thing]],
  display = 'i',
  color = colors.C_W,
  desc = [[It is a smallish, slimy, icky, hungry creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 4,
  max_life = resolvers.dice(5, 6),
  rarity = 1,
  level = 2,
  exp_worth = 8,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    DROP_90 = true,
    EMPTY_MIND = true,
    TAKE_ITEM = true,
    KILL_BODY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=20, combat=20, magic=20, tool=20 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={1,4} },
    { type=DamageType.EAT_FOOD, method=AttackType.CRAWL },
    { method=AttackType.DROOL },
    { method=AttackType.DROOL },
  },
  body = bodies.none,
  speed = 0,
  vision = 14,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_JELLY',
  name = [[White jelly]],
  display = 'j',
  color = colors.C_w,
  desc = [[It's a large pile of white flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(8, 8),
  rarity = 1,
  level = 2,
  exp_worth = 10,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={1,2} },
  },
  body = bodies.none,
  speed = 10,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_YEEK',
  name = [[Blue yeek]],
  display = 'y',
  color = colors.C_b,
  desc = [[A small humanoid figure.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 14,
  max_life = resolvers.dice(2, 6),
  rarity = 1,
  level = 2,
  exp_worth = 4,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    DROP_60 = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=0, magic=0, tool=55 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 18,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_WORM_MASS',
  name = [[Green worm mass]],
  display = 'w',
  color = colors.C_g,
  desc = [[It is a large slimy mass of worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 3,
  max_life = resolvers.dice(6, 4),
  rarity = 1,
  level = 2,
  exp_worth = 3,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.CRAWL, dam={1,3} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_SPIDER',
  name = [[Cave spider]],
  display = 'S',
  color = colors.C_D,
  desc = [[It is a black spider that moves in fits and starts.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 16,
  max_life = resolvers.dice(2, 6),
  rarity = 1,
  level = 2,
  exp_worth = 7,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_OOZE',
  name = [[Green ooze]],
  display = 'j',
  color = colors.C_g,
  desc = [[It's green and it's oozing.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 16,
  max_life = resolvers.dice(3, 4),
  rarity = 2,
  level = 3,
  exp_worth = 4,
  flags = {
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    DROP_90 = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=25, tool=20 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.CRAWL, dam={1,3} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'POLTERGEIST',
  name = [[Poltergeist]],
  display = 'G',
  color = colors.C_s,
  desc = [[It is a ghastly, ghostly form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(2, 5),
  rarity = 1,
  level = 3,
  exp_worth = 8,
  flags = {
    PASS_WALL = true,
    DROP_60 = true,
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=5, magic=30, tool=10 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
  },
  spells = {
    BLINK = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YELLOW_JELLY',
  name = [[Yellow jelly]],
  display = 'j',
  color = colors.C_y,
  desc = [[It's a large pile of yellow flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(10, 8),
  rarity = 1,
  level = 3,
  exp_worth = 12,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={1,3} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_LOUSE',
  name = [[Giant white louse]],
  display = 'I',
  color = colors.C_w,
  desc = [[It is six inches long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 5,
  max_life = resolvers.dice(1, 1),
  rarity = 1,
  level = 3,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    MORTAL = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,1} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 6,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_NAGA',
  name = [[Black naga]],
  display = 'n',
  color = colors.C_D,
  desc = [[A large black serpent's body with a female torso.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 3,
  exp_worth = 20,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=75, magic=20, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,8} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 16,
  alertness = 120,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SILVER_JELLY',
  name = [[Silver jelly]],
  display = 'j',
  color = colors.C_W,
  desc = [[It is a large pile of silver flesh that sucks all light from its surroundings.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(10, 8),
  rarity = 2,
  level = 3,
  exp_worth = 12,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_LITE, method=AttackType.TOUCH, dam={1,3} },
    { type=DamageType.EAT_LITE, method=AttackType.TOUCH, dam={1,3} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SCRUFFY_LOOKING_HOBBIT',
  name = [[Scruffy-looking hobbit]],
  display = 'h',
  color = colors.C_s,
  desc = [[A short little guy, in bedraggled clothes. He appears to be looking for a good tavern.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 8,
  max_life = resolvers.dice(3, 5),
  rarity = 1,
  level = 3,
  exp_worth = 4,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=40 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 16,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YELLOW_MOLD',
  name = [[Yellow mold]],
  display = 'm',
  color = colors.C_y,
  desc = [[It is a strange growth on the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(8, 8),
  rarity = 1,
  level = 3,
  exp_worth = 9,
  flags = {
    IM_POIS = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.SPORE, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YELLOW_WORM_MASS',
  name = [[Yellow worm mass]],
  display = 'w',
  color = colors.C_y,
  desc = [[It is a large slimy mass of worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 4,
  max_life = resolvers.dice(4, 8),
  rarity = 2,
  level = 3,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_DEX, method=AttackType.CRAWL, dam={1,3} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLEAR_WORM_MASS',
  name = [[Clear worm mass]],
  display = 'w',
  color = colors.C_B,
  desc = [[It is a disgusting mass of poisonous worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 1,
  max_life = resolvers.dice(4, 4),
  rarity = 2,
  level = 3,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RADIATION_EYE',
  name = [[Radiation eye]],
  display = 'e',
  color = colors.C_R,
  desc = [[A disembodied eye, crackling with energy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 6,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 3,
  exp_worth = 6,
  flags = {
    HURT_LITE = true,
    CAN_FLY = true,
    HAS_LITE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_STR, method=AttackType.GAZE, dam={1,6} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YELLOW_LIGHT',
  name = [[Yellow light]],
  display = '*',
  color = colors.C_y,
  desc = [[A fast-moving bright light, apparently totally random in its movement.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 12,
  max_life = resolvers.dice(2, 6),
  rarity = 1,
  level = 4,
  exp_worth = 4,
  flags = {
    SUSCEP_ELEC = true,
    CAN_FLY = true,
    NONLIVING = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.EXPLODE },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_LIZARD',
  name = [[Cave lizard]],
  display = 'R',
  color = colors.C_u,
  desc = [[It is an armoured lizard with a powerful bite.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 16,
  max_life = resolvers.dice(3, 6),
  rarity = 1,
  level = 4,
  exp_worth = 8,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_JELLY',
  name = [[Blue jelly]],
  display = 'j',
  color = colors.C_b,
  desc = [[It's a large pile of pulsing blue flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 4,
  exp_worth = 14,
  flags = {
    CAN_SWIM = true,
    SUSCEP_FIRE = true,
    IM_COLD = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.TOUCH, dam={1,6} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREEPING_COPPER_COINS',
  name = [[Creeping copper coins]],
  display = '$',
  color = colors.C_u,
  desc = [[It appears to be a pile of copper coins, until it starts crawling towards you on tiny legs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(7, 8),
  rarity = 3,
  level = 4,
  exp_worth = 9,
  flags = {
    SUSCEP_ACID = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    CHAR_MULTI = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={2,4} },
  },
  body = bodies.none,
  speed = -10,
  vision = 3,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_RAT',
  name = [[Giant white rat]],
  display = 'r',
  color = colors.C_W,
  desc = [[It is a very vicious rodent.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 7,
  max_life = resolvers.dice(2, 2),
  rarity = 1,
  level = 4,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,3} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_WORM_MASS',
  name = [[Blue worm mass]],
  display = 'w',
  color = colors.C_b,
  desc = [[It is a large slimy mass of worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(5, 8),
  rarity = 1,
  level = 4,
  exp_worth = 5,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    CAN_SWIM = true,
    SUSCEP_FIRE = true,
    IM_COLD = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.CRAWL, dam={1,4} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKELETON_KOBOLD',
  name = [[Skeleton kobold]],
  display = 's',
  color = colors.C_W,
  desc = [[It is a small animated kobold skeleton.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 26,
  max_life = resolvers.dice(5, 8),
  rarity = 1,
  level = 5,
  exp_worth = 12,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_LEECH',
  name = [[Giant leech]],
  display = 'w',
  color = colors.C_u,
  desc = [[Yech! The disgusting thing only wants your blood!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 5,
  exp_worth = 20,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    AQUATIC = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,1} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,1} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 10,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_OOZE',
  name = [[Blue ooze]],
  display = 'j',
  color = colors.C_b,
  desc = [[It's blue and it's oozing.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 16,
  max_life = resolvers.dice(3, 4),
  rarity = 1,
  level = 5,
  exp_worth = 7,
  flags = {
    DROP_60 = true,
    CAN_SWIM = true,
    SUSCEP_FIRE = true,
    IM_COLD = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=45, combat=20, magic=20, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.CRAWL, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_GLUTTON_GHOST',
  name = [[Green glutton ghost]],
  display = 'G',
  color = colors.C_g,
  desc = [[It is a very ugly green ghost with a voracious appetite.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 20,
  max_life = resolvers.dice(3, 4),
  rarity = 1,
  level = 5,
  exp_worth = 15,
  flags = {
    PASS_WALL = true,
    DROP_60 = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=5 },
  attacks = {
    { type=DamageType.EAT_FOOD, method=AttackType.TOUCH, dam={1,1} },
  },
  body = bodies.none,
  speed = 20,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_JELLY',
  name = [[Green jelly]],
  display = 'j',
  color = colors.C_g,
  desc = [[It is a large pile of pulsing green flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(22, 8),
  rarity = 1,
  level = 5,
  exp_worth = 18,
  flags = {
    IM_ACID = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,2} },
  },
  body = bodies.none,
  speed = 10,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LARGE_KOBOLD',
  name = [[Large kobold]],
  display = 'k',
  color = colors.C_b,
  desc = [[It a man-sized figure with the all too recognisable face of a kobold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 32,
  max_life = resolvers.dice(13, 9),
  rarity = 1,
  level = 5,
  exp_worth = 25,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=90, magic=0, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREY_ICKY_THING',
  name = [[Grey icky thing]],
  display = 'i',
  color = colors.C_s,
  desc = [[It is a smallish, slimy, icky, nasty creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(4, 8),
  rarity = 1,
  level = 5,
  exp_worth = 10,
  flags = {
    EMPTY_MIND = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={1,5} },
  },
  body = bodies.none,
  speed = 0,
  vision = 14,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DISENCHANTER_EYE',
  name = [[Disenchanter eye]],
  display = 'e',
  color = colors.C_v,
  desc = [[A disembodied eye, crackling with magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(7, 8),
  rarity = 2,
  level = 5,
  exp_worth = 20,
  flags = {
    RES_DISE = true,
    ATTR_ANY = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.GAZE },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 2,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_WORM_MASS',
  name = [[Red worm mass]],
  display = 'w',
  color = colors.C_r,
  desc = [[It is a large slimy mass of worms.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(5, 8),
  rarity = 1,
  level = 5,
  exp_worth = 6,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    HURT_LITE = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.CRAWL, dam={1,6} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_SWORD',
  name = [[Death sword]],
  display = '|',
  color = colors.C_W,
  desc = [[A bloodthirsty blade lurking for prey. Beware!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 40,
  max_life = 36,
  rarity = 5,
  level = 6,
  exp_worth = 30,
  flags = {
    SUSCEP_ACID = true,
    NONLIVING = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_90 = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  body = bodies.none,
  speed = 20,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PURPLE_MUSHROOM_PATCH',
  name = [[Purple mushroom patch]],
  display = ',',
  color = colors.C_v,
  desc = [[Yuk!  It doesn't look so tasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 2,
  level = 6,
  exp_worth = 15,
  flags = {
    CAN_SWIM = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_CON, method=AttackType.SPORE, dam={1,2} },
    { type=DamageType.LOSE_CON, method=AttackType.SPORE, dam={1,2} },
    { type=DamageType.LOSE_CON, method=AttackType.SPORE, dam={1,2} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BROWN_MOLD',
  name = [[Brown mold]],
  display = 'm',
  color = colors.C_u,
  desc = [[A strange brown growth on the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 6,
  exp_worth = 20,
  flags = {
    CAN_SWIM = true,
    IM_POIS = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.SPORE, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREEPING_SILVER_COINS',
  name = [[Creeping silver coins]],
  display = '$',
  color = colors.C_s,
  desc = [[It appears to be a pile of silver coins, until it starts crawling towards you on tiny legs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(12, 8),
  rarity = 3,
  level = 6,
  exp_worth = 18,
  flags = {
    SUSCEP_ACID = true,
    DROP_60 = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    CHAR_MULTI = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={2,6} },
  },
  body = bodies.none,
  speed = -10,
  vision = 4,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELF',
  name = [[Dark elf]],
  display = 'h',
  color = colors.C_D,
  desc = [[An elven figure with jet black skin and white hair, his eyes are large and twisted with evil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 16,
  max_life = resolvers.dice(7, 10),
  rarity = 2,
  level = 7,
  exp_worth = 25,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    HURT_LITE = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=20, magic=50, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    CONF = true,
    DARKNESS = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ZOMBIFIED_KOBOLD',
  name = [[Zombified kobold]],
  display = 'z',
  color = colors.C_s,
  desc = [[It is an animated kobold corpse. Flesh falls off in large chunks as it shambles forward.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 14,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 7,
  exp_worth = 14,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,2} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CRYPT_CREEP',
  name = [[Crypt creep]],
  display = 's',
  color = colors.C_D,
  desc = [[A frightening skeletal figure in a black robe.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 7,
  exp_worth = 25,
  flags = {
    IM_POIS = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,2} },
    { type=DamageType.POISON, method=AttackType.BITE },
  },
  spells = {
    CAUSE_1 = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 14,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROTTING_CORPSE',
  name = [[Rotting corpse]],
  display = 'z',
  color = colors.C_R,
  desc = [[Corpses awakened from their sleep by dark sorcery.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(8, 8),
  rarity = 1,
  level = 8,
  exp_worth = 15,
  flags = {
    IM_POIS = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={1,3} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_ORC',
  name = [[Cave orc]],
  display = 'o',
  color = colors.C_G,
  desc = [[He is often found in huge numbers in deep caves.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 32,
  max_life = resolvers.dice(11, 9),
  rarity = 1,
  level = 7,
  exp_worth = 20,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MANES',
  name = [[Manes]],
  display = 'u',
  color = colors.C_r,
  desc = [[It is a minor but aggressive demon.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 32,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 7,
  exp_worth = 16,
  flags = {
    IM_FIRE = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    DEMON = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLOODSHOT_EYE',
  name = [[Bloodshot eye]],
  display = 'e',
  color = colors.C_r,
  desc = [[A disembodied eye, bloodshot and nasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 6,
  max_life = resolvers.dice(10, 8),
  rarity = 3,
  level = 7,
  exp_worth = 30,
  flags = {
    HURT_LITE = true,
    CAN_FLY = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.GAZE, dam={2,6} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_JELLY',
  name = [[Red jelly]],
  display = 'j',
  color = colors.C_r,
  desc = [[It is a large pulsating mound of red flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(26, 8),
  rarity = 1,
  level = 7,
  exp_worth = 26,
  flags = {
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_STR, method=AttackType.TOUCH, dam={1,5} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_ICKY_THING',
  name = [[Green icky thing]],
  display = 'i',
  color = colors.C_g,
  desc = [[It is a smallish, slimy, icky, acidic creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(5, 8),
  rarity = 2,
  level = 7,
  exp_worth = 18,
  flags = {
    IM_ACID = true,
    EMPTY_MIND = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,5} },
  },
  body = bodies.none,
  speed = 0,
  vision = 14,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LOST_SOUL',
  name = [[Lost soul]],
  display = 'G',
  color = colors.C_W,
  desc = [[It is almost insubstantial.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(2, 8),
  rarity = 2,
  level = 7,
  exp_worth = 18,
  flags = {
    PASS_WALL = true,
    DROP_60 = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=60, combat=0, magic=25, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,2} },
    { type=DamageType.LOSE_WIS, method=AttackType.TOUCH },
  },
  spells = {
    TPORT = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUGHASH_THE_KOBOLD_LORD',
  name = [[Mughash, the Kobold Lord]],
  display = 'k',
  color = colors.C_v,
  desc = [[Strong and powerful, for a kobold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 20,
  max_life = 170,
  rarity = 3,
  level = 7,
  exp_worth = 100,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    ESCORTS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKELETON_ORC',
  name = [[Skeleton orc]],
  display = 's',
  color = colors.C_W,
  desc = [[It is an animated orc skeleton.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 36,
  max_life = resolvers.dice(10, 8),
  rarity = 1,
  level = 8,
  exp_worth = 26,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    ORC = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WORMTONGUE_AGENT_OF_SARUMAN',
  name = [[Wormtongue, Agent of Saruman]],
  display = 'p',
  color = colors.C_B,
  desc = [[He's been spying for Saruman. He is a snivelling wretch with no morals.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 280,
  rarity = 2,
  level = 9,
  exp_worth = 150,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    UNIQUE = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=10, combat=50, magic=35, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
    { method=AttackType.INSULT },
  },
  spells = {
    HEAL = true,
    SLOW = true,
    TRAPS = true,
    BO_COLD = true,
    BA_POIS = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BROWN_YEEK',
  name = [[Brown yeek]],
  display = 'y',
  color = colors.C_u,
  desc = [[It is a strange small humanoid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 18,
  max_life = resolvers.dice(4, 8),
  rarity = 1,
  level = 8,
  exp_worth = 11,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    DROP_60 = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 18,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_RANGER_GRP',
  name = [[Novice ranger]],
  display = 'p',
  color = colors.C_W,
  desc = [[An agile hunter, ready and relaxed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 8,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 8,
  exp_worth = 18,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=80, magic=0, tool=15 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  spells = {
    ARROW_2 = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_SALAMANDER',
  name = [[Giant salamander]],
  display = 'R',
  color = colors.C_R,
  desc = [[A large black and yellow lizard. You'd better run away!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 40,
  max_life = resolvers.dice(6, 7),
  rarity = 1,
  level = 8,
  exp_worth = 50,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_FIRE = true,
    SUSCEP_COLD = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 6,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_MOLD',
  name = [[Green mold]],
  display = 'm',
  color = colors.C_g,
  desc = [[It is a strange growth on the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 14,
  max_life = resolvers.dice(21, 8),
  rarity = 1,
  level = 8,
  exp_worth = 28,
  flags = {
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.SPORE, dam={1,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LEMURE',
  name = [[Lemure]],
  display = 'u',
  color = colors.C_U,
  desc = [[It is the larval form of a major demon.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 32,
  max_life = resolvers.dice(13, 9),
  rarity = 3,
  level = 8,
  exp_worth = 16,
  flags = {
    IM_FIRE = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    DEMON = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HILL_ORC',
  name = [[Hill orc]],
  display = 'o',
  color = colors.C_u,
  desc = [[He is a hardy well-weathered survivor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 32,
  max_life = resolvers.dice(13, 9),
  rarity = 1,
  level = 8,
  exp_worth = 25,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=70, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PHANTOM_WARRIOR',
  name = [[Phantom warrior]],
  display = 'G',
  color = colors.C_B,
  desc = [[Spectral creatures that are half real, half illusion.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 10,
  max_life = resolvers.dice(5, 5),
  rarity = 1,
  level = 8,
  exp_worth = 15,
  flags = {
    PASS_WALL = true,
    NONLIVING = true,
    FRIENDS = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,11} },
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLOODSHOT_ICKY_THING',
  name = [[Bloodshot icky thing]],
  display = 'i',
  color = colors.C_r,
  desc = [[It is a strange, slimy, icky creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 18,
  max_life = resolvers.dice(7, 8),
  rarity = 3,
  level = 9,
  exp_worth = 24,
  flags = {
    EMPTY_MIND = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={1,4} },
    { type=DamageType.ACID, method=AttackType.CRAWL, dam={2,4} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 14,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_GREY_RAT',
  name = [[Giant grey rat]],
  display = 'r',
  color = colors.C_s,
  desc = [[It is a rodent of unusual size.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 12,
  max_life = resolvers.dice(2, 3),
  rarity = 1,
  level = 9,
  exp_worth = 2,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,4} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROCK_MOLE',
  name = [[Rock mole]],
  display = 'r',
  color = colors.C_s,
  desc = [[Despite its unimpressive size, this mole creature has fangs powerful enough to bore through solid rock.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 2,
  level = 9,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    BASH_DOOR = true,
    KILL_WALL = true,
    KILL_ITEM = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_BLUE_DRAGON',
  name = [[Baby blue dragon]],
  display = 'd',
  color = colors.C_b,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a pale blue.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_ELEC = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_WHITE_DRAGON',
  name = [[Baby white dragon]],
  display = 'd',
  color = colors.C_w,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a pale white.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_GREEN_DRAGON',
  name = [[Baby green dragon]],
  display = 'd',
  color = colors.C_g,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a sickly green.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IM_POIS = true,
    IMPRESED = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_BLACK_DRAGON',
  name = [[Baby black dragon]],
  display = 'd',
  color = colors.C_s,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a dull black.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_ACID = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_RED_DRAGON',
  name = [[Baby red dragon]],
  display = 'd',
  color = colors.C_r,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a pale red.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    IM_FIRE = true,
    EVIL = true,
    SUSCEP_COLD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WAR_BEAR',
  name = [[War bear]],
  display = 'q',
  color = colors.C_u,
  desc = [[Bears with tusks, trained to kill.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 35,
  max_life = resolvers.dice(10, 10),
  rarity = 1,
  level = 9,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_WHITE_TICK',
  name = [[Giant white tick]],
  display = 'S',
  color = colors.C_w,
  desc = [[It is moving slowly towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(12, 8),
  rarity = 2,
  level = 10,
  exp_worth = 27,
  flags = {
    ANIMAL = true,
    CAN_FLY = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.quadruped,
  speed = -10,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_MAGE',
  name = [[Dark elven mage]],
  display = 'h',
  color = colors.C_r,
  desc = [[A dark elven figure, dressed all in black, hurling spells at you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 16,
  max_life = resolvers.dice(7, 10),
  rarity = 1,
  level = 10,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    MISSILE = true,
    DARKNESS = true,
    BA_POIS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ORFAX_SON_OF_BOLDOR',
  name = [[Orfax, Son of Boldor]],
  display = 'y',
  color = colors.C_B,
  desc = [[He's just like his daddy!  He knows mighty spells, but fortunately he is a yeek.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 20,
  max_life = 140,
  rarity = 3,
  level = 11,
  exp_worth = 80,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ESCORTS = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { method=AttackType.INSULT },
    { method=AttackType.INSULT },
  },
  spells = {
    HEAL = true,
    BLINK = true,
    TELE_TO = true,
    SLOW = true,
    CONF = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 18,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_WARRIOR',
  name = [[Dark elven warrior]],
  display = 'h',
  color = colors.C_u,
  desc = [[A dark elven figure in armour, ready with his sword.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 16,
  max_life = resolvers.dice(10, 11),
  rarity = 1,
  level = 10,
  exp_worth = 50,
  flags = {
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HURT_LITE = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  spells = {
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLEAR_MUSHROOM_PATCH',
  name = [[Clear mushroom patch]],
  display = ',',
  color = colors.C_B,
  desc = [[Yum! It smells quite tasty.  If you could only see it...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 2,
  level = 10,
  exp_worth = 3,
  flags = {
    CAN_SWIM = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.SPORE, dam={1,1} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 4,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OWLBEAR',
  name = [[Owlbear]],
  display = 'H',
  color = colors.C_o,
  desc = [[A bizarre bear-creature with the claws and the face of an owl.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 20,
  max_life = resolvers.dice(12, 12),
  rarity = 1,
  level = 10,
  exp_worth = 35,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={1,10} },
  },
  body = bodies.winged,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HAIRY_MOLD',
  name = [[Hairy mold]],
  display = 'm',
  color = colors.C_o,
  desc = [[It is a strange hairy growth on the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 10,
  exp_worth = 32,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.SPORE, dam={1,3} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DISENCHANTER_MOLD',
  name = [[Disenchanter mold]],
  display = 'm',
  color = colors.C_v,
  desc = [[It is a strange glowing growth on the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(16, 8),
  rarity = 1,
  level = 10,
  exp_worth = 40,
  flags = {
    RES_DISE = true,
    CAN_SWIM = true,
    IM_POIS = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.SPORE, dam={1,6} },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PSEUDO_DRAGON',
  name = [[Pseudo dragon]],
  display = 'd',
  color = colors.C_o,
  desc = [[A small relative of the dragon that inhabits dark caves.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 200,
  rarity = 2,
  level = 10,
  exp_worth = 150,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_LITE = true,
    BR_DARK = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TENGU',
  name = [[Tengu]],
  display = 'u',
  color = colors.C_b,
  desc = [[It is a fast-moving demon that blinks quickly in and out of existence; no other demon matches its teleporting mastery.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 32,
  max_life = resolvers.dice(16, 9),
  rarity = 1,
  level = 10,
  exp_worth = 40,
  flags = {
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    DEMON = true,
    RES_TELE = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    TELE_AWAY = true,
    TPORT = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREEPING_GOLD_COINS',
  name = [[Creeping gold coins]],
  display = '$',
  color = colors.C_y,
  desc = [[It appears to be a pile of gold coins, until it starts crawling towards you on tiny legs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 36,
  max_life = resolvers.dice(18, 8),
  rarity = 3,
  level = 10,
  exp_worth = 32,
  flags = {
    IM_POIS = true,
    ONLY_GOLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    DROP_90 = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={3,5} },
  },
  body = bodies.none,
  speed = -10,
  vision = 5,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_FRUIT_FLY',
  name = [[Giant fruit fly]],
  display = 'I',
  color = colors.C_G,
  desc = [[A fast-breeding, annoying pest.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 14,
  max_life = resolvers.dice(2, 2),
  rarity = 3,
  level = 10,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    MORTAL = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRIGAND',
  name = [[Brigand]],
  display = 'p',
  color = colors.C_b,
  desc = [[He is eyeing your backpack.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 32,
  max_life = resolvers.dice(9, 8),
  rarity = 2,
  level = 10,
  exp_worth = 35,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.EAT_ITEM, method=AttackType.TOUCH },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UNDEAD_MASS',
  name = [[Undead mass]],
  display = 'j',
  color = colors.C_u,
  desc = [[A sickening mound of decaying flesh, bones, hands and so on. It seems to be growing.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 12,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 10,
  exp_worth = 33,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.DISEASE, method=AttackType.TOUCH, dam={1,6} },
    { type=DamageType.LOSE_CON, method=AttackType.TOUCH, dam={1,6} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 70,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_MULTI_HUED_DRAGON',
  name = [[Baby multi-hued dragon]],
  display = 'd',
  color = colors.C_v,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales shimmering with a hint of colour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 130,
  rarity = 2,
  level = 11,
  exp_worth = 45,
  flags = {
    DROP_60 = true,
    IM_FIRE = true,
    EVIL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ZOMBIFIED_ORC',
  name = [[Zombified orc]],
  display = 'z',
  color = colors.C_s,
  desc = [[It is a shambling orcish corpse leaving behind a trail of flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(11, 8),
  rarity = 1,
  level = 11,
  exp_worth = 30,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    ORC = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRAPE_JELLY',
  name = [[Grape jelly]],
  display = 'j',
  color = colors.C_v,
  desc = [[Yum! It looks quite tasty.  It is a pulsing mound of glowing flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(52, 8),
  rarity = 3,
  level = 12,
  exp_worth = 60,
  flags = {
    CAN_SWIM = true,
    IM_POIS = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_10, method=AttackType.TOUCH },
  },
  spells = {
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NETHER_WORM_MASS',
  name = [[Nether worm mass]],
  display = 'w',
  color = colors.C_D,
  desc = [[It is a disgusting mass of dark worms, eating each other, the floor, the air, you...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(5, 8),
  rarity = 4,
  level = 12,
  exp_worth = 6,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_10, method=AttackType.TOUCH },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 10,
  alertness = 3,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_BRONZE_DRAGON',
  name = [[Baby bronze dragon]],
  display = 'd',
  color = colors.C_U,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a dull bronze.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    NO_CONF = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_GOLD_DRAGON',
  name = [[Baby gold dragon]],
  display = 'd',
  color = colors.C_y,
  desc = [[This hatchling dragon is still soft, its eyes unaccustomed to light and its scales a pale gold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = 100,
  rarity = 2,
  level = 9,
  exp_worth = 35,
  flags = {
    DROP_60 = true,
    NO_STUN = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IMPRESED = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EVIL_EYE',
  name = [[Evil eye]],
  display = 'e',
  color = colors.C_D,
  desc = [[A huge disembodied eye.  As you stare into the black nothingness of its pupil, you feel your will and vitality draining away, and are unable to do anything except approach it in horrified fascination.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 6,
  max_life = resolvers.dice(15, 8),
  rarity = 3,
  level = 18,
  exp_worth = 80,
  flags = {
    HURT_LITE = true,
    CAN_FLY = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_10, method=AttackType.GAZE },
    { type=DamageType.EXP_10, method=AttackType.GAZE },
  },
  spells = {
    HOLD = true,
    TELE_TO = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_YEEK',
  name = [[Master yeek]],
  display = 'y',
  color = colors.C_g,
  desc = [[A small humanoid that radiates some power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 24,
  max_life = resolvers.dice(12, 9),
  rarity = 2,
  level = 12,
  exp_worth = 28,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  spells = {
    BLINK = true,
    TPORT = true,
    BLIND = true,
    SLOW = true,
    BA_POIS = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 18,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PRIEST',
  name = [[Priest]],
  display = 'p',
  color = colors.C_g,
  desc = [[A robed man dedicated to his god.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 22,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 12,
  exp_worth = 36,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=20, magic=80, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
  },
  spells = {
    HEAL = true,
    SCARE = true,
    CAUSE_2 = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_PRIEST',
  name = [[Dark elven priest]],
  display = 'h',
  color = colors.C_g,
  desc = [[A dark elven figure, dressed all in black, chanting curses and waiting to deliver your soul to hell.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(7, 10),
  rarity = 1,
  level = 12,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=10, magic=90, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    CONF = true,
    CAUSE_2 = true,
    DARKNESS = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AIR_SPIRIT',
  name = [[Air spirit]],
  display = 'E',
  color = colors.C_B,
  desc = [[A whirlwind of sentient air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 12,
  exp_worth = 40,
  flags = {
    IM_POIS = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,3} },
  },
  body = bodies.none,
  speed = 20,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKELETON_HUMAN',
  name = [[Skeleton human]],
  display = 's',
  color = colors.C_W,
  desc = [[It is an animated human skeleton.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(10, 8),
  rarity = 1,
  level = 12,
  exp_worth = 38,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ZOMBIFIED_HUMAN',
  name = [[Zombified human]],
  display = 'z',
  color = colors.C_s,
  desc = [[It is a shambling human corpse dropping chunks of flesh behind it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 12,
  exp_worth = 34,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MOANING_SPIRIT',
  name = [[Moaning spirit]],
  display = 'G',
  color = colors.C_u,
  desc = [[A ghostly apparition that shrieks horribly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(5, 8),
  rarity = 2,
  level = 12,
  exp_worth = 44,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=45, combat=15, magic=25, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={1,8} },
  },
  spells = {
    TPORT = true,
    SCARE = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 14,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STEGOCENTIPEDE',
  name = [[Stegocentipede]],
  display = 'c',
  color = colors.C_u,
  desc = [[It is a vast armoured centipede with massive mandibles and a spiked tail.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(13, 8),
  rarity = 2,
  level = 12,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={2,4} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 12,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPOTTED_JELLY',
  name = [[Spotted jelly]],
  display = 'j',
  color = colors.C_o,
  desc = [[A strange jelly thing, covered in discoloured blotches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 18,
  max_life = resolvers.dice(13, 8),
  rarity = 3,
  level = 12,
  exp_worth = 33,
  flags = {
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,6} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,6} },
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRIDER',
  name = [[Drider]],
  display = 'S',
  color = colors.C_b,
  desc = [[A dark elven torso merged with the bloated form of a giant spider.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 13,
  ac = 30,
  max_life = resolvers.dice(10, 13),
  rarity = 2,
  level = 13,
  exp_worth = 55,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    CONF = true,
    CAUSE_1 = true,
    DARKNESS = true,
    MISSILE = true,
    ARROW_2 = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MONGBAT',
  name = [[Mongbat]],
  display = 'b',
  color = colors.C_U,
  desc = [[Devil-bats, notoriously difficult to kill.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 100,
  rarity = 2,
  level = 13,
  exp_worth = 65,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    FRIENDS = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,8} },
  },
  body = bodies.winged,
  speed = 0,
  vision = 20,
  alertness = 8,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_BROWN_BEETLE',
  name = [[Killer brown beetle]],
  display = 'K',
  color = colors.C_u,
  desc = [[It is a vicious insect with a tough carapace.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(13, 8),
  rarity = 1,
  level = 13,
  exp_worth = 38,
  flags = {
    ANIMAL = true,
    CAN_FLY = true,
    WEIRD_MIND = true,
    MORTAL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BOLDOR_KING_OF_THE_YEEKS',
  name = [[Boldor, King of the Yeeks]],
  display = 'y',
  color = colors.C_v,
  desc = [[A great yeek, powerful in magic and sorcery, but a yeek all the same.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 24,
  max_life = 200,
  rarity = 3,
  level = 13,
  exp_worth = 200,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ESCORTS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=90, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
  },
  spells = {
    HEAL = true,
    BLINK = true,
    TPORT = true,
    BLIND = true,
    SLOW = true,
    S_KIN = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 18,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREEPING_MITHRIL_COINS',
  name = [[Creeping mithril coins]],
  display = '$',
  color = colors.C_B,
  desc = [[It appears to be a pile of sentient mithril coins that doesn't like being picked up.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 50,
  max_life = resolvers.dice(20, 8),
  rarity = 3,
  level = 13,
  exp_worth = 45,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    CHAR_MULTI = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    DROP_90 = true,
    NO_SLEEP = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={3,5} },
  },
  body = bodies.none,
  speed = 0,
  vision = 5,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ILLUSIONIST',
  name = [[Illusionist]],
  display = 'p',
  color = colors.C_R,
  desc = [[A deceptive spell caster.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(12, 8),
  rarity = 2,
  level = 13,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,2} },
  },
  spells = {
    HASTE = true,
    BLINK = true,
    TPORT = true,
    BLIND = true,
    HOLD = true,
    SLOW = true,
    CONF = true,
    DARKNESS = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLOAKER',
  name = [[Cloaker]],
  display = '(',
  color = colors.C_g,
  desc = [[It resembles a normal cloak until some poor fool ventures too close!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 40,
  max_life = 49,
  rarity = 5,
  level = 13,
  exp_worth = 30,
  flags = {
    IM_POIS = true,
    CHAR_MULTI = true,
    IM_ELEC = true,
    IM_COLD = true,
    DROP_90 = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.TERRIFY, method=AttackType.HIT, dam={5,5} },
  },
  body = bodies.none,
  speed = 20,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OCHRE_JELLY',
  name = [[Ochre jelly]],
  display = 'j',
  color = colors.C_U,
  desc = [[A fast moving highly acidic jelly thing, that is eating away the floor it rests on.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 18,
  max_life = resolvers.dice(13, 8),
  rarity = 3,
  level = 13,
  exp_worth = 40,
  flags = {
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,6} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,6} },
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LURKER',
  name = [[Lurker]],
  display = '.',
  color = colors.C_w,
  desc = [[A strange creature that merges with the dungeon floor, trapping its victims by enveloping them within its perfectly disguised form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = 200,
  rarity = 3,
  level = 14,
  exp_worth = 80,
  flags = {
    CHAR_MULTI = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    CHAR_CLEAR = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_ICKY_THING',
  name = [[Blue icky thing]],
  display = 'i',
  color = colors.C_b,
  desc = [[It is a strange, slimy, icky creature, with rudimentary intelligence, but evil cunning. It hungers for food, and you look tasty.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 20,
  max_life = resolvers.dice(10, 6),
  rarity = 4,
  level = 14,
  exp_worth = 20,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={1,4} },
    { type=DamageType.EAT_FOOD, method=AttackType.CRAWL },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,4} },
  },
  spells = {
    MULTIPLY = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 15,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIBBERING_MOUTHER',
  name = [[Gibbering mouther]],
  display = 'j',
  color = colors.C_o,
  desc = [[A chaotic mass of pulsating flesh, mouths and eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 20,
  max_life = resolvers.dice(8, 6),
  rarity = 4,
  level = 14,
  exp_worth = 20,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    EVIL = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={1,4} },
  },
  spells = {
    MULTIPLY = true,
    SCARE = true,
    CONF = true,
    BR_LITE = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 15,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FLESH_GOLEM',
  name = [[Flesh golem]],
  display = 'g',
  color = colors.C_R,
  desc = [[A shambling humanoid monster with long scars.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(12, 8),
  rarity = 2,
  level = 14,
  exp_worth = 50,
  flags = {
    MORTAL = true,
    NONLIVING = true,
    CAN_SWIM = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_FLEA',
  name = [[Giant flea]],
  display = 'I',
  color = colors.C_s,
  desc = [[It makes you itch just to look at it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 7,
  max_life = resolvers.dice(1, 2),
  rarity = 3,
  level = 14,
  exp_worth = 3,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    MORTAL = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 6,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UFTHAK_OF_CIRITH_UNGOL',
  name = [[Ufthak of Cirith Ungol]],
  display = 'o',
  color = colors.C_g,
  desc = [[A strong orc guarding the pass of Cirith Ungol. He is mortally afraid of spiders:  he was captured by Shelob once, but escaped when she forgot completely about him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 340,
  rarity = 3,
  level = 14,
  exp_worth = 250,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLAY_GOLEM',
  name = [[Clay golem]],
  display = 'g',
  color = colors.C_U,
  desc = [[It is a massive animated statue made out of hardened clay.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(14, 8),
  rarity = 2,
  level = 15,
  exp_worth = 60,
  flags = {
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_NAGA',
  name = [[Dark naga]],
  display = 'n',
  color = colors.C_s,
  desc = [[A giant snake-like figure with a woman's torso, talented in magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 65,
  max_life = resolvers.dice(22, 11),
  rarity = 2,
  level = 15,
  exp_worth = 90,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    EVIL = true,
    DROP_1D2 = true,
    EMPTY_MIND = true,
    RES_WATE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=0, magic=80, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.STING, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,10} },
  },
  spells = {
    HOLD = true,
    CONF = true,
    BO_COLD = true,
    HEAL = true,
    DARKNESS = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 60,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MAGIC_MUSHROOM_PATCH',
  name = [[Magic mushroom patch]],
  display = ',',
  color = colors.C_B,
  desc = [[Yum!  It looks quite tasty. It seems to glow with an unusual light.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 10,
  max_life = resolvers.dice(1, 1),
  rarity = 2,
  level = 15,
  exp_worth = 10,
  flags = {
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    NO_SLEEP = true,
    STUPID = true,
    RES_TELE = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.SPORE },
    { type=DamageType.CONFUSE, method=AttackType.SPORE },
    { type=DamageType.HALLU, method=AttackType.SPORE },
    { type=DamageType.HALLU, method=AttackType.SPORE },
  },
  spells = {
    BLINK = true,
    SLOW = true,
    SCARE = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 30,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GUARDIAN_NAGA',
  name = [[Guardian naga]],
  display = 'n',
  color = colors.C_y,
  desc = [[A giant snake-like figure with a woman's torso.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 65,
  max_life = resolvers.dice(24, 11),
  rarity = 2,
  level = 15,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=0, magic=80, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 120,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WERERAT',
  name = [[Wererat]],
  display = 'r',
  color = colors.C_D,
  desc = [[A large rat with glowing red eyes, which can also assume human form. The wererat is a disgusting creature, relishing in filth and disease.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 10,
  max_life = resolvers.dice(20, 8),
  rarity = 2,
  level = 15,
  exp_worth = 55,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BLINK = true,
    CAUSE_2 = true,
    BO_COLD = true,
    BA_POIS = true,
    S_KIN = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LIGHT_HOUND',
  name = [[Light hound]],
  display = 'Z',
  color = colors.C_o,
  desc = [[A brilliant canine form whose light hurts your eyes, even at this distance.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 15,
  exp_worth = 50,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_LITE = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_HOUND',
  name = [[Dark hound]],
  display = 'Z',
  color = colors.C_D,
  desc = [[A hole in the air in the shape of a huge hound. No light falls upon its form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 15,
  exp_worth = 50,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    FRIENDS = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
  },
  spells = {
    BR_DARK = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FLYING_SKULL',
  name = [[Flying skull]],
  display = 's',
  color = colors.C_s,
  desc = [[A pack of skulls animated by necromantic spells.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 3,
  level = 15,
  exp_worth = 50,
  flags = {
    WEIRD_MIND = true,
    DROP_60 = true,
    IM_POIS = true,
    FRIENDS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=90, combat=0, magic=10, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,3} },
    { type=DamageType.LOSE_STR, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HOMUNCULUS',
  name = [[Homunculus]],
  display = 'u',
  color = colors.C_y,
  desc = [[It is a small demonic spirit full of malevolence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 32,
  max_life = resolvers.dice(8, 8),
  rarity = 3,
  level = 15,
  exp_worth = 40,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    DEMON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={1,2} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GNOME_MAGE',
  name = [[Gnome mage]],
  display = 'h',
  color = colors.C_R,
  desc = [[A mage of short stature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(7, 8),
  rarity = 2,
  level = 15,
  exp_worth = 40,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,5} },
  },
  spells = {
    BLINK = true,
    DARKNESS = true,
    BO_COLD = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLEAR_HOUND',
  name = [[Clear hound]],
  display = 'Z',
  color = colors.C_B,
  desc = [[A faint sense of motion in the air, hound shaped, stands before you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 15,
  exp_worth = 50,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UMBER_HULK',
  name = [[Umber hulk]],
  display = 'X',
  color = colors.C_U,
  desc = [[This bizarre creature has glaring eyes and large mandibles capable of slicing through rock.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(20, 10),
  rarity = 1,
  level = 16,
  exp_worth = 75,
  flags = {
    ANIMAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    KILL_WALL = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.GAZE },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RUST_MONSTER',
  name = [[Rust monster]],
  display = 'q',
  color = colors.C_o,
  desc = [[It is a weird, small animal with two antennae popping forth from its forehead. It looks hungry.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 55,
  max_life = resolvers.dice(20, 15),
  rarity = 2,
  level = 16,
  exp_worth = 50,
  flags = {
    IM_ACID = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    STUPID = true,
    BASEANGBAND = true,
    KILL_ITEM = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OGRILLON',
  name = [[Ogrillon]],
  display = 'O',
  color = colors.C_W,
  desc = [[An unholy hybrid of ogre and orc.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(22, 9),
  rarity = 2,
  level = 16,
  exp_worth = 75,
  flags = {
    MORTAL = true,
    GIANT = true,
    DROP_60 = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GELATINOUS_CUBE',
  name = [[Gelatinous cube]],
  display = 'j',
  color = colors.C_G,
  desc = [[It is a strange, vast gelatinous structure that assumes cubic proportions as it lines all four walls of the corridors it patrols. Through its transparent jelly structure you can see treasures it has engulfed, and a few corpses as well.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 18,
  max_life = 360,
  rarity = 4,
  level = 16,
  exp_worth = 80,
  flags = {
    IM_FIRE = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=30, magic=20, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HUMMERHORN',
  name = [[Hummerhorn]],
  display = 'I',
  color = colors.C_y,
  desc = [[A giant buzzing wasp, its stinger drips venom.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 14,
  max_life = resolvers.dice(2, 2),
  rarity = 4,
  level = 16,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.BITE, dam={2,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULFAST_SON_OF_ULFANG',
  name = [[Ulfast, Son of Ulfang]],
  display = 'p',
  color = colors.C_U,
  desc = [[A short and swarthy Easterling.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = 370,
  rarity = 3,
  level = 16,
  exp_worth = 200,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BERSERKER',
  name = [[Berserker]],
  display = 'p',
  color = colors.C_u,
  desc = [[Even the strongest of normal human warriors fears the Berserker - the one who can drive himself into such a terrible battle-frenzy that he can survive blows which should kill him, and still apparently feel no pain.  He tramples weaker creatures underfoot in his eagerness to get to his real enemy, and his battle-cry strikes terror into his foes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 80,
  max_life = 1500,
  rarity = 2,
  level = 45,
  exp_worth = 2500,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_STUN = true,
    HAS_LITE = true,
    NO_FEAR = true,
    KILL_BODY = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,7} },
  },
  spells = {
    HASTE = true,
    SCARE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'QUASIT',
  name = [[Quasit]],
  display = 'u',
  color = colors.C_o,
  desc = [[The chaotic evil master's favourite pet.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 16,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    DEMON = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=30, tool=10 },
  attacks = {
    { type=DamageType.LOSE_DEX, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
  },
  spells = {
    BLINK = true,
    TPORT = true,
    TELE_TO = true,
    TELE_LEVEL = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IMP',
  name = [[Imp]],
  display = 'u',
  color = colors.C_g,
  desc = [[The lawful evil master's favourite pet.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 17,
  exp_worth = 55,
  flags = {
    FORCE_SLEEP = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    DEMON = true,
    RES_TELE = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=30, combat=20, magic=50, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLINK = true,
    TPORT = true,
    TELE_TO = true,
    TELE_LEVEL = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    BO_FIRE = true,
  },
  body = bodies.winged,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FREEZING_SPHERE',
  name = [[Freezing sphere]],
  display = '*',
  color = colors.C_w,
  desc = [[A semi-sentient snowball, hurling itself at targets at random.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 17,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    AURA_COLD = true,
    IM_COLD = true,
    SUSCEP_FIRE = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.EXPLODE, dam={8,8} },
  },
  body = bodies.none,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'JUMPING_FIREBALL',
  name = [[Jumping fireball]],
  display = '*',
  color = colors.C_r,
  desc = [[A semi-sentient fireball that moves around randomly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 17,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    SUSCEP_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.EXPLODE, dam={8,8} },
  },
  body = bodies.none,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BALL_LIGHTNING',
  name = [[Ball lightning]],
  display = '*',
  color = colors.C_B,
  desc = [[A crackling ball of energy, zooming about seemingly at random.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(6, 6),
  rarity = 1,
  level = 17,
  exp_worth = 50,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.EXPLODE, dam={8,8} },
  },
  body = bodies.none,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_SPIRIT',
  name = [[Water spirit]],
  display = 'E',
  color = colors.C_b,
  desc = [[A whirlpool of sentient liquid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 28,
  max_life = resolvers.dice(9, 8),
  rarity = 2,
  level = 17,
  exp_worth = 58,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EARTH_SPIRIT',
  name = [[Earth spirit]],
  display = 'E',
  color = colors.C_u,
  desc = [[A whirling form of sentient rock.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(13, 8),
  rarity = 2,
  level = 17,
  exp_worth = 64,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.none,
  speed = 10,
  vision = 10,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_HOUND',
  name = [[Fire hound]],
  display = 'Z',
  color = colors.C_r,
  desc = [[Flames lick at its feet and its tongue is a blade of fire. You can feel a furnace heat radiating from the creature.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(10, 6),
  rarity = 1,
  level = 18,
  exp_worth = 70,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    IM_FIRE = true,
    FRIENDS = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'COLD_HOUND',
  name = [[Cold hound]],
  display = 'Z',
  color = colors.C_w,
  desc = [[A hound as tall as a man, this creature appears to be composed of angular planes of ice. Cold radiates from it and freezes your breath in the air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(10, 6),
  rarity = 1,
  level = 18,
  exp_worth = 70,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    SUSCEP_FIRE = true,
    IM_COLD = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BR_COLD = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ENERGY_HOUND',
  name = [[Energy hound]],
  display = 'Z',
  color = colors.C_b,
  desc = [[Saint Elmo's Fire forms a ghostly halo around this hound, and sparks sting your fingers as energy builds up in the air around you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(10, 6),
  rarity = 1,
  level = 18,
  exp_worth = 70,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BR_ELEC = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_MIMIC',
  name = [[Lesser Mimic]],
  display = 'm',
  color = colors.C_y,
  desc = [[A strange creature that disguises itself as some object to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 3,
  level = 18,
  exp_worth = 60,
  flags = {
    FORCE_SLEEP = true,
    SUSCEP_COLD = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    MIMIC = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=10, magic=10, tool=10 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_2 = true,
    BO_COLD = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 25,
  alertness = 250,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DOOR_MIMIC',
  name = [[Door mimic]],
  display = '+',
  color = colors.C_U,
  desc = [[A strange creature that disguises itself as a door to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(10, 10),
  rarity = 6,
  level = 18,
  exp_worth = 70,
  flags = {
    FORCE_SLEEP = true,
    CHAR_MULTI = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={2,3} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={2,3} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_2 = true,
    BO_COLD = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 25,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLINK_DOG',
  name = [[Blink dog]],
  display = 'C',
  color = colors.C_B,
  desc = [[A strange magical member of the canine race, its form seems to shimmer and fade in front of your very eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 20,
  max_life = resolvers.dice(8, 8),
  rarity = 2,
  level = 18,
  exp_worth = 50,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    RES_TELE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'URUK',
  name = [[Uruk]],
  display = 'o',
  color = colors.C_B,
  desc = [[It is a cunning orc of power, as tall as a man, and stronger. It fears little.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 80,
  rarity = 1,
  level = 16,
  exp_worth = 60,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    ARROW_2 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GORBAG_THE_ORC_CAPTAIN',
  name = [[Gorbag, the Orc Captain]],
  display = 'o',
  color = colors.C_g,
  desc = [[He is an orc of power and great cunning, leader of the garrison at Minas Morgul.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 420,
  rarity = 2,
  level = 19,
  exp_worth = 400,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STONE_GOLEM',
  name = [[Stone golem]],
  display = 'g',
  color = colors.C_W,
  desc = [[It is a massive animated statue.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 75,
  max_life = resolvers.dice(28, 8),
  rarity = 2,
  level = 19,
  exp_worth = 100,
  flags = {
    NONLIVING = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = -10,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_MOLD',
  name = [[Red mold]],
  display = 'm',
  color = colors.C_r,
  desc = [[It is a strange red growth on the dungeon floor; it seems to burn with flame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 16,
  max_life = resolvers.dice(17, 8),
  rarity = 1,
  level = 19,
  exp_worth = 64,
  flags = {
    CAN_SWIM = true,
    IM_POIS = true,
    IM_FIRE = true,
    SUSCEP_COLD = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.SPORE, dam={4,4} },
  },
  body = bodies.none,
  speed = 0,
  vision = 2,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GHAST',
  name = [[Ghast]],
  display = 'z',
  color = colors.C_u,
  desc = [[This vile abomination is a relative of ghouls, and often leads packs of them. It smells foul, and its bite carries a rotting disease.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(30, 10),
  rarity = 1,
  level = 30,
  exp_worth = 130,
  flags = {
    DROP_60 = true,
    CAN_SWIM = true,
    IM_POIS = true,
    ESCORT = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=35, magic=25, tool=10 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PARALYZE, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.LOSE_CON, method=AttackType.BITE, dam={2,4} },
    { type=DamageType.LOSE_CHR, method=AttackType.BITE, dam={2,4} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 40,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LIZARD_KING',
  name = [[Lizard king]],
  display = 'h',
  color = colors.C_g,
  desc = [[A lizardman leader.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 40,
  max_life = 198,
  rarity = 3,
  level = 20,
  exp_worth = 150,
  flags = {
    WILD_SHORE = true,
    IM_ACID = true,
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LIVINGSTONE',
  name = [[Livingstone]],
  display = '#',
  color = colors.C_W,
  desc = [[A sentient section of wall.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 28,
  max_life = resolvers.dice(6, 8),
  rarity = 4,
  level = 20,
  exp_worth = 56,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    FRIENDS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    NO_SLEEP = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    HURT_ROCK = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 45,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EARTH_HOUND',
  name = [[Earth hound]],
  display = 'Z',
  color = colors.C_u,
  desc = [[A beautiful crystalline shape does not disguise the danger this hound clearly presents. Your flesh tingles as it approaches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 20,
  exp_worth = 200,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_CUT = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BR_SHAR = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AIR_HOUND',
  name = [[Air hound]],
  display = 'Z',
  color = colors.C_g,
  desc = [[Swirling vapours surround this beast as it floats towards you, seemingly walking on air. Noxious gases sting your throat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 20,
  exp_worth = 200,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BR_POIS = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ACID_HOUND',
  name = [[Acid hound]],
  display = 'Z',
  color = colors.C_s,
  desc = [[Footprints are burned in the ground behind this hound as it pads around the dungeon. An acrid smell of acid rises from the dog's pelt.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 20,
  exp_worth = 200,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BR_ACID = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'QUYLTHULG',
  name = [[Quylthulg]],
  display = 'Q',
  color = colors.C_y,
  desc = [[It is a strange pulsing mound of flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 1,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 20,
  exp_worth = 250,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    S_MONSTER = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RANGER',
  name = [[Ranger]],
  display = 'p',
  color = colors.C_W,
  desc = [[A warrior who is at one with nature.  A master of both bow and sword, with minor spellcasting skills.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 40,
  max_life = resolvers.dice(15, 11),
  rarity = 1,
  level = 20,
  exp_worth = 55,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=20, combat=50, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,4} },
  },
  spells = {
    ARROW_2 = true,
    MISSILE = true,
    BO_COLD = true,
    BO_ELEC = true,
    BLINK = true,
    S_ANIMAL = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PALADIN',
  name = [[Paladin]],
  display = 'p',
  color = colors.C_w,
  desc = [[A warrior for a holy cause.  Unfortunately, his god is not yours, and there is rivalry even between the various gods of Good, so he is your enemy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 40,
  max_life = resolvers.dice(15, 11),
  rarity = 1,
  level = 20,
  exp_worth = 55,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    GOOD = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=60, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,5} },
  },
  spells = {
    HEAL = true,
    CAUSE_2 = true,
    SLOW = true,
    SCARE = true,
    BLIND = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WEREWOLF',
  name = [[Werewolf]],
  display = 'C',
  color = colors.C_D,
  desc = [[It is a huge wolf with eyes that glow with manly intelligence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 22,
  ac = 30,
  max_life = resolvers.dice(20, 22),
  rarity = 2,
  level = 20,
  exp_worth = 150,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 15,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_LORD',
  name = [[Dark elven lord]],
  display = 'h',
  color = colors.C_s,
  desc = [[A dark elven figure in armour and radiating evil power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(18, 15),
  rarity = 2,
  level = 20,
  exp_worth = 500,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    HASTE = true,
    BLIND = true,
    CONF = true,
    DARKNESS = true,
    BO_FIRE = true,
    BO_COLD = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLOUD_GIANT',
  name = [[Cloud giant]],
  display = 'P',
  color = colors.C_b,
  desc = [[It is a twenty foot tall giant wreathed in clouds.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = resolvers.dice(35, 20),
  rarity = 1,
  level = 36,
  exp_worth = 500,
  flags = {
    MALE = true,
    GIANT = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={8,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UGLUK_THE_URUK',
  name = [[Ugluk, the Uruk]],
  display = 'o',
  color = colors.C_v,
  desc = [[A strong and cunning orc warrior, the commander of Saruman's orcish horde.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 95,
  max_life = 720,
  rarity = 3,
  level = 21,
  exp_worth = 600,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_DRAGON_BAT',
  name = [[Blue dragon bat]],
  display = 'b',
  color = colors.C_b,
  desc = [[It is a glowing blue bat with a sharp tail.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 4,
  ac = 26,
  max_life = resolvers.dice(4, 4),
  rarity = 1,
  level = 21,
  exp_worth = 54,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    AI_ANNOY = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.BITE, dam={1,3} },
  },
  spells = {
    BR_ELEC = true,
  },
  body = bodies.winged,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MIMIC',
  name = [[Mimic]],
  display = 'm',
  color = colors.C_y,
  desc = [[A strange creature that disguises itself as an object to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 14,
  ac = 40,
  max_life = resolvers.dice(10, 14),
  rarity = 3,
  level = 21,
  exp_worth = 70,
  flags = {
    FORCE_SLEEP = true,
    SUSCEP_FIRE = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    MIMIC = true,
    NEVER_MOVE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=20, magic=20, tool=20 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,3} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_2 = true,
    BO_FIRE = true,
    S_MONSTER = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULTIMATE_MIMIC',
  name = [[Ultimate Mimic]],
  display = 'm',
  color = colors.C_y,
  desc = [[A strange creature that disguises itself as an object to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 40,
  ac = 40,
  max_life = resolvers.dice(15, 40),
  rarity = 4,
  level = 35,
  exp_worth = 250,
  flags = {
    FORCE_SLEEP = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    MIMIC = true,
    NEVER_MOVE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=25, combat=25, magic=25, tool=25 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.CONFUSE, method=AttackType.BUTT, dam={4,4} },
    { type=DamageType.BLIND, method=AttackType.SPIT, dam={4,4} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_2 = true,
    BA_POIS = true,
    S_MONSTER = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ACID_VORTEX',
  name = [[Acid vortex]],
  display = 'v',
  color = colors.C_s,
  desc = [[A caustic spinning whirlpool of foaming, steaming water.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(9, 9),
  rarity = 1,
  level = 21,
  exp_worth = 100,
  flags = {
    IM_ACID = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.ENGULF, dam={3,3} },
  },
  spells = {
    BR_ACID = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LUGDUSH_THE_URUK',
  name = [[Lugdush, the Uruk]],
  display = 'o',
  color = colors.C_v,
  desc = [[A large and powerful orc, captain of one of Saruman's orcish regiments.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 660,
  rarity = 4,
  level = 21,
  exp_worth = 550,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'COLD_VORTEX',
  name = [[Cold vortex]],
  display = 'v',
  color = colors.C_w,
  desc = [[A twisting whirlpool of frost.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(9, 9),
  rarity = 1,
  level = 21,
  exp_worth = 100,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    AURA_COLD = true,
    IM_COLD = true,
    BASH_DOOR = true,
    SUSCEP_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.ENGULF, dam={3,3} },
  },
  spells = {
    BR_COLD = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ENERGY_VORTEX',
  name = [[Energy vortex]],
  display = 'v',
  color = colors.C_b,
  desc = [[A shimmering tornado of air, sparks crackle along its length.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(9, 9),
  rarity = 1,
  level = 21,
  exp_worth = 100,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HAS_LITE = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.ENGULF, dam={3,3} },
  },
  spells = {
    BR_ELEC = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_FIREFLY',
  name = [[Giant firefly]],
  display = 'I',
  color = colors.C_r,
  desc = [[Clouds of these monsters light up the dungeon - so brightly that you can barely see through them.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 18,
  max_life = resolvers.dice(3, 2),
  rarity = 4,
  level = 24,
  exp_worth = 4,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    BASEANGBAND = true,
  },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUMMIFIED_ORC',
  name = [[Mummified orc]],
  display = 'z',
  color = colors.C_w,
  desc = [[It is an orcish figure covered in wrappings.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 28,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 21,
  exp_worth = 56,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    ORC = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WOLF_CHIEFTAIN',
  name = [[Wolf chieftain]],
  display = 'C',
  color = colors.C_D,
  desc = [[A great wolf-chieftain whose pack is in the service of the Dark Lord, and whose howls strike fear into even the boldest heart.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 22,
  ac = 20,
  max_life = 484,
  rarity = 5,
  level = 26,
  exp_worth = 120,
  flags = {
    ANIMAL = true,
    IM_ACID = true,
    MALE = true,
    MORTAL = true,
    ESCORT = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ESCORTS = true,
    EVIL = true,
    SMART = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    FORCE_MAXHP = true,
    BASEANGBAND = true,
  },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,10} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
  },
  spells = {
    DARKNESS = true,
  },
  speed = 10,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IRON_GOLEM',
  name = [[Iron golem]],
  display = 'g',
  color = colors.C_s,
  desc = [[It is a massive metal statue that moves steadily towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 80,
  max_life = resolvers.dice(80, 12),
  rarity = 2,
  level = 22,
  exp_worth = 160,
  flags = {
    SUSCEP_ACID = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
  },
  spells = {
    SLOW = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_OOZE',
  name = [[Black ooze]],
  display = 'j',
  color = colors.C_D,
  desc = [[It is a strangely moving puddle.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 6,
  max_life = resolvers.dice(6, 8),
  rarity = 1,
  level = 23,
  exp_worth = 7,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    TAKE_ITEM = true,
    KILL_BODY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=30, combat=0, magic=40, tool=15 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={2,6} },
  },
  spells = {
    MULTIPLY = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = -20,
  vision = 10,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HARDENED_WARRIOR',
  name = [[Hardened warrior]],
  display = 'p',
  color = colors.C_u,
  desc = [[A scarred warrior who moves with confidence.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 40,
  max_life = resolvers.dice(15, 11),
  rarity = 1,
  level = 23,
  exp_worth = 60,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_WARLOCK',
  name = [[Dark elven warlock]],
  display = 'h',
  color = colors.C_v,
  desc = [[A dark elven mage with spells of frightening destructive power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 16,
  max_life = resolvers.dice(7, 10),
  rarity = 1,
  level = 23,
  exp_worth = 75,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    IM_POIS = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    CONF = true,
    MISSILE = true,
    DARKNESS = true,
    BO_MANA = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_ROGUE',
  name = [[Master rogue]],
  display = 'p',
  color = colors.C_b,
  desc = [[A thief of great power and shifty speed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(15, 9),
  rarity = 2,
  level = 23,
  exp_worth = 110,
  flags = {
    SUSCEP_ELEC = true,
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=80, combat=10, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.EAT_GOLD, method=AttackType.HIT, dam={4,4} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_DRAGON_BAT',
  name = [[Red dragon bat]],
  display = 'b',
  color = colors.C_r,
  desc = [[It is a sharp-tailed bat, wreathed in fire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 28,
  max_life = resolvers.dice(3, 8),
  rarity = 1,
  level = 23,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_FIRE = true,
    AI_ANNOY = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={1,3} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.winged,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ICE_SKELETON',
  name = [[Ice skeleton]],
  display = 's',
  color = colors.C_w,
  desc = [[It is a skeleton covered in frost.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 34,
  max_life = resolvers.dice(16, 9),
  rarity = 1,
  level = 23,
  exp_worth = 70,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    SUSCEP_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.CLAW, dam={2,3} },
    { type=DamageType.COLD, method=AttackType.CLAW, dam={2,3} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANGAMAITE_OF_UMBAR',
  name = [[Angamaite of Umbar]],
  display = 'p',
  color = colors.C_U,
  desc = [[A Black Numenorean who hates the men of the west.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 820,
  rarity = 2,
  level = 24,
  exp_worth = 400,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    SLOW = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 25,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FOREST_WIGHT',
  name = [[Forest wight]],
  display = 'W',
  color = colors.C_g,
  desc = [[It is a ghostly apparition with a humanoid form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(12, 8),
  rarity = 1,
  level = 24,
  exp_worth = 140,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.EXP_20, method=AttackType.TOUCH },
  },
  spells = {
    SCARE = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KHIM_SON_OF_MIM',
  name = [[Khim, Son of Mim]],
  display = 'h',
  color = colors.C_o,
  desc = [[One of the last of the Petty-Dwarves. Khim is a tricky sorcerous little being, full of mischief.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 840,
  rarity = 2,
  level = 24,
  exp_worth = 300,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    UNIQUE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=80, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT },
  },
  spells = {
    HEAL = true,
    SLOW = true,
    BO_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IBUN_SON_OF_MIM',
  name = [[Ibun, Son of Mim]],
  display = 'h',
  color = colors.C_o,
  desc = [[One of the last of the Petty-Dwarves. Ibun is a tricky sorcerous little being, full of mischief.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 840,
  rarity = 2,
  level = 24,
  exp_worth = 300,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    UNIQUE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=80, magic=0, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,7} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT },
  },
  spells = {
    HEAL = true,
    SLOW = true,
    BO_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PHANTOM_BEAST',
  name = [[Phantom beast]],
  display = 'G',
  color = colors.C_B,
  desc = [[A creature that is half real, half illusion.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 40,
  max_life = 144,
  rarity = 1,
  level = 24,
  exp_worth = 100,
  flags = {
    PASS_WALL = true,
    NONLIVING = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,33} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,44} },
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUMMIFIED_HUMAN',
  name = [[Mummified human]],
  display = 'z',
  color = colors.C_w,
  desc = [[It is a human form encased in mouldy wrappings.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 34,
  max_life = resolvers.dice(17, 9),
  rarity = 1,
  level = 24,
  exp_worth = 70,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=20, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VAMPIRE_BAT',
  name = [[Vampire bat]],
  display = 'b',
  color = colors.C_D,
  desc = [[A blood-sucking bat that flies at your neck hungrily.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(9, 10),
  rarity = 2,
  level = 24,
  exp_worth = 150,
  flags = {
    ANIMAL = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={1,4} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={1,4} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SANGAHYANDO_OF_UMBAR',
  name = [[Sangahyando of Umbar]],
  display = 'p',
  color = colors.C_U,
  desc = [[A Black Numenorean with a blacker heart.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 820,
  rarity = 2,
  level = 24,
  exp_worth = 400,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=90, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,7} },
  },
  spells = {
    SLOW = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 25,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BANSHEE',
  name = [[Banshee]],
  display = 'G',
  color = colors.C_b,
  desc = [[It is a ghostly woman's form that wails mournfully.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(6, 8),
  rarity = 2,
  level = 24,
  exp_worth = 60,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
    FEMALE = true,
  },
  drop = { treasure=80, combat=0, magic=0, tool=15 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
    { type=DamageType.EXP_20, method=AttackType.TOUCH },
  },
  spells = {
    TPORT = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CARRION_CRAWLER',
  name = [[Carrion crawler]],
  display = 'c',
  color = colors.C_o,
  desc = [[A hideous centipede covered in slime and with glowing tentacles around its head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 40,
  max_life = resolvers.dice(20, 12),
  rarity = 2,
  level = 25,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.STING, dam={2,6} },
    { type=DamageType.PARALYZE, method=AttackType.STING, dam={2,6} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SILENT_WATCHER',
  name = [[Silent watcher]],
  display = 'g',
  color = colors.C_s,
  desc = [[A figure carved from stone, with three vulture faces whose eyes glow with a malevolent light.  None escape its vigilance.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 80,
  max_life = resolvers.dice(80, 25),
  rarity = 3,
  level = 35,
  exp_worth = 800,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    NO_STUN = true,
    EVIL = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.GAZE },
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.LOSE_STR, method=AttackType.GAZE },
    { type=DamageType.HALLU, method=AttackType.GAZE },
  },
  spells = {
    SHRIEK = true,
    S_MONSTER = true,
    S_MONSTERS = true,
    HOLD = true,
    CONF = true,
    MIND_BLAST = true,
    DRAIN_MANA = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=2, RING=3, AMULET=2, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 0,
  vision = 60,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PUKELMAN',
  name = [[Pukelman]],
  display = 'g',
  color = colors.C_D,
  desc = [[A stumpy figure carved from stone, with glittering eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 80,
  max_life = resolvers.dice(80, 12),
  rarity = 3,
  level = 25,
  exp_worth = 600,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    BO_ACID = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_DRUID',
  name = [[Dark elven druid]],
  display = 'h',
  color = colors.C_G,
  desc = [[A powerful dark elf, with mighty nature-controlling enchantments.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 75,
  max_life = resolvers.dice(20, 20),
  rarity = 3,
  level = 25,
  exp_worth = 500,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=0, magic=80, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  spells = {
    HEAL = true,
    CONF = true,
    DARKNESS = true,
    S_MONSTER = true,
    S_SPIDER = true,
    S_ANIMAL = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STONE_TROLL',
  name = [[Stone troll]],
  display = 'T',
  color = colors.C_W,
  desc = [[He is a giant troll with scabrous black skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(23, 10),
  rarity = 1,
  level = 25,
  exp_worth = 85,
  flags = {
    TROLL = true,
    MALE = true,
    REGENERATE = true,
    DROP_60 = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DISENCHANTER_BAT',
  name = [[Disenchanter bat]],
  display = 'b',
  color = colors.C_v,
  desc = [[A giant bat which feeds on raw magical energy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 28,
  max_life = resolvers.dice(6, 8),
  rarity = 4,
  level = 26,
  exp_worth = 75,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    AI_ANNOY = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT },
    { type=DamageType.UN_BONUS, method=AttackType.HIT },
  },
  body = bodies.winged,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_GREY_ANT',
  name = [[Giant grey ant]],
  display = 'a',
  color = colors.C_s,
  desc = [[It is an ant encased in shaggy grey fur.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(19, 8),
  rarity = 1,
  level = 26,
  exp_worth = 90,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    DROP_SKELETON = true,
    KILL_BODY = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KHUFU_THE_MUMMIFIED_KING',
  name = [[Khufu, the Mummified King]],
  display = 'z',
  color = colors.C_v,
  desc = [[He is out to have revenge on those who have desecrated his tomb.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 11,
  ac = 40,
  max_life = 935,
  rarity = 4,
  level = 26,
  exp_worth = 500,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    DROP_90 = true,
    EVIL = true,
    UNIQUE = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    BASH_DOOR = true,
    ESCORTS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.GAZE },
    { type=DamageType.DISEASE, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_CON, method=AttackType.CLAW, dam={4,4} },
    { type=DamageType.LOSE_CON, method=AttackType.CLAW, dam={4,4} },
  },
  spells = {
    TRAPS = true,
    CAUSE_3 = true,
    DARKNESS = true,
    S_UNDEAD = true,
    SCARE = true,
    SLOW = true,
    S_KIN = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_FIRE_TICK',
  name = [[Giant fire tick]],
  display = 'S',
  color = colors.C_R,
  desc = [[It is smoking and burning with great heat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 54,
  max_life = resolvers.dice(16, 8),
  rarity = 2,
  level = 26,
  exp_worth = 90,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    CAN_FLY = true,
    HAS_LITE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,6} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DISPLACER_BEAST',
  name = [[Displacer beast]],
  display = 'f',
  color = colors.C_b,
  desc = [[It is a huge black panther, clubbed tentacles sprouting from its shoulders.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(25, 10),
  rarity = 2,
  level = 26,
  exp_worth = 100,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 35,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_OGRE',
  name = [[Cave ogre]],
  display = 'O',
  color = colors.C_u,
  desc = [[A giant orc-like figure with an awesomely muscled frame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(30, 9),
  rarity = 2,
  level = 26,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    GIANT = true,
    DROP_60 = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_WRAITH',
  name = [[White wraith]],
  display = 'W',
  color = colors.C_w,
  desc = [[It is a tangible but ghostly form made of white fog.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 26,
  exp_worth = 175,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.EXP_20, method=AttackType.TOUCH },
  },
  spells = {
    SCARE = true,
    CAUSE_2 = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANGEL',
  name = [[Angel]],
  display = 'A',
  color = colors.C_o,
  desc = [[Who knows why you are now facing an angel as an enemy? Is it a punishment from your own god for your sins, or a test of your mettle, or has this angel been sent by another god on behalf of someone who wishes to claim the glory for his own god? Perhaps you will never know: but it is here, and you must fight it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 4,
  level = 26,
  exp_worth = 220,
  flags = {
    DROP_2D2 = true,
    ONLY_ITEM = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=40, magic=60, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GHOUL',
  name = [[Ghoul]],
  display = 'z',
  color = colors.C_U,
  desc = [[Flesh is falling off in chunks from this decaying abomination.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(15, 9),
  rarity = 1,
  level = 25,
  exp_worth = 95,
  flags = {
    DROP_60 = true,
    IM_POIS = true,
    CAN_SWIM = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=45, magic=35, tool=10 },
  attacks = {
    { type=DamageType.DISEASE, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.DISEASE, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    SCARE = true,
    HOLD = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MIM_BETRAYER_OF_TURIN',
  name = [[Mim, Betrayer of Turin]],
  display = 'h',
  color = colors.C_o,
  desc = [[The last of his race, Mim is a Petty-Dwarf.  Petty-Dwarves are strange creatures, powerful in sorcery and originating in the East.  They have been hunted nearly to extinction by the High Elves.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 105,
  ac = 80,
  max_life = 1155,
  rarity = 4,
  level = 27,
  exp_worth = 1000,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNIQUE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_ACID = true,
    RES_DISE = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    IM_COLD = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=10, combat=80, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,9} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={3,12} },
  },
  spells = {
    HEAL = true,
    SCARE = true,
    BO_ACID = true,
    BA_ACID = true,
    TPORT = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HELLBLADE',
  name = [[Hellblade]],
  display = '|',
  color = colors.C_v,
  desc = [[A deadly blade of chaos, moving of its own volition.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 13,
  ac = 40,
  max_life = 169,
  rarity = 2,
  level = 27,
  exp_worth = 130,
  flags = {
    SUSCEP_ACID = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    BASH_DOOR = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    NO_CUT = true,
    HAS_LITE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.HIT, dam={2,13} },
    { type=DamageType.EXP_20, method=AttackType.HIT, dam={2,13} },
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CREEPING_ADAMANTITE_COINS',
  name = [[Creeping adamantite coins]],
  display = '$',
  color = colors.C_G,
  desc = [[It appears to be a pile of coins made of precious adamant, slithering toward you on lots of tiny legs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 50,
  max_life = resolvers.dice(20, 25),
  rarity = 3,
  level = 27,
  exp_worth = 60,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    CHAR_MULTI = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    DROP_90 = true,
    NO_SLEEP = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
  },
  body = bodies.none,
  speed = 10,
  vision = 5,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROPER',
  name = [[Roper]],
  display = '#',
  color = colors.C_D,
  desc = [[This creature look like a pillar of rock. However, a closer inspection reveals a glaring eye and powerful tentacles, which crush its prey and feed it to the creature's hungry mouth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 5,
  level = 27,
  exp_worth = 235,
  flags = {
    DROP_60 = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    ONLY_GOLD = true,
    IM_POIS = true,
    IM_COLD = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={3,5} },
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={3,5} },
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={3,5} },
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={3,5} },
  },
  spells = {
    BA_FIRE = true,
    BA_ELEC = true,
    BA_POIS = true,
    HASTE = true,
    TRAPS = true,
    SHRIEK = true,
    HOLD = true,
    CONF = true,
  },
  body = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=6, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  speed = 5,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VIBRATION_HOUND',
  name = [[Vibration hound]],
  display = 'Z',
  color = colors.C_y,
  desc = [[A blurry canine form which seems to be moving as fast as the eye can follow. You can feel the earth resonating beneath your feet.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(25, 10),
  rarity = 2,
  level = 27,
  exp_worth = 250,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BR_SOUN = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NEXUS_HOUND',
  name = [[Nexus hound]],
  display = 'Z',
  color = colors.C_v,
  desc = [[A locus of conflicting points coalesce to form the vague shape of a huge hound. Or is it just your imagination?]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(25, 10),
  rarity = 2,
  level = 27,
  exp_worth = 250,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    RES_TELE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BR_NEXU = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HALF_OGRE',
  name = [[Half-ogre]],
  display = 'O',
  color = colors.C_o,
  desc = [[A giant, brutish figure, as ugly as an orc, but with some of the intelligence of his half-human ancestry.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(35, 9),
  rarity = 2,
  level = 27,
  exp_worth = 80,
  flags = {
    MORTAL = true,
    GIANT = true,
    DROP_60 = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VAMPIRE',
  name = [[Vampire]],
  display = 'V',
  color = colors.C_W,
  desc = [[It is a humanoid with an aura of power. You notice a sharp set of front teeth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 45,
  max_life = 300,
  rarity = 1,
  level = 27,
  exp_worth = 175,
  flags = {
    DROP_60 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=20, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.EXP_20, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.EXP_20, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    TELE_TO = true,
    HOLD = true,
    SCARE = true,
    CAUSE_2 = true,
    MIND_BLAST = true,
    FORGET = true,
    DARKNESS = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GORGIMAERA',
  name = [[Gorgimaera]],
  display = 'H',
  color = colors.C_o,
  desc = [[The result of evil experiments, this travesty of nature should never be alive.  It has three heads - goat, dragon and gorgon - all attached to a lion's body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 55,
  max_life = resolvers.dice(25, 20),
  rarity = 2,
  level = 27,
  exp_worth = 400,
  flags = {
    CAN_FLY = true,
    SUSCEP_COLD = true,
    FORCE_SLEEP = true,
    IM_FIRE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={2,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={2,10} },
    { type=DamageType.PARALYZE, method=AttackType.GAZE, dam={2,6} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.hydra,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'COLBRAN',
  name = [[Colbran]],
  display = 'g',
  color = colors.C_y,
  desc = [[A man-shaped form of living lightning, sparks and shocks crackle all over this madly capering figure, as it leaps and whirls around and about you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 80,
  max_life = resolvers.dice(80, 12),
  rarity = 2,
  level = 27,
  exp_worth = 900,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    REFLECTING = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={3,8} },
  },
  spells = {
    BO_ELEC = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_NAGA',
  name = [[Spirit naga]],
  display = 'n',
  color = colors.C_w,
  desc = [[A wraithly snake-like form with the torso of a beautiful woman, it is the most powerful of its kind.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 75,
  max_life = resolvers.dice(30, 15),
  rarity = 2,
  level = 28,
  exp_worth = 60,
  flags = {
    FORCE_SLEEP = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
    FEMALE = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    MIND_BLAST = true,
    DARKNESS = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 20,
  alertness = 120,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_KNIGHT',
  name = [[Black knight]],
  display = 'p',
  color = colors.C_s,
  desc = [[He is a figure encased in deep black plate armour; he looks at you menacingly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = resolvers.dice(30, 10),
  rarity = 1,
  level = 28,
  exp_worth = 240,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=90, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    CAUSE_3 = true,
    DARKNESS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CLAIRVOYANT',
  name = [[Clairvoyant]],
  display = 'p',
  color = colors.C_y,
  desc = [[He is using his supernatural talents to bring about your destruction.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(25, 10),
  rarity = 3,
  level = 28,
  exp_worth = 250,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=90, tool=10 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.TERRIFY, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BLIND = true,
    MIND_BLAST = true,
    HOLD = true,
    CAUSE_3 = true,
    FORGET = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 100,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PURPLE_WORM',
  name = [[Purple worm]],
  display = 'w',
  color = colors.C_v,
  desc = [[It is a massive worm form, many feet in length. Its vast maw drips acid and poison.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 65,
  max_life = resolvers.dice(65, 8),
  rarity = 4,
  level = 29,
  exp_worth = 400,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.POISON, method=AttackType.STING, dam={1,8} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 14,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_WALL_MONSTER',
  name = [[Lesser wall monster]],
  display = '#',
  color = colors.C_W,
  desc = [[A sentient, moving section of wall.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 75,
  max_life = resolvers.dice(13, 8),
  rarity = 4,
  level = 28,
  exp_worth = 600,
  flags = {
    IM_ACID = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    KILL_WALL = true,
    NO_CUT = true,
    HURT_ROCK = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MAGE',
  name = [[Mage]],
  display = 'p',
  color = colors.C_r,
  desc = [[A fat mage with glasses.  And considerable power, too - as you can tell from the size of his hat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(15, 8),
  rarity = 1,
  level = 28,
  exp_worth = 150,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=0, magic=90, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
  },
  spells = {
    HASTE = true,
    TPORT = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_ELEC = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MIND_FLAYER',
  name = [[Mind flayer]],
  display = 'h',
  color = colors.C_v,
  desc = [[A humanoid form with a gruesome head, tentacular mouth, and piercing eyes. Claws reach out for you and you feel a presence invade your mind.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 150,
  rarity = 1,
  level = 28,
  exp_worth = 200,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=10, magic=90, tool=0 },
  attacks = {
    { type=DamageType.LOSE_INT, method=AttackType.CRUSH, dam={2,6} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={2,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    MIND_BLAST = true,
    BRAIN_SMASH = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ARCHANGEL',
  name = [[Archangel]],
  display = 'A',
  color = colors.C_B,
  desc = [[A lesser angel protected by an aura of holiness. Its muscular form looks extremely powerful next to your own frail body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = 600,
  rarity = 4,
  level = 34,
  exp_worth = 1000,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    GOOD = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=40, magic=60, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_MIMIC',
  name = [[Greater Mimic]],
  display = 'm',
  color = colors.C_y,
  desc = [[A strange creature that disguises itself as an object to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 35,
  ac = 60,
  max_life = resolvers.dice(10, 35),
  rarity = 3,
  level = 29,
  exp_worth = 200,
  flags = {
    SUSCEP_ACID = true,
    FORCE_SLEEP = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    MIMIC = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_2 = true,
    FORGET = true,
    BO_ACID = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_ELEC = true,
    S_MONSTER = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MITHRIL_GOLEM',
  name = [[Mithril golem]],
  display = 'g',
  color = colors.C_B,
  desc = [[It is a massive statue of purest mithril. It looks expensive!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 100,
  max_life = resolvers.dice(80, 15),
  rarity = 4,
  level = 30,
  exp_worth = 500,
  flags = {
    NONLIVING = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    REFLECTING = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKELETON_TROLL',
  name = [[Skeleton troll]],
  display = 's',
  color = colors.C_W,
  desc = [[It is a troll skeleton animated by dark dweomers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = resolvers.dice(20, 10),
  rarity = 1,
  level = 30,
  exp_worth = 225,
  flags = {
    TROLL = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRAVE_WIGHT',
  name = [[Grave wight]],
  display = 'W',
  color = colors.C_b,
  desc = [[It is a ghostly form with eyes that haunt you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = resolvers.dice(12, 10),
  rarity = 1,
  level = 30,
  exp_worth = 325,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,7} },
    { type=DamageType.EXP_20, method=AttackType.TOUCH },
  },
  spells = {
    SCARE = true,
    CAUSE_3 = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHADOW_DRAKE',
  name = [[Shadow drake]],
  display = 'd',
  color = colors.C_G,
  desc = [[It is a dragon-like form wrapped in shadow.  Glowing red eyes shine in the dark, and it is surrounded by an aura of unearthly cold that chills the soul rather than the body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 300,
  rarity = 3,
  level = 33,
  exp_worth = 1100,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.EXP_10, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    BR_NETH = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
    DARKNESS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_ARMY_ANT',
  name = [[Giant army ant]],
  display = 'a',
  color = colors.C_o,
  desc = [[An armoured form moving with purpose. Powerful on its own, flee when hordes of them march.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 40,
  max_life = resolvers.dice(19, 6),
  rarity = 3,
  level = 30,
  exp_worth = 90,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    KILL_BODY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 10,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GHOST',
  name = [[Ghost]],
  display = 'G',
  color = colors.C_w,
  desc = [[You don't believe in them.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(13, 8),
  rarity = 1,
  level = 31,
  exp_worth = 350,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    UNDEAD = true,
    NO_CUT = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=40, magic=0, tool=20 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
    { type=DamageType.EXP_20, method=AttackType.TOUCH },
    { type=DamageType.LOSE_INT, method=AttackType.CLAW, dam={1,6} },
    { type=DamageType.LOSE_WIS, method=AttackType.CLAW, dam={1,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MOUNTAIN_OGRE',
  name = [[Mountain ogre]],
  display = 'O',
  color = colors.C_s,
  desc = [[The largest breed of ogre, he is awesomely strong and awesomely ugly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 33,
  max_life = resolvers.dice(40, 9),
  rarity = 2,
  level = 30,
  exp_worth = 100,
  flags = {
    MORTAL = true,
    GIANT = true,
    DROP_60 = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=70, magic=0, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NEXUS_QUYLTHULG',
  name = [[Nexus quylthulg]],
  display = 'Q',
  color = colors.C_v,
  desc = [[It is a very unstable, strange pulsing mound of flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 1,
  max_life = resolvers.dice(10, 12),
  rarity = 1,
  level = 32,
  exp_worth = 300,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    RES_NEXU = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TELE_AWAY = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GHOULKING',
  name = [[Ghoulking]],
  display = 'z',
  color = colors.C_D,
  desc = [[Flesh is falling off in chunks from this decaying abomination.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 60,
  max_life = 480,
  rarity = 2,
  level = 32,
  exp_worth = 340,
  flags = {
    DROP_60 = true,
    ESCORT = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=30, tool=0 },
  attacks = {
    { type=DamageType.LOSE_STR, method=AttackType.CLAW, dam={3,4} },
    { type=DamageType.DISEASE, method=AttackType.CLAW, dam={3,4} },
    { type=DamageType.DISEASE, method=AttackType.CLAW, dam={3,4} },
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    SCARE = true,
    HOLD = true,
    DARKNESS = true,
    SCARE = true,
    S_UNDEAD = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DOOMBAT',
  name = [[Doombat]],
  display = 'b',
  color = colors.C_R,
  desc = [[It is a fast moving creature of chaos, a gigantic black bat surrounded by flickering bright red flames.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 14,
  ac = 75,
  max_life = resolvers.dice(24, 14),
  rarity = 2,
  level = 32,
  exp_worth = 250,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_FIRE = true,
    AI_ANNOY = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,4} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,4} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,4} },
  },
  body = bodies.winged,
  speed = 10,
  vision = 16,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NINJA',
  name = [[Ninja]],
  display = 'p',
  color = colors.C_u,
  desc = [[A humanoid clothed in black who moves with blinding speed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 60,
  max_life = resolvers.dice(13, 12),
  rarity = 2,
  level = 32,
  exp_worth = 300,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MEMORY_MOSS',
  name = [[Memory moss]],
  display = ',',
  color = colors.C_b,
  desc = [[A mass of vegetation. You don't remember seeing anything like it before.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 1,
  max_life = resolvers.dice(1, 2),
  rarity = 3,
  level = 32,
  exp_worth = 150,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={1,4} },
  },
  spells = {
    FORGET = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPECTATOR',
  name = [[Spectator]],
  display = 'e',
  color = colors.C_B,
  desc = [[A lesser relative of the beholder: a globular body with a large toothy mouth, a large central eye, and four smaller eyes on stalks protruding from the top of its body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 13,
  ac = 1,
  max_life = 195,
  rarity = 2,
  level = 28,
  exp_worth = 150,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE, dam={1,4} },
    { type=DamageType.CONFUSE, method=AttackType.GAZE, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  spells = {
    FORGET = true,
    CAUSE_2 = true,
    HOLD = true,
    SLOW = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HALF_TROLL',
  name = [[Half-troll]],
  display = 'T',
  color = colors.C_U,
  desc = [[A huge, ugly, half-human in search of plunder.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 14,
  ac = 50,
  max_life = resolvers.dice(25, 14),
  rarity = 2,
  level = 34,
  exp_worth = 400,
  flags = {
    TROLL = true,
    MALE = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CAVE_TROLL',
  name = [[Cave troll]],
  display = 'T',
  color = colors.C_u,
  desc = [[He is a vicious monster, feared for his ferocity.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 50,
  max_life = resolvers.dice(24, 12),
  rarity = 1,
  level = 33,
  exp_worth = 350,
  flags = {
    TROLL = true,
    MALE = true,
    REGENERATE = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    SUSCEP_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BARROW_WIGHT',
  name = [[Barrow wight]],
  display = 'W',
  color = colors.C_v,
  desc = [[It is a ghostly nightmare of an entity.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(15, 10),
  rarity = 3,
  level = 33,
  exp_worth = 375,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    CAUSE_2 = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKELETON_ETTIN',
  name = [[Skeleton ettin]],
  display = 's',
  color = colors.C_W,
  desc = [[It is the animated skeleton of a massive two-headed troll.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 450,
  rarity = 1,
  level = 33,
  exp_worth = 325,
  flags = {
    TROLL = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,9} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=2, RING=2, AMULET=2, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHAOS_DRAKE',
  name = [[Chaos drake]],
  display = 'd',
  color = colors.C_v,
  desc = [[A dragon twisted by the forces of chaos. It seems first ugly, then fair, as its form shimmers and changes in front of your eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 500,
  rarity = 3,
  level = 33,
  exp_worth = 1400,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    ATTR_ANY = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_DISE = true,
    BR_CHAO = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LAW_DRAKE',
  name = [[Law drake]],
  display = 'd',
  color = colors.C_B,
  desc = [[This dragon is clever and cunning. It laughs at your puny efforts to disturb it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 500,
  rarity = 3,
  level = 33,
  exp_worth = 1400,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
    BR_SHAR = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BALANCE_DRAKE',
  name = [[Balance drake]],
  display = 'd',
  color = colors.C_v,
  desc = [[A mighty dragon, the balance drake seeks to maintain the Cosmic Balance, and despises your feeble efforts to destroy evil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 600,
  rarity = 3,
  level = 33,
  exp_worth = 1600,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
    BR_SHAR = true,
    BR_DISE = true,
    BR_CHAO = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ETHEREAL_DRAKE',
  name = [[Ethereal drake]],
  display = 'd',
  color = colors.C_o,
  desc = [[A dragon of great power with control over light and dark, the ethereal drake's eyes glare with white hatred from the shadows.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 400,
  rarity = 3,
  level = 33,
  exp_worth = 1200,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    EVIL = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DROP_3D2 = true,
    CAN_FLY = true,
    DRAGON = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=50, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHADE',
  name = [[Shade]],
  display = 'G',
  color = colors.C_D,
  desc = [[A shadowy form clutches at you from the darkness. A powerful undead with a deadly touch.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 30,
  max_life = resolvers.dice(14, 20),
  rarity = 3,
  level = 33,
  exp_worth = 350,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_2D2 = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.LOSE_INT, method=AttackType.CLAW, dam={1,10} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    DRAIN_MANA = true,
    FORGET = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPECTRE',
  name = [[Spectre]],
  display = 'G',
  color = colors.C_U,
  desc = [[A phantasmal shrieking spirit. Its wail drives the intense cold of pure evil deep within your body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 30,
  max_life = resolvers.dice(14, 20),
  rarity = 3,
  level = 33,
  exp_worth = 350,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_2D2 = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.LOSE_WIS, method=AttackType.CLAW, dam={5,5} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    DRAIN_MANA = true,
    FORGET = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHERUB',
  name = [[Cherub]],
  display = 'A',
  color = colors.C_G,
  desc = [[It is an angel moving very quickly, wielding a holy war hammer and casting a volley of powerful spells in your direction.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = 1000,
  rarity = 4,
  level = 39,
  exp_worth = 2700,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    SMART = true,
    RES_TELE = true,
    GOOD = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=90, magic=10, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    BLIND = true,
    SCARE = true,
    MIND_BLAST = true,
    BO_FIRE = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_ELEMENTAL',
  name = [[Water elemental]],
  display = 'E',
  color = colors.C_b,
  desc = [[It is a towering tempest of water.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 40,
  max_life = resolvers.dice(25, 8),
  rarity = 2,
  level = 33,
  exp_worth = 325,
  flags = {
    IM_FIRE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  spells = {
    BO_COLD = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MULTI_HUED_HOUND',
  name = [[Multi-hued hound]],
  display = 'Z',
  color = colors.C_v,
  desc = [[Shimmering in rainbow hues, this hound is beautiful and deadly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(30, 10),
  rarity = 3,
  level = 33,
  exp_worth = 600,
  flags = {
    MORTAL = true,
    IM_FIRE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    ANIMAL = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    IM_COLD = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,4} },
  },
  spells = {
    BR_ACID = true,
    BR_POIS = true,
    BR_COLD = true,
    BR_FIRE = true,
    BR_ELEC = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 25,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'INVISIBLE_STALKER',
  name = [[Invisible stalker]],
  display = 'E',
  color = colors.C_y,
  desc = [[It is impossible to define its form but its violence is legendary.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 46,
  max_life = resolvers.dice(19, 12),
  rarity = 3,
  level = 35,
  exp_worth = 300,
  flags = {
    NONLIVING = true,
    EVIL = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = bodies.none,
  speed = 20,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CARRION_CRAWLER_GRP',
  name = [[Carrion crawler]],
  display = 'c',
  color = colors.C_o,
  desc = [[A hideous centipede covered in slime and with glowing tentacles around its head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 40,
  max_life = resolvers.dice(20, 12),
  rarity = 2,
  level = 34,
  exp_worth = 100,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.STING, dam={2,6} },
    { type=DamageType.PARALYZE, method=AttackType.STING, dam={2,6} },
  },
  body = bodies.snake,
  speed = 0,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_THIEF',
  name = [[Master thief]],
  display = 'p',
  color = colors.C_b,
  desc = [[Cool and confident, fast and lithe; protect your possessions quickly!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(18, 10),
  rarity = 2,
  level = 34,
  exp_worth = 350,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=90, combat=10, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.EAT_GOLD, method=AttackType.HIT, dam={4,4} },
    { type=DamageType.EAT_ITEM, method=AttackType.HIT, dam={4,5} },
  },
  spells = {
    TRAPS = true,
    ARROW_2 = true,
    BLINK = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LICH',
  name = [[Lich]],
  display = 'L',
  color = colors.C_o,
  desc = [[It is a skeletal form dressed in robes. It radiates vastly evil power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 300,
  rarity = 2,
  level = 34,
  exp_worth = 1000,
  flags = {
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=10, magic=90, tool=0 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,8} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    TELE_AWAY = true,
    BLIND = true,
    HOLD = true,
    SLOW = true,
    SCARE = true,
    CAUSE_3 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GAS_SPORE',
  name = [[Gas spore]],
  display = 'e',
  color = colors.C_g,
  desc = [[From a distance, this creature is often mistaken for the much more dangerous beholder.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 1,
  max_life = resolvers.dice(25, 10),
  rarity = 4,
  level = 34,
  exp_worth = 100,
  flags = {
    NO_SLEEP = true,
    CAN_FLY = true,
    STUPID = true,
    FORCE_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.DISEASE, method=AttackType.EXPLODE, dam={30,2} },
  },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_VAMPIRE',
  name = [[Master vampire]],
  display = 'V',
  color = colors.C_g,
  desc = [[It is a humanoid form dressed in robes. Power emanates from its chilling frame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = 680,
  rarity = 1,
  level = 36,
  exp_worth = 750,
  flags = {
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=30, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={3,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    TELE_TO = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    MIND_BLAST = true,
    FORGET = true,
    DARKNESS = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ORIENTAL_VAMPIRE',
  name = [[Oriental vampire]],
  display = 'V',
  color = colors.C_s,
  desc = [[The oriental vampire can transform into a mist at will.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 60,
  max_life = 900,
  rarity = 3,
  level = 40,
  exp_worth = 750,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=45, magic=35, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={3,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    TELE_TO = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    MIND_BLAST = true,
    FORGET = true,
    DARKNESS = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_MUMMY',
  name = [[Greater mummy]],
  display = 'z',
  color = colors.C_y,
  desc = [[Once a powerful ruler, now an even more powerful undead menace.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = 340,
  rarity = 3,
  level = 36,
  exp_worth = 800,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_CON, method=AttackType.CLAW, dam={3,6} },
    { type=DamageType.DISEASE, method=AttackType.CLAW, dam={3,6} },
    { type=DamageType.EXP_40, method=AttackType.GAZE, dam={3,4} },
    { type=DamageType.TERRIFY, method=AttackType.GAZE, dam={3,4} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    BLIND = true,
    SCARE = true,
    S_UNDEAD = true,
    ANIM_DEAD = true,
    BA_POIS = true,
    BA_NETH = true,
    BA_COLD = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    CAUSE_3 = true,
    DARKNESS = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EARTH_ELEMENTAL',
  name = [[Earth elemental]],
  display = 'E',
  color = colors.C_u,
  desc = [[It is a towering form composed of rock with fists of awesome power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = resolvers.dice(30, 10),
  rarity = 2,
  level = 34,
  exp_worth = 375,
  flags = {
    PASS_WALL = true,
    IM_FIRE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    BO_ACID = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AIR_ELEMENTAL',
  name = [[Air elemental]],
  display = 'E',
  color = colors.C_B,
  desc = [[It is a towering tornado of winds.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 50,
  max_life = resolvers.dice(30, 5),
  rarity = 2,
  level = 34,
  exp_worth = 390,
  flags = {
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  spells = {
    BO_ELEC = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHIMMERING_MOLD',
  name = [[Shimmering mold]],
  display = 'm',
  color = colors.C_b,
  desc = [[It is a strange growth on the dungeon floor, glowing and crackling with sparks.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 24,
  max_life = resolvers.dice(32, 8),
  rarity = 1,
  level = 27,
  exp_worth = 140,
  flags = {
    CAN_SWIM = true,
    IM_POIS = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.SPORE, dam={5,4} },
    { type=DamageType.ELEC, method=AttackType.SPORE, dam={5,4} },
  },
  speed = 0,
  vision = 2,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MALICIOUS_LEPRECHAUN',
  name = [[Malicious leprechaun]],
  display = 'h',
  color = colors.C_v,
  desc = [[This little creature has a fiendish gleam in its eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 13,
  max_life = resolvers.dice(4, 5),
  rarity = 4,
  level = 35,
  exp_worth = 85,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    INVISIBLE = true,
    TAKE_ITEM = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH },
    { type=DamageType.EAT_ITEM, method=AttackType.TOUCH },
  },
  spells = {
    MULTIPLY = true,
    BLINK = true,
    TPORT = true,
    TELE_TO = true,
    CAUSE_1 = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 8,
  alertness = 8,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EOG_GOLEM',
  name = [[Eog golem]],
  display = 'g',
  color = colors.C_u,
  desc = [[It is a massive deep brown statue, striding towards you with an all-too-familiar purpose. Your magic surprisingly feels much less powerful now.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 125,
  max_life = resolvers.dice(100, 20),
  rarity = 4,
  level = 34,
  exp_worth = 1200,
  flags = {
    NONLIVING = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    REFLECTING = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
  },
  body = bodies.humanoid,
  speed = -10,
  vision = 12,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DAGASHI',
  name = [[Dagashi]],
  display = 'p',
  color = colors.C_u,
  desc = [[A human warrior, moving with lightning speed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 70,
  max_life = resolvers.dice(13, 25),
  rarity = 4,
  level = 35,
  exp_worth = 500,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HEADLESS_GHOST',
  name = [[Headless ghost]],
  display = 'G',
  color = colors.C_u,
  desc = [[A phantasmal apparition with no head.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 30,
  max_life = resolvers.dice(20, 25),
  rarity = 3,
  level = 35,
  exp_worth = 550,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_2D2 = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=35, combat=25, magic=25, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.LOSE_INT, method=AttackType.CLAW, dam={5,5} },
    { type=DamageType.LOSE_WIS, method=AttackType.CLAW, dam={5,5} },
  },
  spells = {
    BLIND = true,
    DRAIN_MANA = true,
    SCARE = true,
    BO_COLD = true,
    FORGET = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DREAD',
  name = [[Dread]],
  display = 'G',
  color = colors.C_o,
  desc = [[It is a form that screams its presence against the eye. Death incarnate, its hideous black body seems to struggle against reality as the universe itself struggles to banish it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 30,
  max_life = resolvers.dice(25, 20),
  rarity = 2,
  level = 35,
  exp_worth = 600,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_2D2 = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    TAKE_ITEM = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    CONF = true,
    DRAIN_MANA = true,
    BO_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GAUTH',
  name = [[Gauth]],
  display = 'e',
  color = colors.C_s,
  desc = [[Another lesser relative of the beholder, this six-eyed creature feeds on magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 50,
  max_life = 300,
  rarity = 2,
  level = 36,
  exp_worth = 600,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.GAZE, dam={5,2} },
    { type=DamageType.UN_BONUS, method=AttackType.GAZE, dam={5,2} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={5,2} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={5,2} },
  },
  spells = {
    CAUSE_2 = true,
    TELE_AWAY = true,
    BA_COLD = true,
    BO_ELEC = true,
    HOLD = true,
    DRAIN_MANA = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SMOKE_ELEMENTAL',
  name = [[Smoke elemental]],
  display = 'E',
  color = colors.C_R,
  desc = [[It is a towering blackened form, crackling with heat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = resolvers.dice(15, 10),
  rarity = 3,
  level = 36,
  exp_worth = 375,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_FIRE = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    KILL_BODY = true,
    BASEANGBAND = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={2,6} },
  },
  spells = {
    DARKNESS = true,
    BO_FIRE = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OLOG',
  name = [[Olog]],
  display = 'T',
  color = colors.C_y,
  desc = [[It is a massive troll, more intelligent than most of its kind, with needle- sharp fangs.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 420,
  rarity = 1,
  level = 36,
  exp_worth = 450,
  flags = {
    TROLL = true,
    REGENERATE = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    SMART = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,3} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HALFLING_SLINGER',
  name = [[Halfling slinger]],
  display = 'h',
  color = colors.C_U,
  desc = [[A rebel halfling who has rejected the halfling tradition of archery.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 40,
  max_life = 270,
  rarity = 1,
  level = 35,
  exp_worth = 330,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=100, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRAVITY_HOUND',
  name = [[Gravity hound]],
  display = 'Z',
  color = colors.C_W,
  desc = [[Unfettered by the usual constraints of gravity, these unnatural creatures are walking on the walls and even the ceiling!  The earth suddenly feels rather less solid as you see gravity warp all around these monsters.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(35, 10),
  rarity = 2,
  level = 35,
  exp_worth = 500,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    BR_GRAV = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ACIDIC_CYTOPLASM',
  name = [[Acidic cytoplasm]],
  display = 'j',
  color = colors.C_s,
  desc = [[A disgusting animated blob of destruction. Flee its gruesome hunger!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 18,
  max_life = 400,
  rarity = 5,
  level = 35,
  exp_worth = 180,
  flags = {
    IM_FIRE = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'INERTIA_HOUND',
  name = [[Inertia hound]],
  display = 'Z',
  color = colors.C_W,
  desc = [[Bizarrely, this hound seems to be hardly moving at all, yet it approaches you with deadly menace. It makes you tired just to look at it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(35, 10),
  rarity = 2,
  level = 35,
  exp_worth = 500,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    BR_INER = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IMPACT_HOUND',
  name = [[Impact hound]],
  display = 'Z',
  color = colors.C_u,
  desc = [[A deep brown shape is visible before you, its canine form striking you with an almost physical force. The dungeon floor buckles as if struck by a powerful blow as it stalks towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(35, 10),
  rarity = 2,
  level = 35,
  exp_worth = 500,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    BR_WALL = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHARDSTORM',
  name = [[Shardstorm]],
  display = 'v',
  color = colors.C_u,
  desc = [[A howling blast of razor-sharp mountain fragments, kept intact by perilous magics.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 12,
  max_life = resolvers.dice(32, 10),
  rarity = 1,
  level = 37,
  exp_worth = 800,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={6,6} },
  },
  spells = {
    BR_SHAR = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUMAK',
  name = [[Mumak]],
  display = 'q',
  color = colors.C_s,
  desc = [[A massive elephantine form with eyes twisted by madness.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = resolvers.dice(90, 10),
  rarity = 3,
  level = 35,
  exp_worth = 2100,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_FIRE_ANT',
  name = [[Giant fire ant]],
  display = 'a',
  color = colors.C_R,
  desc = [[A giant ant covered in shaggy fur. Its powerful jaws glow with heat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 49,
  max_life = 200,
  rarity = 1,
  level = 35,
  exp_worth = 350,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_FIRE = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    SUSCEP_COLD = true,
    KILL_BODY = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 14,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'XORN',
  name = [[Xorn]],
  display = 'X',
  color = colors.C_u,
  desc = [[A huge creature of the element Earth. Able to merge with its element, it has four huge arms protruding from its enormous torso.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 160,
  rarity = 2,
  level = 36,
  exp_worth = 650,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HURT_ROCK = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  body = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=3, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROGROG_THE_BLACK_TROLL',
  name = [[Rogrog the Black Troll]],
  display = 'T',
  color = colors.C_D,
  desc = [[A massive and cruel troll of great power, drool slides caustically down his muscular frame. Despite his bulk, he strikes with stunning speed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 1500,
  rarity = 5,
  level = 41,
  exp_worth = 5000,
  unique = true,
  flags = {
    TROLL = true,
    MALE = true,
    ESCORT = true,
    DROP_2D2 = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,7} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,10} },
    { type=DamageType.ACID, method=AttackType.SPIT, dam={4,8} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PHANTOM',
  name = [[Phantom]],
  display = 'G',
  color = colors.C_v,
  desc = [[An unholy creature of darkness, the aura emanating from this evil being saps your very soul.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 30,
  max_life = resolvers.dice(20, 25),
  rarity = 3,
  level = 36,
  exp_worth = 400,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.LOSE_INT, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.LOSE_WIS, method=AttackType.CLAW, dam={1,10} },
  },
  spells = {
    FORGET = true,
    MIND_BLAST = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREY_WRAITH',
  name = [[Grey wraith]],
  display = 'W',
  color = colors.C_s,
  desc = [[A tangible but ghostly form, made of grey fog. The air around it feels deathly cold.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 190,
  rarity = 1,
  level = 36,
  exp_worth = 700,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    UNDEAD = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'REVENANT',
  name = [[Revenant]],
  display = 'W',
  color = colors.C_u,
  desc = [[Back from the grave, to wreak vengeance upon the living. A skeletal figure wearing a black robe, with eyes that burn with undying hatred.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 111,
  ac = 50,
  max_life = 222,
  rarity = 1,
  level = 36,
  exp_worth = 725,
  flags = {
    DROP_60 = true,
    EVIL = true,
    DROP_90 = true,
    UNDEAD = true,
    NO_CUT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.LOSE_CON, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.LOSE_CON, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.EXP_40, method=AttackType.GAZE },
  },
  spells = {
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    DARKNESS = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_MULTI_HUED_DRAGON',
  name = [[Young multi-hued dragon]],
  display = 'd',
  color = colors.C_v,
  desc = [[It has a form out of legend. Beautiful scales of shimmering and magical colours cover it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 320,
  rarity = 1,
  level = 32,
  exp_worth = 900,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,8} },
  },
  spells = {
    SCARE = true,
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'COLOSSUS',
  name = [[Colossus]],
  display = 'g',
  color = colors.C_G,
  desc = [[An enormous construct resembling a titan made from stone. It strides purposefully towards you, swinging its slow fists with earth-shattering power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 3000,
  rarity = 4,
  level = 36,
  exp_worth = 900,
  flags = {
    MORTAL = true,
    NONLIVING = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    REFLECTING = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TRAPPER',
  name = [[Trapper]],
  display = '.',
  color = colors.C_w,
  desc = [[This creature traps unsuspecting victims and paralyzes them, to be slowly digested later.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 75,
  max_life = 600,
  rarity = 3,
  level = 36,
  exp_worth = 580,
  flags = {
    MORTAL = true,
    CHAR_MULTI = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    CHAR_CLEAR = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={15,1} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={15,1} },
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BODAK',
  name = [[Bodak]],
  display = 'u',
  color = colors.C_r,
  desc = [[It is a humanoid form composed of flames and hatred.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = resolvers.dice(35, 10),
  rarity = 2,
  level = 36,
  exp_worth = 750,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    DEMON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.EXP_20, method=AttackType.GAZE },
  },
  spells = {
    BO_FIRE = true,
    BA_FIRE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MEZZODAEMON',
  name = [[Mezzodaemon]],
  display = 'u',
  color = colors.C_o,
  desc = [[An ugly demon with insect-like extremities and large bulbous eyes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = resolvers.dice(40, 10),
  rarity = 2,
  level = 36,
  exp_worth = 750,
  flags = {
    IM_ACID = true,
    PASS_WALL = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_COLD = true,
    EVIL = true,
    NO_STUN = true,
    NO_SLEEP = true,
    DEMON = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,6} },
  },
  spells = {
    BLINK = true,
    DARKNESS = true,
    S_DEMON = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=1, RING=0, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ICE_ELEMENTAL',
  name = [[Ice elemental]],
  display = 'E',
  color = colors.C_w,
  desc = [[It is a towering glacier of ice.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = resolvers.dice(35, 10),
  rarity = 3,
  level = 37,
  exp_worth = 650,
  flags = {
    AURA_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.TOUCH, dam={4,3} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.COLD, method=AttackType.TOUCH, dam={4,3} },
  },
  spells = {
    BO_ICEE = true,
    BA_COLD = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NECROMANCER',
  name = [[Necromancer]],
  display = 'p',
  color = colors.C_R,
  desc = [[A gaunt figure, clothed in black robes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 280,
  rarity = 2,
  level = 36,
  exp_worth = 666,
  flags = {
    MORTAL = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_1D2 = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=10, combat=0, magic=90, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
  },
  spells = {
    HASTE = true,
    TPORT = true,
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_NETH = true,
    MIND_BLAST = true,
    FORGET = true,
    S_UNDEAD = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LORGAN_CHIEF_OF_THE_EASTERLINGS',
  name = [[Lorgan, Chief of the Easterlings]],
  display = 'p',
  color = colors.C_v,
  desc = [[A mighty warrior from the east, Lorgan hates everything that he cannot control.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 1800,
  rarity = 2,
  level = 36,
  exp_worth = 1200,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
  },
  spells = {
    TELE_TO = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 25,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUMMIFIED_TROLL',
  name = [[Mummified troll]],
  display = 'z',
  color = colors.C_w,
  desc = [[It is a massive figure clothed in wrappings. You are wary of its massive fists.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 250,
  rarity = 1,
  level = 34,
  exp_worth = 420,
  flags = {
    TROLL = true,
    DROP_60 = true,
    EVIL = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STORM_OF_UNMAGIC',
  name = [[Storm of Unmagic]],
  display = 'v',
  color = colors.C_v,
  desc = [[Howling through the disintegrating dungeon, this awesome whirlpool of Unmagic rips the enchantments from everything it touches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 40,
  max_life = 640,
  rarity = 3,
  level = 53,
  exp_worth = 4000,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.UN_POWER, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.UN_BONUS, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.LOSE_ALL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BR_TIME = true,
    BR_DISE = true,
  },
  speed = 20,
  vision = 50,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CRYPT_THING',
  name = [[Crypt thing]],
  display = 'L',
  color = colors.C_G,
  desc = [[It is a skeletal form dressed in robes. It looks evil and devious...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 800,
  rarity = 2,
  level = 37,
  exp_worth = 2500,
  flags = {
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,10} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,10} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    TELE_AWAY = true,
    TELE_LEVEL = true,
    CAUSE_3 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 60,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_QUEEN_ANT',
  name = [[The Queen Ant]],
  display = 'a',
  color = colors.C_v,
  desc = [[She's upset because you hurt her children.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 1500,
  rarity = 2,
  level = 37,
  exp_worth = 1000,
  unique = true,
  flags = {
    WEIRD_MIND = true,
    MORTAL = true,
    ESCORT = true,
    DROP_2D2 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    GOOD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ESCORTS = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    S_KIN = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_PUDDING',
  name = [[Black pudding]],
  display = 'j',
  color = colors.C_D,
  desc = [[A lump of rotting black flesh that slurrrrrrrps across the dungeon floor.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 18,
  max_life = 400,
  rarity = 5,
  level = 37,
  exp_worth = 50,
  flags = {
    DROP_60 = true,
    IM_FIRE = true,
    DROP_90 = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    CAN_SWIM = true,
    IM_POIS = true,
    FRIENDS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=90, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={1,10} },
  },
  body = bodies.none,
  speed = 0,
  vision = 12,
  alertness = 1,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KILLER_IRIDESCENT_BEETLE',
  name = [[Killer iridescent beetle]],
  display = 'K',
  color = colors.C_v,
  desc = [[It is a giant beetle, whose carapace shimmers with vibrant energies.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 60,
  max_life = 375,
  rarity = 2,
  level = 37,
  exp_worth = 850,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    HAS_LITE = true,
    AURA_ELEC = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.CLAW, dam={1,12} },
    { type=DamageType.ELEC, method=AttackType.CLAW, dam={1,12} },
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 16,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NEXUS_VORTEX',
  name = [[Nexus vortex]],
  display = 'v',
  color = colors.C_v,
  desc = [[A maelstrom of potent magical energy.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(32, 10),
  rarity = 1,
  level = 37,
  exp_worth = 800,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    RES_NEXU = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={5,5} },
  },
  spells = {
    BR_NEXU = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PLASMA_VORTEX',
  name = [[Plasma vortex]],
  display = 'v',
  color = colors.C_R,
  desc = [[A whirlpool of intense flame, charring the stones at your feet.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(32, 10),
  rarity = 1,
  level = 37,
  exp_worth = 800,
  flags = {
    NONLIVING = true,
    RES_PLAS = true,
    IM_FIRE = true,
    SUSCEP_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.ENGULF, dam={4,8} },
    { type=DamageType.ELEC, method=AttackType.ENGULF, dam={4,8} },
  },
  spells = {
    BR_PLAS = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CRYSTAL_DRAKE',
  name = [[Crystal drake]],
  display = 'd',
  color = colors.C_u,
  desc = [[A dragon of strange crystalline form. Light shines through it, dazzling your eyes with spectrums of colour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 450,
  rarity = 3,
  level = 33,
  exp_worth = 1350,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    REFLECTING = true,
    DRAGON = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_SHAR = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_MULTI_HUED_DRAGON',
  name = [[Mature multi-hued dragon]],
  display = 'd',
  color = colors.C_v,
  desc = [[A large dragon, scales shimmering many colours.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 600,
  rarity = 1,
  level = 38,
  exp_worth = 1800,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,12} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRAEBOR_THE_IMP',
  name = [[Draebor, the Imp]],
  display = 'u',
  color = colors.C_v,
  desc = [[An intensely irritating git of a monster.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 99,
  ac = 80,
  max_life = 1881,
  rarity = 3,
  level = 38,
  exp_worth = 3250,
  unique = true,
  flags = {
    MALE = true,
    DROP_60 = true,
    ESCORT = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    DEMON = true,
    RES_WATE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    HAS_LITE = true,
  },
  drop = { treasure=30, combat=20, magic=50, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={8,4} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={8,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={8,8} },
    { method=AttackType.INSULT },
  },
  spells = {
    S_KIN = true,
    BLINK = true,
    TPORT = true,
    TELE_TO = true,
    TELE_AWAY = true,
    TELE_LEVEL = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
  },
  body = bodies.winged,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_KNIGHT',
  name = [[Death knight]],
  display = 'p',
  color = colors.C_D,
  desc = [[It is a humanoid figure dressed in armour of an ancient form. From beneath its helmet, eyes glow a baleful red and seem to pierce you like lances of fire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = 600,
  rarity = 1,
  level = 38,
  exp_worth = 1111,
  flags = {
    FORCE_SLEEP = true,
    DROP_2D2 = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    RES_NETH = true,
    DROP_1D2 = true,
    NO_CUT = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=90, magic=0, tool=10 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_NETH = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CASTAMIR_THE_USURPER',
  name = [[Castamir the Usurper]],
  display = 'p',
  color = colors.C_R,
  desc = [[A Black Numenorean who usurped the throne of Gondor, he is treacherous and evil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 880,
  rarity = 5,
  level = 38,
  exp_worth = 1600,
  unique = true,
  flags = {
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    MALE = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=10, combat=60, magic=10, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    HEAL = true,
    TRAPS = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_ELEC = true,
    BO_ICEE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TIME_VORTEX',
  name = [[Time vortex]],
  display = 'v',
  color = colors.C_B,
  desc = [[You haven't seen it yet.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(32, 10),
  rarity = 4,
  level = 38,
  exp_worth = 800,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TIME, method=AttackType.ENGULF, dam={5,5} },
  },
  spells = {
    BR_TIME = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHIMMERING_VORTEX',
  name = [[Shimmering vortex]],
  display = 'v',
  color = colors.C_o,
  desc = [[A strange pillar of shining light that hurts your eyes. Its shape changes constantly as it cuts through the air towards you. It is like a beacon, waking monsters from their slumber.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = resolvers.dice(32, 10),
  rarity = 4,
  level = 38,
  exp_worth = 800,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    HAS_LITE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.ENGULF, dam={4,4} },
    { type=DamageType.BLIND, method=AttackType.ENGULF, dam={4,4} },
  },
  spells = {
    BR_LITE = true,
    SHRIEK = true,
  },
  body = bodies.none,
  speed = 30,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_BLUE_DRAGON',
  name = [[Ancient blue dragon]],
  display = 'D',
  color = colors.C_b,
  desc = [[A huge draconic form. Lightning crackles along its length.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 720,
  rarity = 1,
  level = 40,
  exp_worth = 2000,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={7,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ELEC = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_BRONZE_DRAGON',
  name = [[Ancient bronze dragon]],
  display = 'D',
  color = colors.C_U,
  desc = [[A huge draconic form enveloped in a cascade of colour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 720,
  rarity = 1,
  level = 40,
  exp_worth = 2000,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BEHOLDER',
  name = [[Beholder]],
  display = 'e',
  color = colors.C_U,
  desc = [[A vile creature with one huge central eye, twelve smaller eyes on stalks, and a huge mouth filled with sharp teeth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 1600,
  rarity = 3,
  level = 40,
  exp_worth = 6000,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    RES_TELE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={6,6} },
  },
  spells = {
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    FORGET = true,
    DARKNESS = true,
    BO_ACID = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_ELEC = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EMPEROR_WIGHT',
  name = [[Emperor wight]],
  display = 'W',
  color = colors.C_r,
  desc = [[Your life force is torn from your body as this powerful unearthly being approaches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = 380,
  rarity = 2,
  level = 38,
  exp_worth = 1600,
  flags = {
    EVIL = true,
    DROP_90 = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=40, magic=60, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SERAPH',
  name = [[Seraph]],
  display = 'A',
  color = colors.C_r,
  desc = [[It is an angel, fast and strong. You are stunned by its extreme holiness and try to resist all desires to obey it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 68,
  max_life = 1500,
  rarity = 4,
  level = 45,
  exp_worth = 5000,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    GOOD = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=30, magic=70, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    TELE_AWAY = true,
    CONF = true,
    BO_MANA = true,
    BO_PLAS = true,
    S_MONSTERS = true,
    S_ANGEL = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VARGO_TYRANT_OF_FIRE',
  name = [[Vargo, Tyrant of Fire]],
  display = 'E',
  color = colors.C_r,
  desc = [[A towering fire elemental, Vargo burns everything beyond recognition.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 50,
  max_life = 2400,
  rarity = 3,
  level = 43,
  exp_worth = 4000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    NO_STUN = true,
    SUSCEP_COLD = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    BO_PLAS = true,
    BA_FIRE = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_WRAITH',
  name = [[Black wraith]],
  display = 'W',
  color = colors.C_D,
  desc = [[A figure that seems made of void, its strangely human shape is cloaked in shadow. It reaches out at you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = 500,
  rarity = 2,
  level = 38,
  exp_worth = 1700,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MONASTIC_LICH',
  name = [[Monastic lich]],
  display = 'L',
  color = colors.C_u,
  desc = [[A skeletal form wrapped in priestly robes. Before its un-death, it was a monk in an evil order.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 1200,
  rarity = 2,
  level = 39,
  exp_worth = 5000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={24,1} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={24,1} },
    { type=DamageType.EXP_80, method=AttackType.CLAW, dam={4,2} },
    { type=DamageType.LOSE_DEX, method=AttackType.CLAW, dam={4,2} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NETHER_WRAITH',
  name = [[Nether wraith]],
  display = 'W',
  color = colors.C_G,
  desc = [[A form that hurts the eye, death permeates the air around it. As it nears you, a coldness saps your soul.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = 480,
  rarity = 2,
  level = 39,
  exp_worth = 1700,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    DROP_90 = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,12} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    CAUSE_3 = true,
    MIND_BLAST = true,
    DARKNESS = true,
    BO_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HELLHOUND',
  name = [[Hellhound]],
  display = 'C',
  color = colors.C_r,
  desc = [[It is a giant dog that glows with heat. Flames pour from its nostrils.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 480,
  rarity = 3,
  level = 35,
  exp_worth = 600,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_FIRE = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    AURA_FIRE = true,
    SUSCEP_COLD = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={3,12} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 25,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WALDERN_KING_OF_WATER',
  name = [[Waldern, King of Water]],
  display = 'E',
  color = colors.C_b,
  desc = [[A towering water elemental, Waldern is master of all things liquid. Wave after wave drowns your frail body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 2500,
  rarity = 3,
  level = 43,
  exp_worth = 4250,
  unique = true,
  flags = {
    IM_FIRE = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    KILL_BODY = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
  },
  spells = {
    BO_ICEE = true,
    BO_WATE = true,
    BA_COLD = true,
    BA_WATE = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KAVLAX_THE_MANY_HEADED',
  name = [[Kavlax the Many-Headed]],
  display = 'd',
  color = colors.C_v,
  desc = [[A large dragon with a selection of heads, all shouting and arguing as they look for prey, but each with its own deadly breath weapon.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 85,
  max_life = 1300,
  rarity = 3,
  level = 39,
  exp_worth = 3000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    ATTR_ANY = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_SOUN = true,
    BR_CONF = true,
    BR_SHAR = true,
    BR_GRAV = true,
    BR_NEXU = true,
  },
  body = { MAIN_HAND=0, OFF_HAND=0, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=0, BOOTS=0, HELM=2, RING=6, AMULET=2, LITE=1, TOOL=0, SYMBIOTE=1, INVEN=23 },
  speed = 10,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_WHITE_DRAGON',
  name = [[Ancient white dragon]],
  display = 'D',
  color = colors.C_w,
  desc = [[A huge draconic form. Frost covers it from head to tail.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 720,
  rarity = 1,
  level = 40,
  exp_worth = 2000,
  flags = {
    SUSCEP_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={7,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_GREEN_DRAGON',
  name = [[Ancient green dragon]],
  display = 'D',
  color = colors.C_g,
  desc = [[A huge draconic form enveloped in clouds of poisonous vapour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 720,
  rarity = 1,
  level = 40,
  exp_worth = 2000,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={7,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELDRAK',
  name = [[Eldrak]],
  display = 'T',
  color = colors.C_r,
  desc = [[A massive troll of huge strength. Eldraks are extremely stupid and extremely violent.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 750,
  rarity = 3,
  level = 38,
  exp_worth = 1500,
  flags = {
    TROLL = true,
    WILD_WOOD = true,
    DROP_2D2 = true,
    EVIL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    WILD_SHORE = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NIGHT_MARE',
  name = [[Night mare]],
  display = 'q',
  color = colors.C_G,
  desc = [[A fearsome skeletal horse with glowing eyes that watch you with little more than a hatred of all that lives. Its flying hooves do not touch the ground.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 85,
  max_life = 1500,
  rarity = 3,
  level = 39,
  exp_worth = 2900,
  flags = {
    IM_POIS = true,
    ONLY_GOLD = true,
    DROP_2D2 = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,8} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={6,6} },
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VAMPIRE_LORD',
  name = [[Vampire lord]],
  display = 'V',
  color = colors.C_b,
  desc = [[A foul wind chills your bones as this ghastly figure approaches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 2000,
  rarity = 1,
  level = 42,
  exp_worth = 1800,
  flags = {
    DROP_60 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=70, magic=30, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={4,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={4,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    DARKNESS = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_BLACK_DRAGON',
  name = [[Ancient black dragon]],
  display = 'D',
  color = colors.C_s,
  desc = [[A huge draconic form. Pools of acid melt the floor around it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 1,
  level = 41,
  exp_worth = 2500,
  flags = {
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={7,9} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ACID = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHADOWFAX_STEED_OF_GANDALF',
  name = [[Shadowfax, steed of Gandalf]],
  display = 'q',
  color = colors.C_v,
  desc = [[Shadowfax is the chief of the "Mearas", the greatest of all horses that are bred in the fields of Rohan.  Although the Mearas should technically be only ridden by the royal family of Rohan, only Gandalf the Wizard has ever succeeded in taming Shadowfax: and even then, Shadowfax will not be subjected to a bridle or saddle, but must be ridden bareback.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 3000,
  rarity = 3,
  level = 40,
  exp_worth = 2000,
  unique = true,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    UNIQUE = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={6,6} },
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_TROLL',
  name = [[Spirit troll]],
  display = 'G',
  color = colors.C_G,
  desc = [[A weird ghostly troll-like being from the ethereal plane.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 3,
  level = 40,
  exp_worth = 900,
  flags = {
    TROLL = true,
    PASS_WALL = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    NO_CUT = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  body = bodies.none,
  speed = 0,
  vision = 20,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WAR_TROLL',
  name = [[War troll]],
  display = 'T',
  color = colors.C_b,
  desc = [[A massive troll, equipped with a scimitar and heavy armour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = 500,
  rarity = 3,
  level = 40,
  exp_worth = 800,
  flags = {
    TROLL = true,
    REGENERATE = true,
    IM_POIS = true,
    FRIENDS = true,
    BASH_DOOR = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DISENCHANTER_WORM_MASS',
  name = [[Disenchanter worm mass]],
  display = 'w',
  color = colors.C_v,
  desc = [[It is a strange mass of squirming worms. Magical energy crackles around its disgusting form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 5,
  max_life = resolvers.dice(10, 8),
  rarity = 3,
  level = 40,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    RES_DISE = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    HURT_LITE = true,
    STUPID = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.CRAWL, dam={1,4} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = -10,
  vision = 7,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROTTING_QUYLTHULG',
  name = [[Rotting quylthulg]],
  display = 'Q',
  color = colors.C_u,
  desc = [[It is a pulsing flesh mound that reeks of death and putrefaction.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 1,
  max_life = 480,
  rarity = 1,
  level = 45,
  exp_worth = 3000,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TPORT = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_TITAN',
  name = [[Lesser titan]],
  display = 'P',
  color = colors.C_y,
  desc = [[It is a humanoid figure thirty feet tall that gives off an aura of power and hate.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 2400,
  rarity = 3,
  level = 56,
  exp_worth = 6000,
  flags = {
    DROP_GOOD = true,
    MALE = true,
    GIANT = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={9,9} },
  },
  spells = {
    HEAL = true,
    TELE_TO = true,
    SCARE = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ENCHANTRESS',
  name = [[Enchantress]],
  display = 'p',
  color = colors.C_R,
  desc = [[This elusive female spellcaster has a special affinity for dragons, without whom she rarely fights.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 520,
  rarity = 4,
  level = 40,
  exp_worth = 2100,
  flags = {
    MORTAL = true,
    DROP_2D2 = true,
    EVIL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
  },
  spells = {
    BLIND = true,
    S_DRAGON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RANGER_CHIEFTAIN',
  name = [[Ranger chieftain]],
  display = 'p',
  color = colors.C_W,
  desc = [[A chieftain among the Rangers.  His understanding of nature gives him powerful elemental spells to use against you, in addition to his skills as an archer and a warrior.  Furthermore, he is a master of camouflage, so you will need magically enhanced seeing to spot him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = 1000,
  rarity = 2,
  level = 41,
  exp_worth = 1800,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    SMART = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=50, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    S_MONSTERS = true,
    ARROW_2 = true,
    ARROW_3 = true,
    ARROW_4 = true,
    MISSILE = true,
    BO_FIRE = true,
    BO_ELEC = true,
    BA_COLD = true,
    HASTE = true,
    BLINK = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SORCERER',
  name = [[Sorcerer]],
  display = 'p',
  color = colors.C_R,
  desc = [[A human figure in robes, he moves with magically improved speed, and his hands are ablur with spell casting.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 520,
  rarity = 2,
  level = 40,
  exp_worth = 2150,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    DROP_90 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    CAUSE_3 = true,
    TRAPS = true,
    BO_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    S_MONSTER = true,
    S_UNDEAD = true,
    S_DRAGON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'XAREN',
  name = [[Xaren]],
  display = 'X',
  color = colors.C_s,
  desc = [[It is a tougher relative of the Xorn. Its hide glitters with metal ores.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 320,
  rarity = 1,
  level = 40,
  exp_worth = 1200,
  flags = {
    PASS_WALL = true,
    SUSCEP_ACID = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    ONLY_GOLD = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  body = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=3, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_ROC',
  name = [[Giant roc]],
  display = 'B',
  color = colors.C_u,
  desc = [[A vast legendary bird, its iron talons rake the most impenetrable of surfaces and its screech echoes through the many winding dungeon corridors.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 13,
  ac = 70,
  max_life = resolvers.dice(80, 13),
  rarity = 3,
  level = 40,
  exp_worth = 1000,
  flags = {
    SUSCEP_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    WILD_WOOD = true,
    WILD_MOUNTAIN = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={12,12} },
  },
  body = bodies.winged,
  speed = 0,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MINOTAUR',
  name = [[Minotaur]],
  display = 'H',
  color = colors.C_U,
  desc = [[It is a cross between a human and a bull.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = resolvers.dice(100, 10),
  rarity = 2,
  level = 40,
  exp_worth = 2100,
  flags = {
    MORTAL = true,
    DROP_SKELETON = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    BASH_DOOR = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={2,6} },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 13,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MEDUSA_THE_GORGON',
  name = [[Medusa, the Gorgon]],
  display = 'n',
  color = colors.C_v,
  desc = [[One of the original three ugly sisters. Her face could sink a thousand ships. Her scales rattle as she slithers towards you, venom dripping from her ghastly mouth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2400,
  rarity = 3,
  level = 40,
  exp_worth = 9000,
  unique = true,
  flags = {
    MORTAL = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=30, combat=35, magic=35, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.GAZE },
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_FIRE = true,
    BO_PLAS = true,
    BA_ACID = true,
    S_HYDRA = true,
    S_KIN = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=1, BOOTS=1, HELM=0, RING=2, AMULET=0, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 10,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_DRAKE',
  name = [[Death drake]],
  display = 'D',
  color = colors.C_G,
  desc = [[It is a dragon-like form wrapped in darkness. You cannot make out its true form but you sense its evil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2100,
  rarity = 2,
  level = 45,
  exp_worth = 10000,
  flags = {
    PASS_WALL = true,
    DROP_2D2 = true,
    EVIL = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    IM_COLD = true,
    RES_NETH = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={7,10} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_NETH = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_RED_DRAGON',
  name = [[Ancient red dragon]],
  display = 'D',
  color = colors.C_r,
  desc = [[A huge draconic form. Wisps of smoke steam from its nostrils and the extreme heat surrounding it makes you gasp for breath.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 1,
  level = 41,
  exp_worth = 2500,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    SUSCEP_COLD = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={7,9} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_GOLD_DRAGON',
  name = [[Ancient gold dragon]],
  display = 'D',
  color = colors.C_y,
  desc = [[A huge draconic form wreathed in a nimbus of light. Its roar stuns and deafens you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 1,
  level = 41,
  exp_worth = 2500,
  flags = {
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,9} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,9} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_CRYSTAL_DRAKE',
  name = [[Great crystal drake]],
  display = 'D',
  color = colors.C_U,
  desc = [[A huge crystalline dragon. Its claws could cut you to shreds and its teeth are razor sharp. Strange colours ripple through it as it moves in the light.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2100,
  rarity = 2,
  level = 45,
  exp_worth = 10000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    REFLECTING = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,10} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    SCARE = true,
    BR_SHAR = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VROCK',
  name = [[Vrock]],
  display = 'U',
  color = colors.C_s,
  desc = [[It is a demon with a long neck and raking claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 400,
  rarity = 2,
  level = 40,
  exp_worth = 2000,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_FIRE = true,
    POWERFUL = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
  },
  spells = {
    BLIND = true,
    CONF = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_QUASIT',
  name = [[Death quasit]],
  display = 'u',
  color = colors.C_D,
  desc = [[It is a demon of small stature, but its armoured frame moves with lightning speed and its powers make it a tornado of death and destruction.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 440,
  rarity = 3,
  level = 40,
  exp_worth = 1000,
  flags = {
    PASS_WALL = true,
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_90 = true,
    DEMON = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.LOSE_DEX, method=AttackType.BITE, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    FORGET = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FALLEN_ANGEL',
  name = [[Fallen angel]],
  display = 'A',
  color = colors.C_s,
  desc = [[An angelic being, who was mighty once, but dared defy its Creator.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 90,
  max_life = resolvers.dice(100, 25),
  rarity = 6,
  level = 49,
  exp_worth = 8000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    RES_NETH = true,
    CAN_FLY = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.GAZE, dam={4,4} },
    { type=DamageType.EXP_40, method=AttackType.GAZE, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    SCARE = true,
    CAUSE_2 = true,
    CAUSE_4 = true,
    S_DEMON = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DARK_ELVEN_SORCERER',
  name = [[Dark elven sorcerer]],
  display = 'h',
  color = colors.C_R,
  desc = [[A dark elven figure, dressed in deepest black. Power seems to crackle from his slender frame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 800,
  rarity = 2,
  level = 41,
  exp_worth = 3000,
  flags = {
    MALE = true,
    EVIL = true,
    DROP_90 = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,8} },
  },
  spells = {
    HEAL = true,
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    CAUSE_3 = true,
    DARKNESS = true,
    BO_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    ANIM_DEAD = true,
    S_MONSTER = true,
    S_UNDEAD = true,
    S_DEMON = true,
    MISSILE = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_LICH',
  name = [[Master lich]],
  display = 'L',
  color = colors.C_r,
  desc = [[A skeletal form wrapped in robes. Powerful magic crackles along its bony fingers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 1800,
  rarity = 2,
  level = 41,
  exp_worth = 7000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=45, magic=25, tool=10 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,12} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ARCHON',
  name = [[Archon]],
  display = 'A',
  color = colors.C_y,
  desc = [[Never a more heavenly being have you seen. The very holiness of its presence makes you deeply respect it. Few creatures can match the powers of an Archon; fewer still live to tell the tale after attacking one.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 35,
  ac = 140,
  max_life = resolvers.dice(100, 35),
  rarity = 5,
  level = 55,
  exp_worth = 12000,
  flags = {
    IM_FIRE = true,
    DROP_3D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.GAZE, dam={4,4} },
    { type=DamageType.TERRIFY, method=AttackType.GAZE, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    SCARE = true,
    CAUSE_2 = true,
    CAUSE_4 = true,
    BO_MANA = true,
    S_ANGEL = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UNDEAD_BEHOLDER',
  name = [[Undead beholder]],
  display = 'e',
  color = colors.C_u,
  desc = [[A beholder which has cheated death.  Black nether storms rage around the bloodshot pupil of its central giant eye, and light seems to bend as it sucks its power from the very air around it.  Your soul chills as it drains your vitality for its evil enchantments.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2700,
  rarity = 3,
  level = 45,
  exp_worth = 8000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.GAZE, dam={3,6} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={3,6} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={3,6} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={7,6} },
  },
  spells = {
    SLOW = true,
    CONF = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    FORGET = true,
    BO_MANA = true,
    BO_NETH = true,
    BRAIN_SMASH = true,
    BA_FIRE = true,
    BA_COLD = true,
    BO_ACID = true,
    S_UNDEAD = true,
    ANIM_DEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SHADOW',
  name = [[Shadow]],
  display = 'G',
  color = colors.C_D,
  desc = [[A mighty spirit of darkness of vaguely humanoid form. Razor-edged claws reach out to end your life as it glides towards you, seeking to suck the energy from your soul to feed its power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 30,
  max_life = resolvers.dice(10, 20),
  rarity = 3,
  level = 37,
  exp_worth = 400,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    RES_NETH = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=90, combat=10, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.EXP_40, method=AttackType.TOUCH },
    { type=DamageType.LOSE_INT, method=AttackType.CLAW, dam={1,10} },
    { type=DamageType.LOSE_WIS, method=AttackType.CLAW, dam={1,10} },
  },
  spells = {
    BO_NETH = true,
    TELE_TO = true,
    SLOW = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'IRON_LICH',
  name = [[Iron lich]],
  display = 'L',
  color = colors.C_s,
  desc = [[It is a huge, twisted grey skull floating through the air. Its cold eyes burn with hatred towards all who live.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2200,
  rarity = 4,
  level = 42,
  exp_worth = 10000,
  flags = {
    SUSCEP_ACID = true,
    DROP_60 = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    REFLECTING = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.BUTT, dam={3,6} },
    { type=DamageType.FIRE, method=AttackType.BUTT, dam={3,6} },
    { type=DamageType.ELEC, method=AttackType.BUTT, dam={3,6} },
  },
  spells = {
    BA_WATE = true,
    BA_FIRE = true,
    BO_ICEE = true,
    BA_ELEC = true,
    BA_COLD = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    S_UNDEAD = true,
  },
  body = bodies.snake,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DREAD_GRP',
  name = [[Dread]],
  display = 'G',
  color = colors.C_o,
  desc = [[It is a form that screams its presence against the eye. Death incarnate, its hideous black body seems to struggle against reality as the universe itself struggles to banish it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 30,
  max_life = resolvers.dice(25, 20),
  rarity = 1,
  level = 42,
  exp_worth = 600,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    FRIENDS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    TAKE_ITEM = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    CONF = true,
    DRAIN_MANA = true,
    BO_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_BASILISK',
  name = [[Greater basilisk]],
  display = 'R',
  color = colors.C_D,
  desc = [[A large basilisk, whose shape resembles that of a great wyrm.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = resolvers.dice(20, 100),
  rarity = 2,
  level = 42,
  exp_worth = 10000,
  flags = {
    ANIMAL = true,
    DROP_GOOD = true,
    MORTAL = true,
    CAN_SWIM = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE, dam={3,12} },
    { type=DamageType.PARALYZE, method=AttackType.GAZE, dam={3,12} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_POIS = true,
    BR_DARK = true,
    BR_NEXU = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 25,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MUMAK_GRP',
  name = [[Mumak]],
  display = 'q',
  color = colors.C_s,
  desc = [[A massive elephantine form with eyes twisted by madness.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = resolvers.dice(90, 10),
  rarity = 2,
  level = 63,
  exp_worth = 2100,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FRIENDS = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 20,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_MULTI_HUED_DRAGON',
  name = [[Ancient multi-hued dragon]],
  display = 'D',
  color = colors.C_v,
  desc = [[A huge draconic form. Many colours ripple down its massive frame. Few live to see another.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2100,
  rarity = 1,
  level = 43,
  exp_worth = 13000,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,10} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ETHEREAL_DRAGON',
  name = [[Ethereal dragon]],
  display = 'D',
  color = colors.C_o,
  desc = [[A huge dragon emanating from the ethereal plane, this terrible creature is a master of light and dark. Its form disappears from sight as it cloaks itself in unearthly shadows.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 2100,
  rarity = 2,
  level = 45,
  exp_worth = 10000,
  flags = {
    PASS_WALL = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    DROP_2D2 = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,10} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'QUAKER_MASTER_OF_EARTH',
  name = [[Quaker, Master of Earth]],
  display = 'E',
  color = colors.C_u,
  desc = [[A towering stone elemental stands before you. The walls and ceiling are reduced to rubble as Quaker advances.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 97,
  max_life = 2800,
  rarity = 3,
  level = 43,
  exp_worth = 4500,
  unique = true,
  flags = {
    PASS_WALL = true,
    MALE = true,
    IM_FIRE = true,
    NO_STUN = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    KILL_WALL = true,
    NO_CUT = true,
    NO_FEAR = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    BO_ACID = true,
    BA_ACID = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 10,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ARIEL_QUEEN_OF_AIR',
  name = [[Ariel, Queen of Air]],
  display = 'E',
  color = colors.C_B,
  desc = [[A towering air elemental, Ariel the sorceress avoids your blows with her extreme speed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 50,
  max_life = 2700,
  rarity = 3,
  level = 43,
  exp_worth = 4750,
  unique = true,
  flags = {
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    COLD_BLOOD = true,
    KILL_BODY = true,
    KILL_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={4,4} },
  },
  spells = {
    BO_ELEC = true,
    BA_COLD = true,
    BA_ELEC = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 12,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PATRIARCH',
  name = [[Patriarch]],
  display = 'p',
  color = colors.C_G,
  desc = [[An evil priest, dressed all in black.  Deadly spells hit you at an alarming rate as his black spiked mace rains down blow after blow on your pitiful frame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 520,
  rarity = 2,
  level = 40,
  exp_worth = 1800,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_90 = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=10, magic=90, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    HOLD = true,
    CAUSE_4 = true,
    CAUSE_3 = true,
    ANIM_DEAD = true,
    S_MONSTERS = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DREADMASTER',
  name = [[Dreadmaster]],
  display = 'G',
  color = colors.C_y,
  desc = [[It is an unlife of power almost unequalled. An affront to existence, its very touch abuses and disrupts the flow of life, and its unearthly limbs, of purest black, crush rock and flesh with ease.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 1200,
  rarity = 2,
  level = 44,
  exp_worth = 8000,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    TAKE_ITEM = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=40, magic=25, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    TELE_LEVEL = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BO_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DROLEM',
  name = [[Drolem]],
  display = 'g',
  color = colors.C_g,
  desc = [[A constructed dragon, the drolem has massive strength. Powerful spells weaved during its creation make it a fearsome adversary. Its eyes show little intelligence, but it has been instructed to destroy all it meets.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 130,
  max_life = 3000,
  rarity = 3,
  level = 44,
  exp_worth = 12000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DRAGON = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,10} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={5,10} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={5,10} },
  },
  spells = {
    BLIND = true,
    SLOW = true,
    CONF = true,
    ARROW_3 = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SCATHA_THE_WORM',
  name = [[Scatha the Worm]],
  display = 'D',
  color = colors.C_W,
  desc = [[An ancient and wise dragon, Scatha has grown clever over the long years. His scales are covered with frost, and his breath sends a shower of ice into the air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 130,
  max_life = 2200,
  rarity = 2,
  level = 46,
  exp_worth = 17000,
  unique = true,
  flags = {
    MALE = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={4,14} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={4,14} },
  },
  spells = {
    CONF = true,
    CAUSE_3 = true,
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_BLACK_REAVER',
  name = [[Lesser black reaver]],
  display = 'L',
  color = colors.C_D,
  desc = [[A humanoid form, black as night, advancing steadily and unstoppably.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 2500,
  rarity = 3,
  level = 45,
  exp_worth = 12000,
  flags = {
    MORTAL = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    KILL_WALL = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    CAUSE_3 = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    BA_NETH = true,
    ANIM_DEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRAND_MASTER_THIEF',
  name = [[Grand master thief]],
  display = 'p',
  color = colors.C_b,
  desc = [[A class of its own: you are already too late to protect your possessions - and he seems to have studied magic too, and is a master of setting traps.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 75,
  max_life = resolvers.dice(15, 100),
  rarity = 2,
  level = 46,
  exp_worth = 1500,
  flags = {
    MALE = true,
    OPEN_DOOR = true,
    DROP_2D2 = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
    EVIL = true,
  },
  drop = { treasure=70, combat=10, magic=10, tool=10 },
  attacks = {
    { type=DamageType.EAT_ITEM, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.EAT_ITEM, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.EAT_GOLD, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.EAT_GOLD, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BLINK = true,
    TPORT = true,
    TELE_TO = true,
    CONF = true,
    TRAPS = true,
    ARROW_2 = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 50,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SMAUG_THE_GOLDEN',
  name = [[Smaug the Golden]],
  display = 'D',
  color = colors.C_R,
  desc = [[Smaug is one of the Uruloki that still survive, a fire-drake of immense cunning and intelligence.  His speed through air is matched by few other dragons, his dragonfire is legendary, and his hide is armoured with diamonds. He is believed to be the greatest dragon still surviving into the Third Age.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 2400,
  rarity = 2,
  level = 48,
  exp_worth = 23000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    REFLECTING = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,14} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,14} },
  },
  spells = {
    CONF = true,
    CAUSE_3 = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KNIGHT_TEMPLAR',
  name = [[Knight Templar]],
  display = 'p',
  color = colors.C_w,
  desc = [[It seems that the more devout the person, the more likely they are to cross the boundary between piety and sanctimoniousness.  And such is the case with the Order of the Knights Templar; they are among the most pious and powerful of the religious knightly orders, but noted for their intolerance. Thus it is Morgoth's will that is unwittingly done, as the forces of good are set against each other.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = 1200,
  rarity = 2,
  level = 44,
  exp_worth = 2000,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    IM_FIRE = true,
    DROP_90 = true,
    NO_STUN = true,
    RES_TELE = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    IM_ACID = true,
    RES_DISE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    IM_COLD = true,
    RES_NETH = true,
    NO_SLEEP = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    HEAL = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    HASTE = true,
    SCARE = true,
    BLIND = true,
    S_ANGEL = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRACOLICH',
  name = [[Dracolich]],
  display = 'D',
  color = colors.C_G,
  desc = [[The skeletal form of a once-great dragon, enchanted by magic most perilous. Its animated form strikes with speed and drains life from its prey to satisfy its hunger.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 3500,
  rarity = 2,
  level = 55,
  exp_worth = 18000,
  flags = {
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=50, magic=40, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={7,14} },
  },
  spells = {
    CONF = true,
    SCARE = true,
    BR_COLD = true,
    BR_NETH = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_TITAN',
  name = [[Greater titan]],
  display = 'P',
  color = colors.C_o,
  desc = [[A forty foot tall humanoid that shakes the ground as it walks. The power radiating from its frame shakes your courage, its hatred inspired by your defiance.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 125,
  max_life = 3800,
  rarity = 3,
  level = 66,
  exp_worth = 23500,
  flags = {
    MALE = true,
    EVIL = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    GIANT = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
  },
  spells = {
    HEAL = true,
    TELE_TO = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRACOLISK',
  name = [[Dracolisk]],
  display = 'D',
  color = colors.C_R,
  desc = [[A mixture of dragon and basilisk, the dracolisk stares at you with deep piercing eyes, its evil breath burning the ground where it stands.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 3500,
  rarity = 2,
  level = 55,
  exp_worth = 18000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    DROP_GOOD = true,
    ANIMAL = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    DRAGON = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=40, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={7,14} },
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
  },
  spells = {
    HOLD = true,
    SCARE = true,
    BR_FIRE = true,
    BR_NEXU = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ENT',
  name = [[Ent]],
  display = '#',
  color = colors.C_G,
  desc = [[A tree-herd: a sentient, moving tree. Its wrath is fearsome, and it could split stones and even the very rock of Isengard with its roots.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 4000,
  rarity = 3,
  level = 46,
  exp_worth = 12500,
  flags = {
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    SUSCEP_FIRE = true,
    MOVE_BODY = true,
    KILL_WALL = true,
    NO_CUT = true,
    SMART = true,
    PET = true,
    GOOD = true,
    ONLY_ITEM = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
  },
  drop = { treasure=30, combat=50, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HRU',
  name = [[Hru]],
  display = 'P',
  color = colors.C_s,
  desc = [[A rock giant, a being made of living stone.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 3,
  level = 54,
  exp_worth = 14500,
  flags = {
    MALE = true,
    EVIL = true,
    KILL_WALL = true,
    NO_CUT = true,
    SMART = true,
    HURT_ROCK = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    GIANT = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={12,13} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={12,13} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={12,13} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={12,13} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ITANGAST_THE_FIRE_DRAKE',
  name = [[Itangast the Fire Drake]],
  display = 'D',
  color = colors.C_R,
  desc = [[A mighty ancient dragon, Itangast's form scorches your flesh. Wisps of smoke curl up from his nostrils as he regards you with disdain.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 2200,
  rarity = 2,
  level = 47,
  exp_worth = 20000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    SUSCEP_COLD = true,
    DROP_3D2 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,10} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={4,14} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={4,14} },
  },
  spells = {
    CONF = true,
    CAUSE_3 = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEATH_MOLD',
  name = [[Death mold]],
  display = 'm',
  color = colors.C_D,
  desc = [[It is the epitome of all that is evil, in a mold. Its lifeless form draws power from sucking the souls of those that approach it; a nimbus of pure evil surrounds it. Luckily for you, it can't move...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 60,
  max_life = resolvers.dice(100, 20),
  rarity = 1,
  level = 47,
  exp_worth = 1000,
  flags = {
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.SPORE, dam={7,7} },
    { type=DamageType.UN_BONUS, method=AttackType.SPORE, dam={7,7} },
    { type=DamageType.UN_BONUS, method=AttackType.SPORE, dam={7,7} },
    { type=DamageType.EXP_80, method=AttackType.SPORE, dam={5,5} },
  },
  body = bodies.none,
  speed = 30,
  vision = 200,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'QUICKBEAM_THE_ENT',
  name = [[Quickbeam, the Ent]],
  display = '#',
  color = colors.C_G,
  desc = [[Unusually hasty, for an ent.  Quickbeam hates evil creatures, and orcs in particular, since the destruction of his beloved rowan-trees to feed the fires of Orthanc.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 4000,
  rarity = 3,
  level = 47,
  exp_worth = 13500,
  unique = true,
  flags = {
    SUSCEP_FIRE = true,
    UNIQUE = true,
    KILL_WALL = true,
    NO_CUT = true,
    SMART = true,
    GOOD = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    PET = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=10, combat=50, magic=20, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={12,13} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GLAURUNG_FATHER_OF_THE_DRAGONS',
  name = [[Glaurung, Father of the Dragons]],
  display = 'D',
  color = colors.C_R,
  desc = [[Glaurung is the father of all dragons, and was for a long time the most powerful.  Though this is no longer so, he still has full command over his brood and can command them to appear whenever he so wishes.  He is the definition of dragonfire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 125,
  max_life = 12000,
  rarity = 2,
  level = 70,
  exp_worth = 50000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    DROP_RANDART = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=30, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={8,14} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={8,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
    BR_POIS = true,
    BR_SOUN = true,
    S_HI_DRAGON = true,
  },
  body = bodies.dragon,
  speed = 20,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BEHEMOTH',
  name = [[Behemoth]],
  display = 'H',
  color = colors.C_B,
  desc = [[A great water-beast, with an almost impenetrable skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = 5000,
  rarity = 3,
  level = 49,
  exp_worth = 16000,
  flags = {
    IM_ACID = true,
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    IM_FIRE = true,
    IM_COLD = true,
    NO_SLEEP = true,
    AQUATIC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,8} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={3,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={3,15} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 25,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_WALL_MONSTER',
  name = [[Greater wall monster]],
  display = '#',
  color = colors.C_W,
  desc = [[A sentient, moving section of wall.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=50,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 40,
  ac = 80,
  max_life = resolvers.dice(15, 40),
  rarity = 4,
  level = 44,
  exp_worth = 900,
  flags = {
    PASS_WALL = true,
    NONLIVING = true,
    IM_FIRE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CHAR_MULTI = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NYCADAEMON',
  name = [[Nycadaemon]],
  display = 'U',
  color = colors.C_o,
  desc = [[A loathsome, sturdy, winged, horned demon, with talons that could tear a stone wall down.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 99,
  ac = 80,
  max_life = 2871,
  rarity = 3,
  level = 51,
  exp_worth = 10000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    EVIL = true,
    NO_STUN = true,
    KILL_WALL = true,
    DEMON = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_COLD = true,
    AURA_FIRE = true,
    DROP_1D2 = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,6} },
  },
  spells = {
    HOLD = true,
    BLINK = true,
    CONF = true,
    S_DEMON = true,
    BRAIN_SMASH = true,
    BR_NETH = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BARBAZU',
  name = [[Barbazu]],
  display = 'U',
  color = colors.C_G,
  desc = [[A foul, humanoid creature with a long tail, clawed hands and feet, and a disgusting, wiry, snaky beard.  They are the elite shock troops of the hells, capable of a terrifying berserk fury.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 1200,
  rarity = 2,
  level = 55,
  exp_worth = 3000,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    POWERFUL = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    FORCE_MAXHP = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=20, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,10} },
    { type=DamageType.LOSE_CON, method=AttackType.HIT, dam={10,2} },
    { type=DamageType.POISON, method=AttackType.STING, dam={5,5} },
  },
  spells = {
    SCARE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 25,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NIGHTWING',
  name = [[Nightwing]],
  display = 'W',
  color = colors.C_D,
  desc = [[Everywhere colours seem paler and the air chiller. At the centre of the cold stands a mighty figure. Its wings envelop you in the chill of death as the nightwing reaches out to draw you into oblivion. Your muscles sag and your mind loses all will to fight as you stand in awe of this mighty being.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 60,
  ac = 120,
  max_life = 3600,
  rarity = 4,
  level = 61,
  exp_worth = 10000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={6,5} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={6,5} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    BO_MANA = true,
    BO_NETH = true,
    BA_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MAULOTAUR',
  name = [[Maulotaur]],
  display = 'H',
  color = colors.C_s,
  desc = [[It is a belligerent minotaur with a destructive magical arsenal, armed with a hammer.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 13,
  ac = 50,
  max_life = 3250,
  rarity = 2,
  level = 50,
  exp_worth = 4500,
  flags = {
    DROP_GOOD = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    STUPID = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={4,6} },
  },
  spells = {
    BO_PLAS = true,
    BA_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 13,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NETHER_HOUND',
  name = [[Nether hound]],
  display = 'Z',
  color = colors.C_G,
  desc = [[You feel a soul-tearing chill upon viewing this beast, a ghostly form of darkness in the shape of a large dog.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(60, 10),
  rarity = 2,
  level = 51,
  exp_worth = 5000,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    RES_NETH = true,
    NO_SLEEP = true,
    NO_CUT = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_NETH = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TIME_HOUND',
  name = [[Time hound]],
  display = 'Z',
  color = colors.C_B,
  desc = [[You get a terrible sense of deja vu, or is it a premonition?  All at once you see a little puppy and a toothless old dog. Perhaps you should give up and go to bed.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(60, 10),
  rarity = 2,
  level = 51,
  exp_worth = 5000,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_TIME = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PLASMA_HOUND',
  name = [[Plasma hound]],
  display = 'Z',
  color = colors.C_R,
  desc = [[The very air warps as pure elemental energy stalks towards you in the shape of a giant hound. Your hair stands on end and your palms itch as you sense trouble.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(60, 10),
  rarity = 2,
  level = 51,
  exp_worth = 5000,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    RES_PLAS = true,
    IM_FIRE = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    SUSCEP_COLD = true,
    NO_CUT = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
  },
  spells = {
    BR_PLAS = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEMONIC_QUYLTHULG',
  name = [[Demonic quylthulg]],
  display = 'Q',
  color = colors.C_r,
  desc = [[A pile of pulsing flesh that glows with an inner hellish fire. The world itself seems to cry out against it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 1,
  max_life = 480,
  rarity = 1,
  level = 45,
  exp_worth = 3000,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TPORT = true,
    S_DEMON = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_STORM_WYRM',
  name = [[Great Storm Wyrm]],
  display = 'D',
  color = colors.C_b,
  desc = [[A vast dragon of power. Storms and lightning crash around its titanic form. Deep blue scales reflect the flashes and highlight the creature's great muscles. It regards you with contempt.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 2,
  level = 63,
  exp_worth = 20000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    AURA_ELEC = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ELEC = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BAPHOMET_THE_MINOTAUR_LORD',
  name = [[Baphomet the Minotaur Lord]],
  display = 'H',
  color = colors.C_v,
  desc = [[A fearsome bull-headed monster, Baphomet swings a mighty axe as he curses all that defy him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 3500,
  rarity = 4,
  level = 58,
  exp_worth = 18000,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.BUTT, dam={12,13} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    SLOW = true,
    ARROW_4 = true,
    BO_MANA = true,
    BO_PLAS = true,
    BA_ELEC = true,
    BR_WALL = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HELL_KNIGHT',
  name = [[Hell knight]],
  display = 'p',
  color = colors.C_D,
  desc = [[It is a humanoid form dressed in armour of ancient style. From beneath its helmet, eyes glow with hellfire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 1500,
  rarity = 1,
  level = 52,
  exp_worth = 10000,
  flags = {
    MORTAL = true,
    RES_PLAS = true,
    DROP_2D2 = true,
    IM_FIRE = true,
    EVIL = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    RES_NEXU = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    RES_NETH = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
  },
  drop = { treasure=0, combat=40, magic=60, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={10,5} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    CAUSE_3 = true,
    BA_NETH = true,
    BA_FIRE = true,
    BO_PLAS = true,
    S_MONSTERS = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OLD_SORCERER',
  name = [[Old Sorcerer]],
  display = 'p',
  color = colors.C_R,
  desc = [[A human figure in robes, he moves with magically improved speed, and his hands are ablur with spell casting. You stagger at the mighty sound of his spells as they echo hollowly through the dungeon.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 60,
  max_life = 1300,
  rarity = 2,
  level = 54,
  exp_worth = 5000,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,8} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    TRAPS = true,
    BO_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    BA_POIS = true,
    S_MONSTER = true,
    S_DEMON = true,
    S_HI_DRAGON = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ETHEREAL_HOUND',
  name = [[Ethereal hound]],
  display = 'Z',
  color = colors.C_G,
  desc = [[A pale green hound. Pulsing red lines and strange fluorescent light hint at internal organs best left to the imagination.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 100,
  max_life = resolvers.dice(60, 15),
  rarity = 3,
  level = 55,
  exp_worth = 6000,
  flags = {
    ANIMAL = true,
    PASS_WALL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    FRIENDS = true,
    NO_SLEEP = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
  },
  spells = {
    BR_NETH = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_ICE_WYRM',
  name = [[Great Ice Wyrm]],
  display = 'D',
  color = colors.C_w,
  desc = [[An immense dragon capable of awesome destruction. You have never felt such extreme cold, or witnessed such an icy stare. Begone quickly or feel its wrath!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 2,
  level = 63,
  exp_worth = 20000,
  flags = {
    DROP_2D2 = true,
    AURA_COLD = true,
    SUSCEP_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_COLD = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEMILICH',
  name = [[Demilich]],
  display = 'L',
  color = colors.C_U,
  desc = [[A lich who is partially immaterial, on its way to a new, ethereal form.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 3500,
  rarity = 2,
  level = 54,
  exp_worth = 12500,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={4,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={4,12} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    S_HI_UNDEAD = true,
    S_UNDEAD = true,
    FORGET = true,
    S_DEMON = true,
    TPORT = true,
    HEAL = true,
    ANIM_DEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_PHOENIX',
  name = [[The Phoenix]],
  display = 'B',
  color = colors.C_r,
  desc = [[A massive glowing eagle bathed in flames. The searing heat chars your skin and melts your armour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 130,
  max_life = 3600,
  rarity = 3,
  level = 54,
  exp_worth = 40000,
  unique = true,
  flags = {
    RES_PLAS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    SUSCEP_COLD = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    ANIMAL = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={12,6} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={12,6} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={9,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={9,12} },
  },
  spells = {
    BO_FIRE = true,
    BO_PLAS = true,
    BA_FIRE = true,
    BR_FIRE = true,
    BR_LITE = true,
    BR_PLAS = true,
  },
  body = bodies.winged,
  speed = 10,
  vision = 60,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NIGHTCRAWLER',
  name = [[Nightcrawler]],
  display = 'W',
  color = colors.C_D,
  desc = [[This intensely evil creature bears the form of a gargantuan black worm. Its gaping maw is a void of blackness, and acid drips from its steely hide. It is like nothing you have ever seen before, and a terrible chill runs down your spine as you face it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 60,
  ac = 160,
  max_life = 4800,
  rarity = 3,
  level = 69,
  exp_worth = 1500,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    KILL_WALL = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=0, magic=50, tool=10 },
  attacks = {
    { type=DamageType.LOSE_CON, method=AttackType.STING, dam={8,8} },
    { type=DamageType.LOSE_CON, method=AttackType.STING, dam={8,8} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={10,10} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={10,10} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    BRAIN_SMASH = true,
    BO_MANA = true,
    BO_NETH = true,
    BA_NETH = true,
    BR_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HAND_DRUJ',
  name = [[Hand druj]],
  display = 's',
  color = colors.C_y,
  desc = [[A skeletal hand floating in the air, motionless except for its flexing fingers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 110,
  max_life = 600,
  rarity = 2,
  level = 57,
  exp_worth = 18000,
  flags = {
    NEVER_BLOW = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    TELE_AWAY = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    FORGET = true,
    DARKNESS = true,
    BO_FIRE = true,
    BO_ACID = true,
    BO_COLD = true,
    BO_ELEC = true,
  },
  body = { MAIN_HAND=0, OFF_HAND=0, BODY=0, CLOAK=0, LAUNCHER=0, QUIVER=0, GLOVES=0, BOOTS=0, HELM=0, RING=1, AMULET=0, LITE=0, TOOL=0, SYMBIOTE=0, INVEN=23 },
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EYE_DRUJ',
  name = [[Eye druj]],
  display = 's',
  color = colors.C_r,
  desc = [[A bloodshot eyeball floating in the air, you'd be forgiven for assuming it harmless.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 2,
  level = 58,
  exp_worth = 21000,
  flags = {
    NEVER_BLOW = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BO_MANA = true,
    BO_NETH = true,
    BA_NETH = true,
    BRAIN_SMASH = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKULL_DRUJ',
  name = [[Skull druj]],
  display = 's',
  color = colors.C_o,
  desc = [[A glowing skull possessed by sorcerous power. It need not move, but merely blast you with mighty magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 1400,
  rarity = 2,
  level = 59,
  exp_worth = 24000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    SLOW = true,
    CAUSE_4 = true,
    MIND_BLAST = true,
    BRAIN_SMASH = true,
    TRAPS = true,
    BO_PLAS = true,
    BO_NETH = true,
    BA_WATE = true,
    S_UNDEAD = true,
  },
  body = bodies.snake,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHAOS_VORTEX',
  name = [[Chaos vortex]],
  display = 'v',
  color = colors.C_v,
  desc = [[Void, nothingness, spinning destructively.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 80,
  max_life = resolvers.dice(32, 20),
  rarity = 1,
  level = 53,
  exp_worth = 4000,
  flags = {
    FORCE_SLEEP = true,
    ATTR_ANY = true,
    NONLIVING = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.CONFUSE, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.ENGULF, dam={5,5} },
  },
  spells = {
    BR_CHAO = true,
  },
  body = bodies.none,
  speed = 30,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AETHER_VORTEX',
  name = [[Aether vortex]],
  display = 'v',
  color = colors.C_v,
  desc = [[An awesome vortex of pure magic, power radiates from its frame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 40,
  max_life = resolvers.dice(40, 20),
  rarity = 2,
  level = 54,
  exp_worth = 5000,
  flags = {
    RES_PLAS = true,
    NONLIVING = true,
    IM_FIRE = true,
    AURA_COLD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_WATE = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    RES_NEXU = true,
    IM_ACID = true,
    ATTR_ANY = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    RES_NETH = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.FIRE, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.ACID, method=AttackType.ENGULF, dam={5,5} },
    { type=DamageType.COLD, method=AttackType.ENGULF, dam={5,5} },
  },
  spells = {
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_SOUN = true,
    BR_CONF = true,
    BR_CHAO = true,
    BR_SHAR = true,
    BR_NETH = true,
    BR_WALL = true,
    BR_INER = true,
    BR_TIME = true,
    BR_GRAV = true,
    BR_PLAS = true,
    BR_NEXU = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_HELL_WYRM',
  name = [[Great Hell Wyrm]],
  display = 'D',
  color = colors.C_r,
  desc = [[A vast dragon of immense power. Fire leaps continuously from its huge form. The air around it scalds you. Its slightest glance burns you, and you realise how truly insignificant you are.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 5000,
  rarity = 2,
  level = 67,
  exp_worth = 23000,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    SUSCEP_COLD = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRACONIC_QUYLTHULG',
  name = [[Draconic quylthulg]],
  display = 'Q',
  color = colors.C_g,
  desc = [[It looks like it was once a dragon corpse, now deeply infected with magical bacteria that make it pulse in a foul and degrading way.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 1,
  max_life = 480,
  rarity = 1,
  level = 45,
  exp_worth = 3000,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TPORT = true,
    S_DRAGON = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FUNDIN_BLUECLOAK',
  name = [[Fundin Bluecloak]],
  display = 'h',
  color = colors.C_B,
  desc = [[He is one of the greatest dwarven priests to walk the earth. Fundin has earned a high position in the church, and his skill with both weapon and spell only justify his position further. His combination of both dwarven strength and priestly wisdom are a true match for any adventurer.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 195,
  max_life = 5000,
  rarity = 2,
  level = 56,
  exp_worth = 20000,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    PET = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    FORGET = true,
    S_MONSTERS = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 25,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BILE_DEMON',
  name = [[Bile Demon]],
  display = 'U',
  color = colors.C_R,
  desc = [[It's big.  It's fat.  It's red.  It's ugly.  It's got a severe attack of highly poisonous flatulence.  And its insides are corrosive.  All of which go together to make the single most repulsive sight - and smell - you have ever experienced.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 3500,
  rarity = 2,
  level = 61,
  exp_worth = 12000,
  flags = {
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DROP_3D2 = true,
    DEMON = true,
    ONLY_ITEM = true,
    FORCE_MAXHP = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=70, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.ACID, method=AttackType.CRUSH, dam={9,9} },
    { type=DamageType.ACID, method=AttackType.CRUSH, dam={9,9} },
  },
  spells = {
    BR_POIS = true,
    BR_ACID = true,
    S_DEMON = true,
    BLIND = true,
    CONF = true,
    ARROW_4 = true,
  },
  body = { MAIN_HAND=1, OFF_HAND=1, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=1, BOOTS=0, HELM=1, RING=2, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 40,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'URIEL_ANGEL_OF_FIRE',
  name = [[Uriel, Angel of Fire]],
  display = 'A',
  color = colors.C_R,
  desc = [[A creature of godly appearance. You dare not challenge Uriel's supremacy. Those who stood against him before are but a memory, cremated by his mastery of elemental fire.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 160,
  max_life = 5500,
  rarity = 3,
  level = 61,
  exp_worth = 25000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_3D2 = true,
    SUSCEP_COLD = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    BO_FIRE = true,
    BO_MANA = true,
    BA_FIRE = true,
    BR_FIRE = true,
    BR_PLAS = true,
    S_ANGEL = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AZRIEL_ANGEL_OF_DEATH',
  name = [[Azriel, Angel of Death]],
  display = 'A',
  color = colors.C_D,
  desc = [[Azriel commands awesome power, his visage holy enough to shrivel your soul. You shriek with disbelief as his mastery of death draws you to your grave. It is truly beyond all but the mightiest of warriors to stand against him and live.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 6000,
  rarity = 3,
  level = 62,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    AURA_COLD = true,
    DROP_3D2 = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    GOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    RES_NETH = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    BO_MANA = true,
    BO_NETH = true,
    BA_NETH = true,
    BR_NETH = true,
    S_ANGEL = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCALAGON_THE_BLACK',
  name = [[Ancalagon the Black]],
  display = 'D',
  color = colors.C_D,
  desc = [["Rushing Jaws" is his name, and death is his game; the greatest and most terrible of all dragonkind, his power dismayed even the Valar for a time.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 18000,
  rarity = 1,
  level = 90,
  exp_worth = 60000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=60, combat=40, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,14} },
  },
  spells = {
    BR_ACID = true,
    BR_FIRE = true,
    BR_DISI = true,
    BR_WALL = true,
    BR_TIME = true,
    S_HI_DRAGON = true,
    S_KIN = true,
  },
  body = bodies.dragon,
  speed = 30,
  vision = 40,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NIGHTWALKER',
  name = [[Nightwalker]],
  display = 'W',
  color = colors.C_D,
  desc = [[A huge giant garbed in black, more massive than a titan and stronger than a dragon. With terrible blows, it breaks your armour from your back, leaving you defenceless against its evil wrath. It can smell your fear, and you in turn smell the awful stench of death as this ghastly figure strides towards you menacingly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 70,
  ac = 175,
  max_life = 5600,
  rarity = 3,
  level = 73,
  exp_worth = 20000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    CAN_SWIM = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=0, magic=70, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={7,7} },
  },
  spells = {
    BLIND = true,
    SCARE = true,
    BRAIN_SMASH = true,
    BO_MANA = true,
    BO_NETH = true,
    BA_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GABRIEL_THE_MESSENGER',
  name = [[Gabriel, the Messenger]],
  display = 'A',
  color = colors.C_w,
  desc = [[Commanding a legion of angels, Gabriel will destroy you for your sins. He will crush you like the pitiful insignificant being he sees you to be. Your very soul will be taken into judgement by his supreme authority as he cleanses the world of evil.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = 7500,
  rarity = 3,
  level = 64,
  exp_worth = 35000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_3D2 = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    GOOD = true,
    AURA_ELEC = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=40, magic=60, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.BLIND, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.BLIND, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    BO_MANA = true,
    S_ANGEL = true,
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SARUMAN_OF_MANY_COLOURS',
  name = [[Saruman of Many Colours]],
  display = 'p',
  color = colors.C_v,
  desc = [[Originally known as the White, Saruman fell prey to Sauron's wiles. He searches forever for the One Ring, to become a mighty Sorcerer-King of the world.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 7000,
  rarity = 1,
  level = 60,
  exp_worth = 35000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    DROP_CHOSEN = true,
    REFLECTING = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    TPORT = true,
    TELE_AWAY = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    MIND_BLAST = true,
    FORGET = true,
    TRAPS = true,
    ANIM_DEAD = true,
    BO_MANA = true,
    BO_ICEE = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    BA_WATE = true,
    BA_CHAO = true,
    S_UNDEAD = true,
    S_DEMON = true,
    S_HI_DRAGON = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HAROWEN_THE_BLACK_HAND',
  name = [[Harowen the Black Hand]],
  display = 'p',
  color = colors.C_B,
  desc = [[He is a master of disguise, an expert of stealth, a genius at traps, and moves with blinding speed. Check your pockets!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 36,
  max_life = 2500,
  rarity = 3,
  level = 51,
  exp_worth = 20000,
  unique = true,
  flags = {
    MALE = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=90, combat=10, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH, dam={5,5} },
    { type=DamageType.EAT_ITEM, method=AttackType.TOUCH, dam={5,5} },
    { type=DamageType.BLIND, method=AttackType.HIT, dam={10,5} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={8,5} },
  },
  spells = {
    TELE_TO = true,
    TRAPS = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OSYLUTH',
  name = [[Osyluth]],
  display = 'U',
  color = colors.C_W,
  desc = [[It is a demon made almost entirely out of bones.  It is humanoid, but with a large tail similar to that of a giant scorpion, and emits a foul smell of decay and rot.  They are despised even in the hells.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 75,
  max_life = 4000,
  rarity = 2,
  level = 65,
  exp_worth = 13000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    DEMON = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=20, tool=20 },
  attacks = {
    { type=DamageType.LOSE_CHR, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.LOSE_CHR, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={10,10} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={9,9} },
  },
  spells = {
    BA_ELEC = true,
    BA_COLD = true,
    BO_ICEE = true,
    SCARE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DREADLORD',
  name = [[Dreadlord]],
  display = 'G',
  color = colors.C_r,
  desc = [[It is a massive form of animated death, its colour deeper than black.  It drinks in light, and space around it is twisted and torn by the weight of its evil.  It is unlife and it knows nothing but the stealing of souls and the stench of death.  Flee its hunger!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 3000,
  rarity = 2,
  level = 62,
  exp_worth = 20000,
  flags = {
    PASS_WALL = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    COLD_BLOOD = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=10, combat=10, magic=60, tool=10 },
  attacks = {
    { type=DamageType.EXP_40, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.EXP_40, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    HOLD = true,
    DRAIN_MANA = true,
    BLIND = true,
    S_UNDEAD = true,
    CONF = true,
    SCARE = true,
    TELE_TO = true,
    TPORT = true,
    BRAIN_SMASH = true,
    ANIM_DEAD = true,
    BA_NETH = true,
    DARKNESS = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ARCHLICH',
  name = [[Archlich]],
  display = 'L',
  color = colors.C_B,
  desc = [[A lich who has reached its ultimate evolutionary stage: a completely immaterial state.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 4500,
  rarity = 2,
  level = 64,
  exp_worth = 20000,
  flags = {
    PASS_WALL = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={8,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={8,12} },
  },
  spells = {
    BLINK = true,
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    S_HI_UNDEAD = true,
    FORGET = true,
    TPORT = true,
    HEAL = true,
    S_DEMON = true,
    BA_NETH = true,
    ANIM_DEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_CAT_LORD',
  name = [[The Cat Lord]],
  display = 'f',
  color = colors.C_v,
  desc = [[Master of all things feline, the Cat Lord moves with catlike stealth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 200,
  max_life = 4800,
  rarity = 3,
  level = 66,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    ESCORTS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=60, magic=0, tool=10 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.CLAW, dam={12,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.CLAW, dam={2,12} },
    { type=DamageType.BLIND, method=AttackType.CLAW, dam={10,5} },
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={15,1} },
  },
  spells = {
    TELE_TO = true,
    S_KIN = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'JABBERWOCK',
  name = [[Jabberwock]],
  display = 'H',
  color = colors.C_v,
  desc = [['Twas brillig, and the slithy toves / Did gyre and gimble in the wabe: / All mimsy were the borogoves, / And the mome raths outgrabe. / "Beware the Jabberwock, my son! / The jaws that bite, the claws that catch!"]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 125,
  max_life = 3200,
  rarity = 3,
  level = 68,
  exp_worth = 19000,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    BASH_DOOR = true,
    DROP_90 = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=20, combat=50, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,10} },
  },
  spells = {
    CAUSE_4 = true,
    BR_CHAO = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 35,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHAOS_HOUND',
  name = [[Chaos hound]],
  display = 'Z',
  color = colors.C_v,
  desc = [[A constantly changing canine form, this hound rushes towards you as if expecting mayhem and chaos ahead. It appears to have an almost kamikaze relish for combat. You suspect all may not be as it seems.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 100,
  max_life = resolvers.dice(60, 30),
  rarity = 2,
  level = 65,
  exp_worth = 10000,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    ATTR_ANY = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,12} },
  },
  spells = {
    BR_CHAO = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BEHOLDER_HIVE_MOTHER',
  name = [[Beholder hive-mother]],
  display = 'e',
  color = colors.C_y,
  desc = [[A hive mother of the race of beholders, she can summon her brood to her aid whenever she wishes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 4000,
  rarity = 3,
  level = 67,
  exp_worth = 17000,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    RES_TELE = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    NO_CONF = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={6,6} },
    { type=DamageType.PARALYZE, method=AttackType.GAZE, dam={5,5} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={5,5} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={5,5} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    FORGET = true,
    SCARE = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_DARK = true,
    BO_MANA = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    BO_NETH = true,
    S_KIN = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_CHAOS',
  name = [[Great Wyrm of Chaos]],
  display = 'D',
  color = colors.C_v,
  desc = [[A massive dragon of changing form. As you watch, it appears first fair and then foul. Its body is twisted by chaotic forces as it strives to stay real. Its very existence distorts the universe around it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 6000,
  rarity = 2,
  level = 75,
  exp_worth = 29000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    ATTR_ANY = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_CHAO = true,
    BR_DISE = true,
    S_DRAGON = true,
    S_HI_DRAGON = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 40,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_LAW',
  name = [[Great Wyrm of Law]],
  display = 'D',
  color = colors.C_B,
  desc = [[A massive dragon of powerful intellect. It seeks to dominate the universe and despises all other life. It sees all who do not obey it as mere insects to be crushed underfoot.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 6000,
  rarity = 2,
  level = 75,
  exp_worth = 29000,
  flags = {
    DROP_2D2 = true,
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
    BR_SHAR = true,
    S_DRAGON = true,
    S_HI_DRAGON = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 40,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_BALANCE',
  name = [[Great Wyrm of Balance]],
  display = 'D',
  color = colors.C_v,
  desc = [[A massive dragon, it is thousands of years old and seeks to maintain the Cosmic Balance. It sees you as an upstart troublemaker without the wisdom to control your actions.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 7000,
  rarity = 2,
  level = 80,
  exp_worth = 31000,
  flags = {
    DROP_2D2 = true,
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={8,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={8,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
    BR_CHAO = true,
    BR_SHAR = true,
    BR_DISE = true,
    S_DRAGON = true,
    S_HI_DRAGON = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 40,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GELUGON',
  name = [[Gelugon]],
  display = 'U',
  color = colors.C_w,
  desc = [[This demon from the ice planes is a truly terrifying sight.  It has an extremely large, insect-like body towering a full twelve feet tall, with great claws on its hands and pincers on its mouth, and its head bulges with great multi-faceted eyes.  Its tail is covered with razor-sharp spikes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 4500,
  rarity = 3,
  level = 69,
  exp_worth = 14000,
  flags = {
    NONLIVING = true,
    EVIL = true,
    DEMON = true,
    ONLY_ITEM = true,
    FORCE_MAXHP = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=60, magic=20, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.CLAW, dam={6,10} },
    { type=DamageType.COLD, method=AttackType.CLAW, dam={6,10} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={9,9} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={8,8} },
  },
  spells = {
    BR_COLD = true,
    BR_SHAR = true,
    BA_COLD = true,
    BO_ICEE = true,
    S_HI_DEMON = true,
    SLOW = true,
    SCARE = true,
    HOLD = true,
  },
  body = { MAIN_HAND=2, OFF_HAND=2, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=2, BOOTS=1, HELM=0, RING=0, AMULET=0, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 20,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_MANY_COLOURS',
  name = [[Great Wyrm of Many Colours]],
  display = 'D',
  color = colors.C_v,
  desc = [[A huge dragon whose scales shimmer in myriad hues.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 7000,
  rarity = 2,
  level = 80,
  exp_worth = 31000,
  flags = {
    DROP_2D2 = true,
    IM_FIRE = true,
    AURA_COLD = true,
    DROP_3D2 = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    AURA_ELEC = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={8,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={8,14} },
  },
  spells = {
    BR_POIS = true,
    BR_ELEC = true,
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    CONF = true,
    SCARE = true,
    BLIND = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 40,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MARDA_RIDER_OF_GOLD_LARONTH',
  name = [[Marda, rider of gold Laronth]],
  display = 'B',
  color = colors.C_y,
  desc = [[Former leader among the Thunderlords, she and Trone have fallen under the control of Morgoth. Laronth, her eagle, can summon Thunderlords to her aid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 85,
  ac = 100,
  max_life = 8500,
  rarity = 6,
  level = 75,
  exp_worth = 35000,
  unique = true,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    EVIL = true,
    DROP_90 = true,
    UNIQUE = true,
    SMART = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    DROP_CHOSEN = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,15} },
  },
  spells = {
    SCARE = true,
    BLIND = true,
    TPORT = true,
    BLINK = true,
    TELE_AWAY = true,
    TELE_TO = true,
    BR_FIRE = true,
    BA_MANA = true,
    S_THUNDERLORD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TSELAKUS_THE_DREADLORD',
  name = [[Tselakus, the Dreadlord]],
  display = 'G',
  color = colors.C_R,
  desc = [[This huge affront to existence twists and tears at the fabric of space. Darkness itself recoils from the touch of Tselakus as he leaves a trail of death and destruction. Mighty claws rend reality as he annihilates all in his path to your soul!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 6500,
  rarity = 2,
  level = 68,
  exp_worth = 35000,
  unique = true,
  flags = {
    PASS_WALL = true,
    MALE = true,
    AURA_COLD = true,
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=80, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    CONF = true,
    BA_DARK = true,
    BA_NETH = true,
    S_WRAITH = true,
    S_HI_UNDEAD = true,
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SKY_DRAKE',
  name = [[Sky Drake]],
  display = 'D',
  color = colors.C_B,
  desc = [[The mightiest elemental dragon of air, it can destroy you with ease.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 200,
  max_life = 6000,
  rarity = 2,
  level = 77,
  exp_worth = 40000,
  flags = {
    DROP_2D2 = true,
    AURA_COLD = true,
    EVIL = true,
    DROP_3D2 = true,
    RES_TELE = true,
    AURA_ELEC = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,12} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={8,14} },
    { type=DamageType.ELEC, method=AttackType.BITE, dam={8,14} },
  },
  spells = {
    BR_ELEC = true,
    BR_GRAV = true,
    BR_LITE = true,
    S_DRAGON = true,
    S_HI_DRAGON = true,
    SCARE = true,
    BLIND = true,
  },
  body = bodies.dragon,
  speed = 20,
  vision = 40,
  alertness = 255,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HORNED_REAPER',
  name = [[Horned Reaper]],
  display = 'U',
  color = colors.C_B,
  desc = [[A giant humanoid demon wielding a massive, heavy and sharp scythe.  Feared by foes and friends alike when it flies into one of its berserk rages, the Horned Reaper will cut down anything in its path between it and you - even the minions it has just summoned.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 5000,
  rarity = 3,
  level = 72,
  exp_worth = 18000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DEMON = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    KILL_BODY = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,11} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,11} },
  },
  spells = {
    HASTE = true,
    SLOW = true,
    SCARE = true,
    S_HI_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_REAVER',
  name = [[Black reaver]],
  display = 'L',
  color = colors.C_D,
  desc = [[A humanoid form,  black as night, advancing steadily and unstoppably, even the very rock of the dungeon cannot prevent it reaching you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 5000,
  rarity = 3,
  level = 74,
  exp_worth = 23000,
  flags = {
    MORTAL = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    KILL_WALL = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    CAN_SWIM = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=60, magic=40, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    TELE_TO = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_MANA = true,
    BA_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_MINDCRAFTER',
  name = [[Master mindcrafter]],
  display = 'p',
  color = colors.C_y,
  desc = [[A mindcrafter of the highest order.  Powerful and evil, and a dangerous enemy: a master of mind over matter, of his own mind, and of the minds of others, who slavishly follow him into battle when he calls them.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 800,
  rarity = 2,
  level = 40,
  exp_worth = 2000,
  flags = {
    MALE = true,
    IM_FIRE = true,
    NO_STUN = true,
    EVIL = true,
    SMART = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=40, magic=40, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,5} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    TPORT = true,
    BA_COLD = true,
    BA_FIRE = true,
    MIND_BLAST = true,
    BRAIN_SMASH = true,
    S_MONSTERS = true,
    TELE_AWAY = true,
    BLINK = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_DEMONIC_QUYLTHULG',
  name = [[Greater demonic quylthulg]],
  display = 'Q',
  color = colors.C_R,
  desc = [[A massive pulsating mound of flesh, glowing with an inner hellish light.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 1,
  max_life = 1500,
  rarity = 2,
  level = 71,
  exp_worth = 10500,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TELE_TO = true,
    S_HI_DEMON = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_DRACONIC_QUYLTHULG',
  name = [[Greater draconic quylthulg]],
  display = 'Q',
  color = colors.C_G,
  desc = [[A massive mound of scaled flesh, throbbing and pulsating with multi-hued light.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 1,
  max_life = 1500,
  rarity = 2,
  level = 71,
  exp_worth = 10500,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TELE_TO = true,
    S_HI_DRAGON = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_ROTTING_QUYLTHULG',
  name = [[Greater rotting quylthulg]],
  display = 'Q',
  color = colors.C_U,
  desc = [[A massive pile of rotting flesh. A disgusting stench fills the air as it throbs and writhes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 1,
  max_life = 1500,
  rarity = 2,
  level = 71,
  exp_worth = 10500,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    BLINK = true,
    TELE_TO = true,
    S_HI_UNDEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OMARAX_THE_EYE_TYRANT',
  name = [[Omarax the Eye Tyrant]],
  display = 'e',
  color = colors.C_v,
  desc = [[A beholder of great size and age, floating in the air.  His gaze seems to shred your soul and his spells crush your will.  He is ancient, his history steeped in forgotten evils, his atrocities numerous and sickening.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 6500,
  rarity = 3,
  level = 73,
  exp_worth = 25000,
  unique = true,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.GAZE, dam={6,6} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={6,6} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={6,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={8,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    FORGET = true,
    SCARE = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_DARK = true,
    BO_MANA = true,
    BA_NETH = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    S_KIN = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_BALROG',
  name = [[Greater Balrog]],
  display = 'U',
  color = colors.C_v,
  desc = [[Originally of the semi-divine Maiar, this evil spirit swore allegiance to Morgoth at the beginning of time and is now one of his most terrible demonic servants.  With its flaming whip and sword it seeks to destroy you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 140,
  max_life = 7500,
  rarity = 3,
  level = 80,
  exp_worth = 25000,
  flags = {
    RES_PLAS = true,
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    KILL_WALL = true,
    DEMON = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    RES_NETH = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={7,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BRAIN_SMASH = true,
    BR_FIRE = true,
    BA_NETH = true,
    BA_FIRE = true,
    BR_PLAS = true,
    BO_PLAS = true,
    S_HI_DEMON = true,
    S_UNDEAD = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UNGOLIANT_THE_UNLIGHT',
  name = [[Ungoliant, the Unlight]],
  display = 'S',
  color = colors.C_D,
  desc = [[This enormous, hideous spirit of void is in the form of a spider of immense proportions.  She is surrounded by a cloud of Unlight as she sucks in all living light into her bloated body, and breathes out the blackest of darkness.  She is always ravenously hungry and would even eat herself to avoid starvation.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 160,
  max_life = 13000,
  rarity = 1,
  level = 75,
  exp_worth = 35000,
  unique = true,
  flags = {
    SPIDER = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FEMALE = true,
    DROP_GOOD = true,
    IM_ACID = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=0, magic=80, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={8,6} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={8,6} },
    { type=DamageType.PARALYZE, method=AttackType.BITE, dam={8,10} },
    { type=DamageType.LOSE_STR, method=AttackType.STING, dam={8,4} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
    DARKNESS = true,
    BA_DARK = true,
    BR_POIS = true,
    BR_DARK = true,
    S_SPIDER = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 8,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AETHER_HOUND',
  name = [[Aether hound]],
  display = 'Z',
  color = colors.C_v,
  desc = [[A shifting, swirling form. It seems to be all colours and sizes and shapes, though the dominant form is that of a huge dog. You feel very uncertain all of a sudden.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 40,
  ac = 100,
  max_life = resolvers.dice(60, 40),
  rarity = 3,
  level = 74,
  exp_worth = 10000,
  flags = {
    RES_PLAS = true,
    IM_FIRE = true,
    AURA_COLD = true,
    NO_CUT = true,
    AURA_ELEC = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    ANIMAL = true,
    IM_ACID = true,
    ATTR_ANY = true,
    FORCE_SLEEP = true,
    RES_DISE = true,
    IM_POIS = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    RES_NETH = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    ATTR_MULTI = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,12} },
  },
  spells = {
    BR_ACID = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_ELEC = true,
    BR_POIS = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_SOUN = true,
    BR_CONF = true,
    BR_CHAO = true,
    BR_SHAR = true,
    BR_NETH = true,
    BR_DISE = true,
    BR_WALL = true,
    BR_INER = true,
    BR_TIME = true,
    BR_GRAV = true,
    BR_PLAS = true,
    BR_NEXU = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PIT_FIEND',
  name = [[Pit Fiend]],
  display = 'U',
  color = colors.C_o,
  desc = [[Appearing as a giant, clawed and winged humanoid with a scaly red body and massive fangs dripping a foul green liquid, the Pit Fiend is a dreadful enemy from the lowest depths of the hells.  They are often the commanders of vast demon armies.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 6000,
  rarity = 3,
  level = 77,
  exp_worth = 22000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DEMON = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={8,10} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={8,10} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={7,10} },
    { type=DamageType.LOSE_CON, method=AttackType.BITE, dam={7,10} },
  },
  spells = {
    S_HI_DEMON = true,
    S_HI_DRAGON = true,
    BR_FIRE = true,
    BR_POIS = true,
    BR_CHAO = true,
    BA_CHAO = true,
    SCARE = true,
    BA_FIRE = true,
    CAUSE_4 = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 75,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_MOUTH_OF_SAURON',
  name = [[The Mouth of Sauron]],
  display = 'p',
  color = colors.C_v,
  desc = [[The Mouth of Sauron is a mighty spell caster. So old that even he cannot remember his own name, his power and evil are undeniable. He believes unshakeably that he is unbeatable and laughs as he weaves his awesome spells.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 9000,
  rarity = 3,
  level = 78,
  exp_worth = 38000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    TELE_TO = true,
    HOLD = true,
    CAUSE_3 = true,
    TRAPS = true,
    ANIM_DEAD = true,
    BO_PLAS = true,
    BA_DARK = true,
    BA_MANA = true,
    BA_FIRE = true,
    BA_WATE = true,
    BA_NETH = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 60,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LISA_RIDER_OF_GOLD_ROMTH',
  name = [[Lisa, rider of gold Romth]],
  display = 'B',
  color = colors.C_y,
  desc = [[She came to help you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 6500,
  rarity = 6,
  level = 78,
  exp_worth = 35500,
  unique = true,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    DROP_90 = true,
    UNIQUE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    GOOD = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    FEMALE = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    PET = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,15} },
  },
  spells = {
    TPORT = true,
    TELE_TO = true,
    BR_FIRE = true,
    S_THUNDERLORD = true,
    TELE_AWAY = true,
    HEAL = true,
    BA_NETH = true,
    BO_NETH = true,
    BA_FIRE = true,
    BO_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_QUYLTHULG',
  name = [[Master quylthulg]],
  display = 'Q',
  color = colors.C_B,
  desc = [[A giant seething mass of flesh, overwhelming you with monster after monster.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 1,
  max_life = 3000,
  rarity = 2,
  level = 76,
  exp_worth = 15000,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    NEVER_BLOW = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    S_MONSTERS = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_HI_DEMON = true,
    S_ANIMALS = true,
    BLINK = true,
    TELE_TO = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'QLZQQLZUUP_THE_LORD_OF_FLESH',
  name = [[Qlzqqlzuup, the Lord of Flesh]],
  display = 'Q',
  color = colors.C_v,
  desc = [[A gigantic seething mass of flesh, Qlzqqlzuup changes colours in front of your eyes.  Pulsating first one colour then the next, it knows only it must bring help to protect itself.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 1,
  max_life = 5000,
  rarity = 3,
  level = 79,
  exp_worth = 20000,
  unique = true,
  flags = {
    NEVER_BLOW = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    RES_TELE = true,
    NEVER_MOVE = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=20, magic=20, tool=20 },
  spells = {
    S_MONSTERS = true,
    S_ANGEL = true,
    S_HOUND = true,
    S_HYDRA = true,
    S_SPIDER = true,
    S_ANT = true,
    S_ANIMALS = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_HI_DEMON = true,
    S_WRAITH = true,
    S_UNIQUE = true,
    S_KIN = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FLARE_RIDER_OF_BRONZE_MOONTH',
  name = [[Flare, rider of bronze Moonth]],
  display = 'B',
  color = colors.C_U,
  desc = [[A leader from afar, he has come with his eagle to help you in your battle. Having already saved his home, he now wants to save Arda!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 7000,
  rarity = 5,
  level = 79,
  exp_worth = 38500,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    IM_FIRE = true,
    DROP_90 = true,
    UNIQUE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    GOOD = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    DROP_1D2 = true,
    PET = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={15,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={15,15} },
  },
  spells = {
    SCARE = true,
    TPORT = true,
    TELE_TO = true,
    S_THUNDERLORD = true,
    TELE_LEVEL = true,
    HEAL = true,
    BR_FIRE = true,
    BR_TIME = true,
    ROCKET = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PAZUZU_LORD_OF_AIR',
  name = [[Pazuzu, Lord of Air]],
  display = 'U',
  color = colors.C_b,
  desc = [[A winged humanoid demon from the Planes of Hell, Pazuzu grins inhumanely at you as he decides your fate.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 125,
  max_life = 5500,
  rarity = 2,
  level = 82,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    DEMON = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={12,12} },
  },
  spells = {
    MIND_BLAST = true,
    BO_ELEC = true,
    BO_MANA = true,
    BA_ELEC = true,
    S_HI_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 40,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREATER_HELLHOUND',
  name = [[Greater Hellhound]],
  display = 'C',
  color = colors.C_r,
  desc = [[It is a giant dog that glows with heat. Flames pour from its nostrils.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 80,
  max_life = 1440,
  rarity = 2,
  level = 78,
  exp_worth = 600,
  flags = {
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_FIRE = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    AURA_FIRE = true,
    SUSCEP_COLD = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={5,12} },
  },
  spells = {
    BR_FIRE = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 25,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CANTORAS_THE_SKELETAL_LORD',
  name = [[Cantoras, the Skeletal Lord]],
  display = 's',
  color = colors.C_v,
  desc = [[A legion of evil undead druj animating the skeleton of a once mighty sorcerer. His power is devastating and his speed unmatched in the underworld. Flee his wrath!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 7500,
  rarity = 2,
  level = 84,
  exp_worth = 45000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.GAZE, dam={5,5} },
    { type=DamageType.EXP_80, method=AttackType.GAZE, dam={5,5} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={5,5} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={5,5} },
  },
  spells = {
    TELE_TO = true,
    SLOW = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    BO_ICEE = true,
    BO_MANA = true,
    BA_WATE = true,
    BA_NETH = true,
    S_HI_UNDEAD = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_TARRASQUE',
  name = [[The Tarrasque]],
  display = 'R',
  color = colors.C_v,
  desc = [[The Tarrasque is a massive reptile of legend, rumoured to be unkillable and immune to magic. Fear its anger, for its devastation is unmatched!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 185,
  max_life = 13000,
  rarity = 2,
  level = 84,
  exp_worth = 35000,
  unique = true,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=20, combat=50, magic=25, tool=5 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH, dam={10,10} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH, dam={10,10} },
  },
  spells = {
    BR_FIRE = true,
    BR_COLD = true,
    BR_DISE = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 50,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LUNGORTHIN_THE_BALROG_OF_WHITE_FIRE',
  name = [[Lungorthin, the Balrog of White Fire]],
  display = 'U',
  color = colors.C_v,
  desc = [[A massive form cloaked in flame. Lungorthin stares balefully at you with eyes that smoulder red. The dungeon floor where he stands is scorched by the heat of his body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 125,
  max_life = 8000,
  rarity = 2,
  level = 88,
  exp_worth = 37000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    DEMON = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    ESCORTS = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
    BR_PLAS = true,
    S_HI_DEMON = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DRAUGLUIN_SIRE_OF_ALL_WEREWOLVES',
  name = [[Draugluin, Sire of All Werewolves]],
  display = 'C',
  color = colors.C_v,
  desc = [[Draugluin provides Sauron with a fearsome personal guard. He is an enormous wolf inhabited by a human spirit. He is chief of all his kind.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 8000,
  rarity = 2,
  level = 83,
  exp_worth = 40000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    ESCORTS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={6,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={6,6} },
  },
  spells = {
    SCARE = true,
    S_MONSTERS = true,
    S_HOUND = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 80,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VECNA_THE_EMPEROR_LICH',
  name = [[Vecna, the Emperor Lich]],
  display = 'L',
  color = colors.C_v,
  desc = [[The greatest of all undead sorcerers, even the gods once feared him.  This ancient shadow of death wilts every living thing it passes.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 8000,
  rarity = 3,
  level = 92,
  exp_worth = 45000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={7,12} },
    { type=DamageType.LOSE_DEX, method=AttackType.HIT, dam={7,12} },
    { type=DamageType.UN_POWER, method=AttackType.HIT, dam={7,12} },
    { type=DamageType.UN_POWER, method=AttackType.HIT, dam={7,12} },
  },
  spells = {
    TPORT = true,
    BLIND = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    BA_MANA = true,
    BO_MANA = true,
    BA_FIRE = true,
    BA_NETH = true,
    S_MONSTERS = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
    S_KIN = true,
    HAND_DOOM = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_POWER',
  name = [[Great Wyrm of Power]],
  display = 'D',
  color = colors.C_v,
  desc = [[The mightiest of all dragonkind, a great wyrm of power is seldom encountered in our world. It can crush stars with its might.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 111,
  ac = 160,
  max_life = 12321,
  rarity = 4,
  level = 85,
  exp_worth = 47500,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    AURA_COLD = true,
    DROP_3D2 = true,
    RES_TELE = true,
    GOOD = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    RES_DISE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
    RES_PLAS = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    AURA_ELEC = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    RES_NETH = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    REFLECTING = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={8,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={10,14} },
  },
  spells = {
    S_HI_DRAGON = true,
    S_DRAGON = true,
    S_KIN = true,
    BR_ACID = true,
    BR_ELEC = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_POIS = true,
    BR_NETH = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_CONF = true,
    BR_SOUN = true,
    BR_CHAO = true,
    BR_DISE = true,
    BR_NEXU = true,
    BR_TIME = true,
    BR_INER = true,
    BR_GRAV = true,
    BR_SHAR = true,
    BR_PLAS = true,
    BR_WALL = true,
    BR_MANA = true,
    BR_DISI = true,
  },
  body = bodies.dragon,
  speed = 20,
  vision = 40,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CARCHAROTH_THE_JAWS_OF_THIRST',
  name = [[Carcharoth, the Jaws of Thirst]],
  display = 'C',
  color = colors.C_D,
  desc = [[The first guard of Angband, Carcharoth, also known as 'The Red Maw', is the largest wolf to ever walk the earth. He is highly intelligent and a deadly opponent in combat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 110,
  max_life = 9000,
  rarity = 1,
  level = 94,
  exp_worth = 40000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=30, combat=10, magic=60, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={9,12} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={9,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={9,12} },
    { type=DamageType.FIRE, method=AttackType.BITE, dam={9,12} },
  },
  spells = {
    BR_DARK = true,
    BR_POIS = true,
    BR_FIRE = true,
    BR_NETH = true,
    S_HOUND = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 80,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HUAN_WOLFHOUND_OF_THE_VALAR',
  name = [[Huan, Wolfhound of the Valar]],
  display = 'C',
  color = colors.C_W,
  desc = [[The wolfhound of the Valar, Huan has served many masters in his time, from Celegorm son of Feanor to Beren son of Barahir: but now he runs wild and acknowledges no master save himself, as he hunts alone for his nemesis - Carcharoth, the terrible wolf of Angband.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 160,
  max_life = 9000,
  rarity = 2,
  level = 93,
  exp_worth = 40000,
  unique = true,
  flags = {
    MALE = true,
    AURA_COLD = true,
    UNIQUE = true,
    SMART = true,
    GOOD = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    ANIMAL = true,
    FORCE_SLEEP = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    OPEN_DOOR = true,
    KILL_BODY = true,
  },
  drop = { treasure=30, combat=10, magic=60, tool=0 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.CLAW, dam={9,12} },
    { type=DamageType.COLD, method=AttackType.CLAW, dam={9,12} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={9,12} },
    { type=DamageType.COLD, method=AttackType.BITE, dam={9,12} },
  },
  spells = {
    BR_COLD = true,
    BR_SHAR = true,
    BR_SOUN = true,
    BR_LITE = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 50,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOTHMOG_THE_HIGH_CAPTAIN_OF_BALROGS',
  name = [[Gothmog, the High Captain of Balrogs]],
  display = 'U',
  color = colors.C_v,
  desc = [[Gothmog is the Chief Balrog in Morgoth's personal guard. He is renowned for slaying three High Kings of the Noldor Elves, and he has never been defeated in combat. With his whip of flame and awesome fiery breath he saved his master from Ungoliant's rage.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 140,
  max_life = 12000,
  rarity = 1,
  level = 95,
  exp_worth = 43000,
  unique = true,
  flags = {
    MALE = true,
    NONLIVING = true,
    ESCORT = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    DEMON = true,
    KILL_WALL = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    ESCORTS = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={9,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={9,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
    S_KIN = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SARKO_RIDER_OF_GOLD_FORONTH',
  name = [[Sarko, rider of gold Foronth]],
  display = 'B',
  color = colors.C_y,
  desc = [[Foronth is the first Eagle queen, and Sarko the first to discover the Firebirds, the ancestor of the Thunderlord eagles. She will try to help you!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 111,
  ac = 165,
  max_life = 10989,
  rarity = 6,
  level = 97,
  exp_worth = 65000,
  unique = true,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    DROP_3D2 = true,
    SMART = true,
    RES_TELE = true,
    DROP_GREAT = true,
    GOOD = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    REGENERATE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    DROP_CHOSEN = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    PET = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    MORTAL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    AURA_ELEC = true,
    DROP_CORPSE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    CAN_FLY = true,
    REFLECTING = true,
    THUNDERLORD = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={12,12} },
  },
  spells = {
    TPORT = true,
    TELE_TO = true,
    BR_FIRE = true,
    BR_TIME = true,
    S_THUNDERLORD = true,
    TELE_AWAY = true,
  },
  body = bodies.humanoid,
  speed = 35,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SAURON_THE_SORCERER',
  name = [[Sauron, the Sorcerer]],
  display = 'p',
  color = colors.C_v,
  desc = [[Mighty in spells and enchantments, he created the One Ring. His eyes glow with power and with his gaze he seeks to destroy your soul. He has many servants, and rarely fights without them.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 225,
  ac = 160,
  max_life = 22500,
  rarity = 1,
  level = 99,
  exp_worth = 50000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    RES_TELE = true,
    SMART = true,
    DROP_GREAT = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    FORCE_DEPTH = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    REFLECTING = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={10,12} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={10,12} },
    { type=DamageType.UN_POWER, method=AttackType.HIT, dam={8,12} },
    { type=DamageType.UN_POWER, method=AttackType.HIT, dam={8,12} },
  },
  spells = {
    TPORT = true,
    TELE_LEVEL = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    FORGET = true,
    BO_ICEE = true,
    BO_MANA = true,
    BO_PLAS = true,
    BA_MANA = true,
    BA_FIRE = true,
    BA_WATE = true,
    BA_NETH = true,
    BA_DARK = true,
    BA_CHAO = true,
    S_MONSTERS = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_WRAITH = true,
    S_UNIQUE = true,
    HAND_DOOM = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MORGOTH_LORD_OF_DARKNESS',
  name = [[Morgoth, Lord of Darkness]],
  display = 'P',
  color = colors.C_D,
  desc = [[He was the most powerful of the Valar, the equal of Manwe. He is the Master of the Pits of Angband. His figure is like a black mountain crowned with Lightning. He rages with everlasting anger, his body scarred by Fingolfin's eight mighty wounds. He can never rest from his pain, but seeks forever to dominate all that is light and good in the world. He is the origin of man's fear of darkness and created many foul creatures with his evil powers. Orcs, Dragons, and Trolls are his most foul corruptions, causing much pain and suffering in the world to please him. His disgusting visage, twisted with evil, is crowned with iron, the two remaining Silmarils forever burning him. Grond, the mighty Hammer of the Underworld, cries defiance as he strides towards you to crush you to a pulp!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 150,
  ac = 150,
  max_life = 30000,
  rarity = 1,
  level = 100,
  exp_worth = 60000,
  unique = true,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    AURA_COLD = true,
    NO_STUN = true,
    DROP_3D2 = true,
    KILL_WALL = true,
    RES_TELE = true,
    SMART = true,
    DROP_GREAT = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    REGENERATE = true,
    POWERFUL = true,
    DROP_1D2 = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    NO_CONF = true,
    MALE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    NO_FEAR = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    FORCE_DEPTH = true,
    IM_COLD = true,
    IM_ELEC = true,
    RES_NETH = true,
    NO_SLEEP = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={24,10} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={24,10} },
    { type=DamageType.LOSE_ALL, method=AttackType.HIT, dam={10,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BRAIN_SMASH = true,
    BA_MANA = true,
    BO_MANA = true,
    BA_NETH = true,
    BA_CHAO = true,
    BA_DARK = true,
    ANIM_DEAD = true,
    S_MONSTERS = true,
    S_UNIQUE = true,
    S_HI_DEMON = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    ROCKET = true,
    BR_NETH = true,
    BR_DISI = true,
    HAND_DOOM = true,
    S_WRAITH = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELITE_URUK',
  name = [[Elite uruk]],
  display = 'o',
  color = colors.C_w,
  desc = [[It is a cunning orc of power, taller than a man, and stronger. It fears little.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 100,
  rarity = 1,
  level = 20,
  exp_worth = 70,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_60 = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    ORC = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,5} },
  },
  spells = {
    ARROW_2 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_ICKY_QUEEN',
  name = [[The Icky Queen]],
  display = 'i',
  color = colors.C_v,
  desc = [[And you thought her offspring were icky!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 400,
  rarity = 5,
  level = 20,
  exp_worth = 400,
  unique = true,
  flags = {
    WEIRD_MIND = true,
    MORTAL = true,
    ESCORT = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    FEMALE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_ACID = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    ESCORTS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=40, combat=30, magic=10, tool=10 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={3,4} },
    { type=DamageType.EAT_FOOD, method=AttackType.CRAWL, dam={3,4} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    DRAIN_MANA = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    S_KIN = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ROT_JELLY',
  name = [[Rot jelly]],
  display = 'j',
  color = colors.C_u,
  desc = [[It is a large pile of rotting flesh, whose touch spoils your food.  The terrible smell it exudes is also very hard to get rid of...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 30,
  max_life = resolvers.dice(20, 8),
  rarity = 1,
  level = 5,
  exp_worth = 15,
  flags = {
    IM_POIS = true,
    CAN_SWIM = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_FOOD, method=AttackType.TOUCH, dam={2,3} },
    { type=DamageType.LOSE_CHR, method=AttackType.TOUCH, dam={2,3} },
  },
  body = bodies.none,
  speed = 10,
  vision = 2,
  alertness = 99,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'PIKE',
  name = [[Pike]],
  display = '~',
  color = colors.C_s,
  desc = [[It's a common fresh-water predatory fish.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 7,
  ac = 35,
  max_life = resolvers.dice(2, 7),
  rarity = 1,
  level = 2,
  exp_worth = 7,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    STUPID = true,
    AQUATIC = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,3} },
  },
  body = bodies.snake,
  speed = 15,
  vision = 80,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_CRAYFISH',
  name = [[Giant crayfish]],
  display = '~',
  color = colors.C_R,
  desc = [[A man-sized, heavily armoured fresh-water relative of the lobster.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(4, 10),
  rarity = 1,
  level = 4,
  exp_worth = 10,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    STUPID = true,
    AQUATIC = true,
    COLD_BLOOD = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,4} },
  },
  body = bodies.snake,
  speed = -20,
  vision = 6,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BULLYWUG',
  name = [[Bullywug]],
  display = 'h',
  color = colors.C_g,
  desc = [[A vaguely humanoid creature, it looks like a cross between a hobbit and a frog.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 15,
  max_life = resolvers.dice(6, 10),
  rarity = 1,
  level = 7,
  exp_worth = 25,
  flags = {
    MORTAL = true,
    MALE = true,
    FRIENDS = true,
    DROP_1D2 = true,
    AQUATIC = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=30, combat=40, magic=10, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,4} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BULLYWUG_WARRIOR',
  name = [[Bullywug warrior]],
  display = 'h',
  color = colors.C_g,
  desc = [[A member of the frog-people clan. He is wielding a long, sharp shark tooth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 15,
  max_life = resolvers.dice(8, 10),
  rarity = 1,
  level = 8,
  exp_worth = 35,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_1D2 = true,
    AQUATIC = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    COLD_BLOOD = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=15, combat=60, magic=10, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,5} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BULLYWUG_SHAMAN',
  name = [[Bullywug shaman]],
  display = 'h',
  color = colors.C_g,
  desc = [[A leader of a clan of frog-people, he is cloaked in a cloak made of shark skin.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 15,
  max_life = resolvers.dice(6, 10),
  rarity = 1,
  level = 8,
  exp_worth = 35,
  flags = {
    MORTAL = true,
    MALE = true,
    DROP_1D2 = true,
    AQUATIC = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    COLD_BLOOD = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=10, magic=50, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,6} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    DARKNESS = true,
    BO_COLD = true,
    HEAL = true,
    MISSILE = true,
    CAUSE_2 = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SAND_MITE',
  name = [[Sand mite]],
  display = '~',
  color = colors.C_B,
  desc = [[A relative of crabs and shrimp, this is a tiny creature that inhabits sandy bottoms. It has a pair of dangerous-looking claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = resolvers.dice(3, 10),
  rarity = 2,
  level = 10,
  exp_worth = 25,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    FRIENDS = true,
    AQUATIC = true,
    CHAR_CLEAR = true,
    ATTR_CLEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={3,6} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 5,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_OCTOPUS',
  name = [[Giant octopus]],
  display = '~',
  color = colors.C_g,
  desc = [[A cunning and dangerous undersea opponent.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 15,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 35,
  max_life = resolvers.dice(100, 6),
  rarity = 1,
  level = 30,
  exp_worth = 180,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    IM_POIS = true,
    NO_SLEEP = true,
    AQUATIC = true,
    SMART = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.SPIT, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={8,4} },
    { type=DamageType.PARALYZE, method=AttackType.CRUSH, dam={8,4} },
  },
  spells = {
    DARKNESS = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=6, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 5,
  vision = 10,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EYE_OF_THE_DEEP',
  name = [[Eye of the deep]],
  display = 'e',
  color = colors.C_b,
  desc = [[A beholder that inhabits the depths of the sea, sleeping and pondering alien thoughts for centuries. Occasionally, it will float to the surface to wreck the lives of surface dwellers.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 20,
  max_life = 1600,
  rarity = 3,
  level = 40,
  exp_worth = 6000,
  flags = {
    FORCE_SLEEP = true,
    IM_POIS = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    AQUATIC = true,
    SMART = true,
    RES_TELE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EXP_20, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={6,6} },
  },
  spells = {
    BLIND = true,
    SLOW = true,
    CONF = true,
    SCARE = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    FORGET = true,
    DARKNESS = true,
    BO_WATE = true,
    BO_ICEE = true,
    BO_MANA = true,
    BO_COLD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 10,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MURK_DWELLER',
  name = [[Murk dweller]],
  display = 'S',
  color = colors.C_s,
  desc = [[A gigantic aquatic monster, somewhat resembling a cross between a lobster and a spider. It is coated in poisonous slime and noxious parasites. This foul creature hides in the silt of the deep ocean floor, waiting to trap unsuspecting prey.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 30,
  max_life = 1000,
  rarity = 3,
  level = 27,
  exp_worth = 800,
  flags = {
    WEIRD_MIND = true,
    ANIMAL = true,
    MORTAL = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    AQUATIC = true,
    SMART = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={5,10} },
    { type=DamageType.PARALYZE, method=AttackType.CLAW },
    { type=DamageType.INSANITY, method=AttackType.STING, dam={5,10} },
    { type=DamageType.UN_BONUS, method=AttackType.STING },
  },
  spells = {
    BA_POIS = true,
    BR_DARK = true,
    BLIND = true,
    BR_POIS = true,
    SLOW = true,
    CONF = true,
    MIND_BLAST = true,
    BRAIN_SMASH = true,
    DARKNESS = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 70,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DROWNED_SOUL',
  name = [[Drowned soul]],
  display = 'G',
  color = colors.C_B,
  desc = [[A ghastly victim of drowning, forever doomed to wander the ocean waters looking for revenge.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 33,
  max_life = resolvers.dice(9, 8),
  rarity = 1,
  level = 11,
  exp_worth = 30,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    AQUATIC = true,
    NO_CUT = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.BLIND, method=AttackType.TOUCH, dam={3,3} },
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={2,4} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    CONF = true,
  },
  body = bodies.none,
  speed = 0,
  vision = 5,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'TIGER_SHARK',
  name = [[Tiger shark]],
  display = '~',
  color = colors.C_g,
  desc = [[A small species of shark, although the teeth are still as deadly.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 32,
  max_life = resolvers.dice(10, 5),
  rarity = 1,
  level = 12,
  exp_worth = 40,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    STUPID = true,
    AQUATIC = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,4} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 100,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WHITE_SHARK',
  name = [[Great white shark]],
  display = '~',
  color = colors.C_w,
  desc = [[A very large carnivorous fish.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 70,
  max_life = resolvers.dice(100, 6),
  rarity = 2,
  level = 24,
  exp_worth = 250,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    AQUATIC = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,6} },
  },
  body = bodies.snake,
  speed = 10,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AQUATIC_GOLEM',
  name = [[Aquatic golem]],
  display = 'g',
  color = colors.C_b,
  desc = [[An ingenious gnomish invention -- a golem designed for underwater usage.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 75,
  max_life = resolvers.dice(25, 10),
  rarity = 1,
  level = 19,
  exp_worth = 100,
  flags = {
    IM_POIS = true,
    IM_FIRE = true,
    IM_ELEC = true,
    IM_COLD = true,
    NO_SLEEP = true,
    EMPTY_MIND = true,
    AQUATIC = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,10} },
  },
  body = bodies.humanoid,
  speed = -10,
  vision = 35,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AQUATIC_KOBOLD',
  name = [[Aquatic kobold]],
  display = 'k',
  color = colors.C_B,
  desc = [[Yes, your favourite denizen of evil also comes in an aquatic variety.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 30,
  max_life = resolvers.dice(13, 9),
  rarity = 1,
  level = 5,
  exp_worth = 35,
  flags = {
    MORTAL = true,
    AQUATIC = true,
    IM_POIS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    EVIL = true,
    DROP_90 = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=30 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 10,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'STARGAZER',
  name = [[Stargazer]],
  display = '~',
  color = colors.C_y,
  desc = [[A giant fish shaped like a flounder. There are two enormous eyes occupying half of the creature's body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 25,
  max_life = resolvers.dice(15, 9),
  rarity = 1,
  level = 21,
  exp_worth = 60,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    SMART = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
  },
  spells = {
    S_MONSTER = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELDER_STARGAZER',
  name = [[Elder stargazer]],
  display = '~',
  color = colors.C_y,
  desc = [[A stargazer a bit larger than average, covered with barnacles.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 25,
  max_life = resolvers.dice(20, 10),
  rarity = 1,
  level = 29,
  exp_worth = 75,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    SMART = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.CONFUSE, method=AttackType.GAZE },
  },
  spells = {
    S_MONSTERS = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 15,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FLOUNDER',
  name = [[Flounder]],
  display = '~',
  color = colors.C_s,
  desc = [[A flattened fish which is able to change body colouring for camouflage.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 25,
  max_life = resolvers.dice(10, 5),
  rarity = 1,
  level = 13,
  exp_worth = 55,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    ATTR_CLEAR = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,6} },
  },
  body = bodies.snake,
  speed = -10,
  vision = 5,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_TURTLE',
  name = [[Giant turtle]],
  display = 'R',
  color = colors.C_G,
  desc = [[A giant turtle with flippers, adapted for life in the ocean.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 14,
  max_life = resolvers.dice(5, 8),
  rarity = 1,
  level = 7,
  exp_worth = 30,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,2} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,2} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 10,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BABY_DRAGON_TURTLE',
  name = [[Baby dragon turtle]],
  display = 'd',
  color = colors.C_W,
  desc = [[A newly-hatched dragon turtle. It still hasn't grown a proper shell.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 12,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 60,
  max_life = 100,
  rarity = 1,
  level = 9,
  exp_worth = 35,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    EVIL = true,
    ATTR_MULTI = true,
    DROP_1D2 = true,
    AQUATIC = true,
    DRAGON = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,5} },
  },
  spells = {
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_DRAGON_TURTLE',
  name = [[Young dragon turtle]],
  display = 'd',
  color = colors.C_W,
  desc = [[A dragon-like creature inhabiting lightless reaches of ocean caves. It has a long neck with a tiny head, and four massive flippers. It has a soft and flexible shell.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 11,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 300,
  rarity = 1,
  level = 31,
  exp_worth = 700,
  flags = {
    FORCE_SLEEP = true,
    EVIL = true,
    ATTR_MULTI = true,
    DROP_3D2 = true,
    DRAGON = true,
    AQUATIC = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
  },
  spells = {
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_DRAGON_TURTLE',
  name = [[Mature dragon turtle]],
  display = 'd',
  color = colors.C_W,
  desc = [[A large dragon turtle, covered with a tough white shell.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 80,
  max_life = 500,
  rarity = 1,
  level = 38,
  exp_worth = 1500,
  flags = {
    FORCE_SLEEP = true,
    EVIL = true,
    ATTR_MULTI = true,
    NO_SLEEP = true,
    DRAGON = true,
    AQUATIC = true,
    HAS_LITE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={2,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={4,10} },
  },
  spells = {
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 0,
  vision = 20,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ANCIENT_DRAGON_TURTLE',
  name = [[Ancient dragon turtle]],
  display = 'D',
  color = colors.C_W,
  desc = [[A huge dragon turtle. You can see many barnacles covering its body.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 90,
  max_life = 700,
  rarity = 1,
  level = 41,
  exp_worth = 2500,
  flags = {
    EVIL = true,
    AQUATIC = true,
    SMART = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={7,8} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'UNDEAD_STARGAZER',
  name = [[Undead stargazer]],
  display = '~',
  color = colors.C_y,
  desc = [[A stargazer brought back from the dead under control of some unholy sorceror.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 9,
  ac = 25,
  max_life = resolvers.dice(18, 9),
  rarity = 1,
  level = 25,
  exp_worth = 100,
  flags = {
    ANIMAL = true,
    UNDEAD = true,
    AQUATIC = true,
    NO_CUT = true,
    SMART = true,
    INVISIBLE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PARALYZE, method=AttackType.GAZE },
    { type=DamageType.EXP_20, method=AttackType.GAZE },
  },
  spells = {
    S_UNDEAD = true,
    S_MONSTER = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_NAGA',
  name = [[Water naga]],
  display = 'n',
  color = colors.C_B,
  desc = [[A naga adapted to underwater life. She has a fish-like tail and a pair of gills.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 55,
  max_life = resolvers.dice(30, 10),
  rarity = 1,
  level = 24,
  exp_worth = 60,
  flags = {
    MORTAL = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    AQUATIC = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FEMALE = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=0, magic=50, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={2,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,8} },
  },
  spells = {
    DARKNESS = true,
    CAUSE_3 = true,
    BO_ICEE = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AQUATIC_HOUND',
  name = [[Aquatic hound]],
  display = 'Z',
  color = colors.C_B,
  desc = [[A dog with a finned tail and large, muscular flippers for hind legs. It has a rubbery skin instead of fur.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 60,
  max_life = resolvers.dice(15, 5),
  rarity = 1,
  level = 20,
  exp_worth = 200,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    AQUATIC = true,
    FRIENDS = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={2,8} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={2,8} },
  },
  spells = {
    BO_ICEE = true,
    BO_WATE = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 60,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_DEMON',
  name = [[Water demon]],
  display = 'U',
  color = colors.C_B,
  desc = [[A hideous scaled demon, it is a sleek form with many fins but no visible arms or legs. It has a toothed gaping maw, reminiscent of a caricature of a shark's jaws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 50,
  max_life = 700,
  rarity = 1,
  level = 40,
  exp_worth = 1000,
  flags = {
    IM_ACID = true,
    FORCE_SLEEP = true,
    DROP_60 = true,
    POWERFUL = true,
    FRIENDS = true,
    EVIL = true,
    NO_SLEEP = true,
    DEMON = true,
    AQUATIC = true,
    SMART = true,
    HAS_LITE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=60, magic=20, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.POISON, method=AttackType.GAZE, dam={8,12} },
    { type=DamageType.INSANITY, method=AttackType.CLAW, dam={8,12} },
  },
  spells = {
    BO_ICEE = true,
    BA_WATE = true,
  },
  body = bodies.snake,
  speed = 0,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'CHILD_SPIRIT',
  name = [[Child spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[A helpful spirit from beyond the grave.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(5, 5),
  rarity = 3,
  level = 5,
  exp_worth = 0,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    PET = true,
    SMART = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={3,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'YOUNG_SPIRIT',
  name = [[Young spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[A helpful spirit from beyond the grave.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 15,
  max_life = resolvers.dice(8, 8),
  rarity = 3,
  level = 10,
  exp_worth = 0,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    PET = true,
    SMART = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={9,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MATURE_SPIRIT',
  name = [[Mature spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[A helpful spirit from beyond the grave.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 16,
  ac = 15,
  max_life = resolvers.dice(16, 16),
  rarity = 3,
  level = 40,
  exp_worth = 0,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    PET = true,
    SMART = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={18,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EXPERIENCED_SPIRIT',
  name = [[Experienced spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[A helpful spirit from beyond the grave.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 18,
  ac = 15,
  max_life = resolvers.dice(18, 18),
  rarity = 3,
  level = 60,
  exp_worth = 0,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    PET = true,
    SMART = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={20,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WISE_SPIRIT',
  name = [[Wise spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[A helpful spirit from beyond the grave.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 25,
  ac = 15,
  max_life = resolvers.dice(25, 25),
  rarity = 3,
  level = 90,
  exp_worth = 0,
  flags = {
    PASS_WALL = true,
    IM_POIS = true,
    IM_COLD = true,
    NO_SLEEP = true,
    UNDEAD = true,
    NO_CUT = true,
    PET = true,
    SMART = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.TOUCH },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={30,4} },
  },
  body = bodies.none,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FANGORN_THE_TREEBEARD_LORD_OF_THE_ENTS',
  name = [[Fangorn the Treebeard, Lord of the Ents]],
  display = '#',
  color = colors.C_G,
  desc = [[The first being to awoke on Arda, apart from the Valar themselves.  He is the first, oldest, greatest and most respected of all the Ents:  and though he is slow to anger, he is a terrible foe when roused.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 5000,
  rarity = 3,
  level = 52,
  exp_worth = 15500,
  unique = true,
  flags = {
    SUSCEP_FIRE = true,
    UNIQUE = true,
    KILL_WALL = true,
    NO_CUT = true,
    SMART = true,
    GOOD = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    PET = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={13,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={13,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={13,13} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={13,13} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GANDALF_THE_GREY',
  name = [[Gandalf the Grey]],
  display = 'p',
  color = colors.C_s,
  desc = [[The wizard who opposed Sauron and, in the end, was the only one of the Istari to succeed in his task. Gandalf is very wise and specialises in fire magic.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 101,
  ac = 100,
  max_life = 4949,
  rarity = 7,
  level = 60,
  exp_worth = 35000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    DROP_3D2 = true,
    UNIQUE = true,
    SMART = true,
    RES_TELE = true,
    GOOD = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    REFLECTING = true,
    PET = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.TERRIFY, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.TERRIFY, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    HEAL = true,
    HASTE = true,
    TPORT = true,
    TELE_AWAY = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    BRAIN_SMASH = true,
    FORGET = true,
    TRAPS = true,
    BA_FIRE = true,
    BO_FIRE = true,
    BO_PLAS = true,
    BO_MANA = true,
    CAUSE_4 = true,
    S_MONSTERS = true,
    S_ANGEL = true,
    S_DRAGON = true,
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 101,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NAR_THE_DWARF',
  name = [[Nar, the Dwarf]],
  display = 'h',
  color = colors.C_y,
  desc = [[The friend and companion of the dwarven king Thror, he went mad with grief after Thror's death at the hands of Azog the Orc.  With torn beard and ragged clothes, he seems to have fixed on you as a convenient target to vent his anger.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 70,
  max_life = 450,
  rarity = 2,
  level = 17,
  exp_worth = 250,
  unique = true,
  flags = {
    FORCE_SLEEP = true,
    MALE = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    IM_FIRE = true,
    IM_COLD = true,
    BASH_DOOR = true,
    UNIQUE = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,5} },
  },
  spells = {
    HEAL = true,
    BLIND = true,
    CONF = true,
    CAUSE_2 = true,
    MIND_BLAST = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 25,
  alertness = 25,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_SWAMP_WYRM',
  name = [[Great Swamp Wyrm]],
  display = 'D',
  color = colors.C_g,
  desc = [[A truly enormous dragon with great powers.  The foul gases issuing from the beast nearly make you vomit; and while you may try to hold your breath as you fight it, it sees no reason to do likewise.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 2,
  level = 63,
  exp_worth = 20000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_POIS = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_BILE_WYRM',
  name = [[Great Bile Wyrm]],
  display = 'D',
  color = colors.C_s,
  desc = [[A huge and very powerful dragon.  Great steaming pools of acid drip from its form onto the ground.  You shudder when you see the acid eating away the very stones of the dungeon - what could it do to you?]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 5000,
  rarity = 2,
  level = 67,
  exp_worth = 23000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.ACID, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_ACID = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_FIREBIRD',
  name = [[Blue Firebird]],
  display = 'B',
  color = colors.C_B,
  desc = [[The ancestors of the Eagles of the Thunderlords, these are friendly funny flying creatures with power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(4, 5),
  rarity = 3,
  level = 5,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IMPRESED = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    PET = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,4} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={5,4} },
  },
  spells = {
    TELE_TO = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 8,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_FIREBIRD',
  name = [[Green Firebird]],
  display = 'B',
  color = colors.C_G,
  desc = [[The ancestors of the Eagles of the Thunderlords, these are friendly funny flying creatures with power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(4, 5),
  rarity = 3,
  level = 7,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IMPRESED = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    PET = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,4} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={5,4} },
  },
  spells = {
    TELE_TO = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BROWN_FIREBIRD',
  name = [[Brown Firebird]],
  display = 'B',
  color = colors.C_u,
  desc = [[The ancestors of the Eagles of the Thunderlords, these are friendly funny flying creatures with power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(5, 5),
  rarity = 3,
  level = 10,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IMPRESED = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    PET = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={5,4} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={7,4} },
  },
  spells = {
    TELE_TO = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 10,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRONZE_FIREBIRD',
  name = [[Bronze Firebird]],
  display = 'B',
  color = colors.C_U,
  desc = [[The ancestors of the Eagles of the Thunderlords, these are friendly funny flying creatures with power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(6, 5),
  rarity = 3,
  level = 13,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IMPRESED = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    PET = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,4} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={7,4} },
  },
  spells = {
    TELE_TO = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 15,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOLD_FIREBIRD',
  name = [[Gold Firebird]],
  display = 'B',
  color = colors.C_y,
  desc = [[The ancestors of the Eagles of the Thunderlords, these are friendly funny flying creatures with power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 15,
  max_life = resolvers.dice(6, 5),
  rarity = 3,
  level = 15,
  exp_worth = 0,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    IMPRESED = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    PET = true,
    SMART = true,
    HAS_LITE = true,
    GOOD = true,
    DROP_CORPSE = true,
    HAS_EGG = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={6,4} },
    { type=DamageType.FIRE, method=AttackType.CLAW, dam={8,4} },
  },
  spells = {
    TELE_TO = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HIGH_ELVEN_RANGER',
  name = [[High-elven ranger]],
  display = 'h',
  color = colors.C_G,
  desc = [[An elf cloaked in green wielding a longbow.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 30,
  ac = 70,
  max_life = resolvers.dice(50, 30),
  rarity = 3,
  level = 40,
  exp_worth = 500,
  flags = {
    MORTAL = true,
    MALE = true,
    RES_WATE = true,
    SMART = true,
    GOOD = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    RES_NETH = true,
    PET = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ADUNAPHEL_THE_QUIET',
  name = [[Adunaphel the Quiet]],
  display = 'W',
  color = colors.C_D,
  desc = [[A sorceress in life, Adunaphel quickly fell under Sauron's sway and the power of the rings.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 60,
  max_life = 2700,
  rarity = 13,
  level = 43,
  exp_worth = 13000,
  unique = true,
  flags = {
    PASS_WALL = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    FEMALE = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    NAZGUL = true,
    IM_COLD = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={5,6} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={5,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    FORGET = true,
    BO_ACID = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_NETH = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'AKHORAHIL_THE_BLIND',
  name = [[Akhorahil the Blind]],
  display = 'W',
  color = colors.C_D,
  desc = [[A mighty sorcerer king, Akhorahil was blind in life. With powerful enchantments, he created jewelled eyes that enabled him to see better than any ordinary man ever could.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 3000,
  rarity = 13,
  level = 45,
  exp_worth = 15000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    NAZGUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,6} },
    { type=DamageType.EXP_80, method=AttackType.GAZE, dam={6,6} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={6,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    DARKNESS = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_NETH = true,
    S_MONSTERS = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'REN_THE_UNCLEAN',
  name = [[Ren the Unclean]],
  display = 'W',
  color = colors.C_D,
  desc = [[Ren was an insane eastern king who believed himself to be the son of a volcano god. At an early age his sanity was destroyed by a plague that wiped out his family, and he never recovered.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 3500,
  rarity = 13,
  level = 48,
  exp_worth = 18000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NAZGUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={6,7} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={6,7} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BO_FIRE = true,
    BO_NETH = true,
    BA_FIRE = true,
    S_MONSTER = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'JI_INDUR_DAWNDEATH',
  name = [[Ji Indur Dawndeath]],
  display = 'W',
  color = colors.C_D,
  desc = [[This Ringwraith was a weak-minded sorcerer-king who fell easily under Sauron's power.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 4000,
  rarity = 13,
  level = 52,
  exp_worth = 22000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NAZGUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,7} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH, dam={6,7} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH, dam={6,7} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BA_FIRE = true,
    BA_NETH = true,
    BA_COLD = true,
    BA_ELEC = true,
    BA_ACID = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DWAR_DOG_LORD_OF_WAW',
  name = [[Dwar, Dog Lord of Waw]],
  display = 'W',
  color = colors.C_D,
  desc = [[Dwar had a special affinity for dogs in life, and can still command them at will. He howls manically as he reaches out to destroy you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 4500,
  rarity = 13,
  level = 56,
  exp_worth = 25000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NAZGUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.EXP_40, method=AttackType.BITE, dam={6,7} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={6,7} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BA_FIRE = true,
    BA_NETH = true,
    S_MONSTERS = true,
    S_UNDEAD = true,
    S_HOUND = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HOARMURATH_OF_DIR',
  name = [[Hoarmurath of Dir]],
  display = 'W',
  color = colors.C_D,
  desc = [[A Ringwraith powerful in fell sorcery, he yearns for the life he has exchanged for an unlife of everlasting torment.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 6000,
  rarity = 13,
  level = 64,
  exp_worth = 30000,
  unique = true,
  flags = {
    MALE = true,
    DROP_2D2 = true,
    EVIL = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    NAZGUL = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={6,7} },
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={6,7} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    MIND_BLAST = true,
    BO_COLD = true,
    BA_COLD = true,
    BA_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KHAMUL_THE_BLACK_EASTERLING',
  name = [[Khamul, the Black Easterling]],
  display = 'W',
  color = colors.C_D,
  desc = [[He was the warrior-king of the East, now a Ringwraith. Khamul is a powerful opponent, his skill in combat awesome and his form twisted by evil cunning.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = 7000,
  rarity = 13,
  level = 72,
  exp_worth = 40000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    NAZGUL = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,10} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={7,7} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={7,7} },
  },
  spells = {
    TELE_LEVEL = true,
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    BO_MANA = true,
    BA_FIRE = true,
    BA_COLD = true,
    BA_NETH = true,
    ANIM_DEAD = true,
    S_HI_UNDEAD = true,
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_WITCH_KING_OF_ANGMAR',
  name = [[The Witch-King of Angmar]],
  display = 'W',
  color = colors.C_D,
  desc = [[The Chief of the Ringwraiths. A fell being of devastating power, his spells are lethal and his combat blows crushingly hard. He moves at speed, and commands legions of evil to do his bidding. It is said that he is fated never to die by the hand of mortal man.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 9000,
  rarity = 14,
  level = 80,
  exp_worth = 60000,
  unique = true,
  flags = {
    MALE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNDEAD = true,
    UNIQUE = true,
    NO_CUT = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NAZGUL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    DROP_CHOSEN = true,
    MOVE_BODY = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=30, magic=30, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={7,7} },
    { type=DamageType.EXP_80, method=AttackType.HIT, dam={7,7} },
  },
  spells = {
    TELE_AWAY = true,
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    BRAIN_SMASH = true,
    BO_MANA = true,
    BA_NETH = true,
    S_WRAITH = true,
    S_KIN = true,
    S_HI_UNDEAD = true,
    S_HI_DRAGON = true,
    S_MONSTERS = true,
    ANIM_DEAD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 90,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_THUNDERLORD',
  name = [[Green Thunderlord]],
  display = 'B',
  color = colors.C_g,
  desc = [[A Thunderlord. Among the weaker breeds, but still dangerous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 50,
  ac = 100,
  max_life = resolvers.dice(50, 50),
  rarity = 4,
  level = 30,
  exp_worth = 10000,
  flags = {
    IM_FIRE = true,
    RES_TELE = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    FEMALE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    THUNDERLORD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
  },
  spells = {
    BR_FIRE = true,
    BLINK = true,
    TELE_AWAY = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_THUNDERLORD',
  name = [[Blue Thunderlord]],
  display = 'B',
  color = colors.C_b,
  desc = [[A Thunderlord. Among the weaker breeds, but still dangerous.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 60,
  ac = 100,
  max_life = resolvers.dice(60, 60),
  rarity = 4,
  level = 40,
  exp_worth = 20000,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,7} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,7} },
  },
  spells = {
    BR_FIRE = true,
    TPORT = true,
    BLINK = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BROWN_THUNDERLORD',
  name = [[Brown Thunderlord]],
  display = 'B',
  color = colors.C_u,
  desc = [[A Thunderlord. Beware its flame.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 70,
  ac = 100,
  max_life = resolvers.dice(70, 70),
  rarity = 4,
  level = 50,
  exp_worth = 20000,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,9} },
  },
  spells = {
    BR_FIRE = true,
    TPORT = true,
    BLINK = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRONZE_THUNDERLORD',
  name = [[Bronze Thunderlord]],
  display = 'B',
  color = colors.C_U,
  desc = [[A Thunderlord, mightiest among the males.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 100,
  max_life = resolvers.dice(80, 80),
  rarity = 5,
  level = 60,
  exp_worth = 20000,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
  },
  spells = {
    BR_FIRE = true,
    BR_TIME = true,
    TPORT = true,
    BLINK = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOLD_THUNDERLORD',
  name = [[Gold Thunderlord]],
  display = 'B',
  color = colors.C_y,
  desc = [[A Thunderlord, among the queens of their kind.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 90,
  ac = 100,
  max_life = resolvers.dice(90, 90),
  rarity = 5,
  level = 70,
  exp_worth = 20000,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    RES_TELE = true,
    SMART = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    FEMALE = true,
    DROP_GOOD = true,
    REGENERATE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    THUNDERLORD = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
  },
  spells = {
    BR_FIRE = true,
    BR_TIME = true,
    TPORT = true,
    BLINK = true,
    TELE_TO = true,
    TELE_AWAY = true,
    S_THUNDERLORD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLOOD_SPROUT',
  name = [[Blood Sprout]],
  display = ',',
  color = colors.C_g,
  desc = [[A kind of giant mycorrhiza, corrupted into a carnivore by Morgoth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 1,
  max_life = resolvers.dice(3, 5),
  rarity = 1,
  level = 50,
  exp_worth = 3,
  flags = {
    IM_ACID = true,
    MORTAL = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    STUPID = true,
    EMPTY_MIND = true,
    KILL_TREES = true,
    NO_FEAR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={3,15} },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={3,15} },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={3,15} },
    { type=DamageType.PHYSICAL, method=AttackType.TOUCH, dam={3,15} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 30,
  vision = 10,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GORLIM_BETRAYER_OF_BARAHIR',
  name = [[Gorlim, Betrayer of Barahir]],
  display = 'p',
  color = colors.C_s,
  desc = [[This sad creature - once a mighty warrior - betrayed his former friends to Morgoth's army in return for, he thought, safety for himself and his wife. And so he fell under Morgoth's power and became little more than a mindless servant of evil, even though the other side of his "bargain" was not kept.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = 1600,
  rarity = 3,
  level = 41,
  exp_worth = 7000,
  unique = true,
  flags = {
    MALE = true,
    DROP_2D2 = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_GOOD = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={8,6} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={6,8} },
  },
  spells = {
    CAUSE_3 = true,
    BO_WATE = true,
    BO_MANA = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ARANEA',
  name = [[Aranea]],
  display = 'S',
  color = colors.C_r,
  desc = [[A red arachnid with legs weaving spells in the air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 45,
  max_life = 200,
  rarity = 2,
  level = 30,
  exp_worth = 250,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    IM_POIS = true,
    FRIENDS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={2,8} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,6} },
  },
  spells = {
    BO_FIRE = true,
    SLOW = true,
    HOLD = true,
    CAUSE_3 = true,
    MISSILE = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELDER_ARANEA',
  name = [[Elder aranea]],
  display = 'S',
  color = colors.C_v,
  desc = [[A vast, bloated arachnid, master of its brood: among the more terrible of Ungoliant's descendants, this is a monster such as those who haunted the dread valley of Nan Dungortheb long ago.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 65,
  max_life = 600,
  rarity = 3,
  level = 40,
  exp_worth = 2500,
  flags = {
    SPIDER = true,
    ANIMAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    EVIL = true,
    HURT_LITE = true,
    SMART = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={5,8} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={5,8} },
    { type=DamageType.HALLU, method=AttackType.BITE, dam={5,6} },
    { type=DamageType.HALLU, method=AttackType.BITE, dam={5,6} },
  },
  spells = {
    SLOW = true,
    HOLD = true,
    DRAIN_MANA = true,
    MIND_BLAST = true,
    HEAL = true,
    BA_FIRE = true,
    BO_FIRE = true,
    CAUSE_3 = true,
    S_SPIDER = true,
  },
  body = bodies.quadruped,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BROWN_TICK',
  name = [[Giant brown tick]],
  display = 'S',
  color = colors.C_u,
  desc = [[It is moving slowly towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 8,
  ac = 50,
  max_life = resolvers.dice(16, 8),
  rarity = 2,
  level = 25,
  exp_worth = 27,
  flags = {
    ANIMAL = true,
    CAN_FLY = true,
    WEIRD_MIND = true,
    MORTAL = true,
    IM_POIS = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={2,6} },
    { type=DamageType.BLIND, method=AttackType.STING, dam={1,1} },
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 12,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NOVICE_POSSESSOR_SOUL_',
  name = [[Novice possessor (soul)]],
  display = 'G',
  color = colors.C_D,
  desc = [[It does not look that powerful.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 1,
  ac = 1,
  max_life = resolvers.dice(1, 1),
  rarity = 3,
  level = 10,
  exp_worth = 0,
  flags = {
    POSSESSOR = true,
    NO_CUT = true,
    SMART = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  body = bodies.none,
  speed = 0,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BAT_OF_GORGOROTH',
  name = [[Bat of Gorgoroth]],
  display = 'b',
  color = colors.C_g,
  desc = [[Fed with horrid meats and grown to enormous size, this slavering creature seeks livelier prey.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 8,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 30,
  max_life = resolvers.dice(20, 10),
  rarity = 3,
  level = 28,
  exp_worth = 100,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    FRIENDS = true,
    AI_ANNOY = true,
    BASH_DOOR = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
  },
  spells = {
    SCARE = true,
    BR_POIS = true,
    BR_DARK = true,
  },
  body = bodies.winged,
  speed = 10,
  vision = 20,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EXPERIENCED_POSSESSOR_SOUL_',
  name = [[Experienced possessor (soul)]],
  display = 'G',
  color = colors.C_D,
  desc = [[It does not look that powerful.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 5,
  ac = 50,
  max_life = resolvers.dice(5, 5),
  rarity = 3,
  level = 30,
  exp_worth = 0,
  flags = {
    POSSESSOR = true,
    NO_CUT = true,
    SMART = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    S_KIN = true,
  },
  speed = 10,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'OLD_POSSESSOR_SOUL_',
  name = [[Old possessor (soul)]],
  display = 'G',
  color = colors.C_D,
  desc = [[It does not look that powerful.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 100,
  max_life = resolvers.dice(10, 10),
  rarity = 3,
  level = 95,
  exp_worth = 0,
  flags = {
    POSSESSOR = true,
    NO_CUT = true,
    SMART = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  spells = {
    S_KIN = true,
  },
  speed = 20,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRONZE_DRAGON_WORM',
  name = [[Bronze dragon worm]],
  display = 'w',
  color = colors.C_U,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Its scales glitter in a multitude of perplexing and distracting ways.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_CONF = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GOLD_DRAGON_WORM',
  name = [[Gold dragon worm]],
  display = 'w',
  color = colors.C_y,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. You can feel the air itself vibrating as you near it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    NO_STUN = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_SOUN = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BULLROARER_THE_HOBBIT',
  name = [[Bullroarer the Hobbit]],
  display = 'h',
  color = colors.C_U,
  desc = [[He is a sturdy hobbit who is renowned for his unusual strength and vigour. He can prove a troublesome opponent.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 8,
  max_life = 60,
  rarity = 3,
  level = 5,
  exp_worth = 90,
  unique = true,
  flags = {
    DROP_GOOD = true,
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    UNIQUE = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
  },
  drop = { treasure=25, combat=55, magic=0, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,8} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 16,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ULDOR_THE_ACCURSED',
  name = [[Uldor the Accursed]],
  display = 'p',
  color = colors.C_U,
  desc = [[An evil and cunning man from the East.  Having once sworn allegiance to the sons of Feanor, it was Uldor's treachery that turned the tide of the Battle of Unnumbered Tears in Morgoth's favour.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 10,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = 1000,
  rarity = 4,
  level = 28,
  exp_worth = 600,
  unique = true,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
  },
  spells = {
    S_KIN = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MYSTIC',
  name = [[Mystic]],
  display = 'p',
  color = colors.C_o,
  desc = [[An adept at unarmed combat, the mystic strikes with stunning power. He can summon help from nature and is able to focus his power to ease any pain.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 350,
  rarity = 3,
  level = 33,
  exp_worth = 500,
  flags = {
    MORTAL = true,
    MALE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=30, combat=0, magic=60, tool=10 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
  },
  spells = {
    HEAL = true,
    S_SPIDER = true,
    S_ANIMAL = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ELDER_VAMPIRE',
  name = [[Elder vampire]],
  display = 'V',
  color = colors.C_r,
  desc = [[A terrible robed undead figure, this creature has existed in its unlife for many centuries by stealing the life of others. It can summon the very shades of its victims from beyond the grave to come enslaved to its aid.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 3400,
  rarity = 3,
  level = 54,
  exp_worth = 4500,
  flags = {
    DROP_60 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    HURT_LITE = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=70, magic=30, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={4,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={5,6} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={5,6} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    DARKNESS = true,
    BO_NETH = true,
    S_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'DEMONOLOGIST',
  name = [[Demonologist]],
  display = 'p',
  color = colors.C_R,
  desc = [[A figure twisted by evil standing in robes of deepest crimson.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 280,
  rarity = 2,
  level = 36,
  exp_worth = 700,
  flags = {
    MORTAL = true,
    MALE = true,
    EVIL = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    FORCE_SLEEP = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    RES_NETH = true,
    DROP_1D2 = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={2,6} },
  },
  spells = {
    TPORT = true,
    HOLD = true,
    S_DEMON = true,
    BO_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'HEZROU',
  name = [[Hezrou]],
  display = 'U',
  color = colors.C_g,
  desc = [[It is a demon of lizard form with cruel-looking jaws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = 520,
  rarity = 3,
  level = 41,
  exp_worth = 2500,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    POWERFUL = true,
    DROP_2D2 = true,
    FRIENDS = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BO_FIRE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GLABREZU',
  name = [[Glabrezu]],
  display = 'U',
  color = colors.C_U,
  desc = [[It is a demon with arms and pincers, its form a true mockery of life.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 40,
  max_life = 700,
  rarity = 2,
  level = 43,
  exp_worth = 3000,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    EVIL = true,
    DROP_90 = true,
    NO_SLEEP = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BO_FIRE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'NALFESHNEE',
  name = [[Nalfeshnee]],
  display = 'U',
  color = colors.C_r,
  desc = [[It is a large demon with the head of a giant boar. Flames run up and down its length.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 900,
  rarity = 2,
  level = 45,
  exp_worth = 5000,
  flags = {
    FORCE_SLEEP = true,
    NONLIVING = true,
    IM_FIRE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    EVIL = true,
    AURA_FIRE = true,
    NO_SLEEP = true,
    DROP_1D2 = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BR_FIRE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MARILITH',
  name = [[Marilith]],
  display = 'U',
  color = colors.C_y,
  desc = [[She is a demon of female form with many arms, each bearing deadly weapons.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 9,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 70,
  ac = 75,
  max_life = 1400,
  rarity = 2,
  level = 47,
  exp_worth = 7000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    EVIL = true,
    DEMON = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,6} },
  },
  spells = {
    BLIND = true,
    CAUSE_2 = true,
    S_DEMON = true,
  },
  body = { MAIN_HAND=3, OFF_HAND=3, BODY=0, CLOAK=0, LAUNCHER=1, QUIVER=0, GLOVES=3, BOOTS=0, HELM=1, RING=4, AMULET=1, LITE=0, TOOL=1, SYMBIOTE=0, INVEN=23 },
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'LESSER_BALROG',
  name = [[Lesser Balrog]],
  display = 'U',
  color = colors.C_v,
  desc = [[It is a massive humanoid demon wreathed in flames.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 50,
  max_life = 2000,
  rarity = 2,
  level = 49,
  exp_worth = 10000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DEMON = true,
    KILL_WALL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={3,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BR_FIRE = true,
    S_DEMON = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MASTER_MYSTIC',
  name = [[Master mystic]],
  display = 'p',
  color = colors.C_o,
  desc = [[A lord of all that is natural, skilled in the mystic ways. He is a master of martial arts and is at one with nature, able to summon help from the wild if need be.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 60,
  max_life = 1100,
  rarity = 3,
  level = 50,
  exp_worth = 6000,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    DROP_1D2 = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=0, magic=40, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={20,1} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={15,1} },
  },
  spells = {
    HEAL = true,
    S_SPIDER = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GRAND_MASTER_MYSTIC',
  name = [[Grand master mystic]],
  display = 'p',
  color = colors.C_o,
  desc = [[He is one of the few true masters of the art, being extremely skillful in all forms of unarmed combat and controlling the world's natural creatures with disdainful ease.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = 2200,
  rarity = 3,
  level = 57,
  exp_worth = 15000,
  flags = {
    MORTAL = true,
    MALE = true,
    IM_FIRE = true,
    ONLY_ITEM = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    DROP_4D2 = true,
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
  },
  drop = { treasure=40, combat=0, magic=40, tool=20 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={20,2} },
    { type=DamageType.PHYSICAL, method=AttackType.KICK, dam={10,2} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={20,1} },
    { type=DamageType.PARALYZE, method=AttackType.HIT, dam={15,1} },
  },
  spells = {
    HEAL = true,
    MIND_BLAST = true,
    S_SPIDER = true,
    S_HOUND = true,
    S_ANIMALS = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 5,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ERINYES',
  name = [[Erinyes]],
  display = 'U',
  color = colors.C_u,
  desc = [[It is a lesser demon of female form; however, she takes little time to show her true colours.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 7,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 50,
  max_life = 240,
  rarity = 2,
  level = 38,
  exp_worth = 1000,
  flags = {
    FORCE_SLEEP = true,
    DROP_60 = true,
    IM_POIS = true,
    IM_FIRE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    DEMON = true,
    ONLY_ITEM = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
    FEMALE = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={3,4} },
    { type=DamageType.LOSE_STR, method=AttackType.TOUCH, dam={1,5} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BO_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'POLYPHEMUS_THE_BLIND_CYCLOPS',
  name = [[Polyphemus, the Blind Cyclops]],
  display = 'P',
  color = colors.C_g,
  desc = [[No ordinary cyclops, but the son of a sea-god:  he wields the powers of elemental water as well as the considerable strength of a cyclops.  His one eye was blinded long ago by the warrior Odysseus, but he has trained himself to hear so well that it nearly makes up for his disability.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 140,
  max_life = 6500,
  rarity = 3,
  level = 69,
  exp_worth = 29000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    GIANT = true,
    IM_POIS = true,
    CAN_SWIM = true,
    IM_COLD = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    KILL_BODY = true,
    KILL_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,10} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={11,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={11,10} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={11,10} },
  },
  spells = {
    BO_WATE = true,
    BA_WATE = true,
    BO_ICEE = true,
    BA_ACID = true,
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_PERPLEXITY',
  name = [[Great Wyrm of Perplexity]],
  display = 'D',
  color = colors.C_U,
  desc = [[A dragon of great size and power.  Its polished bronze scales reflect the light in strange and confusing patterns, and you find it hard to keep your mind on the job of fighting for your life.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 4000,
  rarity = 2,
  level = 63,
  exp_worth = 20000,
  flags = {
    DROP_2D2 = true,
    EVIL = true,
    DROP_3D2 = true,
    SMART = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.CONFUSE, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.CONFUSE, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREAT_WYRM_OF_THUNDER',
  name = [[Great Wyrm of Thunder]],
  display = 'D',
  color = colors.C_y,
  desc = [[A dragon of gigantic proportions, with destructive abilities to match.  The sheer loudness of its roar leaves you stunned and unable to think clearly enough to defend yourself adequately.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 5000,
  rarity = 2,
  level = 67,
  exp_worth = 23000,
  flags = {
    DROP_2D2 = true,
    NO_STUN = true,
    EVIL = true,
    DROP_3D2 = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    POWERFUL = true,
    BASH_DOOR = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={4,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={6,14} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={6,14} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_SOUN = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SILVER_MOUSE',
  name = [[Silver mouse]],
  display = 'r',
  color = colors.C_W,
  desc = [[It is about three feet long with large teeth.  As the light of your lamp falls on it, it seems to grow stronger.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 3,
  ac = 4,
  max_life = resolvers.dice(1, 3),
  rarity = 1,
  level = 4,
  exp_worth = 1,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    CAN_SWIM = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_LITE, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 8,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'THE_RAT_KING',
  name = [[The Rat King]],
  display = 'r',
  color = colors.C_v,
  desc = [[A massive rat. He's the leader of the pack.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 12,
  ac = 30,
  max_life = 240,
  rarity = 1,
  level = 18,
  exp_worth = 32,
  unique = true,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    ESCORT = true,
    BASH_DOOR = true,
    ESCORTS = true,
    NO_SLEEP = true,
    UNIQUE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,2} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,2} },
    { type=DamageType.DISEASE, method=AttackType.BITE, dam={4,2} },
    { type=DamageType.DISEASE, method=AttackType.BITE, dam={4,2} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'VORT_THE_KOBOLD_QUEEN',
  name = [[Vort the Kobold Queen]],
  display = 'k',
  color = colors.C_v,
  desc = [[Where Mughash is the strongest of his kind, his consort Vort is the wisest: she is her tribe's chief shamaness.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 20,
  max_life = 120,
  rarity = 3,
  level = 7,
  exp_worth = 100,
  unique = true,
  flags = {
    MORTAL = true,
    ESCORT = true,
    EVIL = true,
    UNIQUE = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    FEMALE = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    IM_POIS = true,
    DROP_SKELETON = true,
    ESCORTS = true,
    BASH_DOOR = true,
    DROP_1D2 = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={1,10} },
  },
  spells = {
    MISSILE = true,
    HEAL = true,
    CAUSE_1 = true,
    CONF = true,
  },
  body = bodies.humanoid,
  speed = 0,
  vision = 20,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GIANT_BLACK_LOUSE',
  name = [[Giant black louse]],
  display = 'I',
  color = colors.C_D,
  desc = [[It is six inches long.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 2,
  ac = 7,
  max_life = resolvers.dice(1, 2),
  rarity = 1,
  level = 14,
  exp_worth = 3,
  flags = {
    ANIMAL = true,
    WEIRD_MIND = true,
    CAN_FLY = true,
    MORTAL = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,2} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 6,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'FIRE_PHANTOM',
  name = [[Fire Phantom]],
  display = 'G',
  color = colors.C_r,
  desc = [[He's back from the grave for vengeance on those who burnt him. He has no mercy for those in his way.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 90,
  max_life = 1000,
  rarity = 5,
  level = 34,
  exp_worth = 1200,
  unique = true,
  flags = {
    PASS_WALL = true,
    MORTAL = true,
    MALE = true,
    DROP_2D2 = true,
    NO_STUN = true,
    UNIQUE = true,
    UNDEAD = true,
    NO_CUT = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    CAN_SPEAK = true,
    DROP_GOOD = true,
    REGENERATE = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BR_FIRE = true,
    HOLD = true,
    CONF = true,
    SCARE = true,
    MIND_BLAST = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BONE_GOLEM',
  name = [[Bone golem]],
  display = 'g',
  color = colors.C_w,
  desc = [[A skeletal form, black as night, constructed from the bones of its previous victims.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 3500,
  rarity = 3,
  level = 61,
  exp_worth = 23000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    EVIL = true,
    UNDEAD = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.UN_BONUS, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={6,6} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={6,6} },
  },
  spells = {
    TELE_TO = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_NETH = true,
    S_HI_UNDEAD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 20,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BRONZE_GOLEM',
  name = [[Bronze golem]],
  display = 'g',
  color = colors.C_o,
  desc = [[A gigantic four-armed animated bronze statue, glowing with great heat.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 170,
  max_life = 4000,
  rarity = 3,
  level = 65,
  exp_worth = 26000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    NO_STUN = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    RES_TELE = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
  },
  spells = {
    BO_PLAS = true,
    BA_FIRE = true,
    BR_FIRE = true,
    BA_ELEC = true,
    S_HI_DEMON = true,
    TELE_TO = true,
  },
  body = { MAIN_HAND=2, OFF_HAND=2, BODY=1, CLOAK=1, LAUNCHER=1, QUIVER=1, GLOVES=2, BOOTS=1, HELM=1, RING=4, AMULET=1, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 10,
  vision = 25,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLUE_DRAGON_WORM',
  name = [[Blue dragon worm]],
  display = 'w',
  color = colors.C_B,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Sparks fly from its jaws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_ELEC = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WHITE_DRAGON_WORM',
  name = [[White dragon worm]],
  display = 'w',
  color = colors.C_W,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Its breath condenses in the air.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_COLD = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'GREEN_DRAGON_WORM',
  name = [[Green dragon worm]],
  display = 'w',
  color = colors.C_G,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. You can smell foul gases on its breath.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_POIS = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'BLACK_DRAGON_WORM',
  name = [[Black dragon worm]],
  display = 'w',
  color = colors.C_s,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Acidic drool drips from its jaws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    IM_ACID = true,
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_ACID = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'RED_DRAGON_WORM',
  name = [[Red dragon worm]],
  display = 'w',
  color = colors.C_R,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Smoke comes from its mouth.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = resolvers.dice(10, 15),
  rarity = 3,
  level = 20,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    DROP_60 = true,
    ONLY_GOLD = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_FIRE = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'MULTI_HUED_DRAGON_WORM',
  name = [[Multi-hued dragon worm]],
  display = 'w',
  color = colors.C_v,
  desc = [[You thought dragons used eggs, but this worm has the scales, and the bad breath, and the fiery eyes, of a real dragon. Its scales shimmer different colours as you watch.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=75,
    spell_prob = 6,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 40,
  max_life = resolvers.dice(10, 20),
  rarity = 3,
  level = 23,
  exp_worth = 12,
  flags = {
    IM_ACID = true,
    MORTAL = true,
    DROP_60 = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    IM_FIRE = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    EVIL = true,
    ATTR_MULTI = true,
    DRAGON = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={3,3} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={3,5} },
  },
  spells = {
    MULTIPLY = true,
    BR_ELEC = true,
    BR_COLD = true,
    BR_FIRE = true,
    BR_ACID = true,
    BR_POIS = true,
  },
  body = bodies.snake,
  speed = -10,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SANDWORM',
  name = [[Sandworm]],
  display = 'w',
  color = colors.C_y,
  desc = [[Offbreed of the Sandworm Queen, they are harmless alone...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    random_move=25,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 15,
  ac = 40,
  max_life = 150,
  rarity = 6,
  level = 27,
  exp_worth = 12,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    IM_FIRE = true,
    POWERFUL = true,
    IM_ELEC = true,
    EVIL = true,
    EMPTY_MIND = true,
    FORCE_MAXHP = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CLAW, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={4,4} },
    { type=DamageType.POISON, method=AttackType.CLAW, dam={4,4} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={5,5} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.snake,
  speed = 5,
  vision = 10,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'ATLAS_THE_TITAN',
  name = [[Atlas, the Titan]],
  display = 'P',
  color = colors.C_s,
  desc = [[The strongest of all the Titans.  Legend has it that he once held the sky on his shoulders; and the mountain range that now does so is named after him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 160,
  max_life = 10000,
  rarity = 3,
  level = 76,
  exp_worth = 37000,
  unique = true,
  flags = {
    MALE = true,
    IM_FIRE = true,
    EVIL = true,
    UNIQUE = true,
    KILL_WALL = true,
    SMART = true,
    ONLY_ITEM = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    GIANT = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    KILL_BODY = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={13,13} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={13,13} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={13,13} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={13,13} },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'KRONOS_LORD_OF_THE_TITANS',
  name = [[Kronos, Lord of the Titans]],
  display = 'P',
  color = colors.C_v,
  desc = [[The lord of the Titans, he has broken loose from his confinement in the nether hells to seek revenge on the world.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = 13000,
  rarity = 3,
  level = 87,
  exp_worth = 42000,
  unique = true,
  flags = {
    MALE = true,
    ESCORT = true,
    IM_FIRE = true,
    EVIL = true,
    DROP_3D2 = true,
    UNIQUE = true,
    SMART = true,
    ONLY_ITEM = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    FORCE_MAXHP = true,
    DROP_4D2 = true,
    IM_ACID = true,
    DROP_GOOD = true,
    FORCE_SLEEP = true,
    GIANT = true,
    IM_POIS = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    MOVE_BODY = true,
    HAS_LITE = true,
    TAKE_ITEM = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={12,12} },
  },
  spells = {
    BR_FIRE = true,
    BR_COLD = true,
    BR_SHAR = true,
    BR_SOUN = true,
    ROCKET = true,
    S_MONSTERS = true,
    S_KIN = true,
    TELE_TO = true,
    HEAL = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 15,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'WATER_HOUND',
  name = [[Water hound]],
  display = 'Z',
  color = colors.C_r,
  desc = [[The sound of a hundred waterfalls rushes through your ears as a huge wave of water, vaguely hound-shaped, rushes towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 5,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 6,
  ac = 30,
  max_life = resolvers.dice(12, 6),
  rarity = 1,
  level = 43,
  exp_worth = 150,
  flags = {
    ANIMAL = true,
    MORTAL = true,
    FORCE_SLEEP = true,
    FRIENDS = true,
    IM_COLD = true,
    BASH_DOOR = true,
    NO_CUT = true,
    RES_WATE = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={1,6} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={1,4} },
  },
  spells = {
    BA_WATE = true,
  },
  body = bodies.quadruped,
  speed = 0,
  vision = 30,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'EMPEROR_MIMIC',
  name = [[Emperor Mimic]],
  display = 'm',
  color = colors.C_y,
  desc = [[A strange creature that disguises itself as an object to lure unsuspecting adventurers within reach of its venomous claws.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 50,
  ac = 60,
  max_life = resolvers.dice(50, 50),
  rarity = 3,
  level = 40,
  exp_worth = 200,
  unique = true,
  flags = {
    IM_ACID = true,
    FORCE_SLEEP = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_COLD = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    UNIQUE = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    MIMIC = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=25, combat=25, magic=25, tool=25 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={5,5} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={5,5} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    CAUSE_4 = true,
    CAUSE_3 = true,
    FORGET = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
    BA_ELEC = true,
    S_MONSTER = true,
    S_KIN = true,
    SHRIEK = true,
    BRAIN_SMASH = true,
    TRAPS = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 30,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_NETHER',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[This strange, almost intangible spirit keeps assaulting you!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 50,
  max_life = resolvers.dice(40, 80),
  rarity = 2,
  level = 128,
  exp_worth = 5000,
  flags = {
    EMPTY_MIND = true,
    SPIRIT = true,
    NO_CUT = true,
    NEVER_MOVE = true,
    INVISIBLE = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=0, magic=75, tool=0 },
  attacks = {
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={10,10} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={10,10} },
  },
  spells = {
    BA_NETH = true,
  },
  body = { MAIN_HAND=0, OFF_HAND=1, BODY=1, CLOAK=1, LAUNCHER=0, QUIVER=1, GLOVES=1, BOOTS=0, HELM=0, RING=2, AMULET=0, LITE=1, TOOL=1, SYMBIOTE=1, INVEN=23 },
  speed = 10,
  vision = 30,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ANNOYANCE',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_B,
  desc = [[These things multiply at an apparently unstoppable rate!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 20,
  ac = 70,
  max_life = resolvers.dice(40, 20),
  rarity = 4,
  level = 144,
  exp_worth = 500,
  flags = {
    PASS_WALL = true,
    WEIRD_MIND = true,
    SPIRIT = true,
    FRIENDS = true,
    AI_ANNOY = true,
    BASEANGBAND = true,
  },
  drop = { treasure=5, combat=5, magic=5, tool=0 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.TOUCH, dam={10,10} },
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={10,10} },
    { type=DamageType.EAT_ITEM, method=AttackType.CRAWL, dam={10,9} },
    { type=DamageType.UN_BONUS, method=AttackType.BITE, dam={9,9} },
  },
  spells = {
    MULTIPLY = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 70,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_MOVEMENT',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_B,
  desc = [[Coming towards you quickly, it seems intent on moving faster than you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 65,
  max_life = resolvers.dice(10, 80),
  rarity = 1,
  level = 132,
  exp_worth = 5500,
  flags = {
    WEIRD_MIND = true,
    PASS_WALL = true,
    NO_SLEEP = true,
    SPIRIT = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_DEX, method=AttackType.TOUCH, dam={2,3} },
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,12} },
    { type=DamageType.PARALYZE, method=AttackType.TOUCH, dam={1,12} },
  },
  spells = {
    SLOW = true,
    BLINK = true,
    HOLD = true,
    HASTE = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 50,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_CONFUSION',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[A swirling mass, constantly changing its appearance.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 85,
  max_life = resolvers.dice(40, 80),
  rarity = 2,
  level = 135,
  exp_worth = 5500,
  flags = {
    POWERFUL = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    NO_SLEEP = true,
    ATTR_MULTI = true,
    CAN_FLY = true,
    SPIRIT = true,
    EMPTY_MIND = true,
    NO_CUT = true,
    AURA_ELEC = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
    RES_NEXU = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.HALLU, method=AttackType.ENGULF, dam={16,8} },
    { type=DamageType.HALLU, method=AttackType.ENGULF, dam={16,8} },
    { type=DamageType.CONFUSE, method=AttackType.ENGULF, dam={16,8} },
    { type=DamageType.CONFUSE, method=AttackType.ENGULF, dam={16,8} },
  },
  spells = {
    BR_CHAO = true,
    BR_NEXU = true,
    BR_CONF = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 80,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_BRAWN',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_U,
  desc = [[Strong and swarthy, this spirit could bend metal with his bare hands.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = resolvers.dice(140, 100),
  rarity = 3,
  level = 145,
  exp_worth = 8000,
  flags = {
    IM_FIRE = true,
    EVIL = true,
    KILL_WALL = true,
    KILL_TREES = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    DROP_CORPSE = true,
    IM_ACID = true,
    GIANT = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
    KILL_BODY = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={18,18} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={18,18} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={18,18} },
    { type=DamageType.CONFUSE, method=AttackType.HIT, dam={18,18} },
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 50,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_WYRMS',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[This spirit bears a remarkable similarity to some of the most powerful types of dragonkind found in Middle-earth. It appears to be even more fearsome though!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 151,
  ac = 190,
  max_life = 22801,
  rarity = 8,
  level = 147,
  exp_worth = 87500,
  flags = {
    IM_FIRE = true,
    DROP_2D2 = true,
    AURA_COLD = true,
    DROP_3D2 = true,
    RES_TELE = true,
    GOOD = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_MAXHP = true,
    RES_DISE = true,
    POWERFUL = true,
    BASH_DOOR = true,
    AURA_FIRE = true,
    MOVE_BODY = true,
    DRAGON = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    NO_CONF = true,
    RES_PLAS = true,
    NO_CUT = true,
    KILL_TREES = true,
    ONLY_ITEM = true,
    AURA_ELEC = true,
    DROP_CORPSE = true,
    RES_NEXU = true,
    DROP_GOOD = true,
    IM_ACID = true,
    IM_POIS = true,
    IM_COLD = true,
    IM_ELEC = true,
    RES_NETH = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    REFLECTING = true,
    SPIRIT = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,15} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={10,15} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={14,18} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={14,18} },
  },
  spells = {
    S_HI_DRAGON = true,
    S_DRAGON = true,
    S_KIN = true,
    BR_ACID = true,
    BR_ELEC = true,
    BR_FIRE = true,
    BR_COLD = true,
    BR_POIS = true,
    BR_NETH = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_CONF = true,
    BR_SOUN = true,
    BR_CHAO = true,
    BR_DISE = true,
    BR_NEXU = true,
    BR_TIME = true,
    BR_INER = true,
    BR_GRAV = true,
    BR_SHAR = true,
    BR_PLAS = true,
    BR_WALL = true,
    BR_MANA = true,
    BR_DISI = true,
  },
  body = bodies.dragon,
  speed = 20,
  vision = 50,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_SNAKES',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_g,
  desc = [[It slides towards you, a horrible scaly, slidy thing.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 80,
  max_life = resolvers.dice(150, 100),
  rarity = 3,
  level = 133,
  exp_worth = 750,
  flags = {
    IM_ACID = true,
    DROP_60 = true,
    IM_POIS = true,
    CAN_SWIM = true,
    FRIENDS = true,
    DROP_2D2 = true,
    BASH_DOOR = true,
    EVIL = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    DROP_CORPSE = true,
  },
  drop = { treasure=25, combat=20, magic=25, tool=20 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.BITE, dam={15,15} },
    { type=DamageType.POISON, method=AttackType.BITE, dam={15,15} },
    { type=DamageType.LOSE_ALL, method=AttackType.BITE, dam={10,12} },
  },
  spells = {
    BA_POIS = true,
    S_MONSTER = true,
    SCARE = true,
    HOLD = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 40,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_SEEING',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[You will find it difficult to avoid being seen by this spirit! And once it has you in its sight, beware!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 110,
  ac = 130,
  max_life = resolvers.dice(95, 110),
  rarity = 3,
  level = 141,
  exp_worth = 50000,
  flags = {
    CAN_FLY = true,
    SPIRIT = true,
    IM_POIS = true,
    BASEANGBAND = true,
    BASH_DOOR = true,
    EVIL = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.GAZE, dam={12,12} },
    { type=DamageType.UN_POWER, method=AttackType.GAZE, dam={12,10} },
    { type=DamageType.INSANITY, method=AttackType.GAZE, dam={12,14} },
    { type=DamageType.LOSE_ALL, method=AttackType.GAZE, dam={6,6} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    FORGET = true,
    SCARE = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    BA_DARK = true,
    BO_MANA = true,
    BA_NETH = true,
    BA_ACID = true,
    BA_FIRE = true,
    BA_COLD = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 60,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_UNSEEING',
  name = [[Spirit]],
  display = '.',
  color = colors.C_W,
  desc = [[Hopefully you will kill this spirit before you realise it exists.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 50,
  ac = 130,
  max_life = resolvers.dice(55, 50),
  rarity = 6,
  level = 142,
  exp_worth = 4000,
  flags = {
    CHAR_MULTI = true,
    BASH_DOOR = true,
    EVIL = true,
    CAN_FLY = true,
    REFLECTING = true,
    SPIRIT = true,
    EMPTY_MIND = true,
    SMART = true,
    ATTR_CLEAR = true,
    CHAR_CLEAR = true,
    COLD_BLOOD = true,
    INVISIBLE = true,
    BASEANGBAND = true,
  },
  drop = { treasure=10, combat=0, magic=90, tool=0 },
  attacks = {
    { type=DamageType.UN_BONUS, method=AttackType.TOUCH, dam={12,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH, dam={12,10} },
    { type=DamageType.INSANITY, method=AttackType.TOUCH, dam={12,14} },
    { type=DamageType.LOSE_ALL, method=AttackType.TOUCH, dam={6,6} },
  },
  spells = {
    DRAIN_MANA = true,
    BLINK = true,
    BLIND = true,
    SCARE = true,
    CONF = true,
    HEAL = true,
    TELE_AWAY = true,
    DARKNESS = true,
    TRAPS = true,
    FORGET = true,
    SHRIEK = true,
  },
  body = bodies.none,
  speed = 10,
  vision = 20,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ICKYNESS',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_g,
  desc = [[A horrible slimy spirit, that seems to ooze evilness. I wouldn't get too close to it if I were you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 60,
  max_life = resolvers.dice(80, 80),
  rarity = 4,
  level = 138,
  exp_worth = 40000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    EVIL = true,
    SPIRIT = true,
    EMPTY_MIND = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=40, combat=30, magic=10, tool=10 },
  attacks = {
    { type=DamageType.POISON, method=AttackType.CRAWL, dam={12,14} },
    { type=DamageType.EAT_FOOD, method=AttackType.CRAWL, dam={12,14} },
    { type=DamageType.ACID, method=AttackType.TOUCH, dam={13,15} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={13,15} },
  },
  spells = {
    DRAIN_MANA = true,
    BLIND = true,
    CONF = true,
    SCARE = true,
    S_KIN = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_FRIENDSHIP',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[This spirit appears to have lots of friends!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = resolvers.dice(35, 100),
  rarity = 3,
  level = 136,
  exp_worth = 10000,
  flags = {
    SPIRIT = true,
    ESCORT = true,
    OPEN_DOOR = true,
    BASH_DOOR = true,
    ESCORTS = true,
    BASEANGBAND = true,
  },
  drop = { treasure=50, combat=50, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={12,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={12,12} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={12,8} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={12,8} },
  },
  spells = {
    S_KIN = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 40,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ABOMINATION',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_d,
  desc = [[It seems to have been woken from the dead, this spirit. It lumbers towards you, seeking to turn you into a form as hideous as its own!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 125,
  max_life = resolvers.dice(40, 80),
  rarity = 2,
  level = 134,
  exp_worth = 5000,
  flags = {
    IM_POIS = true,
    IM_COLD = true,
    EVIL = true,
    NO_SLEEP = true,
    HURT_LITE = true,
    UNDEAD = true,
    SPIRIT = true,
    NO_CUT = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=50, combat=0, magic=50, tool=0 },
  attacks = {
    { type=DamageType.TERRIFY, method=AttackType.WAIL, dam={8,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.ABOMINATION, method=AttackType.HIT, dam={6,10} },
    { type=DamageType.ABOMINATION, method=AttackType.HIT, dam={6,10} },
  },
  spells = {
    SCARE = true,
    HOLD = true,
    DARKNESS = true,
    SCARE = true,
  },
  body = bodies.none,
  speed = 20,
  vision = 30,
  alertness = 125,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_STRENGTH',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_u,
  desc = [[It is coming for you, this massive imposing tower of strength. It appears almost unstoppable!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = resolvers.dice(140, 100),
  rarity = 2,
  level = 129,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    GIANT = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    SPIRIT = true,
    KILL_WALL = true,
    KILL_BODY = true,
    HURT_ROCK = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_STR, method=AttackType.HIT, dam={4,8} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 170,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_INTELLIGENCE',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_r,
  desc = [[This spirit looks very clever, cunning almost.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 100,
  max_life = resolvers.dice(80, 100),
  rarity = 2,
  level = 131,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    SPIRIT = true,
    SMART = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=0, magic=100, tool=0 },
  attacks = {
    { type=DamageType.LOSE_INT, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_INT, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_INT, method=AttackType.HIT, dam={4,8} },
  },
  spells = {
    HASTE = true,
    TPORT = true,
    TELE_TO = true,
    BLIND = true,
    CONF = true,
    BO_MANA = true,
    BO_FIRE = true,
    BO_COLD = true,
    BO_ELEC = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 50,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_WISDOM',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_G,
  desc = [[This spirit has something of a priestly look about it.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 200,
  max_life = resolvers.dice(120, 100),
  rarity = 2,
  level = 137,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=50, tool=0 },
  attacks = {
    { type=DamageType.LOSE_WIS, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_WIS, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_WIS, method=AttackType.HIT, dam={4,8} },
  },
  spells = {
    HEAL = true,
    MIND_BLAST = true,
    CAUSE_4 = true,
    SCARE = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    FORGET = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 50,
  alertness = 130,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_DEXTERITY',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[This spirit moves almost too quickly for you to see him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 1,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 160,
  max_life = resolvers.dice(120, 100),
  rarity = 2,
  level = 139,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    SPIRIT = true,
    SMART = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=25, tool=25 },
  attacks = {
    { type=DamageType.LOSE_DEX, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_DEX, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_DEX, method=AttackType.HIT, dam={4,8} },
  },
  spells = {
    ARROW_4 = true,
  },
  body = bodies.humanoid,
  speed = 50,
  vision = 50,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_CONSTITUTION',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_s,
  desc = [[This spirit moves slower than most, but thunders on and on towards you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 180,
  max_life = resolvers.dice(140, 100),
  rarity = 2,
  level = 143,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    BASH_DOOR = true,
    EVIL = true,
    SPIRIT = true,
    BASEANGBAND = true,
  },
  drop = { treasure=0, combat=50, magic=0, tool=50 },
  attacks = {
    { type=DamageType.LOSE_CON, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_CON, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_CON, method=AttackType.HIT, dam={4,8} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 50,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_CHARISMA',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_b,
  desc = [[There is something attractive about this spirit, and it seems to have a full purse.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = resolvers.dice(80, 100),
  rarity = 2,
  level = 146,
  exp_worth = 8000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    IM_ELEC = true,
    IM_COLD = true,
    EVIL = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
  },
  drop = { treasure=70, combat=10, magic=10, tool=10 },
  attacks = {
    { type=DamageType.LOSE_CHR, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_CHR, method=AttackType.HIT, dam={4,8} },
    { type=DamageType.LOSE_CHR, method=AttackType.HIT, dam={4,8} },
  },
  spells = {
    TRAPS = true,
    ARROW_3 = true,
    BLINK = true,
    TELE_TO = true,
    CONF = true,
  },
  body = bodies.humanoid,
  speed = 30,
  vision = 50,
  alertness = 90,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_FLICKERING',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_r,
  desc = [[Flickering towards you, and then away, this spirit will burn you badly!]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 65,
  max_life = resolvers.dice(60, 100),
  rarity = 1,
  level = 130,
  exp_worth = 6000,
  flags = {
    SPIRIT = true,
    HAS_LITE = true,
    IM_FIRE = true,
    AI_ANNOY = true,
    BASEANGBAND = true,
    AURA_FIRE = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=15 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    BO_FIRE = true,
    BA_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ICY',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_w,
  desc = [[The temperature around you drops as soon as you set eyes on this spirit.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 65,
  max_life = resolvers.dice(60, 100),
  rarity = 1,
  level = 148,
  exp_worth = 6000,
  flags = {
    SPIRIT = true,
    COLD_BLOOD = true,
    AURA_COLD = true,
    BASH_DOOR = true,
    IM_COLD = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=15 },
  attacks = {
    { type=DamageType.COLD, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.COLD, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    BO_COLD = true,
    BA_COLD = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_CORROSION',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_s,
  desc = [[The very fabric of the void heals itself where this spirit walks.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 65,
  max_life = resolvers.dice(60, 100),
  rarity = 1,
  level = 146,
  exp_worth = 6000,
  flags = {
    IM_ACID = true,
    SPIRIT = true,
    KILL_TREES = true,
    BASH_DOOR = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=15 },
  attacks = {
    { type=DamageType.ACID, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.ACID, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.ACID, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    BO_ACID = true,
    BA_ACID = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_SHOCKING',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_b,
  desc = [[The air crackles as this spirit approaches, and you smell singed flesh.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 65,
  max_life = resolvers.dice(60, 100),
  rarity = 1,
  level = 149,
  exp_worth = 6000,
  flags = {
    SPIRIT = true,
    AURA_ELEC = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    BASEANGBAND = true,
  },
  drop = { treasure=25, combat=60, magic=0, tool=15 },
  attacks = {
    { type=DamageType.ELEC, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={10,8} },
    { type=DamageType.ELEC, method=AttackType.HIT, dam={10,8} },
  },
  spells = {
    BO_ELEC = true,
    BA_ELEC = true,
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 50,
  alertness = 80,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_VALARAUKAR',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[Carrying a whip of fire, this spirit looks not dissimilar to a certain Balrog.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 140,
  max_life = resolvers.dice(130, 100),
  rarity = 1,
  level = 149,
  exp_worth = 43000,
  flags = {
    NONLIVING = true,
    IM_FIRE = true,
    DROP_2D2 = true,
    EVIL = true,
    DEMON = true,
    KILL_WALL = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
    POWERFUL = true,
    BASH_DOOR = true,
    IM_ELEC = true,
    AURA_FIRE = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    HAS_LITE = true,
  },
  drop = { treasure=0, combat=100, magic=0, tool=0 },
  attacks = {
    { type=DamageType.FIRE, method=AttackType.HIT, dam={11,12} },
    { type=DamageType.FIRE, method=AttackType.HIT, dam={11,12} },
    { type=DamageType.PHYSICAL, method=AttackType.CRUSH, dam={10,12} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BLIND = true,
    CONF = true,
    SCARE = true,
    BR_FIRE = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 100,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_SHADOWS',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_d,
  desc = [[Deriving his strength from the shadows, this spirit steals only for the challenge.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 150,
  max_life = resolvers.dice(30, 100),
  rarity = 4,
  level = 140,
  exp_worth = 10000,
  flags = {
    IM_ACID = true,
    REGENERATE = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_FIRE = true,
    BASH_DOOR = true,
    IM_COLD = true,
    IM_ELEC = true,
    REFLECTING = true,
    SPIRIT = true,
    SMART = true,
    RES_TELE = true,
    OPEN_DOOR = true,
    TAKE_ITEM = true,
    BASEANGBAND = true,
  },
  drop = { treasure=20, combat=80, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.EXP_80, method=AttackType.TOUCH, dam={20,8} },
    { type=DamageType.EXP_40, method=AttackType.TOUCH, dam={20,8} },
  },
  spells = {
    BLIND = true,
    HEAL = true,
    BA_DARK = true,
    HASTE = true,
    CONF = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 70,
  alertness = 4,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_VAMPIRE',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_W,
  desc = [[Your blood curdles and your bones chill as this spirit approaches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 3,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 50,
  ac = 90,
  max_life = resolvers.dice(50, 50),
  rarity = 2,
  level = 143,
  exp_worth = 18000,
  flags = {
    DROP_60 = true,
    EVIL = true,
    UNDEAD = true,
    NO_CUT = true,
    RES_TELE = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    FORCE_SLEEP = true,
    REGENERATE = true,
    IM_POIS = true,
    BASH_DOOR = true,
    IM_COLD = true,
    CAN_FLY = true,
    HURT_LITE = true,
    NO_SLEEP = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    COLD_BLOOD = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=70, magic=30, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,9} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={9,9} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={9,9} },
    { type=DamageType.EXP_80, method=AttackType.BITE, dam={9,9} },
  },
  spells = {
    BLIND = true,
    HOLD = true,
    SCARE = true,
    CAUSE_3 = true,
    CAUSE_4 = true,
    DRAIN_MANA = true,
    BRAIN_SMASH = true,
    DARKNESS = true,
    BO_NETH = true,
  },
  body = bodies.humanoid,
  speed = 20,
  vision = 30,
  alertness = 10,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_UNRESISTABILITY',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[This spirit appears to be afraid of very little, and confident in its ability to destroy you.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 70,
  max_life = resolvers.dice(40, 100),
  rarity = 4,
  level = 149,
  exp_worth = 20000,
  flags = {
    IM_ACID = true,
    IM_POIS = true,
    POWERFUL = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    RES_NETH = true,
    NO_SLEEP = true,
    SPIRIT = true,
    SMART = true,
    OPEN_DOOR = true,
    NO_FEAR = true,
    BASEANGBAND = true,
    NO_CONF = true,
    RES_NEXU = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=100 },
  attacks = {
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={18,10} },
    { type=DamageType.SHATTER, method=AttackType.HIT, dam={18,10} },
    { type=DamageType.LOSE_ALL, method=AttackType.HIT, dam={8,8} },
    { type=DamageType.UN_POWER, method=AttackType.TOUCH },
  },
  spells = {
    BA_MANA = true,
    BR_PLAS = true,
    BR_TIME = true,
    ROCKET = true,
    HAND_DOOM = true,
    FORGET = true,
    BA_WATE = true,
  },
  speed = 30,
  vision = 40,
  alertness = 20,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_TIME',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_G,
  desc = [[All at once you see that which is to come and that which has gone before.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 110,
  max_life = resolvers.dice(80, 100),
  rarity = 3,
  level = 150,
  exp_worth = 50000,
  flags = {
    ANIMAL = true,
    DROP_SKELETON = true,
    BASH_DOOR = true,
    NO_SLEEP = true,
    SPIRIT = true,
    OPEN_DOOR = true,
    DROP_CORPSE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.TIME, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.TIME, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.TIME, method=AttackType.TOUCH, dam={6,12} },
    { type=DamageType.TIME, method=AttackType.TOUCH, dam={6,12} },
  },
  spells = {
    BR_TIME = true,
    SLOW = true,
    HASTE = true,
    HOLD = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 40,
  alertness = 0,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_GOLD',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_y,
  desc = [[It is the very essence of financial greed...]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 4,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 80,
  ac = 110,
  max_life = resolvers.dice(50, 80),
  rarity = 4,
  level = 130,
  exp_worth = 8000,
  flags = {
    REGENERATE = true,
    IM_POIS = true,
    ONLY_GOLD = true,
    IM_COLD = true,
    IM_ELEC = true,
    BASH_DOOR = true,
    NO_STUN = true,
    NO_SLEEP = true,
    MOVE_BODY = true,
    REFLECTING = true,
    SPIRIT = true,
    RES_TELE = true,
    NO_FEAR = true,
    COLD_BLOOD = true,
    BASEANGBAND = true,
    DROP_4D2 = true,
    NO_CONF = true,
  },
  drop = { treasure=100, combat=0, magic=0, tool=0 },
  attacks = {
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH, dam={7,15} },
    { type=DamageType.EAT_GOLD, method=AttackType.TOUCH, dam={7,15} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={6,12} },
    { type=DamageType.POISON, method=AttackType.HIT, dam={6,12} },
  },
  spells = {
    ARROW_4 = true,
    HEAL = true,
    FORGET = true,
  },
  body = bodies.quadruped,
  speed = 20,
  vision = 20,
  alertness = 100,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_DOOM',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_D,
  desc = [[The very presence of this creature fills the air with an aura of doom. You feel waves of depression descending on you as it approaches.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 70,
  ac = 70,
  max_life = resolvers.dice(60, 70),
  rarity = 2,
  level = 134,
  exp_worth = 8000,
  flags = {
    BASH_DOOR = true,
    EVIL = true,
    NO_SLEEP = true,
    SPIRIT = true,
    SMART = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  drop = { treasure=0, combat=10, magic=90, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={14,14} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={14,14} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={14,14} },
  },
  spells = {
    HAND_DOOM = true,
    CAUSE_4 = true,
    DARKNESS = true,
  },
  body = bodies.humanoid,
  speed = 26,
  vision = 40,
  alertness = 30,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ETHEREALISM',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_o,
  desc = [[This sprit seems to flicker in and out of this plane, and is a master of light and dark.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
    spell_prob = 2,
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 100,
  ac = 120,
  max_life = resolvers.dice(40, 100),
  rarity = 3,
  level = 141,
  exp_worth = 10000,
  flags = {
    PASS_WALL = true,
    WEIRD_MIND = true,
    POWERFUL = true,
    EVIL = true,
    NO_SLEEP = true,
    CAN_FLY = true,
    MOVE_BODY = true,
    SPIRIT = true,
    INVISIBLE = true,
    BASEANGBAND = true,
    NO_CONF = true,
  },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={14,10} },
    { type=DamageType.PHYSICAL, method=AttackType.CLAW, dam={14,10} },
    { type=DamageType.PHYSICAL, method=AttackType.BITE, dam={17,10} },
  },
  spells = {
    BLIND = true,
    CONF = true,
    BR_LITE = true,
    BR_DARK = true,
    BR_CONF = true,
  },
  body = bodies.dragon,
  speed = 10,
  vision = 30,
  alertness = 40,
  resolvers.mon_global_speed()
}

newEntity {
  define_as = 'SPIRIT_ORC',
  name = [[Spirit]],
  display = 'G',
  color = colors.C_v,
  desc = [[Stupid but strong, this spirit has an orcish aura about him.]],
  ai = 'tome2',
  ai_state = {
    sleep = resolvers.mon_sleep(),
  },
  stats = { STR=10, INT=10, WIS=10, DEX=10, CON=10, CHA=10 },
  hit_die = 10,
  ac = 160,
  max_life = resolvers.dice(90, 10),
  rarity = 3,
  level = 142,
  exp_worth = 11111,
  flags = {
    MORTAL = true,
    IM_POIS = true,
    BASH_DOOR = true,
    EVIL = true,
    ORC = true,
    SPIRIT = true,
    HAS_LITE = true,
    OPEN_DOOR = true,
    ONLY_ITEM = true,
    BASEANGBAND = true,
  },
  drop = { treasure=10, combat=90, magic=0, tool=0 },
  attacks = {
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
    { type=DamageType.PHYSICAL, method=AttackType.HIT, dam={10,10} },
  },
  body = bodies.humanoid,
  speed = 10,
  vision = 30,
  alertness = 100,
  resolvers.mon_global_speed()
}


-- seen dam types:  SHATTER EAT_FOOD INSANITY COLD EXP_40 EAT_ITEM POISON EXP_80 UN_POWER CONFUSE EXP_20 LOSE_CON PHYSICAL LOSE_INT FIRE ABOMINATION LOSE_WIS TERRIFY EAT_GOLD DISEASE ELEC EXP_10 BLIND LOSE_STR LOSE_CHR ACID EAT_LITE TIME PARALYZE LOSE_ALL HALLU LOSE_DEX UN_BONUS
-- seen hit msgs:  SPIT DROOL CRAWL GAZE TOUCH INSULT EXPLODE SPORE BUTT CRUSH CLAW KICK STING ENGULF WAIL BITE HIT
-- seen body types:
--    none [0,0,0,0,0,0]:  172 (first seen on Grey mold)
--    snake [0,0,0,0,1,0]:  34 (first seen on Large brown snake)
--    0,0,0,1,0,0:  1 (first seen on Hand druj)
--    0,0,0,3,0,0:  2 (first seen on Xorn)
--    0,0,0,6,0,0:  1 (first seen on Roper)
--    quadruped [0,1,0,2,1,0]:  68 (first seen on Cave spider)
--    hydra [0,1,0,2,2,0]:  1 (first seen on Gorgimaera)
--    dragon [0,1,0,6,1,0]:  60 (first seen on Baby blue dragon)
--    0,1,0,6,2,0:  1 (first seen on Kavlax the Many-Headed)
--    winged [0,1,1,0,1,0]:  12 (first seen on Owlbear)
--    0,1,1,2,0,0:  1 (first seen on Spirit)
--    1,0,1,2,1,0:  1 (first seen on Bile Demon)
--    1,1,1,0,1,1:  1 (first seen on Mezzodaemon)
--    1,1,1,2,0,1:  1 (first seen on Medusa, the Gorgon)
--    1,1,1,2,1,0:  1 (first seen on Drider)
--    humanoid [1,1,1,2,1,1]:  215 (first seen on Blue yeek)
--    1,1,1,2,2,1:  1 (first seen on Skeleton ettin)
--    2,1,2,0,0,1:  1 (first seen on Gelugon)
--    2,1,2,4,1,1:  1 (first seen on Bronze golem)
--    3,0,3,3,2,0:  1 (first seen on Silent watcher)
--    3,0,3,4,1,0:  1 (first seen on Marilith)
--    3,0,3,6,1,0:  1 (first seen on Giant octopus)
